/*******************************************************************
*   AR_SID_2005_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'AR_SID_2005_CHGS.ASC' FIXED / 
 KEY                        1-  14
 CHARGE                    15-  26
 RATE                      27-  35
 REVCODE                   36-  39 (A)
 UNITS                     40-  47.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CHARGE                  (F6.2) /
 RATE                    (F5.2) /
 UNITS                   (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHARGE    "Line item charges (as received from source)"
 RATE      "Line item rate (as received from source)"
 REVCODE   "Line item revenue code (as received from source)"
 UNITS     "Line item units (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHARGE
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE RATE
 (-99999.99,-88888.88,-66666.66,-55555.55=SYSMIS).
RECODE UNITS
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'AR_SID_2005_CHGS.SAV' /COMPRESSED.
