/*******************************************************************
* Creation Date: 06/25/2020   
*   GA_SID_2018_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'GA_SID_2018_CORE.ASC' FIXED SKIP=2 / 
 AGE                             1-   3
 AGEDAY                          4-   6
 AGEMONTH                        7-   9
 AMONTH                         10-  11
 ATYPE                          12-  13
 AWEEKEND                       14-  15
 BILLTYPE                       16-  19 (A)
 BWT                            20-  23
 CPT1                           24-  28 (A)
 CPT2                           29-  33 (A)
 CPT3                           34-  38 (A)
 CPT4                           39-  43 (A)
 CPT5                           44-  48 (A)
 CPT6                           49-  53 (A)
 CPT7                           54-  58 (A)
 CPT8                           59-  63 (A)
 CPT9                           64-  68 (A)
 CPT10                          69-  73 (A)
 CPT11                          74-  78 (A)
 CPT12                          79-  83 (A)
 CPT13                          84-  88 (A)
 CPT14                          89-  93 (A)
 CPT15                          94-  98 (A)
 CPT16                          99- 103 (A)
 CPT17                         104- 108 (A)
 CPT18                         109- 113 (A)
 CPT19                         114- 118 (A)
 CPT20                         119- 123 (A)
 CPT21                         124- 128 (A)
 CPT22                         129- 133 (A)
 CPT23                         134- 138 (A)
 CPT24                         139- 143 (A)
 CPT25                         144- 148 (A)
 CPT26                         149- 153 (A)
 CPT27                         154- 158 (A)
 CPT28                         159- 163 (A)
 CPT29                         164- 168 (A)
 CPT30                         169- 173 (A)
 CPT31                         174- 178 (A)
 CPT32                         179- 183 (A)
 CPT33                         184- 188 (A)
 CPT34                         189- 193 (A)
 CPT35                         194- 198 (A)
 CPT36                         199- 203 (A)
 CPT37                         204- 208 (A)
 CPT38                         209- 213 (A)
 CPT39                         214- 218 (A)
 CPT40                         219- 223 (A)
 CPT41                         224- 228 (A)
 CPT42                         229- 233 (A)
 CPT43                         234- 238 (A)
 CPT44                         239- 243 (A)
 CPT45                         244- 248 (A)
 CPT46                         249- 253 (A)
 CPT47                         254- 258 (A)
 CPT48                         259- 263 (A)
 CPT49                         264- 268 (A)
 CPT50                         269- 273 (A)
 CPT51                         274- 278 (A)
 CPT52                         279- 283 (A)
 CPT53                         284- 288 (A)
 CPT54                         289- 293 (A)
 CPT55                         294- 298 (A)
 CPT56                         299- 303 (A)
 CPT57                         304- 308 (A)
 CPT58                         309- 313 (A)
 CPT59                         314- 318 (A)
 CPT60                         319- 323 (A)
 CPT61                         324- 328 (A)
 CPT62                         329- 333 (A)
 CPT63                         334- 338 (A)
 CPT64                         339- 343 (A)
 CPT65                         344- 348 (A)
 CPT66                         349- 353 (A)
 CPT67                         354- 358 (A)
 CPT68                         359- 363 (A)
 CPT69                         364- 368 (A)
 CPT70                         369- 373 (A)
 CPT71                         374- 378 (A)
 CPT72                         379- 383 (A)
 CPT73                         384- 388 (A)
 CPT74                         389- 393 (A)
 CPT75                         394- 398 (A)
 CPT76                         399- 403 (A)
 CPT77                         404- 408 (A)
 CPT78                         409- 413 (A)
 CPT79                         414- 418 (A)
 CPT80                         419- 423 (A)
 CPT81                         424- 428 (A)
 CPT82                         429- 433 (A)
 CPT83                         434- 438 (A)
 CPT84                         439- 443 (A)
 CPT85                         444- 448 (A)
 CPT86                         449- 453 (A)
 CPT87                         454- 458 (A)
 CPT88                         459- 463 (A)
 CPT89                         464- 468 (A)
 CPT90                         469- 473 (A)
 CPT91                         474- 478 (A)
 CPT92                         479- 483 (A)
 CPT93                         484- 488 (A)
 CPT94                         489- 493 (A)
 CPT95                         494- 498 (A)
 CPT96                         499- 503 (A)
 CPT97                         504- 508 (A)
 CPT98                         509- 513 (A)
 CPT99                         514- 518 (A)
 CPT100                        519- 523 (A)
 CPTCCS1                       524- 526
 CPTCCS2                       527- 529
 CPTCCS3                       530- 532
 CPTCCS4                       533- 535
 CPTCCS5                       536- 538
 CPTCCS6                       539- 541
 CPTCCS7                       542- 544
 CPTCCS8                       545- 547
 CPTCCS9                       548- 550
 CPTCCS10                      551- 553
 CPTCCS11                      554- 556
 CPTCCS12                      557- 559
 CPTCCS13                      560- 562
 CPTCCS14                      563- 565
 CPTCCS15                      566- 568
 CPTCCS16                      569- 571
 CPTCCS17                      572- 574
 CPTCCS18                      575- 577
 CPTCCS19                      578- 580
 CPTCCS20                      581- 583
 CPTCCS21                      584- 586
 CPTCCS22                      587- 589
 CPTCCS23                      590- 592
 CPTCCS24                      593- 595
 CPTCCS25                      596- 598
 CPTCCS26                      599- 601
 CPTCCS27                      602- 604
 CPTCCS28                      605- 607
 CPTCCS29                      608- 610
 CPTCCS30                      611- 613
 CPTCCS31                      614- 616
 CPTCCS32                      617- 619
 CPTCCS33                      620- 622
 CPTCCS34                      623- 625
 CPTCCS35                      626- 628
 CPTCCS36                      629- 631
 CPTCCS37                      632- 634
 CPTCCS38                      635- 637
 CPTCCS39                      638- 640
 CPTCCS40                      641- 643
 CPTCCS41                      644- 646
 CPTCCS42                      647- 649
 CPTCCS43                      650- 652
 CPTCCS44                      653- 655
 CPTCCS45                      656- 658
 CPTCCS46                      659- 661
 CPTCCS47                      662- 664
 CPTCCS48                      665- 667
 CPTCCS49                      668- 670
 CPTCCS50                      671- 673
 CPTCCS51                      674- 676
 CPTCCS52                      677- 679
 CPTCCS53                      680- 682
 CPTCCS54                      683- 685
 CPTCCS55                      686- 688
 CPTCCS56                      689- 691
 CPTCCS57                      692- 694
 CPTCCS58                      695- 697
 CPTCCS59                      698- 700
 CPTCCS60                      701- 703
 CPTCCS61                      704- 706
 CPTCCS62                      707- 709
 CPTCCS63                      710- 712
 CPTCCS64                      713- 715
 CPTCCS65                      716- 718
 CPTCCS66                      719- 721
 CPTCCS67                      722- 724
 CPTCCS68                      725- 727
 CPTCCS69                      728- 730
 CPTCCS70                      731- 733
 CPTCCS71                      734- 736
 CPTCCS72                      737- 739
 CPTCCS73                      740- 742
 CPTCCS74                      743- 745
 CPTCCS75                      746- 748
 CPTCCS76                      749- 751
 CPTCCS77                      752- 754
 CPTCCS78                      755- 757
 CPTCCS79                      758- 760
 CPTCCS80                      761- 763
 CPTCCS81                      764- 766
 CPTCCS82                      767- 769
 CPTCCS83                      770- 772
 CPTCCS84                      773- 775
 CPTCCS85                      776- 778
 CPTCCS86                      779- 781
 CPTCCS87                      782- 784
 CPTCCS88                      785- 787
 CPTCCS89                      788- 790
 CPTCCS90                      791- 793
 CPTCCS91                      794- 796
 CPTCCS92                      797- 799
 CPTCCS93                      800- 802
 CPTCCS94                      803- 805
 CPTCCS95                      806- 808
 CPTCCS96                      809- 811
 CPTCCS97                      812- 814
 CPTCCS98                      815- 817
 CPTCCS99                      818- 820
 CPTCCS100                     821- 823
 DaysToEvent                   824- 829
 DIED                          830- 831
 DISP_X                        832- 833 (A)
 DISPUB04                      834- 835
 DISPUNIFORM                   836- 837
 DMONTH                        838- 839
 DQTR                          840- 841
 DRG                           842- 844
 DRG_NoPOA                     845- 847
 DRGVER                        848- 849
 DXPOA1                        850     (A)
 DXPOA2                        851     (A)
 DXPOA3                        852     (A)
 DXPOA4                        853     (A)
 DXPOA5                        854     (A)
 DXPOA6                        855     (A)
 DXPOA7                        856     (A)
 DXPOA8                        857     (A)
 DXPOA9                        858     (A)
 DXPOA10                       859     (A)
 DXPOA11                       860     (A)
 DXPOA12                       861     (A)
 DXPOA13                       862     (A)
 DXPOA14                       863     (A)
 DXPOA15                       864     (A)
 DXPOA16                       865     (A)
 DXPOA17                       866     (A)
 DXPOA18                       867     (A)
 DXPOA19                       868     (A)
 DXPOA20                       869     (A)
 DXPOA21                       870     (A)
 DXPOA22                       871     (A)
 DXPOA23                       872     (A)
 DXPOA24                       873     (A)
 DXPOA25                       874     (A)
 DXPOA26                       875     (A)
 DXPOA27                       876     (A)
 DXPOA28                       877     (A)
 DXPOA29                       878     (A)
 DXPOA30                       879     (A)
 DXPOA31                       880     (A)
 DXPOA32                       881     (A)
 DXPOA33                       882     (A)
 DXPOA34                       883     (A)
 DXPOA35                       884     (A)
 DXPOA36                       885     (A)
 DXPOA37                       886     (A)
 DXPOA38                       887     (A)
 DXPOA39                       888     (A)
 DXPOA40                       889     (A)
 DXPOA41                       890     (A)
 DXPOA42                       891     (A)
 DXPOA43                       892     (A)
 DXPOA44                       893     (A)
 DXPOA45                       894     (A)
 DXPOA46                       895     (A)
 DXPOA47                       896     (A)
 DXPOA48                       897     (A)
 DXPOA49                       898     (A)
 DXPOA50                       899     (A)
 DXPOA51                       900     (A)
 DXPOA52                       901     (A)
 DXPOA53                       902     (A)
 DXPOA54                       903     (A)
 DXPOA55                       904     (A)
 DXPOA56                       905     (A)
 DXPOA57                       906     (A)
 DXPOA58                       907     (A)
 DXPOA59                       908     (A)
 DXPOA60                       909     (A)
 DXPOA61                       910     (A)
 DXPOA62                       911     (A)
 DXPOA63                       912     (A)
 DXPOA64                       913     (A)
 DXPOA65                       914     (A)
 DXPOA66                       915     (A)
 DXPOA67                       916     (A)
 DXPOA68                       917     (A)
 DXPOA69                       918     (A)
 DXPOA70                       919     (A)
 DXPOA71                       920     (A)
 DXPOA72                       921     (A)
 DXPOA73                       922     (A)
 DXPOA74                       923     (A)
 DXPOA75                       924     (A)
 DXPOA76                       925     (A)
 DXPOA77                       926     (A)
 DXPOA78                       927     (A)
 DXPOA79                       928     (A)
 DXPOA80                       929     (A)
 DXPOA81                       930     (A)
 DXPOA82                       931     (A)
 DXPOA83                       932     (A)
 DXPOA84                       933     (A)
 DXPOA85                       934     (A)
 DXPOA86                       935     (A)
 DXPOA87                       936     (A)
 DXPOA88                       937     (A)
 DXPOA89                       938     (A)
 DXPOA90                       939     (A)
 DXPOA91                       940     (A)
 DXPOA92                       941     (A)
 DXPOA93                       942     (A)
 DXPOA94                       943     (A)
 DXPOA95                       944     (A)
 DXPOA96                       945     (A)
 DXPOA97                       946     (A)
 DXPOA98                       947     (A)
 DXPOA99                       948     (A)
 DXPOA100                      949     (A)
 DXPOA101                      950     (A)
 DXPOA102                      951     (A)
 DXPOA103                      952     (A)
 DXPOA104                      953     (A)
 FEMALE                        954- 955
 HCUP_ED                       956- 957
 HCUP_OS                       958- 959
 HISPANIC                      960- 961
 HISPANIC_X                    962     (A)
 Homeless                      963- 964
 HOSPST                        965- 966 (A)
 I10_DX1                       967- 973 (A)
 I10_DX2                       974- 980 (A)
 I10_DX3                       981- 987 (A)
 I10_DX4                       988- 994 (A)
 I10_DX5                       995-1001 (A)
 I10_DX6                      1002-1008 (A)
 I10_DX7                      1009-1015 (A)
 I10_DX8                      1016-1022 (A)
 I10_DX9                      1023-1029 (A)
 I10_DX10                     1030-1036 (A)
 I10_DX11                     1037-1043 (A)
 I10_DX12                     1044-1050 (A)
 I10_DX13                     1051-1057 (A)
 I10_DX14                     1058-1064 (A)
 I10_DX15                     1065-1071 (A)
 I10_DX16                     1072-1078 (A)
 I10_DX17                     1079-1085 (A)
 I10_DX18                     1086-1092 (A)
 I10_DX19                     1093-1099 (A)
 I10_DX20                     1100-1106 (A)
 I10_DX21                     1107-1113 (A)
 I10_DX22                     1114-1120 (A)
 I10_DX23                     1121-1127 (A)
 I10_DX24                     1128-1134 (A)
 I10_DX25                     1135-1141 (A)
 I10_DX26                     1142-1148 (A)
 I10_DX27                     1149-1155 (A)
 I10_DX28                     1156-1162 (A)
 I10_DX29                     1163-1169 (A)
 I10_DX30                     1170-1176 (A)
 I10_DX31                     1177-1183 (A)
 I10_DX32                     1184-1190 (A)
 I10_DX33                     1191-1197 (A)
 I10_DX34                     1198-1204 (A)
 I10_DX35                     1205-1211 (A)
 I10_DX36                     1212-1218 (A)
 I10_DX37                     1219-1225 (A)
 I10_DX38                     1226-1232 (A)
 I10_DX39                     1233-1239 (A)
 I10_DX40                     1240-1246 (A)
 I10_DX41                     1247-1253 (A)
 I10_DX42                     1254-1260 (A)
 I10_DX43                     1261-1267 (A)
 I10_DX44                     1268-1274 (A)
 I10_DX45                     1275-1281 (A)
 I10_DX46                     1282-1288 (A)
 I10_DX47                     1289-1295 (A)
 I10_DX48                     1296-1302 (A)
 I10_DX49                     1303-1309 (A)
 I10_DX50                     1310-1316 (A)
 I10_DX51                     1317-1323 (A)
 I10_DX52                     1324-1330 (A)
 I10_DX53                     1331-1337 (A)
 I10_DX54                     1338-1344 (A)
 I10_DX55                     1345-1351 (A)
 I10_DX56                     1352-1358 (A)
 I10_DX57                     1359-1365 (A)
 I10_DX58                     1366-1372 (A)
 I10_DX59                     1373-1379 (A)
 I10_DX60                     1380-1386 (A)
 I10_DX61                     1387-1393 (A)
 I10_DX62                     1394-1400 (A)
 I10_DX63                     1401-1407 (A)
 I10_DX64                     1408-1414 (A)
 I10_DX65                     1415-1421 (A)
 I10_DX66                     1422-1428 (A)
 I10_DX67                     1429-1435 (A)
 I10_DX68                     1436-1442 (A)
 I10_DX69                     1443-1449 (A)
 I10_DX70                     1450-1456 (A)
 I10_DX71                     1457-1463 (A)
 I10_DX72                     1464-1470 (A)
 I10_DX73                     1471-1477 (A)
 I10_DX74                     1478-1484 (A)
 I10_DX75                     1485-1491 (A)
 I10_DX76                     1492-1498 (A)
 I10_DX77                     1499-1505 (A)
 I10_DX78                     1506-1512 (A)
 I10_DX79                     1513-1519 (A)
 I10_DX80                     1520-1526 (A)
 I10_DX81                     1527-1533 (A)
 I10_DX82                     1534-1540 (A)
 I10_DX83                     1541-1547 (A)
 I10_DX84                     1548-1554 (A)
 I10_DX85                     1555-1561 (A)
 I10_DX86                     1562-1568 (A)
 I10_DX87                     1569-1575 (A)
 I10_DX88                     1576-1582 (A)
 I10_DX89                     1583-1589 (A)
 I10_DX90                     1590-1596 (A)
 I10_DX91                     1597-1603 (A)
 I10_DX92                     1604-1610 (A)
 I10_DX93                     1611-1617 (A)
 I10_DX94                     1618-1624 (A)
 I10_DX95                     1625-1631 (A)
 I10_DX96                     1632-1638 (A)
 I10_DX97                     1639-1645 (A)
 I10_DX98                     1646-1652 (A)
 I10_DX99                     1653-1659 (A)
 I10_DX100                    1660-1666 (A)
 I10_DX101                    1667-1673 (A)
 I10_DX102                    1674-1680 (A)
 I10_DX103                    1681-1687 (A)
 I10_DX104                    1688-1694 (A)
 I10_NDX                      1695-1697
 I10_NPR                      1698-1700
 I10_PR1                      1701-1707 (A)
 I10_PR2                      1708-1714 (A)
 I10_PR3                      1715-1721 (A)
 I10_PR4                      1722-1728 (A)
 I10_PR5                      1729-1735 (A)
 I10_PR6                      1736-1742 (A)
 I10_PR7                      1743-1749 (A)
 I10_PR8                      1750-1756 (A)
 I10_PR9                      1757-1763 (A)
 I10_PR10                     1764-1770 (A)
 I10_PR11                     1771-1777 (A)
 I10_PR12                     1778-1784 (A)
 I10_PR13                     1785-1791 (A)
 I10_PR14                     1792-1798 (A)
 I10_PR15                     1799-1805 (A)
 I10_PR16                     1806-1812 (A)
 I10_PR17                     1813-1819 (A)
 I10_PR18                     1820-1826 (A)
 I10_PR19                     1827-1833 (A)
 I10_PR20                     1834-1840 (A)
 I10_PR21                     1841-1847 (A)
 I10_PR22                     1848-1854 (A)
 I10_PR23                     1855-1861 (A)
 I10_PR24                     1862-1868 (A)
 I10_PR25                     1869-1875 (A)
 I10_PR26                     1876-1882 (A)
 I10_PR27                     1883-1889 (A)
 I10_PR28                     1890-1896 (A)
 I10_PR29                     1897-1903 (A)
 I10_PR30                     1904-1910 (A)
 I10_PR31                     1911-1917 (A)
 I10_PR32                     1918-1924 (A)
 I10_PR33                     1925-1931 (A)
 I10_PR34                     1932-1938 (A)
 I10_PR35                     1939-1945 (A)
 I10_PR36                     1946-1952 (A)
 I10_PR37                     1953-1959 (A)
 I10_PR38                     1960-1966 (A)
 I10_PR39                     1967-1973 (A)
 I10_PR40                     1974-1980 (A)
 I10_PR41                     1981-1987 (A)
 I10_PR42                     1988-1994 (A)
 I10_PR43                     1995-2001 (A)
 I10_PR44                     2002-2008 (A)
 I10_PR45                     2009-2015 (A)
 I10_PR46                     2016-2022 (A)
 I10_PR47                     2023-2029 (A)
 I10_PR48                     2030-2036 (A)
 I10_PR49                     2037-2043 (A)
 I10_PR50                     2044-2050 (A)
 I10_PR51                     2051-2057 (A)
 I10_PR52                     2058-2064 (A)
 I10_PR53                     2065-2071 (A)
 I10_PR54                     2072-2078 (A)
 I10_PR55                     2079-2085 (A)
 I10_PR56                     2086-2092 (A)
 I10_PR57                     2093-2099 (A)
 I10_PR58                     2100-2106 (A)
 I10_PR59                     2107-2113 (A)
 I10_PR60                     2114-2120 (A)
 I10_PR61                     2121-2127 (A)
 I10_PR62                     2128-2134 (A)
 I10_PR63                     2135-2141 (A)
 I10_PR64                     2142-2148 (A)
 I10_PR65                     2149-2155 (A)
 I10_PR66                     2156-2162 (A)
 I10_PR67                     2163-2169 (A)
 I10_PR68                     2170-2176 (A)
 I10_PR69                     2177-2183 (A)
 I10_PR70                     2184-2190 (A)
 I10_PR71                     2191-2197 (A)
 I10_PR72                     2198-2204 (A)
 I10_PR73                     2205-2211 (A)
 I10_PR74                     2212-2218 (A)
 I10_PR75                     2219-2225 (A)
 I10_PR76                     2226-2232 (A)
 I10_PR77                     2233-2239 (A)
 I10_PR78                     2240-2246 (A)
 I10_PR79                     2247-2253 (A)
 I10_PR80                     2254-2260 (A)
 I10_PR81                     2261-2267 (A)
 I10_PR82                     2268-2274 (A)
 I10_PR83                     2275-2281 (A)
 I10_PR84                     2282-2288 (A)
 I10_PR85                     2289-2295 (A)
 I10_PR86                     2296-2302 (A)
 I10_PR87                     2303-2309 (A)
 I10_PR88                     2310-2316 (A)
 I10_PR89                     2317-2323 (A)
 I10_PR90                     2324-2330 (A)
 I10_PR91                     2331-2337 (A)
 I10_PR92                     2338-2344 (A)
 I10_PR93                     2345-2351 (A)
 I10_PR94                     2352-2358 (A)
 I10_PR95                     2359-2365 (A)
 I10_PR96                     2366-2372 (A)
 I10_PR97                     2373-2379 (A)
 I10_PR98                     2380-2386 (A)
 I10_PR99                     2387-2393 (A)
 I10_PR100                    2394-2400 (A)
 I10_PROCTYPE                 2401-2403
 KEY                          2404-2418
 LOS                          2419-2423
 LOS_X                        2424-2429
 MARITALSTATUS_X              2430     (A)
 MARITALSTATUSUB04            2431     (A)
 MDC                          2432-2433
 MDC_NoPOA                    2434-2435
 MDNUM1_R                     2436-2444
 MDNUM2_R                     2445-2453
 MDNUM3_R                     2454-2462
 MDNUM4_R                     2463-2471
 MEDINCSTQ                    2472-2473
 NCPT                         2474-2477
 OS_TIME                      2478-2488
 PAY1                         2489-2490
 PAY1_X                       2491-2494 (A)
 PAY2                         2495-2496
 PAY2_X                       2497-2500 (A)
 PAY3                         2501-2502
 PAY3_X                       2503-2506 (A)
 PL_CBSA                      2507-2509
 PL_NCHS                      2510-2511
 PL_RUCC                      2512-2513
 PL_UIC                       2514-2515
 PL_UR_CAT4                   2516-2517
 POA_Disch_Edit1              2518-2519
 POA_Disch_Edit2              2520-2521
 POA_Hosp_Edit1               2522-2523
 POA_Hosp_Edit2               2524-2525
 POA_Hosp_Edit3               2526-2527
 POA_Hosp_Edit3_Value         2528-2535
 PointOfOrigin_X              2536     (A)
 PointOfOriginUB04            2537     (A)
 PRDAY1                       2538-2542
 PRDAY2                       2543-2547
 PRDAY3                       2548-2552
 PRDAY4                       2553-2557
 PRDAY5                       2558-2562
 PRDAY6                       2563-2567
 PRDAY7                       2568-2572
 PRDAY8                       2573-2577
 PRDAY9                       2578-2582
 PRDAY10                      2583-2587
 PRDAY11                      2588-2592
 PRDAY12                      2593-2597
 PRDAY13                      2598-2602
 PRDAY14                      2603-2607
 PRDAY15                      2608-2612
 PRDAY16                      2613-2617
 PRDAY17                      2618-2622
 PRDAY18                      2623-2627
 PRDAY19                      2628-2632
 PRDAY20                      2633-2637
 PRDAY21                      2638-2642
 PRDAY22                      2643-2647
 PRDAY23                      2648-2652
 PRDAY24                      2653-2657
 PRDAY25                      2658-2662
 PRDAY26                      2663-2667
 PRDAY27                      2668-2672
 PRDAY28                      2673-2677
 PRDAY29                      2678-2682
 PRDAY30                      2683-2687
 PRDAY31                      2688-2692
 PRDAY32                      2693-2697
 PRDAY33                      2698-2702
 PRDAY34                      2703-2707
 PRDAY35                      2708-2712
 PRDAY36                      2713-2717
 PRDAY37                      2718-2722
 PRDAY38                      2723-2727
 PRDAY39                      2728-2732
 PRDAY40                      2733-2737
 PRDAY41                      2738-2742
 PRDAY42                      2743-2747
 PRDAY43                      2748-2752
 PRDAY44                      2753-2757
 PRDAY45                      2758-2762
 PRDAY46                      2763-2767
 PRDAY47                      2768-2772
 PRDAY48                      2773-2777
 PRDAY49                      2778-2782
 PRDAY50                      2783-2787
 PRDAY51                      2788-2792
 PRDAY52                      2793-2797
 PRDAY53                      2798-2802
 PRDAY54                      2803-2807
 PRDAY55                      2808-2812
 PRDAY56                      2813-2817
 PRDAY57                      2818-2822
 PRDAY58                      2823-2827
 PRDAY59                      2828-2832
 PRDAY60                      2833-2837
 PRDAY61                      2838-2842
 PRDAY62                      2843-2847
 PRDAY63                      2848-2852
 PRDAY64                      2853-2857
 PRDAY65                      2858-2862
 PRDAY66                      2863-2867
 PRDAY67                      2868-2872
 PRDAY68                      2873-2877
 PRDAY69                      2878-2882
 PRDAY70                      2883-2887
 PRDAY71                      2888-2892
 PRDAY72                      2893-2897
 PRDAY73                      2898-2902
 PRDAY74                      2903-2907
 PRDAY75                      2908-2912
 PRDAY76                      2913-2917
 PRDAY77                      2918-2922
 PRDAY78                      2923-2927
 PRDAY79                      2928-2932
 PRDAY80                      2933-2937
 PRDAY81                      2938-2942
 PRDAY82                      2943-2947
 PRDAY83                      2948-2952
 PRDAY84                      2953-2957
 PRDAY85                      2958-2962
 PRDAY86                      2963-2967
 PRDAY87                      2968-2972
 PRDAY88                      2973-2977
 PRDAY89                      2978-2982
 PRDAY90                      2983-2987
 PRDAY91                      2988-2992
 PRDAY92                      2993-2997
 PRDAY93                      2998-3002
 PRDAY94                      3003-3007
 PRDAY95                      3008-3012
 PRDAY96                      3013-3017
 PRDAY97                      3018-3022
 PRDAY98                      3023-3027
 PRDAY99                      3028-3032
 PRDAY100                     3033-3037
 PrimLang                     3038-3040 (A)
 PSTATE                       3041-3042 (A)
 PSTCO                        3043-3047
 PSTCO2                       3048-3052
 RACE                         3053-3054
 RACE_EDIT                    3055-3056
 RACE_X                       3057     (A)
 TOTCHG                       3058-3067
 TOTCHG_X                     3068-3082
 TRAN_IN                      3083-3084
 TRAN_OUT                     3085-3086
 VisitLink                    3087-3095
 YEAR                         3096-3099
 ZIP                          3100-3104 (A)
 ZIP3                         3105-3107 (A)
 ZIPINC_QRTL                  3108-3110
 HOSPID                       3111-3115
 AYEAR                        3116-3119
 BMONTH                       3120-3121
 BYEAR                        3122-3125
 PRMONTH1                     3126-3127
 PRMONTH2                     3128-3129
 PRMONTH3                     3130-3131
 PRMONTH4                     3132-3133
 PRMONTH5                     3134-3135
 PRMONTH6                     3136-3137
 PRMONTH7                     3138-3139
 PRMONTH8                     3140-3141
 PRMONTH9                     3142-3143
 PRMONTH10                    3144-3145
 PRMONTH11                    3146-3147
 PRMONTH12                    3148-3149
 PRMONTH13                    3150-3151
 PRMONTH14                    3152-3153
 PRMONTH15                    3154-3155
 PRMONTH16                    3156-3157
 PRMONTH17                    3158-3159
 PRMONTH18                    3160-3161
 PRMONTH19                    3162-3163
 PRMONTH20                    3164-3165
 PRMONTH21                    3166-3167
 PRMONTH22                    3168-3169
 PRMONTH23                    3170-3171
 PRMONTH24                    3172-3173
 PRMONTH25                    3174-3175
 PRMONTH26                    3176-3177
 PRMONTH27                    3178-3179
 PRMONTH28                    3180-3181
 PRMONTH29                    3182-3183
 PRMONTH30                    3184-3185
 PRMONTH31                    3186-3187
 PRMONTH32                    3188-3189
 PRMONTH33                    3190-3191
 PRMONTH34                    3192-3193
 PRMONTH35                    3194-3195
 PRMONTH36                    3196-3197
 PRMONTH37                    3198-3199
 PRMONTH38                    3200-3201
 PRMONTH39                    3202-3203
 PRMONTH40                    3204-3205
 PRMONTH41                    3206-3207
 PRMONTH42                    3208-3209
 PRMONTH43                    3210-3211
 PRMONTH44                    3212-3213
 PRMONTH45                    3214-3215
 PRMONTH46                    3216-3217
 PRMONTH47                    3218-3219
 PRMONTH48                    3220-3221
 PRMONTH49                    3222-3223
 PRMONTH50                    3224-3225
 PRMONTH51                    3226-3227
 PRMONTH52                    3228-3229
 PRMONTH53                    3230-3231
 PRMONTH54                    3232-3233
 PRMONTH55                    3234-3235
 PRMONTH56                    3236-3237
 PRMONTH57                    3238-3239
 PRMONTH58                    3240-3241
 PRMONTH59                    3242-3243
 PRMONTH60                    3244-3245
 PRMONTH61                    3246-3247
 PRMONTH62                    3248-3249
 PRMONTH63                    3250-3251
 PRMONTH64                    3252-3253
 PRMONTH65                    3254-3255
 PRMONTH66                    3256-3257
 PRMONTH67                    3258-3259
 PRMONTH68                    3260-3261
 PRMONTH69                    3262-3263
 PRMONTH70                    3264-3265
 PRMONTH71                    3266-3267
 PRMONTH72                    3268-3269
 PRMONTH73                    3270-3271
 PRMONTH74                    3272-3273
 PRMONTH75                    3274-3275
 PRMONTH76                    3276-3277
 PRMONTH77                    3278-3279
 PRMONTH78                    3280-3281
 PRMONTH79                    3282-3283
 PRMONTH80                    3284-3285
 PRMONTH81                    3286-3287
 PRMONTH82                    3288-3289
 PRMONTH83                    3290-3291
 PRMONTH84                    3292-3293
 PRMONTH85                    3294-3295
 PRMONTH86                    3296-3297
 PRMONTH87                    3298-3299
 PRMONTH88                    3300-3301
 PRMONTH89                    3302-3303
 PRMONTH90                    3304-3305
 PRMONTH91                    3306-3307
 PRMONTH92                    3308-3309
 PRMONTH93                    3310-3311
 PRMONTH94                    3312-3313
 PRMONTH95                    3314-3315
 PRMONTH96                    3316-3317
 PRMONTH97                    3318-3319
 PRMONTH98                    3320-3321
 PRMONTH99                    3322-3323
 PRMONTH100                   3324-3325
 PRYEAR1                      3326-3329
 PRYEAR2                      3330-3333
 PRYEAR3                      3334-3337
 PRYEAR4                      3338-3341
 PRYEAR5                      3342-3345
 PRYEAR6                      3346-3349
 PRYEAR7                      3350-3353
 PRYEAR8                      3354-3357
 PRYEAR9                      3358-3361
 PRYEAR10                     3362-3365
 PRYEAR11                     3366-3369
 PRYEAR12                     3370-3373
 PRYEAR13                     3374-3377
 PRYEAR14                     3378-3381
 PRYEAR15                     3382-3385
 PRYEAR16                     3386-3389
 PRYEAR17                     3390-3393
 PRYEAR18                     3394-3397
 PRYEAR19                     3398-3401
 PRYEAR20                     3402-3405
 PRYEAR21                     3406-3409
 PRYEAR22                     3410-3413
 PRYEAR23                     3414-3417
 PRYEAR24                     3418-3421
 PRYEAR25                     3422-3425
 PRYEAR26                     3426-3429
 PRYEAR27                     3430-3433
 PRYEAR28                     3434-3437
 PRYEAR29                     3438-3441
 PRYEAR30                     3442-3445
 PRYEAR31                     3446-3449
 PRYEAR32                     3450-3453
 PRYEAR33                     3454-3457
 PRYEAR34                     3458-3461
 PRYEAR35                     3462-3465
 PRYEAR36                     3466-3469
 PRYEAR37                     3470-3473
 PRYEAR38                     3474-3477
 PRYEAR39                     3478-3481
 PRYEAR40                     3482-3485
 PRYEAR41                     3486-3489
 PRYEAR42                     3490-3493
 PRYEAR43                     3494-3497
 PRYEAR44                     3498-3501
 PRYEAR45                     3502-3505
 PRYEAR46                     3506-3509
 PRYEAR47                     3510-3513
 PRYEAR48                     3514-3517
 PRYEAR49                     3518-3521
 PRYEAR50                     3522-3525
 PRYEAR51                     3526-3529
 PRYEAR52                     3530-3533
 PRYEAR53                     3534-3537
 PRYEAR54                     3538-3541
 PRYEAR55                     3542-3545
 PRYEAR56                     3546-3549
 PRYEAR57                     3550-3553
 PRYEAR58                     3554-3557
 PRYEAR59                     3558-3561
 PRYEAR60                     3562-3565
 PRYEAR61                     3566-3569
 PRYEAR62                     3570-3573
 PRYEAR63                     3574-3577
 PRYEAR64                     3578-3581
 PRYEAR65                     3582-3585
 PRYEAR66                     3586-3589
 PRYEAR67                     3590-3593
 PRYEAR68                     3594-3597
 PRYEAR69                     3598-3601
 PRYEAR70                     3602-3605
 PRYEAR71                     3606-3609
 PRYEAR72                     3610-3613
 PRYEAR73                     3614-3617
 PRYEAR74                     3618-3621
 PRYEAR75                     3622-3625
 PRYEAR76                     3626-3629
 PRYEAR77                     3630-3633
 PRYEAR78                     3634-3637
 PRYEAR79                     3638-3641
 PRYEAR80                     3642-3645
 PRYEAR81                     3646-3649
 PRYEAR82                     3650-3653
 PRYEAR83                     3654-3657
 PRYEAR84                     3658-3661
 PRYEAR85                     3662-3665
 PRYEAR86                     3666-3669
 PRYEAR87                     3670-3673
 PRYEAR88                     3674-3677
 PRYEAR89                     3678-3681
 PRYEAR90                     3682-3685
 PRYEAR91                     3686-3689
 PRYEAR92                     3690-3693
 PRYEAR93                     3694-3697
 PRYEAR94                     3698-3701
 PRYEAR95                     3702-3705
 PRYEAR96                     3706-3709
 PRYEAR97                     3710-3713
 PRYEAR98                     3714-3717
 PRYEAR99                     3718-3721
 PRYEAR100                    3722-3725.


***  Specify write formats  ***.
FORMATS
 AGE                          (F3.0) /
 AGEDAY                       (F3.0) /
 AGEMONTH                     (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 BWT                          (F4.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 DaysToEvent                  (F8.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 DRG                          (F3.0) /
 DRG_NoPOA                    (F3.0) /
 DRGVER                       (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDC                          (F3.0) /
 MDC_NoPOA                    (F3.0) /
 MDNUM1_R                     (F5.0) /
 MDNUM2_R                     (F5.0) /
 MDNUM3_R                     (F5.0) /
 MDNUM4_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PAY3                         (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PRDAY17                      (F4.0) /
 PRDAY18                      (F4.0) /
 PRDAY19                      (F4.0) /
 PRDAY20                      (F4.0) /
 PRDAY21                      (F4.0) /
 PRDAY22                      (F4.0) /
 PRDAY23                      (F4.0) /
 PRDAY24                      (F4.0) /
 PRDAY25                      (F4.0) /
 PRDAY26                      (F4.0) /
 PRDAY27                      (F4.0) /
 PRDAY28                      (F4.0) /
 PRDAY29                      (F4.0) /
 PRDAY30                      (F4.0) /
 PRDAY31                      (F4.0) /
 PRDAY32                      (F4.0) /
 PRDAY33                      (F4.0) /
 PRDAY34                      (F4.0) /
 PRDAY35                      (F4.0) /
 PRDAY36                      (F4.0) /
 PRDAY37                      (F4.0) /
 PRDAY38                      (F4.0) /
 PRDAY39                      (F4.0) /
 PRDAY40                      (F4.0) /
 PRDAY41                      (F4.0) /
 PRDAY42                      (F4.0) /
 PRDAY43                      (F4.0) /
 PRDAY44                      (F4.0) /
 PRDAY45                      (F4.0) /
 PRDAY46                      (F4.0) /
 PRDAY47                      (F4.0) /
 PRDAY48                      (F4.0) /
 PRDAY49                      (F4.0) /
 PRDAY50                      (F4.0) /
 PRDAY51                      (F4.0) /
 PRDAY52                      (F4.0) /
 PRDAY53                      (F4.0) /
 PRDAY54                      (F4.0) /
 PRDAY55                      (F4.0) /
 PRDAY56                      (F4.0) /
 PRDAY57                      (F4.0) /
 PRDAY58                      (F4.0) /
 PRDAY59                      (F4.0) /
 PRDAY60                      (F4.0) /
 PRDAY61                      (F4.0) /
 PRDAY62                      (F4.0) /
 PRDAY63                      (F4.0) /
 PRDAY64                      (F4.0) /
 PRDAY65                      (F4.0) /
 PRDAY66                      (F4.0) /
 PRDAY67                      (F4.0) /
 PRDAY68                      (F4.0) /
 PRDAY69                      (F4.0) /
 PRDAY70                      (F4.0) /
 PRDAY71                      (F4.0) /
 PRDAY72                      (F4.0) /
 PRDAY73                      (F4.0) /
 PRDAY74                      (F4.0) /
 PRDAY75                      (F4.0) /
 PRDAY76                      (F4.0) /
 PRDAY77                      (F4.0) /
 PRDAY78                      (F4.0) /
 PRDAY79                      (F4.0) /
 PRDAY80                      (F4.0) /
 PRDAY81                      (F4.0) /
 PRDAY82                      (F4.0) /
 PRDAY83                      (F4.0) /
 PRDAY84                      (F4.0) /
 PRDAY85                      (F4.0) /
 PRDAY86                      (F4.0) /
 PRDAY87                      (F4.0) /
 PRDAY88                      (F4.0) /
 PRDAY89                      (F4.0) /
 PRDAY90                      (F4.0) /
 PRDAY91                      (F4.0) /
 PRDAY92                      (F4.0) /
 PRDAY93                      (F4.0) /
 PRDAY94                      (F4.0) /
 PRDAY95                      (F4.0) /
 PRDAY96                      (F4.0) /
 PRDAY97                      (F4.0) /
 PRDAY98                      (F4.0) /
 PRDAY99                      (F4.0) /
 PRDAY100                     (F4.0) /
 PSTCO                        (F4.0) /
 PSTCO2                       (F4.0) /
 RACE                         (F3.0) /
 RACE_EDIT                    (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 TRAN_IN                      (F3.0) /
 TRAN_OUT                     (F3.0) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 HOSPID                       (F4.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRMONTH17                    (F3.0) /
 PRMONTH18                    (F3.0) /
 PRMONTH19                    (F3.0) /
 PRMONTH20                    (F3.0) /
 PRMONTH21                    (F3.0) /
 PRMONTH22                    (F3.0) /
 PRMONTH23                    (F3.0) /
 PRMONTH24                    (F3.0) /
 PRMONTH25                    (F3.0) /
 PRMONTH26                    (F3.0) /
 PRMONTH27                    (F3.0) /
 PRMONTH28                    (F3.0) /
 PRMONTH29                    (F3.0) /
 PRMONTH30                    (F3.0) /
 PRMONTH31                    (F3.0) /
 PRMONTH32                    (F3.0) /
 PRMONTH33                    (F3.0) /
 PRMONTH34                    (F3.0) /
 PRMONTH35                    (F3.0) /
 PRMONTH36                    (F3.0) /
 PRMONTH37                    (F3.0) /
 PRMONTH38                    (F3.0) /
 PRMONTH39                    (F3.0) /
 PRMONTH40                    (F3.0) /
 PRMONTH41                    (F3.0) /
 PRMONTH42                    (F3.0) /
 PRMONTH43                    (F3.0) /
 PRMONTH44                    (F3.0) /
 PRMONTH45                    (F3.0) /
 PRMONTH46                    (F3.0) /
 PRMONTH47                    (F3.0) /
 PRMONTH48                    (F3.0) /
 PRMONTH49                    (F3.0) /
 PRMONTH50                    (F3.0) /
 PRMONTH51                    (F3.0) /
 PRMONTH52                    (F3.0) /
 PRMONTH53                    (F3.0) /
 PRMONTH54                    (F3.0) /
 PRMONTH55                    (F3.0) /
 PRMONTH56                    (F3.0) /
 PRMONTH57                    (F3.0) /
 PRMONTH58                    (F3.0) /
 PRMONTH59                    (F3.0) /
 PRMONTH60                    (F3.0) /
 PRMONTH61                    (F3.0) /
 PRMONTH62                    (F3.0) /
 PRMONTH63                    (F3.0) /
 PRMONTH64                    (F3.0) /
 PRMONTH65                    (F3.0) /
 PRMONTH66                    (F3.0) /
 PRMONTH67                    (F3.0) /
 PRMONTH68                    (F3.0) /
 PRMONTH69                    (F3.0) /
 PRMONTH70                    (F3.0) /
 PRMONTH71                    (F3.0) /
 PRMONTH72                    (F3.0) /
 PRMONTH73                    (F3.0) /
 PRMONTH74                    (F3.0) /
 PRMONTH75                    (F3.0) /
 PRMONTH76                    (F3.0) /
 PRMONTH77                    (F3.0) /
 PRMONTH78                    (F3.0) /
 PRMONTH79                    (F3.0) /
 PRMONTH80                    (F3.0) /
 PRMONTH81                    (F3.0) /
 PRMONTH82                    (F3.0) /
 PRMONTH83                    (F3.0) /
 PRMONTH84                    (F3.0) /
 PRMONTH85                    (F3.0) /
 PRMONTH86                    (F3.0) /
 PRMONTH87                    (F3.0) /
 PRMONTH88                    (F3.0) /
 PRMONTH89                    (F3.0) /
 PRMONTH90                    (F3.0) /
 PRMONTH91                    (F3.0) /
 PRMONTH92                    (F3.0) /
 PRMONTH93                    (F3.0) /
 PRMONTH94                    (F3.0) /
 PRMONTH95                    (F3.0) /
 PRMONTH96                    (F3.0) /
 PRMONTH97                    (F3.0) /
 PRMONTH98                    (F3.0) /
 PRMONTH99                    (F3.0) /
 PRMONTH100                   (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) /
 PRYEAR17                     (F3.0) /
 PRYEAR18                     (F3.0) /
 PRYEAR19                     (F3.0) /
 PRYEAR20                     (F3.0) /
 PRYEAR21                     (F3.0) /
 PRYEAR22                     (F3.0) /
 PRYEAR23                     (F3.0) /
 PRYEAR24                     (F3.0) /
 PRYEAR25                     (F3.0) /
 PRYEAR26                     (F3.0) /
 PRYEAR27                     (F3.0) /
 PRYEAR28                     (F3.0) /
 PRYEAR29                     (F3.0) /
 PRYEAR30                     (F3.0) /
 PRYEAR31                     (F3.0) /
 PRYEAR32                     (F3.0) /
 PRYEAR33                     (F3.0) /
 PRYEAR34                     (F3.0) /
 PRYEAR35                     (F3.0) /
 PRYEAR36                     (F3.0) /
 PRYEAR37                     (F3.0) /
 PRYEAR38                     (F3.0) /
 PRYEAR39                     (F3.0) /
 PRYEAR40                     (F3.0) /
 PRYEAR41                     (F3.0) /
 PRYEAR42                     (F3.0) /
 PRYEAR43                     (F3.0) /
 PRYEAR44                     (F3.0) /
 PRYEAR45                     (F3.0) /
 PRYEAR46                     (F3.0) /
 PRYEAR47                     (F3.0) /
 PRYEAR48                     (F3.0) /
 PRYEAR49                     (F3.0) /
 PRYEAR50                     (F3.0) /
 PRYEAR51                     (F3.0) /
 PRYEAR52                     (F3.0) /
 PRYEAR53                     (F3.0) /
 PRYEAR54                     (F3.0) /
 PRYEAR55                     (F3.0) /
 PRYEAR56                     (F3.0) /
 PRYEAR57                     (F3.0) /
 PRYEAR58                     (F3.0) /
 PRYEAR59                     (F3.0) /
 PRYEAR60                     (F3.0) /
 PRYEAR61                     (F3.0) /
 PRYEAR62                     (F3.0) /
 PRYEAR63                     (F3.0) /
 PRYEAR64                     (F3.0) /
 PRYEAR65                     (F3.0) /
 PRYEAR66                     (F3.0) /
 PRYEAR67                     (F3.0) /
 PRYEAR68                     (F3.0) /
 PRYEAR69                     (F3.0) /
 PRYEAR70                     (F3.0) /
 PRYEAR71                     (F3.0) /
 PRYEAR72                     (F3.0) /
 PRYEAR73                     (F3.0) /
 PRYEAR74                     (F3.0) /
 PRYEAR75                     (F3.0) /
 PRYEAR76                     (F3.0) /
 PRYEAR77                     (F3.0) /
 PRYEAR78                     (F3.0) /
 PRYEAR79                     (F3.0) /
 PRYEAR80                     (F3.0) /
 PRYEAR81                     (F3.0) /
 PRYEAR82                     (F3.0) /
 PRYEAR83                     (F3.0) /
 PRYEAR84                     (F3.0) /
 PRYEAR85                     (F3.0) /
 PRYEAR86                     (F3.0) /
 PRYEAR87                     (F3.0) /
 PRYEAR88                     (F3.0) /
 PRYEAR89                     (F3.0) /
 PRYEAR90                     (F3.0) /
 PRYEAR91                     (F3.0) /
 PRYEAR92                     (F3.0) /
 PRYEAR93                     (F3.0) /
 PRYEAR94                     (F3.0) /
 PRYEAR95                     (F3.0) /
 PRYEAR96                     (F3.0) /
 PRYEAR97                     (F3.0) /
 PRYEAR98                     (F3.0) /
 PRYEAR99                     (F3.0) /
 PRYEAR100                    (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AGEDAY                       "Age in days (when age < 1 year)"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BILLTYPE                     "Type of bill, UB-04 coding"
 BWT                          "Birth weight in grams"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 DaysToEvent                  "Days from 'start date' to admission"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 DRG                          "DRG in effect on discharge date"
 DRG_NoPOA                    "DRG in use on discharge date, calculated without POA"
 DRGVER                       "DRG grouper version used on discharge date"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 DXPOA32                      "Diagnosis 32, present on admission indicator"
 DXPOA33                      "Diagnosis 33, present on admission indicator"
 DXPOA34                      "Diagnosis 34, present on admission indicator"
 DXPOA35                      "Diagnosis 35, present on admission indicator"
 DXPOA36                      "Diagnosis 36, present on admission indicator"
 DXPOA37                      "Diagnosis 37, present on admission indicator"
 DXPOA38                      "Diagnosis 38, present on admission indicator"
 DXPOA39                      "Diagnosis 39, present on admission indicator"
 DXPOA40                      "Diagnosis 40, present on admission indicator"
 DXPOA41                      "Diagnosis 41, present on admission indicator"
 DXPOA42                      "Diagnosis 42, present on admission indicator"
 DXPOA43                      "Diagnosis 43, present on admission indicator"
 DXPOA44                      "Diagnosis 44, present on admission indicator"
 DXPOA45                      "Diagnosis 45, present on admission indicator"
 DXPOA46                      "Diagnosis 46, present on admission indicator"
 DXPOA47                      "Diagnosis 47, present on admission indicator"
 DXPOA48                      "Diagnosis 48, present on admission indicator"
 DXPOA49                      "Diagnosis 49, present on admission indicator"
 DXPOA50                      "Diagnosis 50, present on admission indicator"
 DXPOA51                      "Diagnosis 51, present on admission indicator"
 DXPOA52                      "Diagnosis 52, present on admission indicator"
 DXPOA53                      "Diagnosis 53, present on admission indicator"
 DXPOA54                      "Diagnosis 54, present on admission indicator"
 DXPOA55                      "Diagnosis 55, present on admission indicator"
 DXPOA56                      "Diagnosis 56, present on admission indicator"
 DXPOA57                      "Diagnosis 57, present on admission indicator"
 DXPOA58                      "Diagnosis 58, present on admission indicator"
 DXPOA59                      "Diagnosis 59, present on admission indicator"
 DXPOA60                      "Diagnosis 60, present on admission indicator"
 DXPOA61                      "Diagnosis 61, present on admission indicator"
 DXPOA62                      "Diagnosis 62, present on admission indicator"
 DXPOA63                      "Diagnosis 63, present on admission indicator"
 DXPOA64                      "Diagnosis 64, present on admission indicator"
 DXPOA65                      "Diagnosis 65, present on admission indicator"
 DXPOA66                      "Diagnosis 66, present on admission indicator"
 DXPOA67                      "Diagnosis 67, present on admission indicator"
 DXPOA68                      "Diagnosis 68, present on admission indicator"
 DXPOA69                      "Diagnosis 69, present on admission indicator"
 DXPOA70                      "Diagnosis 70, present on admission indicator"
 DXPOA71                      "Diagnosis 71, present on admission indicator"
 DXPOA72                      "Diagnosis 72, present on admission indicator"
 DXPOA73                      "Diagnosis 73, present on admission indicator"
 DXPOA74                      "Diagnosis 74, present on admission indicator"
 DXPOA75                      "Diagnosis 75, present on admission indicator"
 DXPOA76                      "Diagnosis 76, present on admission indicator"
 DXPOA77                      "Diagnosis 77, present on admission indicator"
 DXPOA78                      "Diagnosis 78, present on admission indicator"
 DXPOA79                      "Diagnosis 79, present on admission indicator"
 DXPOA80                      "Diagnosis 80, present on admission indicator"
 DXPOA81                      "Diagnosis 81, present on admission indicator"
 DXPOA82                      "Diagnosis 82, present on admission indicator"
 DXPOA83                      "Diagnosis 83, present on admission indicator"
 DXPOA84                      "Diagnosis 84, present on admission indicator"
 DXPOA85                      "Diagnosis 85, present on admission indicator"
 DXPOA86                      "Diagnosis 86, present on admission indicator"
 DXPOA87                      "Diagnosis 87, present on admission indicator"
 DXPOA88                      "Diagnosis 88, present on admission indicator"
 DXPOA89                      "Diagnosis 89, present on admission indicator"
 DXPOA90                      "Diagnosis 90, present on admission indicator"
 DXPOA91                      "Diagnosis 91, present on admission indicator"
 DXPOA92                      "Diagnosis 92, present on admission indicator"
 DXPOA93                      "Diagnosis 93, present on admission indicator"
 DXPOA94                      "Diagnosis 94, present on admission indicator"
 DXPOA95                      "Diagnosis 95, present on admission indicator"
 DXPOA96                      "Diagnosis 96, present on admission indicator"
 DXPOA97                      "Diagnosis 97, present on admission indicator"
 DXPOA98                      "Diagnosis 98, present on admission indicator"
 DXPOA99                      "Diagnosis 99, present on admission indicator"
 DXPOA100                     "Diagnosis 100, present on admission indicator"
 DXPOA101                     "Diagnosis 101, present on admission indicator"
 DXPOA102                     "Diagnosis 102, present on admission indicator"
 DXPOA103                     "Diagnosis 103, present on admission indicator"
 DXPOA104                     "Diagnosis 104, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_DX34                     "ICD-10-CM Diagnosis 34"
 I10_DX35                     "ICD-10-CM Diagnosis 35"
 I10_DX36                     "ICD-10-CM Diagnosis 36"
 I10_DX37                     "ICD-10-CM Diagnosis 37"
 I10_DX38                     "ICD-10-CM Diagnosis 38"
 I10_DX39                     "ICD-10-CM Diagnosis 39"
 I10_DX40                     "ICD-10-CM Diagnosis 40"
 I10_DX41                     "ICD-10-CM Diagnosis 41"
 I10_DX42                     "ICD-10-CM Diagnosis 42"
 I10_DX43                     "ICD-10-CM Diagnosis 43"
 I10_DX44                     "ICD-10-CM Diagnosis 44"
 I10_DX45                     "ICD-10-CM Diagnosis 45"
 I10_DX46                     "ICD-10-CM Diagnosis 46"
 I10_DX47                     "ICD-10-CM Diagnosis 47"
 I10_DX48                     "ICD-10-CM Diagnosis 48"
 I10_DX49                     "ICD-10-CM Diagnosis 49"
 I10_DX50                     "ICD-10-CM Diagnosis 50"
 I10_DX51                     "ICD-10-CM Diagnosis 51"
 I10_DX52                     "ICD-10-CM Diagnosis 52"
 I10_DX53                     "ICD-10-CM Diagnosis 53"
 I10_DX54                     "ICD-10-CM Diagnosis 54"
 I10_DX55                     "ICD-10-CM Diagnosis 55"
 I10_DX56                     "ICD-10-CM Diagnosis 56"
 I10_DX57                     "ICD-10-CM Diagnosis 57"
 I10_DX58                     "ICD-10-CM Diagnosis 58"
 I10_DX59                     "ICD-10-CM Diagnosis 59"
 I10_DX60                     "ICD-10-CM Diagnosis 60"
 I10_DX61                     "ICD-10-CM Diagnosis 61"
 I10_DX62                     "ICD-10-CM Diagnosis 62"
 I10_DX63                     "ICD-10-CM Diagnosis 63"
 I10_DX64                     "ICD-10-CM Diagnosis 64"
 I10_DX65                     "ICD-10-CM Diagnosis 65"
 I10_DX66                     "ICD-10-CM Diagnosis 66"
 I10_DX67                     "ICD-10-CM Diagnosis 67"
 I10_DX68                     "ICD-10-CM Diagnosis 68"
 I10_DX69                     "ICD-10-CM Diagnosis 69"
 I10_DX70                     "ICD-10-CM Diagnosis 70"
 I10_DX71                     "ICD-10-CM Diagnosis 71"
 I10_DX72                     "ICD-10-CM Diagnosis 72"
 I10_DX73                     "ICD-10-CM Diagnosis 73"
 I10_DX74                     "ICD-10-CM Diagnosis 74"
 I10_DX75                     "ICD-10-CM Diagnosis 75"
 I10_DX76                     "ICD-10-CM Diagnosis 76"
 I10_DX77                     "ICD-10-CM Diagnosis 77"
 I10_DX78                     "ICD-10-CM Diagnosis 78"
 I10_DX79                     "ICD-10-CM Diagnosis 79"
 I10_DX80                     "ICD-10-CM Diagnosis 80"
 I10_DX81                     "ICD-10-CM Diagnosis 81"
 I10_DX82                     "ICD-10-CM Diagnosis 82"
 I10_DX83                     "ICD-10-CM Diagnosis 83"
 I10_DX84                     "ICD-10-CM Diagnosis 84"
 I10_DX85                     "ICD-10-CM Diagnosis 85"
 I10_DX86                     "ICD-10-CM Diagnosis 86"
 I10_DX87                     "ICD-10-CM Diagnosis 87"
 I10_DX88                     "ICD-10-CM Diagnosis 88"
 I10_DX89                     "ICD-10-CM Diagnosis 89"
 I10_DX90                     "ICD-10-CM Diagnosis 90"
 I10_DX91                     "ICD-10-CM Diagnosis 91"
 I10_DX92                     "ICD-10-CM Diagnosis 92"
 I10_DX93                     "ICD-10-CM Diagnosis 93"
 I10_DX94                     "ICD-10-CM Diagnosis 94"
 I10_DX95                     "ICD-10-CM Diagnosis 95"
 I10_DX96                     "ICD-10-CM Diagnosis 96"
 I10_DX97                     "ICD-10-CM Diagnosis 97"
 I10_DX98                     "ICD-10-CM Diagnosis 98"
 I10_DX99                     "ICD-10-CM Diagnosis 99"
 I10_DX100                    "ICD-10-CM Diagnosis 100"
 I10_DX101                    "ICD-10-CM Diagnosis 101"
 I10_DX102                    "ICD-10-CM Diagnosis 102"
 I10_DX103                    "ICD-10-CM Diagnosis 103"
 I10_DX104                    "ICD-10-CM Diagnosis 104"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PR17                     "ICD-10-PCS Procedure 17"
 I10_PR18                     "ICD-10-PCS Procedure 18"
 I10_PR19                     "ICD-10-PCS Procedure 19"
 I10_PR20                     "ICD-10-PCS Procedure 20"
 I10_PR21                     "ICD-10-PCS Procedure 21"
 I10_PR22                     "ICD-10-PCS Procedure 22"
 I10_PR23                     "ICD-10-PCS Procedure 23"
 I10_PR24                     "ICD-10-PCS Procedure 24"
 I10_PR25                     "ICD-10-PCS Procedure 25"
 I10_PR26                     "ICD-10-PCS Procedure 26"
 I10_PR27                     "ICD-10-PCS Procedure 27"
 I10_PR28                     "ICD-10-PCS Procedure 28"
 I10_PR29                     "ICD-10-PCS Procedure 29"
 I10_PR30                     "ICD-10-PCS Procedure 30"
 I10_PR31                     "ICD-10-PCS Procedure 31"
 I10_PR32                     "ICD-10-PCS Procedure 32"
 I10_PR33                     "ICD-10-PCS Procedure 33"
 I10_PR34                     "ICD-10-PCS Procedure 34"
 I10_PR35                     "ICD-10-PCS Procedure 35"
 I10_PR36                     "ICD-10-PCS Procedure 36"
 I10_PR37                     "ICD-10-PCS Procedure 37"
 I10_PR38                     "ICD-10-PCS Procedure 38"
 I10_PR39                     "ICD-10-PCS Procedure 39"
 I10_PR40                     "ICD-10-PCS Procedure 40"
 I10_PR41                     "ICD-10-PCS Procedure 41"
 I10_PR42                     "ICD-10-PCS Procedure 42"
 I10_PR43                     "ICD-10-PCS Procedure 43"
 I10_PR44                     "ICD-10-PCS Procedure 44"
 I10_PR45                     "ICD-10-PCS Procedure 45"
 I10_PR46                     "ICD-10-PCS Procedure 46"
 I10_PR47                     "ICD-10-PCS Procedure 47"
 I10_PR48                     "ICD-10-PCS Procedure 48"
 I10_PR49                     "ICD-10-PCS Procedure 49"
 I10_PR50                     "ICD-10-PCS Procedure 50"
 I10_PR51                     "ICD-10-PCS Procedure 51"
 I10_PR52                     "ICD-10-PCS Procedure 52"
 I10_PR53                     "ICD-10-PCS Procedure 53"
 I10_PR54                     "ICD-10-PCS Procedure 54"
 I10_PR55                     "ICD-10-PCS Procedure 55"
 I10_PR56                     "ICD-10-PCS Procedure 56"
 I10_PR57                     "ICD-10-PCS Procedure 57"
 I10_PR58                     "ICD-10-PCS Procedure 58"
 I10_PR59                     "ICD-10-PCS Procedure 59"
 I10_PR60                     "ICD-10-PCS Procedure 60"
 I10_PR61                     "ICD-10-PCS Procedure 61"
 I10_PR62                     "ICD-10-PCS Procedure 62"
 I10_PR63                     "ICD-10-PCS Procedure 63"
 I10_PR64                     "ICD-10-PCS Procedure 64"
 I10_PR65                     "ICD-10-PCS Procedure 65"
 I10_PR66                     "ICD-10-PCS Procedure 66"
 I10_PR67                     "ICD-10-PCS Procedure 67"
 I10_PR68                     "ICD-10-PCS Procedure 68"
 I10_PR69                     "ICD-10-PCS Procedure 69"
 I10_PR70                     "ICD-10-PCS Procedure 70"
 I10_PR71                     "ICD-10-PCS Procedure 71"
 I10_PR72                     "ICD-10-PCS Procedure 72"
 I10_PR73                     "ICD-10-PCS Procedure 73"
 I10_PR74                     "ICD-10-PCS Procedure 74"
 I10_PR75                     "ICD-10-PCS Procedure 75"
 I10_PR76                     "ICD-10-PCS Procedure 76"
 I10_PR77                     "ICD-10-PCS Procedure 77"
 I10_PR78                     "ICD-10-PCS Procedure 78"
 I10_PR79                     "ICD-10-PCS Procedure 79"
 I10_PR80                     "ICD-10-PCS Procedure 80"
 I10_PR81                     "ICD-10-PCS Procedure 81"
 I10_PR82                     "ICD-10-PCS Procedure 82"
 I10_PR83                     "ICD-10-PCS Procedure 83"
 I10_PR84                     "ICD-10-PCS Procedure 84"
 I10_PR85                     "ICD-10-PCS Procedure 85"
 I10_PR86                     "ICD-10-PCS Procedure 86"
 I10_PR87                     "ICD-10-PCS Procedure 87"
 I10_PR88                     "ICD-10-PCS Procedure 88"
 I10_PR89                     "ICD-10-PCS Procedure 89"
 I10_PR90                     "ICD-10-PCS Procedure 90"
 I10_PR91                     "ICD-10-PCS Procedure 91"
 I10_PR92                     "ICD-10-PCS Procedure 92"
 I10_PR93                     "ICD-10-PCS Procedure 93"
 I10_PR94                     "ICD-10-PCS Procedure 94"
 I10_PR95                     "ICD-10-PCS Procedure 95"
 I10_PR96                     "ICD-10-PCS Procedure 96"
 I10_PR97                     "ICD-10-PCS Procedure 97"
 I10_PR98                     "ICD-10-PCS Procedure 98"
 I10_PR99                     "ICD-10-PCS Procedure 99"
 I10_PR100                    "ICD-10-PCS Procedure 100"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MARITALSTATUS_X              "Patient's marital status (as received from source)"
 MARITALSTATUSUB04            "Patient's marital status, UB-04 standard coding"
 MDC                          "MDC in effect on discharge date"
 MDC_NoPOA                    "MDC in use on discharge date, calculated without POA"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MDNUM2_R                     "Physician 2 number (re-identified)"
 MDNUM3_R                     "Physician 3 number (re-identified)"
 MDNUM4_R                     "Physician 4 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAY3                         "Tertiary expected payer (uniform)"
 PAY3_X                       "Tertiary expected payer (as received from source)"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PRDAY17                      "Number of days from admission to I10_PR17"
 PRDAY18                      "Number of days from admission to I10_PR18"
 PRDAY19                      "Number of days from admission to I10_PR19"
 PRDAY20                      "Number of days from admission to I10_PR20"
 PRDAY21                      "Number of days from admission to I10_PR21"
 PRDAY22                      "Number of days from admission to I10_PR22"
 PRDAY23                      "Number of days from admission to I10_PR23"
 PRDAY24                      "Number of days from admission to I10_PR24"
 PRDAY25                      "Number of days from admission to I10_PR25"
 PRDAY26                      "Number of days from admission to I10_PR26"
 PRDAY27                      "Number of days from admission to I10_PR27"
 PRDAY28                      "Number of days from admission to I10_PR28"
 PRDAY29                      "Number of days from admission to I10_PR29"
 PRDAY30                      "Number of days from admission to I10_PR30"
 PRDAY31                      "Number of days from admission to I10_PR31"
 PRDAY32                      "Number of days from admission to I10_PR32"
 PRDAY33                      "Number of days from admission to I10_PR33"
 PRDAY34                      "Number of days from admission to I10_PR34"
 PRDAY35                      "Number of days from admission to I10_PR35"
 PRDAY36                      "Number of days from admission to I10_PR36"
 PRDAY37                      "Number of days from admission to I10_PR37"
 PRDAY38                      "Number of days from admission to I10_PR38"
 PRDAY39                      "Number of days from admission to I10_PR39"
 PRDAY40                      "Number of days from admission to I10_PR40"
 PRDAY41                      "Number of days from admission to I10_PR41"
 PRDAY42                      "Number of days from admission to I10_PR42"
 PRDAY43                      "Number of days from admission to I10_PR43"
 PRDAY44                      "Number of days from admission to I10_PR44"
 PRDAY45                      "Number of days from admission to I10_PR45"
 PRDAY46                      "Number of days from admission to I10_PR46"
 PRDAY47                      "Number of days from admission to I10_PR47"
 PRDAY48                      "Number of days from admission to I10_PR48"
 PRDAY49                      "Number of days from admission to I10_PR49"
 PRDAY50                      "Number of days from admission to I10_PR50"
 PRDAY51                      "Number of days from admission to I10_PR51"
 PRDAY52                      "Number of days from admission to I10_PR52"
 PRDAY53                      "Number of days from admission to I10_PR53"
 PRDAY54                      "Number of days from admission to I10_PR54"
 PRDAY55                      "Number of days from admission to I10_PR55"
 PRDAY56                      "Number of days from admission to I10_PR56"
 PRDAY57                      "Number of days from admission to I10_PR57"
 PRDAY58                      "Number of days from admission to I10_PR58"
 PRDAY59                      "Number of days from admission to I10_PR59"
 PRDAY60                      "Number of days from admission to I10_PR60"
 PRDAY61                      "Number of days from admission to I10_PR61"
 PRDAY62                      "Number of days from admission to I10_PR62"
 PRDAY63                      "Number of days from admission to I10_PR63"
 PRDAY64                      "Number of days from admission to I10_PR64"
 PRDAY65                      "Number of days from admission to I10_PR65"
 PRDAY66                      "Number of days from admission to I10_PR66"
 PRDAY67                      "Number of days from admission to I10_PR67"
 PRDAY68                      "Number of days from admission to I10_PR68"
 PRDAY69                      "Number of days from admission to I10_PR69"
 PRDAY70                      "Number of days from admission to I10_PR70"
 PRDAY71                      "Number of days from admission to I10_PR71"
 PRDAY72                      "Number of days from admission to I10_PR72"
 PRDAY73                      "Number of days from admission to I10_PR73"
 PRDAY74                      "Number of days from admission to I10_PR74"
 PRDAY75                      "Number of days from admission to I10_PR75"
 PRDAY76                      "Number of days from admission to I10_PR76"
 PRDAY77                      "Number of days from admission to I10_PR77"
 PRDAY78                      "Number of days from admission to I10_PR78"
 PRDAY79                      "Number of days from admission to I10_PR79"
 PRDAY80                      "Number of days from admission to I10_PR80"
 PRDAY81                      "Number of days from admission to I10_PR81"
 PRDAY82                      "Number of days from admission to I10_PR82"
 PRDAY83                      "Number of days from admission to I10_PR83"
 PRDAY84                      "Number of days from admission to I10_PR84"
 PRDAY85                      "Number of days from admission to I10_PR85"
 PRDAY86                      "Number of days from admission to I10_PR86"
 PRDAY87                      "Number of days from admission to I10_PR87"
 PRDAY88                      "Number of days from admission to I10_PR88"
 PRDAY89                      "Number of days from admission to I10_PR89"
 PRDAY90                      "Number of days from admission to I10_PR90"
 PRDAY91                      "Number of days from admission to I10_PR91"
 PRDAY92                      "Number of days from admission to I10_PR92"
 PRDAY93                      "Number of days from admission to I10_PR93"
 PRDAY94                      "Number of days from admission to I10_PR94"
 PRDAY95                      "Number of days from admission to I10_PR95"
 PRDAY96                      "Number of days from admission to I10_PR96"
 PRDAY97                      "Number of days from admission to I10_PR97"
 PRDAY98                      "Number of days from admission to I10_PR98"
 PRDAY99                      "Number of days from admission to I10_PR99"
 PRDAY100                     "Number of days from admission to I10_PR100"
 PrimLang                     "Primary language of patient"
 PSTATE                       "Patient State postal code"
 PSTCO                        "Patient state/county FIPS code"
 PSTCO2                       "Patient state/county FIPS code, possibly derived from ZIP Code"
 RACE                         "Race (uniform)"
 RACE_EDIT                    "Race Edit Checks"
 RACE_X                       "Race (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 TRAN_IN                      "Transfer in indicator"
 TRAN_OUT                     "Transfer out indicator"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 HOSPID                       "HCUP hospital identification number"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRMONTH17                    "Month of procedure 17"
 PRMONTH18                    "Month of procedure 18"
 PRMONTH19                    "Month of procedure 19"
 PRMONTH20                    "Month of procedure 20"
 PRMONTH21                    "Month of procedure 21"
 PRMONTH22                    "Month of procedure 22"
 PRMONTH23                    "Month of procedure 23"
 PRMONTH24                    "Month of procedure 24"
 PRMONTH25                    "Month of procedure 25"
 PRMONTH26                    "Month of procedure 26"
 PRMONTH27                    "Month of procedure 27"
 PRMONTH28                    "Month of procedure 28"
 PRMONTH29                    "Month of procedure 29"
 PRMONTH30                    "Month of procedure 30"
 PRMONTH31                    "Month of procedure 31"
 PRMONTH32                    "Month of procedure 32"
 PRMONTH33                    "Month of procedure 33"
 PRMONTH34                    "Month of procedure 34"
 PRMONTH35                    "Month of procedure 35"
 PRMONTH36                    "Month of procedure 36"
 PRMONTH37                    "Month of procedure 37"
 PRMONTH38                    "Month of procedure 38"
 PRMONTH39                    "Month of procedure 39"
 PRMONTH40                    "Month of procedure 40"
 PRMONTH41                    "Month of procedure 41"
 PRMONTH42                    "Month of procedure 42"
 PRMONTH43                    "Month of procedure 43"
 PRMONTH44                    "Month of procedure 44"
 PRMONTH45                    "Month of procedure 45"
 PRMONTH46                    "Month of procedure 46"
 PRMONTH47                    "Month of procedure 47"
 PRMONTH48                    "Month of procedure 48"
 PRMONTH49                    "Month of procedure 49"
 PRMONTH50                    "Month of procedure 50"
 PRMONTH51                    "Month of procedure 51"
 PRMONTH52                    "Month of procedure 52"
 PRMONTH53                    "Month of procedure 53"
 PRMONTH54                    "Month of procedure 54"
 PRMONTH55                    "Month of procedure 55"
 PRMONTH56                    "Month of procedure 56"
 PRMONTH57                    "Month of procedure 57"
 PRMONTH58                    "Month of procedure 58"
 PRMONTH59                    "Month of procedure 59"
 PRMONTH60                    "Month of procedure 60"
 PRMONTH61                    "Month of procedure 61"
 PRMONTH62                    "Month of procedure 62"
 PRMONTH63                    "Month of procedure 63"
 PRMONTH64                    "Month of procedure 64"
 PRMONTH65                    "Month of procedure 65"
 PRMONTH66                    "Month of procedure 66"
 PRMONTH67                    "Month of procedure 67"
 PRMONTH68                    "Month of procedure 68"
 PRMONTH69                    "Month of procedure 69"
 PRMONTH70                    "Month of procedure 70"
 PRMONTH71                    "Month of procedure 71"
 PRMONTH72                    "Month of procedure 72"
 PRMONTH73                    "Month of procedure 73"
 PRMONTH74                    "Month of procedure 74"
 PRMONTH75                    "Month of procedure 75"
 PRMONTH76                    "Month of procedure 76"
 PRMONTH77                    "Month of procedure 77"
 PRMONTH78                    "Month of procedure 78"
 PRMONTH79                    "Month of procedure 79"
 PRMONTH80                    "Month of procedure 80"
 PRMONTH81                    "Month of procedure 81"
 PRMONTH82                    "Month of procedure 82"
 PRMONTH83                    "Month of procedure 83"
 PRMONTH84                    "Month of procedure 84"
 PRMONTH85                    "Month of procedure 85"
 PRMONTH86                    "Month of procedure 86"
 PRMONTH87                    "Month of procedure 87"
 PRMONTH88                    "Month of procedure 88"
 PRMONTH89                    "Month of procedure 89"
 PRMONTH90                    "Month of procedure 90"
 PRMONTH91                    "Month of procedure 91"
 PRMONTH92                    "Month of procedure 92"
 PRMONTH93                    "Month of procedure 93"
 PRMONTH94                    "Month of procedure 94"
 PRMONTH95                    "Month of procedure 95"
 PRMONTH96                    "Month of procedure 96"
 PRMONTH97                    "Month of procedure 97"
 PRMONTH98                    "Month of procedure 98"
 PRMONTH99                    "Month of procedure 99"
 PRMONTH100                   "Month of procedure 100"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16"
 PRYEAR17                     "Year of procedure 17"
 PRYEAR18                     "Year of procedure 18"
 PRYEAR19                     "Year of procedure 19"
 PRYEAR20                     "Year of procedure 20"
 PRYEAR21                     "Year of procedure 21"
 PRYEAR22                     "Year of procedure 22"
 PRYEAR23                     "Year of procedure 23"
 PRYEAR24                     "Year of procedure 24"
 PRYEAR25                     "Year of procedure 25"
 PRYEAR26                     "Year of procedure 26"
 PRYEAR27                     "Year of procedure 27"
 PRYEAR28                     "Year of procedure 28"
 PRYEAR29                     "Year of procedure 29"
 PRYEAR30                     "Year of procedure 30"
 PRYEAR31                     "Year of procedure 31"
 PRYEAR32                     "Year of procedure 32"
 PRYEAR33                     "Year of procedure 33"
 PRYEAR34                     "Year of procedure 34"
 PRYEAR35                     "Year of procedure 35"
 PRYEAR36                     "Year of procedure 36"
 PRYEAR37                     "Year of procedure 37"
 PRYEAR38                     "Year of procedure 38"
 PRYEAR39                     "Year of procedure 39"
 PRYEAR40                     "Year of procedure 40"
 PRYEAR41                     "Year of procedure 41"
 PRYEAR42                     "Year of procedure 42"
 PRYEAR43                     "Year of procedure 43"
 PRYEAR44                     "Year of procedure 44"
 PRYEAR45                     "Year of procedure 45"
 PRYEAR46                     "Year of procedure 46"
 PRYEAR47                     "Year of procedure 47"
 PRYEAR48                     "Year of procedure 48"
 PRYEAR49                     "Year of procedure 49"
 PRYEAR50                     "Year of procedure 50"
 PRYEAR51                     "Year of procedure 51"
 PRYEAR52                     "Year of procedure 52"
 PRYEAR53                     "Year of procedure 53"
 PRYEAR54                     "Year of procedure 54"
 PRYEAR55                     "Year of procedure 55"
 PRYEAR56                     "Year of procedure 56"
 PRYEAR57                     "Year of procedure 57"
 PRYEAR58                     "Year of procedure 58"
 PRYEAR59                     "Year of procedure 59"
 PRYEAR60                     "Year of procedure 60"
 PRYEAR61                     "Year of procedure 61"
 PRYEAR62                     "Year of procedure 62"
 PRYEAR63                     "Year of procedure 63"
 PRYEAR64                     "Year of procedure 64"
 PRYEAR65                     "Year of procedure 65"
 PRYEAR66                     "Year of procedure 66"
 PRYEAR67                     "Year of procedure 67"
 PRYEAR68                     "Year of procedure 68"
 PRYEAR69                     "Year of procedure 69"
 PRYEAR70                     "Year of procedure 70"
 PRYEAR71                     "Year of procedure 71"
 PRYEAR72                     "Year of procedure 72"
 PRYEAR73                     "Year of procedure 73"
 PRYEAR74                     "Year of procedure 74"
 PRYEAR75                     "Year of procedure 75"
 PRYEAR76                     "Year of procedure 76"
 PRYEAR77                     "Year of procedure 77"
 PRYEAR78                     "Year of procedure 78"
 PRYEAR79                     "Year of procedure 79"
 PRYEAR80                     "Year of procedure 80"
 PRYEAR81                     "Year of procedure 81"
 PRYEAR82                     "Year of procedure 82"
 PRYEAR83                     "Year of procedure 83"
 PRYEAR84                     "Year of procedure 84"
 PRYEAR85                     "Year of procedure 85"
 PRYEAR86                     "Year of procedure 86"
 PRYEAR87                     "Year of procedure 87"
 PRYEAR88                     "Year of procedure 88"
 PRYEAR89                     "Year of procedure 89"
 PRYEAR90                     "Year of procedure 90"
 PRYEAR91                     "Year of procedure 91"
 PRYEAR92                     "Year of procedure 92"
 PRYEAR93                     "Year of procedure 93"
 PRYEAR94                     "Year of procedure 94"
 PRYEAR95                     "Year of procedure 95"
 PRYEAR96                     "Year of procedure 96"
 PRYEAR97                     "Year of procedure 97"
 PRYEAR98                     "Year of procedure 98"
 PRYEAR99                     "Year of procedure 99"
 PRYEAR100                    "Year of procedure 100" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE BWT
 (-999,-888,-666,-555=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM3_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM4_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY3
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY35
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY36
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY37
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY38
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY39
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY40
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY41
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY42
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY43
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY44
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY45
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY46
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY47
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY48
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY49
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY50
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY51
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY52
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY53
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY54
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY55
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY56
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY57
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY58
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY59
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY60
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY61
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY62
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY63
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY64
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY65
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY66
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY67
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY68
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY69
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY70
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY71
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY72
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY73
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY74
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY75
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY76
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY77
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY78
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY79
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY80
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY81
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY82
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY83
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY84
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY85
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY86
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY87
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY88
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY89
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY90
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY91
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY92
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY93
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY94
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY95
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY96
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY97
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY98
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY99
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY100
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_EDIT
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH35
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH36
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH37
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH38
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH39
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH40
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH41
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH42
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH43
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH44
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH45
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH46
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH47
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH48
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH49
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH50
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH51
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH52
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH53
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH54
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH55
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH56
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH57
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH58
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH59
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH60
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH61
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH62
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH63
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH64
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH65
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH66
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH67
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH68
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH69
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH70
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH71
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH72
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH73
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH74
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH75
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH76
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH77
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH78
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH79
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH80
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH81
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH82
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH83
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH84
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH85
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH86
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH87
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH88
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH89
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH90
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH91
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH92
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH93
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH94
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH95
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH96
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH97
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH98
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH99
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH100
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR35
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR36
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR37
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR38
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR39
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR40
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR41
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR42
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR43
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR44
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR45
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR46
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR47
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR48
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR49
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR50
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR51
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR52
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR53
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR54
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR55
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR56
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR57
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR58
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR59
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR60
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR61
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR62
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR63
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR64
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR65
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR66
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR67
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR68
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR69
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR70
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR71
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR72
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR73
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR74
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR75
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR76
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR77
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR78
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR79
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR80
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR81
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR82
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR83
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR84
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR85
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR86
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR87
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR88
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR89
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR90
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR91
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR92
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR93
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR94
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR95
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR96
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR97
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR98
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR99
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR100
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'GA_SID_2018_CORE.SAV' /COMPRESSED.
