/*******************************************************************
* Creation Date: 12/10/2014   
*   HI_SID_2005_DX_PR_GRPS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY DX_PR_GRPS FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'HI_SID_2005_DX_PR_GRPS.ASC' FIXED SKIP=2 / 
 KEY                        1-  15
 CCSMGN1                   16-  18
 CCSMGN2                   19-  21
 CCSMGN3                   22-  24
 CCSMGN4                   25-  27
 CCSMGN5                   28-  30
 CCSMGN6                   31-  33
 CCSMGN7                   34-  36
 CCSMGN8                   37-  39
 CCSMGN9                   40-  42
 CCSMGN10                  43-  45
 CCSMGN11                  46-  48
 CCSMGN12                  49-  51
 CCSMGN13                  52-  54
 CCSMGN14                  55-  57
 CCSMGN15                  58-  60
 CCSMGN16                  61-  63
 CCSMGN17                  64-  66
 CCSMGN18                  67-  69
 CCSMGN19                  70-  72
 CCSMGN20                  73-  75
 CCSMSP1                   76-  79
 CCSMSP2                   80-  83
 CCSMSP3                   84-  87
 CCSMSP4                   88-  91
 CCSMSP5                   92-  95
 CCSMSP6                   96-  99
 CCSMSP7                  100- 103
 CCSMSP8                  104- 107
 CCSMSP9                  108- 111
 CCSMSP10                 112- 115
 CCSMSP11                 116- 119
 CCSMSP12                 120- 123
 CCSMSP13                 124- 127
 CCSMSP14                 128- 131
 CCSMSP15                 132- 135
 CCSMSP16                 136- 139
 CCSMSP17                 140- 143
 CCSMSP18                 144- 147
 CCSMSP19                 148- 151
 CCSMSP20                 152- 155
 CHRON1                   156- 157
 CHRON2                   158- 159
 CHRON3                   160- 161
 CHRON4                   162- 163
 CHRON5                   164- 165
 CHRON6                   166- 167
 CHRON7                   168- 169
 CHRON8                   170- 171
 CHRON9                   172- 173
 CHRON10                  174- 175
 CHRON11                  176- 177
 CHRON12                  178- 179
 CHRON13                  180- 181
 CHRON14                  182- 183
 CHRON15                  184- 185
 CHRON16                  186- 187
 CHRON17                  188- 189
 CHRON18                  190- 191
 CHRON19                  192- 193
 CHRON20                  194- 195
 CHRONB1                  196- 197
 CHRONB2                  198- 199
 CHRONB3                  200- 201
 CHRONB4                  202- 203
 CHRONB5                  204- 205
 CHRONB6                  206- 207
 CHRONB7                  208- 209
 CHRONB8                  210- 211
 CHRONB9                  212- 213
 CHRONB10                 214- 215
 CHRONB11                 216- 217
 CHRONB12                 218- 219
 CHRONB13                 220- 221
 CHRONB14                 222- 223
 CHRONB15                 224- 225
 CHRONB16                 226- 227
 CHRONB17                 228- 229
 CHRONB18                 230- 231
 CHRONB19                 232- 233
 CHRONB20                 234- 235
 ECCSMGN1                 236- 238
 ECCSMGN2                 239- 241
 ECCSMGN3                 242- 244
 ECCSMGN4                 245- 247
 ECCSMGN5                 248- 250
 ECCSMGN6                 251- 253
 PCLASS1                  254- 255
 PCLASS2                  256- 257
 PCLASS3                  258- 259
 PCLASS4                  260- 261
 PCLASS5                  262- 263
 PCLASS6                  264- 265
 PCLASS7                  266- 267
 PCLASS8                  268- 269
 PCLASS9                  270- 271
 PCLASS10                 272- 273
 PCLASS11                 274- 275
 PCLASS12                 276- 277
 PCLASS13                 278- 279
 PCLASS14                 280- 281
 PCLASS15                 282- 283
 PCLASS16                 284- 285
 PCLASS17                 286- 287
 PCLASS18                 288- 289
 PCLASS19                 290- 291
 PCLASS20                 292- 293.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CCSMGN1                 (F3.0) /
 CCSMGN2                 (F3.0) /
 CCSMGN3                 (F3.0) /
 CCSMGN4                 (F3.0) /
 CCSMGN5                 (F3.0) /
 CCSMGN6                 (F3.0) /
 CCSMGN7                 (F3.0) /
 CCSMGN8                 (F3.0) /
 CCSMGN9                 (F3.0) /
 CCSMGN10                (F3.0) /
 CCSMGN11                (F3.0) /
 CCSMGN12                (F3.0) /
 CCSMGN13                (F3.0) /
 CCSMGN14                (F3.0) /
 CCSMGN15                (F3.0) /
 CCSMGN16                (F3.0) /
 CCSMGN17                (F3.0) /
 CCSMGN18                (F3.0) /
 CCSMGN19                (F3.0) /
 CCSMGN20                (F3.0) /
 CCSMSP1                 (F3.0) /
 CCSMSP2                 (F3.0) /
 CCSMSP3                 (F3.0) /
 CCSMSP4                 (F3.0) /
 CCSMSP5                 (F3.0) /
 CCSMSP6                 (F3.0) /
 CCSMSP7                 (F3.0) /
 CCSMSP8                 (F3.0) /
 CCSMSP9                 (F3.0) /
 CCSMSP10                (F3.0) /
 CCSMSP11                (F3.0) /
 CCSMSP12                (F3.0) /
 CCSMSP13                (F3.0) /
 CCSMSP14                (F3.0) /
 CCSMSP15                (F3.0) /
 CCSMSP16                (F3.0) /
 CCSMSP17                (F3.0) /
 CCSMSP18                (F3.0) /
 CCSMSP19                (F3.0) /
 CCSMSP20                (F3.0) /
 CHRON1                  (F3.0) /
 CHRON2                  (F3.0) /
 CHRON3                  (F3.0) /
 CHRON4                  (F3.0) /
 CHRON5                  (F3.0) /
 CHRON6                  (F3.0) /
 CHRON7                  (F3.0) /
 CHRON8                  (F3.0) /
 CHRON9                  (F3.0) /
 CHRON10                 (F3.0) /
 CHRON11                 (F3.0) /
 CHRON12                 (F3.0) /
 CHRON13                 (F3.0) /
 CHRON14                 (F3.0) /
 CHRON15                 (F3.0) /
 CHRON16                 (F3.0) /
 CHRON17                 (F3.0) /
 CHRON18                 (F3.0) /
 CHRON19                 (F3.0) /
 CHRON20                 (F3.0) /
 CHRONB1                 (F3.0) /
 CHRONB2                 (F3.0) /
 CHRONB3                 (F3.0) /
 CHRONB4                 (F3.0) /
 CHRONB5                 (F3.0) /
 CHRONB6                 (F3.0) /
 CHRONB7                 (F3.0) /
 CHRONB8                 (F3.0) /
 CHRONB9                 (F3.0) /
 CHRONB10                (F3.0) /
 CHRONB11                (F3.0) /
 CHRONB12                (F3.0) /
 CHRONB13                (F3.0) /
 CHRONB14                (F3.0) /
 CHRONB15                (F3.0) /
 CHRONB16                (F3.0) /
 CHRONB17                (F3.0) /
 CHRONB18                (F3.0) /
 CHRONB19                (F3.0) /
 CHRONB20                (F3.0) /
 ECCSMGN1                (F3.0) /
 ECCSMGN2                (F3.0) /
 ECCSMGN3                (F3.0) /
 ECCSMGN4                (F3.0) /
 ECCSMGN5                (F3.0) /
 ECCSMGN6                (F3.0) /
 PCLASS1                 (F3.0) /
 PCLASS2                 (F3.0) /
 PCLASS3                 (F3.0) /
 PCLASS4                 (F3.0) /
 PCLASS5                 (F3.0) /
 PCLASS6                 (F3.0) /
 PCLASS7                 (F3.0) /
 PCLASS8                 (F3.0) /
 PCLASS9                 (F3.0) /
 PCLASS10                (F3.0) /
 PCLASS11                (F3.0) /
 PCLASS12                (F3.0) /
 PCLASS13                (F3.0) /
 PCLASS14                (F3.0) /
 PCLASS15                (F3.0) /
 PCLASS16                (F3.0) /
 PCLASS17                (F3.0) /
 PCLASS18                (F3.0) /
 PCLASS19                (F3.0) /
 PCLASS20                (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                     "HCUP record identifier"
 CCSMGN1                 "CCS-MHSA general category: principal diagnosis"
 CCSMGN2                 "CCS-MHSA general category: diagnosis 2"
 CCSMGN3                 "CCS-MHSA general category: diagnosis 3"
 CCSMGN4                 "CCS-MHSA general category: diagnosis 4"
 CCSMGN5                 "CCS-MHSA general category: diagnosis 5"
 CCSMGN6                 "CCS-MHSA general category: diagnosis 6"
 CCSMGN7                 "CCS-MHSA general category: diagnosis 7"
 CCSMGN8                 "CCS-MHSA general category: diagnosis 8"
 CCSMGN9                 "CCS-MHSA general category: diagnosis 9"
 CCSMGN10                "CCS-MHSA general category: diagnosis 10"
 CCSMGN11                "CCS-MHSA general category: diagnosis 11"
 CCSMGN12                "CCS-MHSA general category: diagnosis 12"
 CCSMGN13                "CCS-MHSA general category: diagnosis 13"
 CCSMGN14                "CCS-MHSA general category: diagnosis 14"
 CCSMGN15                "CCS-MHSA general category: diagnosis 15"
 CCSMGN16                "CCS-MHSA general category: diagnosis 16"
 CCSMGN17                "CCS-MHSA general category: diagnosis 17"
 CCSMGN18                "CCS-MHSA general category: diagnosis 18"
 CCSMGN19                "CCS-MHSA general category: diagnosis 19"
 CCSMGN20                "CCS-MHSA general category: diagnosis 20"
 CCSMSP1                 "CCS-MHSA specific category: principal diagnosis"
 CCSMSP2                 "CCS-MHSA specific category: diagnosis 2"
 CCSMSP3                 "CCS-MHSA specific category: diagnosis 3"
 CCSMSP4                 "CCS-MHSA specific category: diagnosis 4"
 CCSMSP5                 "CCS-MHSA specific category: diagnosis 5"
 CCSMSP6                 "CCS-MHSA specific category: diagnosis 6"
 CCSMSP7                 "CCS-MHSA specific category: diagnosis 7"
 CCSMSP8                 "CCS-MHSA specific category: diagnosis 8"
 CCSMSP9                 "CCS-MHSA specific category: diagnosis 9"
 CCSMSP10                "CCS-MHSA specific category: diagnosis 10"
 CCSMSP11                "CCS-MHSA specific category: diagnosis 11"
 CCSMSP12                "CCS-MHSA specific category: diagnosis 12"
 CCSMSP13                "CCS-MHSA specific category: diagnosis 13"
 CCSMSP14                "CCS-MHSA specific category: diagnosis 14"
 CCSMSP15                "CCS-MHSA specific category: diagnosis 15"
 CCSMSP16                "CCS-MHSA specific category: diagnosis 16"
 CCSMSP17                "CCS-MHSA specific category: diagnosis 17"
 CCSMSP18                "CCS-MHSA specific category: diagnosis 18"
 CCSMSP19                "CCS-MHSA specific category: diagnosis 19"
 CCSMSP20                "CCS-MHSA specific category: diagnosis 20"
 CHRON1                  "Chronic condition indicator 1"
 CHRON2                  "Chronic condition indicator 2"
 CHRON3                  "Chronic condition indicator 3"
 CHRON4                  "Chronic condition indicator 4"
 CHRON5                  "Chronic condition indicator 5"
 CHRON6                  "Chronic condition indicator 6"
 CHRON7                  "Chronic condition indicator 7"
 CHRON8                  "Chronic condition indicator 8"
 CHRON9                  "Chronic condition indicator 9"
 CHRON10                 "Chronic condition indicator 10"
 CHRON11                 "Chronic condition indicator 11"
 CHRON12                 "Chronic condition indicator 12"
 CHRON13                 "Chronic condition indicator 13"
 CHRON14                 "Chronic condition indicator 14"
 CHRON15                 "Chronic condition indicator 15"
 CHRON16                 "Chronic condition indicator 16"
 CHRON17                 "Chronic condition indicator 17"
 CHRON18                 "Chronic condition indicator 18"
 CHRON19                 "Chronic condition indicator 19"
 CHRON20                 "Chronic condition indicator 20"
 CHRONB1                 "Chronic condition body system 1"
 CHRONB2                 "Chronic condition body system 2"
 CHRONB3                 "Chronic condition body system 3"
 CHRONB4                 "Chronic condition body system 4"
 CHRONB5                 "Chronic condition body system 5"
 CHRONB6                 "Chronic condition body system 6"
 CHRONB7                 "Chronic condition body system 7"
 CHRONB8                 "Chronic condition body system 8"
 CHRONB9                 "Chronic condition body system 9"
 CHRONB10                "Chronic condition body system 10"
 CHRONB11                "Chronic condition body system 11"
 CHRONB12                "Chronic condition body system 12"
 CHRONB13                "Chronic condition body system 13"
 CHRONB14                "Chronic condition body system 14"
 CHRONB15                "Chronic condition body system 15"
 CHRONB16                "Chronic condition body system 16"
 CHRONB17                "Chronic condition body system 17"
 CHRONB18                "Chronic condition body system 18"
 CHRONB19                "Chronic condition body system 19"
 CHRONB20                "Chronic condition body system 20"
 ECCSMGN1                "CCS-MHSA general category: E Code 1"
 ECCSMGN2                "CCS-MHSA general category: E Code 2"
 ECCSMGN3                "CCS-MHSA general category: E Code 3"
 ECCSMGN4                "CCS-MHSA general category: E Code 4"
 ECCSMGN5                "CCS-MHSA general category: E Code 5"
 ECCSMGN6                "CCS-MHSA general category: E Code 6"
 PCLASS1                 "Principal procedure class"
 PCLASS2                 "Procedure class 2"
 PCLASS3                 "Procedure class 3"
 PCLASS4                 "Procedure class 4"
 PCLASS5                 "Procedure class 5"
 PCLASS6                 "Procedure class 6"
 PCLASS7                 "Procedure class 7"
 PCLASS8                 "Procedure class 8"
 PCLASS9                 "Procedure class 9"
 PCLASS10                "Procedure class 10"
 PCLASS11                "Procedure class 11"
 PCLASS12                "Procedure class 12"
 PCLASS13                "Procedure class 13"
 PCLASS14                "Procedure class 14"
 PCLASS15                "Procedure class 15"
 PCLASS16                "Procedure class 16"
 PCLASS17                "Procedure class 17"
 PCLASS18                "Procedure class 18"
 PCLASS19                "Procedure class 19"
 PCLASS20                "Procedure class 20" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CCSMGN1
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN2
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN3
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN4
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN5
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN6
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN7
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN8
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN9
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN10
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN11
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN12
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN13
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN14
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN15
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN16
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN17
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN18
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN19
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMGN20
 (-99,-88,-66,-55=SYSMIS).
RECODE CCSMSP1
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP2
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP3
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP4
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP5
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP6
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP7
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP8
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP9
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP10
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP11
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP12
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP13
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP14
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP15
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP16
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP17
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP18
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP19
 (-999,-888,-666,-555=SYSMIS).
RECODE CCSMSP20
 (-999,-888,-666,-555=SYSMIS).
RECODE CHRON1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON15
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON16
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON17
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON18
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON19
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRON20
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB1
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB2
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB3
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB4
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB5
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB6
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB7
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB8
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB9
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB10
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB11
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB12
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB13
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB14
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB15
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB16
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB17
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB18
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB19
 (-9,-8,-6,-5=SYSMIS).
RECODE CHRONB20
 (-9,-8,-6,-5=SYSMIS).
RECODE ECCSMGN1
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN2
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN3
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN4
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN5
 (-99,-88,-66,-55=SYSMIS).
RECODE ECCSMGN6
 (-99,-88,-66,-55=SYSMIS).
RECODE PCLASS1
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS2
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS3
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS4
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS5
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS6
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS7
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS8
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS9
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS10
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS11
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS12
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS13
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS14
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS15
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS16
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS17
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS18
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS19
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS20
 (-9,-8,-6,-5=SYSMIS).



SAVE OUTFILE = 'HI_SID_2005_DX_PR_GRPS.SAV' /COMPRESSED.
