/*******************************************************************
* Creation Date: 10/07/2020   
*   MA_SID_2018_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'MA_SID_2018_CORE.ASC' FIXED SKIP=2 / 
 ADRG                            1-   3
 ADRGRISKMORTALITY               4-   5
 ADRGSEV                         6-   7
 AGE                             8-  10
 AGEMONTH                       11-  13
 AMDC                           14-  15
 AMONTH                         16-  17
 ASOURCE                        18-  19
 ASOURCE_X                      20     (A)
 ASOURCEUB92                    21     (A)
 ATYPE                          22-  23
 AWEEKEND                       24-  25
 BWT                            26-  29
 DaysBetweenVisits              30-  33
 DaysToEvent                    34-  39
 DIED                           40-  41
 DISP_X                         42-  43 (A)
 DISPUB04                       44-  45
 DISPUNIFORM                    46-  47
 DMONTH                         48-  49
 DNR                            50-  51
 DQTR                           52-  53
 DRG                            54-  56
 DRG_NoPOA                      57-  59
 DRGVER                         60-  61
 DSHOSPID                       62-  78 (A)
 DXPOA1                         79     (A)
 DXPOA2                         80     (A)
 DXPOA3                         81     (A)
 DXPOA4                         82     (A)
 DXPOA5                         83     (A)
 DXPOA6                         84     (A)
 DXPOA7                         85     (A)
 DXPOA8                         86     (A)
 DXPOA9                         87     (A)
 DXPOA10                        88     (A)
 DXPOA11                        89     (A)
 DXPOA12                        90     (A)
 DXPOA13                        91     (A)
 DXPOA14                        92     (A)
 DXPOA15                        93     (A)
 DXPOA16                        94     (A)
 DXPOA17                        95     (A)
 DXPOA18                        96     (A)
 DXPOA19                        97     (A)
 DXPOA20                        98     (A)
 DXPOA21                        99     (A)
 DXPOA22                       100     (A)
 DXPOA23                       101     (A)
 DXPOA24                       102     (A)
 DXPOA25                       103     (A)
 DXPOA26                       104     (A)
 DXPOA27                       105     (A)
 DXPOA28                       106     (A)
 DXPOA29                       107     (A)
 DXPOA30                       108     (A)
 DXPOA31                       109     (A)
 DXPOA32                       110     (A)
 DXPOA33                       111     (A)
 DXPOA34                       112     (A)
 DXPOA35                       113     (A)
 DXPOA36                       114     (A)
 DXPOA37                       115     (A)
 DXPOA38                       116     (A)
 DXPOA39                       117     (A)
 DXPOA40                       118     (A)
 DXPOA41                       119     (A)
 DXPOA42                       120     (A)
 DXPOA43                       121     (A)
 DXPOA44                       122     (A)
 DXPOA45                       123     (A)
 DXPOA46                       124     (A)
 DXPOA47                       125     (A)
 DXPOA48                       126     (A)
 DXPOA49                       127     (A)
 DXPOA50                       128     (A)
 DXPOA51                       129     (A)
 DXPOA52                       130     (A)
 DXPOA53                       131     (A)
 DXPOA54                       132     (A)
 DXPOA55                       133     (A)
 DXPOA56                       134     (A)
 DXPOA57                       135     (A)
 DXPOA58                       136     (A)
 DXPOA59                       137     (A)
 DXPOA60                       138     (A)
 DXPOA61                       139     (A)
 DXPOA62                       140     (A)
 DXPOA63                       141     (A)
 DXPOA64                       142     (A)
 DXPOA65                       143     (A)
 DXPOA66                       144     (A)
 DXPOA67                       145     (A)
 DXPOA68                       146     (A)
 DXPOA69                       147     (A)
 DXPOA70                       148     (A)
 DXPOA71                       149     (A)
 DXPOA72                       150     (A)
 DXPOA73                       151     (A)
 DXPOA74                       152     (A)
 DXPOA75                       153     (A)
 DXPOA76                       154     (A)
 DXPOA77                       155     (A)
 DXPOA78                       156     (A)
 DXPOA79                       157     (A)
 DXPOA80                       158     (A)
 DXPOA81                       159     (A)
 DXPOA82                       160     (A)
 DXPOA83                       161     (A)
 DXPOA84                       162     (A)
 DXPOA85                       163     (A)
 DXPOA86                       164     (A)
 DXPOA87                       165     (A)
 DXPOA88                       166     (A)
 DXPOA89                       167     (A)
 DXPOA90                       168     (A)
 FEMALE                        169- 170
 HCUP_ED                       171- 172
 HCUP_OS                       173- 174
 HISPANIC                      175- 176
 HISPANIC_X                    177- 191 (A)
 Homeless                      192- 193
 HOSPST                        194- 195 (A)
 I10_DX_Admitting              196- 202 (A)
 I10_DX1                       203- 209 (A)
 I10_DX2                       210- 216 (A)
 I10_DX3                       217- 223 (A)
 I10_DX4                       224- 230 (A)
 I10_DX5                       231- 237 (A)
 I10_DX6                       238- 244 (A)
 I10_DX7                       245- 251 (A)
 I10_DX8                       252- 258 (A)
 I10_DX9                       259- 265 (A)
 I10_DX10                      266- 272 (A)
 I10_DX11                      273- 279 (A)
 I10_DX12                      280- 286 (A)
 I10_DX13                      287- 293 (A)
 I10_DX14                      294- 300 (A)
 I10_DX15                      301- 307 (A)
 I10_DX16                      308- 314 (A)
 I10_DX17                      315- 321 (A)
 I10_DX18                      322- 328 (A)
 I10_DX19                      329- 335 (A)
 I10_DX20                      336- 342 (A)
 I10_DX21                      343- 349 (A)
 I10_DX22                      350- 356 (A)
 I10_DX23                      357- 363 (A)
 I10_DX24                      364- 370 (A)
 I10_DX25                      371- 377 (A)
 I10_DX26                      378- 384 (A)
 I10_DX27                      385- 391 (A)
 I10_DX28                      392- 398 (A)
 I10_DX29                      399- 405 (A)
 I10_DX30                      406- 412 (A)
 I10_DX31                      413- 419 (A)
 I10_DX32                      420- 426 (A)
 I10_DX33                      427- 433 (A)
 I10_DX34                      434- 440 (A)
 I10_DX35                      441- 447 (A)
 I10_DX36                      448- 454 (A)
 I10_DX37                      455- 461 (A)
 I10_DX38                      462- 468 (A)
 I10_DX39                      469- 475 (A)
 I10_DX40                      476- 482 (A)
 I10_DX41                      483- 489 (A)
 I10_DX42                      490- 496 (A)
 I10_DX43                      497- 503 (A)
 I10_DX44                      504- 510 (A)
 I10_DX45                      511- 517 (A)
 I10_DX46                      518- 524 (A)
 I10_DX47                      525- 531 (A)
 I10_DX48                      532- 538 (A)
 I10_DX49                      539- 545 (A)
 I10_DX50                      546- 552 (A)
 I10_DX51                      553- 559 (A)
 I10_DX52                      560- 566 (A)
 I10_DX53                      567- 573 (A)
 I10_DX54                      574- 580 (A)
 I10_DX55                      581- 587 (A)
 I10_DX56                      588- 594 (A)
 I10_DX57                      595- 601 (A)
 I10_DX58                      602- 608 (A)
 I10_DX59                      609- 615 (A)
 I10_DX60                      616- 622 (A)
 I10_DX61                      623- 629 (A)
 I10_DX62                      630- 636 (A)
 I10_DX63                      637- 643 (A)
 I10_DX64                      644- 650 (A)
 I10_DX65                      651- 657 (A)
 I10_DX66                      658- 664 (A)
 I10_DX67                      665- 671 (A)
 I10_DX68                      672- 678 (A)
 I10_DX69                      679- 685 (A)
 I10_DX70                      686- 692 (A)
 I10_DX71                      693- 699 (A)
 I10_DX72                      700- 706 (A)
 I10_DX73                      707- 713 (A)
 I10_DX74                      714- 720 (A)
 I10_DX75                      721- 727 (A)
 I10_DX76                      728- 734 (A)
 I10_DX77                      735- 741 (A)
 I10_DX78                      742- 748 (A)
 I10_DX79                      749- 755 (A)
 I10_DX80                      756- 762 (A)
 I10_DX81                      763- 769 (A)
 I10_DX82                      770- 776 (A)
 I10_DX83                      777- 783 (A)
 I10_DX84                      784- 790 (A)
 I10_DX85                      791- 797 (A)
 I10_DX86                      798- 804 (A)
 I10_DX87                      805- 811 (A)
 I10_DX88                      812- 818 (A)
 I10_DX89                      819- 825 (A)
 I10_DX90                      826- 832 (A)
 I10_NDX                       833- 835
 I10_NPR                       836- 838
 I10_PR1                       839- 845 (A)
 I10_PR2                       846- 852 (A)
 I10_PR3                       853- 859 (A)
 I10_PR4                       860- 866 (A)
 I10_PR5                       867- 873 (A)
 I10_PR6                       874- 880 (A)
 I10_PR7                       881- 887 (A)
 I10_PR8                       888- 894 (A)
 I10_PR9                       895- 901 (A)
 I10_PR10                      902- 908 (A)
 I10_PR11                      909- 915 (A)
 I10_PR12                      916- 922 (A)
 I10_PR13                      923- 929 (A)
 I10_PR14                      930- 936 (A)
 I10_PR15                      937- 943 (A)
 I10_PR16                      944- 950 (A)
 I10_PR17                      951- 957 (A)
 I10_PR18                      958- 964 (A)
 I10_PR19                      965- 971 (A)
 I10_PR20                      972- 978 (A)
 I10_PR21                      979- 985 (A)
 I10_PR22                      986- 992 (A)
 I10_PR23                      993- 999 (A)
 I10_PR24                     1000-1006 (A)
 I10_PR25                     1007-1013 (A)
 I10_PR26                     1014-1020 (A)
 I10_PR27                     1021-1027 (A)
 I10_PR28                     1028-1034 (A)
 I10_PR29                     1035-1041 (A)
 I10_PR30                     1042-1048 (A)
 I10_PR31                     1049-1055 (A)
 I10_PR32                     1056-1062 (A)
 I10_PR33                     1063-1069 (A)
 I10_PR34                     1070-1076 (A)
 I10_PR35                     1077-1083 (A)
 I10_PR36                     1084-1090 (A)
 I10_PR37                     1091-1097 (A)
 I10_PR38                     1098-1104 (A)
 I10_PR39                     1105-1111 (A)
 I10_PR40                     1112-1118 (A)
 I10_PR41                     1119-1125 (A)
 I10_PR42                     1126-1132 (A)
 I10_PR43                     1133-1139 (A)
 I10_PR44                     1140-1146 (A)
 I10_PR45                     1147-1153 (A)
 I10_PR46                     1154-1160 (A)
 I10_PR47                     1161-1167 (A)
 I10_PR48                     1168-1174 (A)
 I10_PR49                     1175-1181 (A)
 I10_PR50                     1182-1188 (A)
 I10_PR51                     1189-1195 (A)
 I10_PR52                     1196-1202 (A)
 I10_PR53                     1203-1209 (A)
 I10_PR54                     1210-1216 (A)
 I10_PR55                     1217-1223 (A)
 I10_PR56                     1224-1230 (A)
 I10_PR57                     1231-1237 (A)
 I10_PR58                     1238-1244 (A)
 I10_PR59                     1245-1251 (A)
 I10_PR60                     1252-1258 (A)
 I10_PR61                     1259-1265 (A)
 I10_PR62                     1266-1272 (A)
 I10_PR63                     1273-1279 (A)
 I10_PR64                     1280-1286 (A)
 I10_PR65                     1287-1293 (A)
 I10_PR66                     1294-1300 (A)
 I10_PR67                     1301-1307 (A)
 I10_PR68                     1308-1314 (A)
 I10_PR69                     1315-1321 (A)
 I10_PR70                     1322-1328 (A)
 I10_PR71                     1329-1335 (A)
 I10_PR72                     1336-1342 (A)
 I10_PR73                     1343-1349 (A)
 I10_PR74                     1350-1356 (A)
 I10_PR75                     1357-1363 (A)
 I10_PR76                     1364-1370 (A)
 I10_PR77                     1371-1377 (A)
 I10_PR78                     1378-1384 (A)
 I10_PR79                     1385-1391 (A)
 I10_PR80                     1392-1398 (A)
 I10_PR81                     1399-1405 (A)
 I10_PR82                     1406-1412 (A)
 I10_PR83                     1413-1419 (A)
 I10_PR84                     1420-1426 (A)
 I10_PR85                     1427-1433 (A)
 I10_PR86                     1434-1440 (A)
 I10_PR87                     1441-1447 (A)
 I10_PR88                     1448-1454 (A)
 I10_PR89                     1455-1461 (A)
 I10_PR90                     1462-1468 (A)
 I10_PR91                     1469-1475 (A)
 I10_PR92                     1476-1482 (A)
 I10_PR93                     1483-1489 (A)
 I10_PR94                     1490-1496 (A)
 I10_PR95                     1497-1503 (A)
 I10_PR96                     1504-1510 (A)
 I10_PR97                     1511-1517 (A)
 I10_PR98                     1518-1524 (A)
 I10_PR99                     1525-1531 (A)
 I10_PR100                    1532-1538 (A)
 I10_PR101                    1539-1545 (A)
 I10_PR102                    1546-1552 (A)
 I10_PR103                    1553-1559 (A)
 I10_PR104                    1560-1566 (A)
 I10_PR105                    1567-1573 (A)
 I10_PR106                    1574-1580 (A)
 I10_PR107                    1581-1587 (A)
 I10_PR108                    1588-1594 (A)
 I10_PR109                    1595-1601 (A)
 I10_PR110                    1602-1608 (A)
 I10_PR111                    1609-1615 (A)
 I10_PR112                    1616-1622 (A)
 I10_PR113                    1623-1629 (A)
 I10_PR114                    1630-1636 (A)
 I10_PR115                    1637-1643 (A)
 I10_PR116                    1644-1650 (A)
 I10_PR117                    1651-1657 (A)
 I10_PR118                    1658-1664 (A)
 I10_PR119                    1665-1671 (A)
 I10_PR120                    1672-1678 (A)
 I10_PR121                    1679-1685 (A)
 I10_PR122                    1686-1692 (A)
 I10_PR123                    1693-1699 (A)
 I10_PR124                    1700-1706 (A)
 I10_PR125                    1707-1713 (A)
 I10_PR126                    1714-1720 (A)
 I10_PR127                    1721-1727 (A)
 I10_PROCTYPE                 1728-1730
 KEY                          1731-1745
 LOS                          1746-1750
 LOS_X                        1751-1756
 MDC                          1757-1758
 MDC_NoPOA                    1759-1760
 MEDINCSTQ                    1761-1762
 OS_TIME                      1763-1773
 PAY1                         1774-1775
 PAY1_X                       1776     (A)
 PAY2                         1777-1778
 PAY2_X                       1779     (A)
 PAYER1_X                     1780-1782 (A)
 PAYER2_X                     1783-1785 (A)
 PL_CBSA                      1786-1788
 PL_UR_CAT4                   1789-1790
 POA_Disch_Edit1              1791-1792
 POA_Disch_Edit2              1793-1794
 POA_Hosp_Edit1               1795-1796
 POA_Hosp_Edit2               1797-1798
 POA_Hosp_Edit3               1799-1800
 POA_Hosp_Edit3_Value         1801-1808
 PRDAY1                       1809-1813
 PRDAY2                       1814-1818
 PRDAY3                       1819-1823
 PRDAY4                       1824-1828
 PRDAY5                       1829-1833
 PRDAY6                       1834-1838
 PRDAY7                       1839-1843
 PRDAY8                       1844-1848
 PRDAY9                       1849-1853
 PRDAY10                      1854-1858
 PRDAY11                      1859-1863
 PRDAY12                      1864-1868
 PRDAY13                      1869-1873
 PRDAY14                      1874-1878
 PRDAY15                      1879-1883
 PRDAY16                      1884-1888
 PRDAY17                      1889-1893
 PRDAY18                      1894-1898
 PRDAY19                      1899-1903
 PRDAY20                      1904-1908
 PRDAY21                      1909-1913
 PRDAY22                      1914-1918
 PRDAY23                      1919-1923
 PRDAY24                      1924-1928
 PRDAY25                      1929-1933
 PRDAY26                      1934-1938
 PRDAY27                      1939-1943
 PRDAY28                      1944-1948
 PRDAY29                      1949-1953
 PRDAY30                      1954-1958
 PRDAY31                      1959-1963
 PRDAY32                      1964-1968
 PRDAY33                      1969-1973
 PRDAY34                      1974-1978
 PRDAY35                      1979-1983
 PRDAY36                      1984-1988
 PRDAY37                      1989-1993
 PRDAY38                      1994-1998
 PRDAY39                      1999-2003
 PRDAY40                      2004-2008
 PRDAY41                      2009-2013
 PRDAY42                      2014-2018
 PRDAY43                      2019-2023
 PRDAY44                      2024-2028
 PRDAY45                      2029-2033
 PRDAY46                      2034-2038
 PRDAY47                      2039-2043
 PRDAY48                      2044-2048
 PRDAY49                      2049-2053
 PRDAY50                      2054-2058
 PRDAY51                      2059-2063
 PRDAY52                      2064-2068
 PRDAY53                      2069-2073
 PRDAY54                      2074-2078
 PRDAY55                      2079-2083
 PRDAY56                      2084-2088
 PRDAY57                      2089-2093
 PRDAY58                      2094-2098
 PRDAY59                      2099-2103
 PRDAY60                      2104-2108
 PRDAY61                      2109-2113
 PRDAY62                      2114-2118
 PRDAY63                      2119-2123
 PRDAY64                      2124-2128
 PRDAY65                      2129-2133
 PRDAY66                      2134-2138
 PRDAY67                      2139-2143
 PRDAY68                      2144-2148
 PRDAY69                      2149-2153
 PRDAY70                      2154-2158
 PRDAY71                      2159-2163
 PRDAY72                      2164-2168
 PRDAY73                      2169-2173
 PRDAY74                      2174-2178
 PRDAY75                      2179-2183
 PRDAY76                      2184-2188
 PRDAY77                      2189-2193
 PRDAY78                      2194-2198
 PRDAY79                      2199-2203
 PRDAY80                      2204-2208
 PRDAY81                      2209-2213
 PRDAY82                      2214-2218
 PRDAY83                      2219-2223
 PRDAY84                      2224-2228
 PRDAY85                      2229-2233
 PRDAY86                      2234-2238
 PRDAY87                      2239-2243
 PRDAY88                      2244-2248
 PRDAY89                      2249-2253
 PRDAY90                      2254-2258
 PRDAY91                      2259-2263
 PRDAY92                      2264-2268
 PRDAY93                      2269-2273
 PRDAY94                      2274-2278
 PRDAY95                      2279-2283
 PRDAY96                      2284-2288
 PRDAY97                      2289-2293
 PRDAY98                      2294-2298
 PRDAY99                      2299-2303
 PRDAY100                     2304-2308
 PRDAY101                     2309-2313
 PRDAY102                     2314-2318
 PRDAY103                     2319-2323
 PRDAY104                     2324-2328
 PRDAY105                     2329-2333
 PRDAY106                     2334-2338
 PRDAY107                     2339-2343
 PRDAY108                     2344-2348
 PRDAY109                     2349-2353
 PRDAY110                     2354-2358
 PRDAY111                     2359-2363
 PRDAY112                     2364-2368
 PRDAY113                     2369-2373
 PRDAY114                     2374-2378
 PRDAY115                     2379-2383
 PRDAY116                     2384-2388
 PRDAY117                     2389-2393
 PRDAY118                     2394-2398
 PRDAY119                     2399-2403
 PRDAY120                     2404-2408
 PRDAY121                     2409-2413
 PRDAY122                     2414-2418
 PRDAY123                     2419-2423
 PRDAY124                     2424-2428
 PRDAY125                     2429-2433
 PRDAY126                     2434-2438
 PRDAY127                     2439-2443
 PSTATE                       2444-2445 (A)
 PSTCO2                       2446-2450
 RACE                         2451-2452
 RACE_EDIT                    2453-2454
 RACE_X                       2455-2467 (A)
 TOTCHG                       2468-2477
 TOTCHG_X                     2478-2492
 TRAN_IN                      2493-2494
 TRAN_OUT                     2495-2496
 VisitLink                    2497-2505
 YEAR                         2506-2509
 ZIP3                         2510-2512 (A)
 ZIPINC_QRTL                  2513-2515
 AYEAR                        2516-2519
 PRMONTH1                     2520-2521
 PRMONTH2                     2522-2523
 PRMONTH3                     2524-2525
 PRMONTH4                     2526-2527
 PRMONTH5                     2528-2529
 PRMONTH6                     2530-2531
 PRMONTH7                     2532-2533
 PRMONTH8                     2534-2535
 PRMONTH9                     2536-2537
 PRMONTH10                    2538-2539
 PRMONTH11                    2540-2541
 PRMONTH12                    2542-2543
 PRMONTH13                    2544-2545
 PRMONTH14                    2546-2547
 PRMONTH15                    2548-2549
 PRMONTH16                    2550-2551
 PRMONTH17                    2552-2553
 PRMONTH18                    2554-2555
 PRMONTH19                    2556-2557
 PRMONTH20                    2558-2559
 PRMONTH21                    2560-2561
 PRMONTH22                    2562-2563
 PRMONTH23                    2564-2565
 PRMONTH24                    2566-2567
 PRMONTH25                    2568-2569
 PRMONTH26                    2570-2571
 PRMONTH27                    2572-2573
 PRMONTH28                    2574-2575
 PRMONTH29                    2576-2577
 PRMONTH30                    2578-2579
 PRMONTH31                    2580-2581
 PRMONTH32                    2582-2583
 PRMONTH33                    2584-2585
 PRMONTH34                    2586-2587
 PRMONTH35                    2588-2589
 PRMONTH36                    2590-2591
 PRMONTH37                    2592-2593
 PRMONTH38                    2594-2595
 PRMONTH39                    2596-2597
 PRMONTH40                    2598-2599
 PRMONTH41                    2600-2601
 PRMONTH42                    2602-2603
 PRMONTH43                    2604-2605
 PRMONTH44                    2606-2607
 PRMONTH45                    2608-2609
 PRMONTH46                    2610-2611
 PRMONTH47                    2612-2613
 PRMONTH48                    2614-2615
 PRMONTH49                    2616-2617
 PRMONTH50                    2618-2619
 PRMONTH51                    2620-2621
 PRMONTH52                    2622-2623
 PRMONTH53                    2624-2625
 PRMONTH54                    2626-2627
 PRMONTH55                    2628-2629
 PRMONTH56                    2630-2631
 PRMONTH57                    2632-2633
 PRMONTH58                    2634-2635
 PRMONTH59                    2636-2637
 PRMONTH60                    2638-2639
 PRMONTH61                    2640-2641
 PRMONTH62                    2642-2643
 PRMONTH63                    2644-2645
 PRMONTH64                    2646-2647
 PRMONTH65                    2648-2649
 PRMONTH66                    2650-2651
 PRMONTH67                    2652-2653
 PRMONTH68                    2654-2655
 PRMONTH69                    2656-2657
 PRMONTH70                    2658-2659
 PRMONTH71                    2660-2661
 PRMONTH72                    2662-2663
 PRMONTH73                    2664-2665
 PRMONTH74                    2666-2667
 PRMONTH75                    2668-2669
 PRMONTH76                    2670-2671
 PRMONTH77                    2672-2673
 PRMONTH78                    2674-2675
 PRMONTH79                    2676-2677
 PRMONTH80                    2678-2679
 PRMONTH81                    2680-2681
 PRMONTH82                    2682-2683
 PRMONTH83                    2684-2685
 PRMONTH84                    2686-2687
 PRMONTH85                    2688-2689
 PRMONTH86                    2690-2691
 PRMONTH87                    2692-2693
 PRMONTH88                    2694-2695
 PRMONTH89                    2696-2697
 PRMONTH90                    2698-2699
 PRMONTH91                    2700-2701
 PRMONTH92                    2702-2703
 PRMONTH93                    2704-2705
 PRMONTH94                    2706-2707
 PRMONTH95                    2708-2709
 PRMONTH96                    2710-2711
 PRMONTH97                    2712-2713
 PRMONTH98                    2714-2715
 PRMONTH99                    2716-2717
 PRMONTH100                   2718-2719
 PRMONTH101                   2720-2721
 PRMONTH102                   2722-2723
 PRMONTH103                   2724-2725
 PRMONTH104                   2726-2727
 PRMONTH105                   2728-2729
 PRMONTH106                   2730-2731
 PRMONTH107                   2732-2733
 PRMONTH108                   2734-2735
 PRMONTH109                   2736-2737
 PRMONTH110                   2738-2739
 PRMONTH111                   2740-2741
 PRMONTH112                   2742-2743
 PRMONTH113                   2744-2745
 PRMONTH114                   2746-2747
 PRMONTH115                   2748-2749
 PRMONTH116                   2750-2751
 PRMONTH117                   2752-2753
 PRMONTH118                   2754-2755
 PRMONTH119                   2756-2757
 PRMONTH120                   2758-2759
 PRMONTH121                   2760-2761
 PRMONTH122                   2762-2763
 PRMONTH123                   2764-2765
 PRMONTH124                   2766-2767
 PRMONTH125                   2768-2769
 PRMONTH126                   2770-2771
 PRMONTH127                   2772-2773
 PRYEAR1                      2774-2777
 PRYEAR2                      2778-2781
 PRYEAR3                      2782-2785
 PRYEAR4                      2786-2789
 PRYEAR5                      2790-2793
 PRYEAR6                      2794-2797
 PRYEAR7                      2798-2801
 PRYEAR8                      2802-2805
 PRYEAR9                      2806-2809
 PRYEAR10                     2810-2813
 PRYEAR11                     2814-2817
 PRYEAR12                     2818-2821
 PRYEAR13                     2822-2825
 PRYEAR14                     2826-2829
 PRYEAR15                     2830-2833
 PRYEAR16                     2834-2837
 PRYEAR17                     2838-2841
 PRYEAR18                     2842-2845
 PRYEAR19                     2846-2849
 PRYEAR20                     2850-2853
 PRYEAR21                     2854-2857
 PRYEAR22                     2858-2861
 PRYEAR23                     2862-2865
 PRYEAR24                     2866-2869
 PRYEAR25                     2870-2873
 PRYEAR26                     2874-2877
 PRYEAR27                     2878-2881
 PRYEAR28                     2882-2885
 PRYEAR29                     2886-2889
 PRYEAR30                     2890-2893
 PRYEAR31                     2894-2897
 PRYEAR32                     2898-2901
 PRYEAR33                     2902-2905
 PRYEAR34                     2906-2909
 PRYEAR35                     2910-2913
 PRYEAR36                     2914-2917
 PRYEAR37                     2918-2921
 PRYEAR38                     2922-2925
 PRYEAR39                     2926-2929
 PRYEAR40                     2930-2933
 PRYEAR41                     2934-2937
 PRYEAR42                     2938-2941
 PRYEAR43                     2942-2945
 PRYEAR44                     2946-2949
 PRYEAR45                     2950-2953
 PRYEAR46                     2954-2957
 PRYEAR47                     2958-2961
 PRYEAR48                     2962-2965
 PRYEAR49                     2966-2969
 PRYEAR50                     2970-2973
 PRYEAR51                     2974-2977
 PRYEAR52                     2978-2981
 PRYEAR53                     2982-2985
 PRYEAR54                     2986-2989
 PRYEAR55                     2990-2993
 PRYEAR56                     2994-2997
 PRYEAR57                     2998-3001
 PRYEAR58                     3002-3005
 PRYEAR59                     3006-3009
 PRYEAR60                     3010-3013
 PRYEAR61                     3014-3017
 PRYEAR62                     3018-3021
 PRYEAR63                     3022-3025
 PRYEAR64                     3026-3029
 PRYEAR65                     3030-3033
 PRYEAR66                     3034-3037
 PRYEAR67                     3038-3041
 PRYEAR68                     3042-3045
 PRYEAR69                     3046-3049
 PRYEAR70                     3050-3053
 PRYEAR71                     3054-3057
 PRYEAR72                     3058-3061
 PRYEAR73                     3062-3065
 PRYEAR74                     3066-3069
 PRYEAR75                     3070-3073
 PRYEAR76                     3074-3077
 PRYEAR77                     3078-3081
 PRYEAR78                     3082-3085
 PRYEAR79                     3086-3089
 PRYEAR80                     3090-3093
 PRYEAR81                     3094-3097
 PRYEAR82                     3098-3101
 PRYEAR83                     3102-3105
 PRYEAR84                     3106-3109
 PRYEAR85                     3110-3113
 PRYEAR86                     3114-3117
 PRYEAR87                     3118-3121
 PRYEAR88                     3122-3125
 PRYEAR89                     3126-3129
 PRYEAR90                     3130-3133
 PRYEAR91                     3134-3137
 PRYEAR92                     3138-3141
 PRYEAR93                     3142-3145
 PRYEAR94                     3146-3149
 PRYEAR95                     3150-3153
 PRYEAR96                     3154-3157
 PRYEAR97                     3158-3161
 PRYEAR98                     3162-3165
 PRYEAR99                     3166-3169
 PRYEAR100                    3170-3173
 PRYEAR101                    3174-3177
 PRYEAR102                    3178-3181
 PRYEAR103                    3182-3185
 PRYEAR104                    3186-3189
 PRYEAR105                    3190-3193
 PRYEAR106                    3194-3197
 PRYEAR107                    3198-3201
 PRYEAR108                    3202-3205
 PRYEAR109                    3206-3209
 PRYEAR110                    3210-3213
 PRYEAR111                    3214-3217
 PRYEAR112                    3218-3221
 PRYEAR113                    3222-3225
 PRYEAR114                    3226-3229
 PRYEAR115                    3230-3233
 PRYEAR116                    3234-3237
 PRYEAR117                    3238-3241
 PRYEAR118                    3242-3245
 PRYEAR119                    3246-3249
 PRYEAR120                    3250-3253
 PRYEAR121                    3254-3257
 PRYEAR122                    3258-3261
 PRYEAR123                    3262-3265
 PRYEAR124                    3266-3269
 PRYEAR125                    3270-3273
 PRYEAR126                    3274-3277
 PRYEAR127                    3278-3281.


***  Specify write formats  ***.
FORMATS
 ADRG                         (F3.0) /
 ADRGRISKMORTALITY            (F3.0) /
 ADRGSEV                      (F3.0) /
 AGE                          (F3.0) /
 AGEMONTH                     (F3.0) /
 AMDC                         (F3.0) /
 AMONTH                       (F3.0) /
 ASOURCE                      (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 BWT                          (F4.0) /
 DaysBetweenVisits            (F3.0) /
 DaysToEvent                  (F8.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DNR                          (F3.0) /
 DQTR                         (F3.0) /
 DRG                          (F3.0) /
 DRG_NoPOA                    (F3.0) /
 DRGVER                       (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDC                          (F3.0) /
 MDC_NoPOA                    (F3.0) /
 MEDINCSTQ                    (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PRDAY17                      (F4.0) /
 PRDAY18                      (F4.0) /
 PRDAY19                      (F4.0) /
 PRDAY20                      (F4.0) /
 PRDAY21                      (F4.0) /
 PRDAY22                      (F4.0) /
 PRDAY23                      (F4.0) /
 PRDAY24                      (F4.0) /
 PRDAY25                      (F4.0) /
 PRDAY26                      (F4.0) /
 PRDAY27                      (F4.0) /
 PRDAY28                      (F4.0) /
 PRDAY29                      (F4.0) /
 PRDAY30                      (F4.0) /
 PRDAY31                      (F4.0) /
 PRDAY32                      (F4.0) /
 PRDAY33                      (F4.0) /
 PRDAY34                      (F4.0) /
 PRDAY35                      (F4.0) /
 PRDAY36                      (F4.0) /
 PRDAY37                      (F4.0) /
 PRDAY38                      (F4.0) /
 PRDAY39                      (F4.0) /
 PRDAY40                      (F4.0) /
 PRDAY41                      (F4.0) /
 PRDAY42                      (F4.0) /
 PRDAY43                      (F4.0) /
 PRDAY44                      (F4.0) /
 PRDAY45                      (F4.0) /
 PRDAY46                      (F4.0) /
 PRDAY47                      (F4.0) /
 PRDAY48                      (F4.0) /
 PRDAY49                      (F4.0) /
 PRDAY50                      (F4.0) /
 PRDAY51                      (F4.0) /
 PRDAY52                      (F4.0) /
 PRDAY53                      (F4.0) /
 PRDAY54                      (F4.0) /
 PRDAY55                      (F4.0) /
 PRDAY56                      (F4.0) /
 PRDAY57                      (F4.0) /
 PRDAY58                      (F4.0) /
 PRDAY59                      (F4.0) /
 PRDAY60                      (F4.0) /
 PRDAY61                      (F4.0) /
 PRDAY62                      (F4.0) /
 PRDAY63                      (F4.0) /
 PRDAY64                      (F4.0) /
 PRDAY65                      (F4.0) /
 PRDAY66                      (F4.0) /
 PRDAY67                      (F4.0) /
 PRDAY68                      (F4.0) /
 PRDAY69                      (F4.0) /
 PRDAY70                      (F4.0) /
 PRDAY71                      (F4.0) /
 PRDAY72                      (F4.0) /
 PRDAY73                      (F4.0) /
 PRDAY74                      (F4.0) /
 PRDAY75                      (F4.0) /
 PRDAY76                      (F4.0) /
 PRDAY77                      (F4.0) /
 PRDAY78                      (F4.0) /
 PRDAY79                      (F4.0) /
 PRDAY80                      (F4.0) /
 PRDAY81                      (F4.0) /
 PRDAY82                      (F4.0) /
 PRDAY83                      (F4.0) /
 PRDAY84                      (F4.0) /
 PRDAY85                      (F4.0) /
 PRDAY86                      (F4.0) /
 PRDAY87                      (F4.0) /
 PRDAY88                      (F4.0) /
 PRDAY89                      (F4.0) /
 PRDAY90                      (F4.0) /
 PRDAY91                      (F4.0) /
 PRDAY92                      (F4.0) /
 PRDAY93                      (F4.0) /
 PRDAY94                      (F4.0) /
 PRDAY95                      (F4.0) /
 PRDAY96                      (F4.0) /
 PRDAY97                      (F4.0) /
 PRDAY98                      (F4.0) /
 PRDAY99                      (F4.0) /
 PRDAY100                     (F4.0) /
 PRDAY101                     (F4.0) /
 PRDAY102                     (F4.0) /
 PRDAY103                     (F4.0) /
 PRDAY104                     (F4.0) /
 PRDAY105                     (F4.0) /
 PRDAY106                     (F4.0) /
 PRDAY107                     (F4.0) /
 PRDAY108                     (F4.0) /
 PRDAY109                     (F4.0) /
 PRDAY110                     (F4.0) /
 PRDAY111                     (F4.0) /
 PRDAY112                     (F4.0) /
 PRDAY113                     (F4.0) /
 PRDAY114                     (F4.0) /
 PRDAY115                     (F4.0) /
 PRDAY116                     (F4.0) /
 PRDAY117                     (F4.0) /
 PRDAY118                     (F4.0) /
 PRDAY119                     (F4.0) /
 PRDAY120                     (F4.0) /
 PRDAY121                     (F4.0) /
 PRDAY122                     (F4.0) /
 PRDAY123                     (F4.0) /
 PRDAY124                     (F4.0) /
 PRDAY125                     (F4.0) /
 PRDAY126                     (F4.0) /
 PRDAY127                     (F4.0) /
 PSTCO2                       (F4.0) /
 RACE                         (F3.0) /
 RACE_EDIT                    (F3.0) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 TRAN_IN                      (F3.0) /
 TRAN_OUT                     (F3.0) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 AYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRMONTH17                    (F3.0) /
 PRMONTH18                    (F3.0) /
 PRMONTH19                    (F3.0) /
 PRMONTH20                    (F3.0) /
 PRMONTH21                    (F3.0) /
 PRMONTH22                    (F3.0) /
 PRMONTH23                    (F3.0) /
 PRMONTH24                    (F3.0) /
 PRMONTH25                    (F3.0) /
 PRMONTH26                    (F3.0) /
 PRMONTH27                    (F3.0) /
 PRMONTH28                    (F3.0) /
 PRMONTH29                    (F3.0) /
 PRMONTH30                    (F3.0) /
 PRMONTH31                    (F3.0) /
 PRMONTH32                    (F3.0) /
 PRMONTH33                    (F3.0) /
 PRMONTH34                    (F3.0) /
 PRMONTH35                    (F3.0) /
 PRMONTH36                    (F3.0) /
 PRMONTH37                    (F3.0) /
 PRMONTH38                    (F3.0) /
 PRMONTH39                    (F3.0) /
 PRMONTH40                    (F3.0) /
 PRMONTH41                    (F3.0) /
 PRMONTH42                    (F3.0) /
 PRMONTH43                    (F3.0) /
 PRMONTH44                    (F3.0) /
 PRMONTH45                    (F3.0) /
 PRMONTH46                    (F3.0) /
 PRMONTH47                    (F3.0) /
 PRMONTH48                    (F3.0) /
 PRMONTH49                    (F3.0) /
 PRMONTH50                    (F3.0) /
 PRMONTH51                    (F3.0) /
 PRMONTH52                    (F3.0) /
 PRMONTH53                    (F3.0) /
 PRMONTH54                    (F3.0) /
 PRMONTH55                    (F3.0) /
 PRMONTH56                    (F3.0) /
 PRMONTH57                    (F3.0) /
 PRMONTH58                    (F3.0) /
 PRMONTH59                    (F3.0) /
 PRMONTH60                    (F3.0) /
 PRMONTH61                    (F3.0) /
 PRMONTH62                    (F3.0) /
 PRMONTH63                    (F3.0) /
 PRMONTH64                    (F3.0) /
 PRMONTH65                    (F3.0) /
 PRMONTH66                    (F3.0) /
 PRMONTH67                    (F3.0) /
 PRMONTH68                    (F3.0) /
 PRMONTH69                    (F3.0) /
 PRMONTH70                    (F3.0) /
 PRMONTH71                    (F3.0) /
 PRMONTH72                    (F3.0) /
 PRMONTH73                    (F3.0) /
 PRMONTH74                    (F3.0) /
 PRMONTH75                    (F3.0) /
 PRMONTH76                    (F3.0) /
 PRMONTH77                    (F3.0) /
 PRMONTH78                    (F3.0) /
 PRMONTH79                    (F3.0) /
 PRMONTH80                    (F3.0) /
 PRMONTH81                    (F3.0) /
 PRMONTH82                    (F3.0) /
 PRMONTH83                    (F3.0) /
 PRMONTH84                    (F3.0) /
 PRMONTH85                    (F3.0) /
 PRMONTH86                    (F3.0) /
 PRMONTH87                    (F3.0) /
 PRMONTH88                    (F3.0) /
 PRMONTH89                    (F3.0) /
 PRMONTH90                    (F3.0) /
 PRMONTH91                    (F3.0) /
 PRMONTH92                    (F3.0) /
 PRMONTH93                    (F3.0) /
 PRMONTH94                    (F3.0) /
 PRMONTH95                    (F3.0) /
 PRMONTH96                    (F3.0) /
 PRMONTH97                    (F3.0) /
 PRMONTH98                    (F3.0) /
 PRMONTH99                    (F3.0) /
 PRMONTH100                   (F3.0) /
 PRMONTH101                   (F3.0) /
 PRMONTH102                   (F3.0) /
 PRMONTH103                   (F3.0) /
 PRMONTH104                   (F3.0) /
 PRMONTH105                   (F3.0) /
 PRMONTH106                   (F3.0) /
 PRMONTH107                   (F3.0) /
 PRMONTH108                   (F3.0) /
 PRMONTH109                   (F3.0) /
 PRMONTH110                   (F3.0) /
 PRMONTH111                   (F3.0) /
 PRMONTH112                   (F3.0) /
 PRMONTH113                   (F3.0) /
 PRMONTH114                   (F3.0) /
 PRMONTH115                   (F3.0) /
 PRMONTH116                   (F3.0) /
 PRMONTH117                   (F3.0) /
 PRMONTH118                   (F3.0) /
 PRMONTH119                   (F3.0) /
 PRMONTH120                   (F3.0) /
 PRMONTH121                   (F3.0) /
 PRMONTH122                   (F3.0) /
 PRMONTH123                   (F3.0) /
 PRMONTH124                   (F3.0) /
 PRMONTH125                   (F3.0) /
 PRMONTH126                   (F3.0) /
 PRMONTH127                   (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) /
 PRYEAR17                     (F3.0) /
 PRYEAR18                     (F3.0) /
 PRYEAR19                     (F3.0) /
 PRYEAR20                     (F3.0) /
 PRYEAR21                     (F3.0) /
 PRYEAR22                     (F3.0) /
 PRYEAR23                     (F3.0) /
 PRYEAR24                     (F3.0) /
 PRYEAR25                     (F3.0) /
 PRYEAR26                     (F3.0) /
 PRYEAR27                     (F3.0) /
 PRYEAR28                     (F3.0) /
 PRYEAR29                     (F3.0) /
 PRYEAR30                     (F3.0) /
 PRYEAR31                     (F3.0) /
 PRYEAR32                     (F3.0) /
 PRYEAR33                     (F3.0) /
 PRYEAR34                     (F3.0) /
 PRYEAR35                     (F3.0) /
 PRYEAR36                     (F3.0) /
 PRYEAR37                     (F3.0) /
 PRYEAR38                     (F3.0) /
 PRYEAR39                     (F3.0) /
 PRYEAR40                     (F3.0) /
 PRYEAR41                     (F3.0) /
 PRYEAR42                     (F3.0) /
 PRYEAR43                     (F3.0) /
 PRYEAR44                     (F3.0) /
 PRYEAR45                     (F3.0) /
 PRYEAR46                     (F3.0) /
 PRYEAR47                     (F3.0) /
 PRYEAR48                     (F3.0) /
 PRYEAR49                     (F3.0) /
 PRYEAR50                     (F3.0) /
 PRYEAR51                     (F3.0) /
 PRYEAR52                     (F3.0) /
 PRYEAR53                     (F3.0) /
 PRYEAR54                     (F3.0) /
 PRYEAR55                     (F3.0) /
 PRYEAR56                     (F3.0) /
 PRYEAR57                     (F3.0) /
 PRYEAR58                     (F3.0) /
 PRYEAR59                     (F3.0) /
 PRYEAR60                     (F3.0) /
 PRYEAR61                     (F3.0) /
 PRYEAR62                     (F3.0) /
 PRYEAR63                     (F3.0) /
 PRYEAR64                     (F3.0) /
 PRYEAR65                     (F3.0) /
 PRYEAR66                     (F3.0) /
 PRYEAR67                     (F3.0) /
 PRYEAR68                     (F3.0) /
 PRYEAR69                     (F3.0) /
 PRYEAR70                     (F3.0) /
 PRYEAR71                     (F3.0) /
 PRYEAR72                     (F3.0) /
 PRYEAR73                     (F3.0) /
 PRYEAR74                     (F3.0) /
 PRYEAR75                     (F3.0) /
 PRYEAR76                     (F3.0) /
 PRYEAR77                     (F3.0) /
 PRYEAR78                     (F3.0) /
 PRYEAR79                     (F3.0) /
 PRYEAR80                     (F3.0) /
 PRYEAR81                     (F3.0) /
 PRYEAR82                     (F3.0) /
 PRYEAR83                     (F3.0) /
 PRYEAR84                     (F3.0) /
 PRYEAR85                     (F3.0) /
 PRYEAR86                     (F3.0) /
 PRYEAR87                     (F3.0) /
 PRYEAR88                     (F3.0) /
 PRYEAR89                     (F3.0) /
 PRYEAR90                     (F3.0) /
 PRYEAR91                     (F3.0) /
 PRYEAR92                     (F3.0) /
 PRYEAR93                     (F3.0) /
 PRYEAR94                     (F3.0) /
 PRYEAR95                     (F3.0) /
 PRYEAR96                     (F3.0) /
 PRYEAR97                     (F3.0) /
 PRYEAR98                     (F3.0) /
 PRYEAR99                     (F3.0) /
 PRYEAR100                    (F3.0) /
 PRYEAR101                    (F3.0) /
 PRYEAR102                    (F3.0) /
 PRYEAR103                    (F3.0) /
 PRYEAR104                    (F3.0) /
 PRYEAR105                    (F3.0) /
 PRYEAR106                    (F3.0) /
 PRYEAR107                    (F3.0) /
 PRYEAR108                    (F3.0) /
 PRYEAR109                    (F3.0) /
 PRYEAR110                    (F3.0) /
 PRYEAR111                    (F3.0) /
 PRYEAR112                    (F3.0) /
 PRYEAR113                    (F3.0) /
 PRYEAR114                    (F3.0) /
 PRYEAR115                    (F3.0) /
 PRYEAR116                    (F3.0) /
 PRYEAR117                    (F3.0) /
 PRYEAR118                    (F3.0) /
 PRYEAR119                    (F3.0) /
 PRYEAR120                    (F3.0) /
 PRYEAR121                    (F3.0) /
 PRYEAR122                    (F3.0) /
 PRYEAR123                    (F3.0) /
 PRYEAR124                    (F3.0) /
 PRYEAR125                    (F3.0) /
 PRYEAR126                    (F3.0) /
 PRYEAR127                    (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 ADRG                         "All Patient Refined DRG"
 ADRGRISKMORTALITY            "All Patient Refined DRG mortality risk"
 ADRGSEV                      "All Patient Refined DRG severity level"
 AGE                          "Age in years at admission"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AMDC                         "All Patient Refined MDC"
 AMONTH                       "Admission month"
 ASOURCE                      "Admission source (uniform)"
 ASOURCE_X                    "Admission source (as received from source)"
 ASOURCEUB92                  "Admission source (UB-92 standard coding)"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BWT                          "Birth weight in grams"
 DaysBetweenVisits            "Number of days between visits"
 DaysToEvent                  "Days from 'start date' to admission"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DNR                          "Do not resuscitate indicator"
 DQTR                         "Discharge quarter"
 DRG                          "DRG in effect on discharge date"
 DRG_NoPOA                    "DRG in use on discharge date, calculated without POA"
 DRGVER                       "DRG grouper version used on discharge date"
 DSHOSPID                     "Data source hospital identifier"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 DXPOA32                      "Diagnosis 32, present on admission indicator"
 DXPOA33                      "Diagnosis 33, present on admission indicator"
 DXPOA34                      "Diagnosis 34, present on admission indicator"
 DXPOA35                      "Diagnosis 35, present on admission indicator"
 DXPOA36                      "Diagnosis 36, present on admission indicator"
 DXPOA37                      "Diagnosis 37, present on admission indicator"
 DXPOA38                      "Diagnosis 38, present on admission indicator"
 DXPOA39                      "Diagnosis 39, present on admission indicator"
 DXPOA40                      "Diagnosis 40, present on admission indicator"
 DXPOA41                      "Diagnosis 41, present on admission indicator"
 DXPOA42                      "Diagnosis 42, present on admission indicator"
 DXPOA43                      "Diagnosis 43, present on admission indicator"
 DXPOA44                      "Diagnosis 44, present on admission indicator"
 DXPOA45                      "Diagnosis 45, present on admission indicator"
 DXPOA46                      "Diagnosis 46, present on admission indicator"
 DXPOA47                      "Diagnosis 47, present on admission indicator"
 DXPOA48                      "Diagnosis 48, present on admission indicator"
 DXPOA49                      "Diagnosis 49, present on admission indicator"
 DXPOA50                      "Diagnosis 50, present on admission indicator"
 DXPOA51                      "Diagnosis 51, present on admission indicator"
 DXPOA52                      "Diagnosis 52, present on admission indicator"
 DXPOA53                      "Diagnosis 53, present on admission indicator"
 DXPOA54                      "Diagnosis 54, present on admission indicator"
 DXPOA55                      "Diagnosis 55, present on admission indicator"
 DXPOA56                      "Diagnosis 56, present on admission indicator"
 DXPOA57                      "Diagnosis 57, present on admission indicator"
 DXPOA58                      "Diagnosis 58, present on admission indicator"
 DXPOA59                      "Diagnosis 59, present on admission indicator"
 DXPOA60                      "Diagnosis 60, present on admission indicator"
 DXPOA61                      "Diagnosis 61, present on admission indicator"
 DXPOA62                      "Diagnosis 62, present on admission indicator"
 DXPOA63                      "Diagnosis 63, present on admission indicator"
 DXPOA64                      "Diagnosis 64, present on admission indicator"
 DXPOA65                      "Diagnosis 65, present on admission indicator"
 DXPOA66                      "Diagnosis 66, present on admission indicator"
 DXPOA67                      "Diagnosis 67, present on admission indicator"
 DXPOA68                      "Diagnosis 68, present on admission indicator"
 DXPOA69                      "Diagnosis 69, present on admission indicator"
 DXPOA70                      "Diagnosis 70, present on admission indicator"
 DXPOA71                      "Diagnosis 71, present on admission indicator"
 DXPOA72                      "Diagnosis 72, present on admission indicator"
 DXPOA73                      "Diagnosis 73, present on admission indicator"
 DXPOA74                      "Diagnosis 74, present on admission indicator"
 DXPOA75                      "Diagnosis 75, present on admission indicator"
 DXPOA76                      "Diagnosis 76, present on admission indicator"
 DXPOA77                      "Diagnosis 77, present on admission indicator"
 DXPOA78                      "Diagnosis 78, present on admission indicator"
 DXPOA79                      "Diagnosis 79, present on admission indicator"
 DXPOA80                      "Diagnosis 80, present on admission indicator"
 DXPOA81                      "Diagnosis 81, present on admission indicator"
 DXPOA82                      "Diagnosis 82, present on admission indicator"
 DXPOA83                      "Diagnosis 83, present on admission indicator"
 DXPOA84                      "Diagnosis 84, present on admission indicator"
 DXPOA85                      "Diagnosis 85, present on admission indicator"
 DXPOA86                      "Diagnosis 86, present on admission indicator"
 DXPOA87                      "Diagnosis 87, present on admission indicator"
 DXPOA88                      "Diagnosis 88, present on admission indicator"
 DXPOA89                      "Diagnosis 89, present on admission indicator"
 DXPOA90                      "Diagnosis 90, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_DX_Admitting             "ICD-10-CM Admitting Diagnosis Code"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_DX34                     "ICD-10-CM Diagnosis 34"
 I10_DX35                     "ICD-10-CM Diagnosis 35"
 I10_DX36                     "ICD-10-CM Diagnosis 36"
 I10_DX37                     "ICD-10-CM Diagnosis 37"
 I10_DX38                     "ICD-10-CM Diagnosis 38"
 I10_DX39                     "ICD-10-CM Diagnosis 39"
 I10_DX40                     "ICD-10-CM Diagnosis 40"
 I10_DX41                     "ICD-10-CM Diagnosis 41"
 I10_DX42                     "ICD-10-CM Diagnosis 42"
 I10_DX43                     "ICD-10-CM Diagnosis 43"
 I10_DX44                     "ICD-10-CM Diagnosis 44"
 I10_DX45                     "ICD-10-CM Diagnosis 45"
 I10_DX46                     "ICD-10-CM Diagnosis 46"
 I10_DX47                     "ICD-10-CM Diagnosis 47"
 I10_DX48                     "ICD-10-CM Diagnosis 48"
 I10_DX49                     "ICD-10-CM Diagnosis 49"
 I10_DX50                     "ICD-10-CM Diagnosis 50"
 I10_DX51                     "ICD-10-CM Diagnosis 51"
 I10_DX52                     "ICD-10-CM Diagnosis 52"
 I10_DX53                     "ICD-10-CM Diagnosis 53"
 I10_DX54                     "ICD-10-CM Diagnosis 54"
 I10_DX55                     "ICD-10-CM Diagnosis 55"
 I10_DX56                     "ICD-10-CM Diagnosis 56"
 I10_DX57                     "ICD-10-CM Diagnosis 57"
 I10_DX58                     "ICD-10-CM Diagnosis 58"
 I10_DX59                     "ICD-10-CM Diagnosis 59"
 I10_DX60                     "ICD-10-CM Diagnosis 60"
 I10_DX61                     "ICD-10-CM Diagnosis 61"
 I10_DX62                     "ICD-10-CM Diagnosis 62"
 I10_DX63                     "ICD-10-CM Diagnosis 63"
 I10_DX64                     "ICD-10-CM Diagnosis 64"
 I10_DX65                     "ICD-10-CM Diagnosis 65"
 I10_DX66                     "ICD-10-CM Diagnosis 66"
 I10_DX67                     "ICD-10-CM Diagnosis 67"
 I10_DX68                     "ICD-10-CM Diagnosis 68"
 I10_DX69                     "ICD-10-CM Diagnosis 69"
 I10_DX70                     "ICD-10-CM Diagnosis 70"
 I10_DX71                     "ICD-10-CM Diagnosis 71"
 I10_DX72                     "ICD-10-CM Diagnosis 72"
 I10_DX73                     "ICD-10-CM Diagnosis 73"
 I10_DX74                     "ICD-10-CM Diagnosis 74"
 I10_DX75                     "ICD-10-CM Diagnosis 75"
 I10_DX76                     "ICD-10-CM Diagnosis 76"
 I10_DX77                     "ICD-10-CM Diagnosis 77"
 I10_DX78                     "ICD-10-CM Diagnosis 78"
 I10_DX79                     "ICD-10-CM Diagnosis 79"
 I10_DX80                     "ICD-10-CM Diagnosis 80"
 I10_DX81                     "ICD-10-CM Diagnosis 81"
 I10_DX82                     "ICD-10-CM Diagnosis 82"
 I10_DX83                     "ICD-10-CM Diagnosis 83"
 I10_DX84                     "ICD-10-CM Diagnosis 84"
 I10_DX85                     "ICD-10-CM Diagnosis 85"
 I10_DX86                     "ICD-10-CM Diagnosis 86"
 I10_DX87                     "ICD-10-CM Diagnosis 87"
 I10_DX88                     "ICD-10-CM Diagnosis 88"
 I10_DX89                     "ICD-10-CM Diagnosis 89"
 I10_DX90                     "ICD-10-CM Diagnosis 90"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PR17                     "ICD-10-PCS Procedure 17"
 I10_PR18                     "ICD-10-PCS Procedure 18"
 I10_PR19                     "ICD-10-PCS Procedure 19"
 I10_PR20                     "ICD-10-PCS Procedure 20"
 I10_PR21                     "ICD-10-PCS Procedure 21"
 I10_PR22                     "ICD-10-PCS Procedure 22"
 I10_PR23                     "ICD-10-PCS Procedure 23"
 I10_PR24                     "ICD-10-PCS Procedure 24"
 I10_PR25                     "ICD-10-PCS Procedure 25"
 I10_PR26                     "ICD-10-PCS Procedure 26"
 I10_PR27                     "ICD-10-PCS Procedure 27"
 I10_PR28                     "ICD-10-PCS Procedure 28"
 I10_PR29                     "ICD-10-PCS Procedure 29"
 I10_PR30                     "ICD-10-PCS Procedure 30"
 I10_PR31                     "ICD-10-PCS Procedure 31"
 I10_PR32                     "ICD-10-PCS Procedure 32"
 I10_PR33                     "ICD-10-PCS Procedure 33"
 I10_PR34                     "ICD-10-PCS Procedure 34"
 I10_PR35                     "ICD-10-PCS Procedure 35"
 I10_PR36                     "ICD-10-PCS Procedure 36"
 I10_PR37                     "ICD-10-PCS Procedure 37"
 I10_PR38                     "ICD-10-PCS Procedure 38"
 I10_PR39                     "ICD-10-PCS Procedure 39"
 I10_PR40                     "ICD-10-PCS Procedure 40"
 I10_PR41                     "ICD-10-PCS Procedure 41"
 I10_PR42                     "ICD-10-PCS Procedure 42"
 I10_PR43                     "ICD-10-PCS Procedure 43"
 I10_PR44                     "ICD-10-PCS Procedure 44"
 I10_PR45                     "ICD-10-PCS Procedure 45"
 I10_PR46                     "ICD-10-PCS Procedure 46"
 I10_PR47                     "ICD-10-PCS Procedure 47"
 I10_PR48                     "ICD-10-PCS Procedure 48"
 I10_PR49                     "ICD-10-PCS Procedure 49"
 I10_PR50                     "ICD-10-PCS Procedure 50"
 I10_PR51                     "ICD-10-PCS Procedure 51"
 I10_PR52                     "ICD-10-PCS Procedure 52"
 I10_PR53                     "ICD-10-PCS Procedure 53"
 I10_PR54                     "ICD-10-PCS Procedure 54"
 I10_PR55                     "ICD-10-PCS Procedure 55"
 I10_PR56                     "ICD-10-PCS Procedure 56"
 I10_PR57                     "ICD-10-PCS Procedure 57"
 I10_PR58                     "ICD-10-PCS Procedure 58"
 I10_PR59                     "ICD-10-PCS Procedure 59"
 I10_PR60                     "ICD-10-PCS Procedure 60"
 I10_PR61                     "ICD-10-PCS Procedure 61"
 I10_PR62                     "ICD-10-PCS Procedure 62"
 I10_PR63                     "ICD-10-PCS Procedure 63"
 I10_PR64                     "ICD-10-PCS Procedure 64"
 I10_PR65                     "ICD-10-PCS Procedure 65"
 I10_PR66                     "ICD-10-PCS Procedure 66"
 I10_PR67                     "ICD-10-PCS Procedure 67"
 I10_PR68                     "ICD-10-PCS Procedure 68"
 I10_PR69                     "ICD-10-PCS Procedure 69"
 I10_PR70                     "ICD-10-PCS Procedure 70"
 I10_PR71                     "ICD-10-PCS Procedure 71"
 I10_PR72                     "ICD-10-PCS Procedure 72"
 I10_PR73                     "ICD-10-PCS Procedure 73"
 I10_PR74                     "ICD-10-PCS Procedure 74"
 I10_PR75                     "ICD-10-PCS Procedure 75"
 I10_PR76                     "ICD-10-PCS Procedure 76"
 I10_PR77                     "ICD-10-PCS Procedure 77"
 I10_PR78                     "ICD-10-PCS Procedure 78"
 I10_PR79                     "ICD-10-PCS Procedure 79"
 I10_PR80                     "ICD-10-PCS Procedure 80"
 I10_PR81                     "ICD-10-PCS Procedure 81"
 I10_PR82                     "ICD-10-PCS Procedure 82"
 I10_PR83                     "ICD-10-PCS Procedure 83"
 I10_PR84                     "ICD-10-PCS Procedure 84"
 I10_PR85                     "ICD-10-PCS Procedure 85"
 I10_PR86                     "ICD-10-PCS Procedure 86"
 I10_PR87                     "ICD-10-PCS Procedure 87"
 I10_PR88                     "ICD-10-PCS Procedure 88"
 I10_PR89                     "ICD-10-PCS Procedure 89"
 I10_PR90                     "ICD-10-PCS Procedure 90"
 I10_PR91                     "ICD-10-PCS Procedure 91"
 I10_PR92                     "ICD-10-PCS Procedure 92"
 I10_PR93                     "ICD-10-PCS Procedure 93"
 I10_PR94                     "ICD-10-PCS Procedure 94"
 I10_PR95                     "ICD-10-PCS Procedure 95"
 I10_PR96                     "ICD-10-PCS Procedure 96"
 I10_PR97                     "ICD-10-PCS Procedure 97"
 I10_PR98                     "ICD-10-PCS Procedure 98"
 I10_PR99                     "ICD-10-PCS Procedure 99"
 I10_PR100                    "ICD-10-PCS Procedure 100"
 I10_PR101                    "ICD-10-PCS Procedure 101"
 I10_PR102                    "ICD-10-PCS Procedure 102"
 I10_PR103                    "ICD-10-PCS Procedure 103"
 I10_PR104                    "ICD-10-PCS Procedure 104"
 I10_PR105                    "ICD-10-PCS Procedure 105"
 I10_PR106                    "ICD-10-PCS Procedure 106"
 I10_PR107                    "ICD-10-PCS Procedure 107"
 I10_PR108                    "ICD-10-PCS Procedure 108"
 I10_PR109                    "ICD-10-PCS Procedure 109"
 I10_PR110                    "ICD-10-PCS Procedure 110"
 I10_PR111                    "ICD-10-PCS Procedure 111"
 I10_PR112                    "ICD-10-PCS Procedure 112"
 I10_PR113                    "ICD-10-PCS Procedure 113"
 I10_PR114                    "ICD-10-PCS Procedure 114"
 I10_PR115                    "ICD-10-PCS Procedure 115"
 I10_PR116                    "ICD-10-PCS Procedure 116"
 I10_PR117                    "ICD-10-PCS Procedure 117"
 I10_PR118                    "ICD-10-PCS Procedure 118"
 I10_PR119                    "ICD-10-PCS Procedure 119"
 I10_PR120                    "ICD-10-PCS Procedure 120"
 I10_PR121                    "ICD-10-PCS Procedure 121"
 I10_PR122                    "ICD-10-PCS Procedure 122"
 I10_PR123                    "ICD-10-PCS Procedure 123"
 I10_PR124                    "ICD-10-PCS Procedure 124"
 I10_PR125                    "ICD-10-PCS Procedure 125"
 I10_PR126                    "ICD-10-PCS Procedure 126"
 I10_PR127                    "ICD-10-PCS Procedure 127"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MDC                          "MDC in effect on discharge date"
 MDC_NoPOA                    "MDC in use on discharge date, calculated without POA"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAYER1_X                     "Primary expected payer plan identifier (as received from source)"
 PAYER2_X                     "Secondary expected payer plan identifier (as received from source)"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PRDAY17                      "Number of days from admission to I10_PR17"
 PRDAY18                      "Number of days from admission to I10_PR18"
 PRDAY19                      "Number of days from admission to I10_PR19"
 PRDAY20                      "Number of days from admission to I10_PR20"
 PRDAY21                      "Number of days from admission to I10_PR21"
 PRDAY22                      "Number of days from admission to I10_PR22"
 PRDAY23                      "Number of days from admission to I10_PR23"
 PRDAY24                      "Number of days from admission to I10_PR24"
 PRDAY25                      "Number of days from admission to I10_PR25"
 PRDAY26                      "Number of days from admission to I10_PR26"
 PRDAY27                      "Number of days from admission to I10_PR27"
 PRDAY28                      "Number of days from admission to I10_PR28"
 PRDAY29                      "Number of days from admission to I10_PR29"
 PRDAY30                      "Number of days from admission to I10_PR30"
 PRDAY31                      "Number of days from admission to I10_PR31"
 PRDAY32                      "Number of days from admission to I10_PR32"
 PRDAY33                      "Number of days from admission to I10_PR33"
 PRDAY34                      "Number of days from admission to I10_PR34"
 PRDAY35                      "Number of days from admission to I10_PR35"
 PRDAY36                      "Number of days from admission to I10_PR36"
 PRDAY37                      "Number of days from admission to I10_PR37"
 PRDAY38                      "Number of days from admission to I10_PR38"
 PRDAY39                      "Number of days from admission to I10_PR39"
 PRDAY40                      "Number of days from admission to I10_PR40"
 PRDAY41                      "Number of days from admission to I10_PR41"
 PRDAY42                      "Number of days from admission to I10_PR42"
 PRDAY43                      "Number of days from admission to I10_PR43"
 PRDAY44                      "Number of days from admission to I10_PR44"
 PRDAY45                      "Number of days from admission to I10_PR45"
 PRDAY46                      "Number of days from admission to I10_PR46"
 PRDAY47                      "Number of days from admission to I10_PR47"
 PRDAY48                      "Number of days from admission to I10_PR48"
 PRDAY49                      "Number of days from admission to I10_PR49"
 PRDAY50                      "Number of days from admission to I10_PR50"
 PRDAY51                      "Number of days from admission to I10_PR51"
 PRDAY52                      "Number of days from admission to I10_PR52"
 PRDAY53                      "Number of days from admission to I10_PR53"
 PRDAY54                      "Number of days from admission to I10_PR54"
 PRDAY55                      "Number of days from admission to I10_PR55"
 PRDAY56                      "Number of days from admission to I10_PR56"
 PRDAY57                      "Number of days from admission to I10_PR57"
 PRDAY58                      "Number of days from admission to I10_PR58"
 PRDAY59                      "Number of days from admission to I10_PR59"
 PRDAY60                      "Number of days from admission to I10_PR60"
 PRDAY61                      "Number of days from admission to I10_PR61"
 PRDAY62                      "Number of days from admission to I10_PR62"
 PRDAY63                      "Number of days from admission to I10_PR63"
 PRDAY64                      "Number of days from admission to I10_PR64"
 PRDAY65                      "Number of days from admission to I10_PR65"
 PRDAY66                      "Number of days from admission to I10_PR66"
 PRDAY67                      "Number of days from admission to I10_PR67"
 PRDAY68                      "Number of days from admission to I10_PR68"
 PRDAY69                      "Number of days from admission to I10_PR69"
 PRDAY70                      "Number of days from admission to I10_PR70"
 PRDAY71                      "Number of days from admission to I10_PR71"
 PRDAY72                      "Number of days from admission to I10_PR72"
 PRDAY73                      "Number of days from admission to I10_PR73"
 PRDAY74                      "Number of days from admission to I10_PR74"
 PRDAY75                      "Number of days from admission to I10_PR75"
 PRDAY76                      "Number of days from admission to I10_PR76"
 PRDAY77                      "Number of days from admission to I10_PR77"
 PRDAY78                      "Number of days from admission to I10_PR78"
 PRDAY79                      "Number of days from admission to I10_PR79"
 PRDAY80                      "Number of days from admission to I10_PR80"
 PRDAY81                      "Number of days from admission to I10_PR81"
 PRDAY82                      "Number of days from admission to I10_PR82"
 PRDAY83                      "Number of days from admission to I10_PR83"
 PRDAY84                      "Number of days from admission to I10_PR84"
 PRDAY85                      "Number of days from admission to I10_PR85"
 PRDAY86                      "Number of days from admission to I10_PR86"
 PRDAY87                      "Number of days from admission to I10_PR87"
 PRDAY88                      "Number of days from admission to I10_PR88"
 PRDAY89                      "Number of days from admission to I10_PR89"
 PRDAY90                      "Number of days from admission to I10_PR90"
 PRDAY91                      "Number of days from admission to I10_PR91"
 PRDAY92                      "Number of days from admission to I10_PR92"
 PRDAY93                      "Number of days from admission to I10_PR93"
 PRDAY94                      "Number of days from admission to I10_PR94"
 PRDAY95                      "Number of days from admission to I10_PR95"
 PRDAY96                      "Number of days from admission to I10_PR96"
 PRDAY97                      "Number of days from admission to I10_PR97"
 PRDAY98                      "Number of days from admission to I10_PR98"
 PRDAY99                      "Number of days from admission to I10_PR99"
 PRDAY100                     "Number of days from admission to I10_PR100"
 PRDAY101                     "Number of days from admission to I10_PR101"
 PRDAY102                     "Number of days from admission to I10_PR102"
 PRDAY103                     "Number of days from admission to I10_PR103"
 PRDAY104                     "Number of days from admission to I10_PR104"
 PRDAY105                     "Number of days from admission to I10_PR105"
 PRDAY106                     "Number of days from admission to I10_PR106"
 PRDAY107                     "Number of days from admission to I10_PR107"
 PRDAY108                     "Number of days from admission to I10_PR108"
 PRDAY109                     "Number of days from admission to I10_PR109"
 PRDAY110                     "Number of days from admission to I10_PR110"
 PRDAY111                     "Number of days from admission to I10_PR111"
 PRDAY112                     "Number of days from admission to I10_PR112"
 PRDAY113                     "Number of days from admission to I10_PR113"
 PRDAY114                     "Number of days from admission to I10_PR114"
 PRDAY115                     "Number of days from admission to I10_PR115"
 PRDAY116                     "Number of days from admission to I10_PR116"
 PRDAY117                     "Number of days from admission to I10_PR117"
 PRDAY118                     "Number of days from admission to I10_PR118"
 PRDAY119                     "Number of days from admission to I10_PR119"
 PRDAY120                     "Number of days from admission to I10_PR120"
 PRDAY121                     "Number of days from admission to I10_PR121"
 PRDAY122                     "Number of days from admission to I10_PR122"
 PRDAY123                     "Number of days from admission to I10_PR123"
 PRDAY124                     "Number of days from admission to I10_PR124"
 PRDAY125                     "Number of days from admission to I10_PR125"
 PRDAY126                     "Number of days from admission to I10_PR126"
 PRDAY127                     "Number of days from admission to I10_PR127"
 PSTATE                       "Patient State postal code"
 PSTCO2                       "Patient state/county FIPS code, possibly derived from ZIP Code"
 RACE                         "Race (uniform)"
 RACE_EDIT                    "Race Edit Checks"
 RACE_X                       "Race (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 TRAN_IN                      "Transfer in indicator"
 TRAN_OUT                     "Transfer out indicator"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 AYEAR                        "Admission year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRMONTH17                    "Month of procedure 17"
 PRMONTH18                    "Month of procedure 18"
 PRMONTH19                    "Month of procedure 19"
 PRMONTH20                    "Month of procedure 20"
 PRMONTH21                    "Month of procedure 21"
 PRMONTH22                    "Month of procedure 22"
 PRMONTH23                    "Month of procedure 23"
 PRMONTH24                    "Month of procedure 24"
 PRMONTH25                    "Month of procedure 25"
 PRMONTH26                    "Month of procedure 26"
 PRMONTH27                    "Month of procedure 27"
 PRMONTH28                    "Month of procedure 28"
 PRMONTH29                    "Month of procedure 29"
 PRMONTH30                    "Month of procedure 30"
 PRMONTH31                    "Month of procedure 31"
 PRMONTH32                    "Month of procedure 32"
 PRMONTH33                    "Month of procedure 33"
 PRMONTH34                    "Month of procedure 34"
 PRMONTH35                    "Month of procedure 35"
 PRMONTH36                    "Month of procedure 36"
 PRMONTH37                    "Month of procedure 37"
 PRMONTH38                    "Month of procedure 38"
 PRMONTH39                    "Month of procedure 39"
 PRMONTH40                    "Month of procedure 40"
 PRMONTH41                    "Month of procedure 41"
 PRMONTH42                    "Month of procedure 42"
 PRMONTH43                    "Month of procedure 43"
 PRMONTH44                    "Month of procedure 44"
 PRMONTH45                    "Month of procedure 45"
 PRMONTH46                    "Month of procedure 46"
 PRMONTH47                    "Month of procedure 47"
 PRMONTH48                    "Month of procedure 48"
 PRMONTH49                    "Month of procedure 49"
 PRMONTH50                    "Month of procedure 50"
 PRMONTH51                    "Month of procedure 51"
 PRMONTH52                    "Month of procedure 52"
 PRMONTH53                    "Month of procedure 53"
 PRMONTH54                    "Month of procedure 54"
 PRMONTH55                    "Month of procedure 55"
 PRMONTH56                    "Month of procedure 56"
 PRMONTH57                    "Month of procedure 57"
 PRMONTH58                    "Month of procedure 58"
 PRMONTH59                    "Month of procedure 59"
 PRMONTH60                    "Month of procedure 60"
 PRMONTH61                    "Month of procedure 61"
 PRMONTH62                    "Month of procedure 62"
 PRMONTH63                    "Month of procedure 63"
 PRMONTH64                    "Month of procedure 64"
 PRMONTH65                    "Month of procedure 65"
 PRMONTH66                    "Month of procedure 66"
 PRMONTH67                    "Month of procedure 67"
 PRMONTH68                    "Month of procedure 68"
 PRMONTH69                    "Month of procedure 69"
 PRMONTH70                    "Month of procedure 70"
 PRMONTH71                    "Month of procedure 71"
 PRMONTH72                    "Month of procedure 72"
 PRMONTH73                    "Month of procedure 73"
 PRMONTH74                    "Month of procedure 74"
 PRMONTH75                    "Month of procedure 75"
 PRMONTH76                    "Month of procedure 76"
 PRMONTH77                    "Month of procedure 77"
 PRMONTH78                    "Month of procedure 78"
 PRMONTH79                    "Month of procedure 79"
 PRMONTH80                    "Month of procedure 80"
 PRMONTH81                    "Month of procedure 81"
 PRMONTH82                    "Month of procedure 82"
 PRMONTH83                    "Month of procedure 83"
 PRMONTH84                    "Month of procedure 84"
 PRMONTH85                    "Month of procedure 85"
 PRMONTH86                    "Month of procedure 86"
 PRMONTH87                    "Month of procedure 87"
 PRMONTH88                    "Month of procedure 88"
 PRMONTH89                    "Month of procedure 89"
 PRMONTH90                    "Month of procedure 90"
 PRMONTH91                    "Month of procedure 91"
 PRMONTH92                    "Month of procedure 92"
 PRMONTH93                    "Month of procedure 93"
 PRMONTH94                    "Month of procedure 94"
 PRMONTH95                    "Month of procedure 95"
 PRMONTH96                    "Month of procedure 96"
 PRMONTH97                    "Month of procedure 97"
 PRMONTH98                    "Month of procedure 98"
 PRMONTH99                    "Month of procedure 99"
 PRMONTH100                   "Month of procedure 100"
 PRMONTH101                   "Month of procedure 101"
 PRMONTH102                   "Month of procedure 102"
 PRMONTH103                   "Month of procedure 103"
 PRMONTH104                   "Month of procedure 104"
 PRMONTH105                   "Month of procedure 105"
 PRMONTH106                   "Month of procedure 106"
 PRMONTH107                   "Month of procedure 107"
 PRMONTH108                   "Month of procedure 108"
 PRMONTH109                   "Month of procedure 109"
 PRMONTH110                   "Month of procedure 110"
 PRMONTH111                   "Month of procedure 111"
 PRMONTH112                   "Month of procedure 112"
 PRMONTH113                   "Month of procedure 113"
 PRMONTH114                   "Month of procedure 114"
 PRMONTH115                   "Month of procedure 115"
 PRMONTH116                   "Month of procedure 116"
 PRMONTH117                   "Month of procedure 117"
 PRMONTH118                   "Month of procedure 118"
 PRMONTH119                   "Month of procedure 119"
 PRMONTH120                   "Month of procedure 120"
 PRMONTH121                   "Month of procedure 121"
 PRMONTH122                   "Month of procedure 122"
 PRMONTH123                   "Month of procedure 123"
 PRMONTH124                   "Month of procedure 124"
 PRMONTH125                   "Month of procedure 125"
 PRMONTH126                   "Month of procedure 126"
 PRMONTH127                   "Month of procedure 127"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16"
 PRYEAR17                     "Year of procedure 17"
 PRYEAR18                     "Year of procedure 18"
 PRYEAR19                     "Year of procedure 19"
 PRYEAR20                     "Year of procedure 20"
 PRYEAR21                     "Year of procedure 21"
 PRYEAR22                     "Year of procedure 22"
 PRYEAR23                     "Year of procedure 23"
 PRYEAR24                     "Year of procedure 24"
 PRYEAR25                     "Year of procedure 25"
 PRYEAR26                     "Year of procedure 26"
 PRYEAR27                     "Year of procedure 27"
 PRYEAR28                     "Year of procedure 28"
 PRYEAR29                     "Year of procedure 29"
 PRYEAR30                     "Year of procedure 30"
 PRYEAR31                     "Year of procedure 31"
 PRYEAR32                     "Year of procedure 32"
 PRYEAR33                     "Year of procedure 33"
 PRYEAR34                     "Year of procedure 34"
 PRYEAR35                     "Year of procedure 35"
 PRYEAR36                     "Year of procedure 36"
 PRYEAR37                     "Year of procedure 37"
 PRYEAR38                     "Year of procedure 38"
 PRYEAR39                     "Year of procedure 39"
 PRYEAR40                     "Year of procedure 40"
 PRYEAR41                     "Year of procedure 41"
 PRYEAR42                     "Year of procedure 42"
 PRYEAR43                     "Year of procedure 43"
 PRYEAR44                     "Year of procedure 44"
 PRYEAR45                     "Year of procedure 45"
 PRYEAR46                     "Year of procedure 46"
 PRYEAR47                     "Year of procedure 47"
 PRYEAR48                     "Year of procedure 48"
 PRYEAR49                     "Year of procedure 49"
 PRYEAR50                     "Year of procedure 50"
 PRYEAR51                     "Year of procedure 51"
 PRYEAR52                     "Year of procedure 52"
 PRYEAR53                     "Year of procedure 53"
 PRYEAR54                     "Year of procedure 54"
 PRYEAR55                     "Year of procedure 55"
 PRYEAR56                     "Year of procedure 56"
 PRYEAR57                     "Year of procedure 57"
 PRYEAR58                     "Year of procedure 58"
 PRYEAR59                     "Year of procedure 59"
 PRYEAR60                     "Year of procedure 60"
 PRYEAR61                     "Year of procedure 61"
 PRYEAR62                     "Year of procedure 62"
 PRYEAR63                     "Year of procedure 63"
 PRYEAR64                     "Year of procedure 64"
 PRYEAR65                     "Year of procedure 65"
 PRYEAR66                     "Year of procedure 66"
 PRYEAR67                     "Year of procedure 67"
 PRYEAR68                     "Year of procedure 68"
 PRYEAR69                     "Year of procedure 69"
 PRYEAR70                     "Year of procedure 70"
 PRYEAR71                     "Year of procedure 71"
 PRYEAR72                     "Year of procedure 72"
 PRYEAR73                     "Year of procedure 73"
 PRYEAR74                     "Year of procedure 74"
 PRYEAR75                     "Year of procedure 75"
 PRYEAR76                     "Year of procedure 76"
 PRYEAR77                     "Year of procedure 77"
 PRYEAR78                     "Year of procedure 78"
 PRYEAR79                     "Year of procedure 79"
 PRYEAR80                     "Year of procedure 80"
 PRYEAR81                     "Year of procedure 81"
 PRYEAR82                     "Year of procedure 82"
 PRYEAR83                     "Year of procedure 83"
 PRYEAR84                     "Year of procedure 84"
 PRYEAR85                     "Year of procedure 85"
 PRYEAR86                     "Year of procedure 86"
 PRYEAR87                     "Year of procedure 87"
 PRYEAR88                     "Year of procedure 88"
 PRYEAR89                     "Year of procedure 89"
 PRYEAR90                     "Year of procedure 90"
 PRYEAR91                     "Year of procedure 91"
 PRYEAR92                     "Year of procedure 92"
 PRYEAR93                     "Year of procedure 93"
 PRYEAR94                     "Year of procedure 94"
 PRYEAR95                     "Year of procedure 95"
 PRYEAR96                     "Year of procedure 96"
 PRYEAR97                     "Year of procedure 97"
 PRYEAR98                     "Year of procedure 98"
 PRYEAR99                     "Year of procedure 99"
 PRYEAR100                    "Year of procedure 100"
 PRYEAR101                    "Year of procedure 101"
 PRYEAR102                    "Year of procedure 102"
 PRYEAR103                    "Year of procedure 103"
 PRYEAR104                    "Year of procedure 104"
 PRYEAR105                    "Year of procedure 105"
 PRYEAR106                    "Year of procedure 106"
 PRYEAR107                    "Year of procedure 107"
 PRYEAR108                    "Year of procedure 108"
 PRYEAR109                    "Year of procedure 109"
 PRYEAR110                    "Year of procedure 110"
 PRYEAR111                    "Year of procedure 111"
 PRYEAR112                    "Year of procedure 112"
 PRYEAR113                    "Year of procedure 113"
 PRYEAR114                    "Year of procedure 114"
 PRYEAR115                    "Year of procedure 115"
 PRYEAR116                    "Year of procedure 116"
 PRYEAR117                    "Year of procedure 117"
 PRYEAR118                    "Year of procedure 118"
 PRYEAR119                    "Year of procedure 119"
 PRYEAR120                    "Year of procedure 120"
 PRYEAR121                    "Year of procedure 121"
 PRYEAR122                    "Year of procedure 122"
 PRYEAR123                    "Year of procedure 123"
 PRYEAR124                    "Year of procedure 124"
 PRYEAR125                    "Year of procedure 125"
 PRYEAR126                    "Year of procedure 126"
 PRYEAR127                    "Year of procedure 127" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE ADRG
 (-99,-88,-66,-55=SYSMIS).
RECODE ADRGRISKMORTALITY
 (-9,-8,-6,-5=SYSMIS).
RECODE ADRGSEV
 (-9,-8,-6,-5=SYSMIS).
RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMDC
 (-9,-8,-6,-5=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ASOURCE
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE BWT
 (-999,-888,-666,-555=SYSMIS).
RECODE DaysBetweenVisits
 (-999,-888,-666,-555=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DNR
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY35
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY36
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY37
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY38
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY39
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY40
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY41
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY42
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY43
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY44
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY45
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY46
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY47
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY48
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY49
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY50
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY51
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY52
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY53
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY54
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY55
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY56
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY57
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY58
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY59
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY60
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY61
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY62
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY63
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY64
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY65
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY66
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY67
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY68
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY69
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY70
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY71
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY72
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY73
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY74
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY75
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY76
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY77
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY78
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY79
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY80
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY81
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY82
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY83
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY84
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY85
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY86
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY87
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY88
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY89
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY90
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY91
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY92
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY93
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY94
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY95
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY96
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY97
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY98
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY99
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY100
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY101
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY102
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY103
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY104
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY105
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY106
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY107
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY108
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY109
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY110
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY111
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY112
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY113
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY114
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY115
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY116
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY117
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY118
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY119
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY120
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY121
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY122
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY123
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY124
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY125
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY126
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY127
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_EDIT
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH35
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH36
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH37
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH38
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH39
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH40
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH41
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH42
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH43
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH44
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH45
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH46
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH47
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH48
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH49
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH50
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH51
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH52
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH53
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH54
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH55
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH56
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH57
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH58
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH59
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH60
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH61
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH62
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH63
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH64
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH65
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH66
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH67
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH68
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH69
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH70
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH71
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH72
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH73
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH74
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH75
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH76
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH77
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH78
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH79
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH80
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH81
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH82
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH83
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH84
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH85
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH86
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH87
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH88
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH89
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH90
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH91
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH92
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH93
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH94
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH95
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH96
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH97
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH98
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH99
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH100
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH101
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH102
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH103
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH104
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH105
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH106
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH107
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH108
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH109
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH110
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH111
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH112
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH113
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH114
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH115
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH116
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH117
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH118
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH119
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH120
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH121
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH122
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH123
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH124
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH125
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH126
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH127
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR35
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR36
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR37
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR38
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR39
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR40
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR41
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR42
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR43
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR44
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR45
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR46
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR47
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR48
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR49
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR50
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR51
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR52
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR53
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR54
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR55
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR56
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR57
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR58
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR59
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR60
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR61
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR62
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR63
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR64
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR65
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR66
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR67
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR68
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR69
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR70
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR71
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR72
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR73
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR74
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR75
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR76
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR77
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR78
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR79
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR80
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR81
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR82
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR83
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR84
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR85
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR86
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR87
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR88
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR89
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR90
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR91
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR92
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR93
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR94
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR95
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR96
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR97
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR98
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR99
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR100
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR101
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR102
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR103
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR104
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR105
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR106
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR107
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR108
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR109
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR110
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR111
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR112
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR113
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR114
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR115
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR116
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR117
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR118
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR119
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR120
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR121
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR122
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR123
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR124
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR125
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR126
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR127
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'MA_SID_2018_CORE.SAV' /COMPRESSED.
