/*******************************************************************
*   NV_SID_2005_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NV_SID_2005_CHGS.ASC' FIXED / 
 KEY                        1-  14
 CHG1                      15-  26
 CHG2                      27-  38
 CHG3                      39-  50
 CHG4                      51-  62
 CHG5                      63-  74
 CHG6                      75-  86
 CHG7                      87-  98
 CHG8                      99- 110
 CHG9                     111- 122
 CHG10                    123- 134
 CHG11                    135- 146
 CHG12                    147- 158
 CHG13                    159- 170
 CHG14                    171- 182
 CHG15                    183- 194
 CHG16                    195- 206
 CHG17                    207- 218
 CHG18                    219- 230
 CHG19                    231- 242
 CHG20                    243- 254
 CHG21                    255- 266
 CHG22                    267- 278
 CHG23                    279- 290
 CHG24                    291- 302
 CHG25                    303- 314
 CHG26                    315- 326
 CHG27                    327- 338
 CHG28                    339- 350
 CHG29                    351- 362
 CHG30                    363- 374
 CHG31                    375- 386
 CHG32                    387- 398
 CHG33                    399- 410
 CHG34                    411- 422
 CHG35                    423- 434
 CHG36                    435- 446
 CHG37                    447- 458
 CHG38                    459- 470
 CHG39                    471- 482
 CHG40                    483- 494
 CHG41                    495- 506
 CHG42                    507- 518
 CHG43                    519- 530
 CHG44                    531- 542
 CHG45                    543- 554
 CHG46                    555- 566
 CHG47                    567- 578
 CHG48                    579- 590
 CHG49                    591- 602
 CHG50                    603- 614
 CHG51                    615- 626
 CHG52                    627- 638
 CHG53                    639- 650
 CHG54                    651- 662
 CHG55                    663- 674
 CHG56                    675- 686
 CHG57                    687- 698
 CHG58                    699- 710
 CHG59                    711- 722
 REVCD1                   723- 726 (A)
 REVCD2                   727- 730 (A)
 REVCD3                   731- 734 (A)
 REVCD4                   735- 738 (A)
 REVCD5                   739- 742 (A)
 REVCD6                   743- 746 (A)
 REVCD7                   747- 750 (A)
 REVCD8                   751- 754 (A)
 REVCD9                   755- 758 (A)
 REVCD10                  759- 762 (A)
 REVCD11                  763- 766 (A)
 REVCD12                  767- 770 (A)
 REVCD13                  771- 774 (A)
 REVCD14                  775- 778 (A)
 REVCD15                  779- 782 (A)
 REVCD16                  783- 786 (A)
 REVCD17                  787- 790 (A)
 REVCD18                  791- 794 (A)
 REVCD19                  795- 798 (A)
 REVCD20                  799- 802 (A)
 REVCD21                  803- 806 (A)
 REVCD22                  807- 810 (A)
 REVCD23                  811- 814 (A)
 REVCD24                  815- 818 (A)
 REVCD25                  819- 822 (A)
 REVCD26                  823- 826 (A)
 REVCD27                  827- 830 (A)
 REVCD28                  831- 834 (A)
 REVCD29                  835- 838 (A)
 REVCD30                  839- 842 (A)
 REVCD31                  843- 846 (A)
 REVCD32                  847- 850 (A)
 REVCD33                  851- 854 (A)
 REVCD34                  855- 858 (A)
 REVCD35                  859- 862 (A)
 REVCD36                  863- 866 (A)
 REVCD37                  867- 870 (A)
 REVCD38                  871- 874 (A)
 REVCD39                  875- 878 (A)
 REVCD40                  879- 882 (A)
 REVCD41                  883- 886 (A)
 REVCD42                  887- 890 (A)
 REVCD43                  891- 894 (A)
 REVCD44                  895- 898 (A)
 REVCD45                  899- 902 (A)
 REVCD46                  903- 906 (A)
 REVCD47                  907- 910 (A)
 REVCD48                  911- 914 (A)
 REVCD49                  915- 918 (A)
 REVCD50                  919- 922 (A)
 REVCD51                  923- 926 (A)
 REVCD52                  927- 930 (A)
 REVCD53                  931- 934 (A)
 REVCD54                  935- 938 (A)
 REVCD55                  939- 942 (A)
 REVCD56                  943- 946 (A)
 REVCD57                  947- 950 (A)
 REVCD58                  951- 954 (A)
 REVCD59                  955- 958 (A)
 UNIT1                    959- 966
 UNIT2                    967- 974
 UNIT3                    975- 982
 UNIT4                    983- 990
 UNIT5                    991- 998
 UNIT6                    999-1006
 UNIT7                   1007-1014
 UNIT8                   1015-1022
 UNIT9                   1023-1030
 UNIT10                  1031-1038
 UNIT11                  1039-1046
 UNIT12                  1047-1054
 UNIT13                  1055-1062
 UNIT14                  1063-1070
 UNIT15                  1071-1078
 UNIT16                  1079-1086
 UNIT17                  1087-1094
 UNIT18                  1095-1102
 UNIT19                  1103-1110
 UNIT20                  1111-1118
 UNIT21                  1119-1126
 UNIT22                  1127-1134
 UNIT23                  1135-1142
 UNIT24                  1143-1150
 UNIT25                  1151-1158
 UNIT26                  1159-1166
 UNIT27                  1167-1174
 UNIT28                  1175-1182
 UNIT29                  1183-1190
 UNIT30                  1191-1198
 UNIT31                  1199-1206
 UNIT32                  1207-1214
 UNIT33                  1215-1222
 UNIT34                  1223-1230
 UNIT35                  1231-1238
 UNIT36                  1239-1246
 UNIT37                  1247-1254
 UNIT38                  1255-1262
 UNIT39                  1263-1270
 UNIT40                  1271-1278
 UNIT41                  1279-1286
 UNIT42                  1287-1294
 UNIT43                  1295-1302
 UNIT44                  1303-1310
 UNIT45                  1311-1318
 UNIT46                  1319-1326
 UNIT47                  1327-1334
 UNIT48                  1335-1342
 UNIT49                  1343-1350
 UNIT50                  1351-1358
 UNIT51                  1359-1366
 UNIT52                  1367-1374
 UNIT53                  1375-1382
 UNIT54                  1383-1390
 UNIT55                  1391-1398
 UNIT56                  1399-1406
 UNIT57                  1407-1414
 UNIT58                  1415-1422
 UNIT59                  1423-1430.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 CHG1                    (F6.2) /
 CHG2                    (F6.2) /
 CHG3                    (F6.2) /
 CHG4                    (F6.2) /
 CHG5                    (F6.2) /
 CHG6                    (F6.2) /
 CHG7                    (F6.2) /
 CHG8                    (F6.2) /
 CHG9                    (F6.2) /
 CHG10                   (F6.2) /
 CHG11                   (F6.2) /
 CHG12                   (F6.2) /
 CHG13                   (F6.2) /
 CHG14                   (F6.2) /
 CHG15                   (F6.2) /
 CHG16                   (F6.2) /
 CHG17                   (F6.2) /
 CHG18                   (F6.2) /
 CHG19                   (F6.2) /
 CHG20                   (F6.2) /
 CHG21                   (F6.2) /
 CHG22                   (F6.2) /
 CHG23                   (F6.2) /
 CHG24                   (F6.2) /
 CHG25                   (F6.2) /
 CHG26                   (F6.2) /
 CHG27                   (F6.2) /
 CHG28                   (F6.2) /
 CHG29                   (F6.2) /
 CHG30                   (F6.2) /
 CHG31                   (F6.2) /
 CHG32                   (F6.2) /
 CHG33                   (F6.2) /
 CHG34                   (F6.2) /
 CHG35                   (F6.2) /
 CHG36                   (F6.2) /
 CHG37                   (F6.2) /
 CHG38                   (F6.2) /
 CHG39                   (F6.2) /
 CHG40                   (F6.2) /
 CHG41                   (F6.2) /
 CHG42                   (F6.2) /
 CHG43                   (F6.2) /
 CHG44                   (F6.2) /
 CHG45                   (F6.2) /
 CHG46                   (F6.2) /
 CHG47                   (F6.2) /
 CHG48                   (F6.2) /
 CHG49                   (F6.2) /
 CHG50                   (F6.2) /
 CHG51                   (F6.2) /
 CHG52                   (F6.2) /
 CHG53                   (F6.2) /
 CHG54                   (F6.2) /
 CHG55                   (F6.2) /
 CHG56                   (F6.2) /
 CHG57                   (F6.2) /
 CHG58                   (F6.2) /
 CHG59                   (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) /
 UNIT24                  (F4.0) /
 UNIT25                  (F4.0) /
 UNIT26                  (F4.0) /
 UNIT27                  (F4.0) /
 UNIT28                  (F4.0) /
 UNIT29                  (F4.0) /
 UNIT30                  (F4.0) /
 UNIT31                  (F4.0) /
 UNIT32                  (F4.0) /
 UNIT33                  (F4.0) /
 UNIT34                  (F4.0) /
 UNIT35                  (F4.0) /
 UNIT36                  (F4.0) /
 UNIT37                  (F4.0) /
 UNIT38                  (F4.0) /
 UNIT39                  (F4.0) /
 UNIT40                  (F4.0) /
 UNIT41                  (F4.0) /
 UNIT42                  (F4.0) /
 UNIT43                  (F4.0) /
 UNIT44                  (F4.0) /
 UNIT45                  (F4.0) /
 UNIT46                  (F4.0) /
 UNIT47                  (F4.0) /
 UNIT48                  (F4.0) /
 UNIT49                  (F4.0) /
 UNIT50                  (F4.0) /
 UNIT51                  (F4.0) /
 UNIT52                  (F4.0) /
 UNIT53                  (F4.0) /
 UNIT54                  (F4.0) /
 UNIT55                  (F4.0) /
 UNIT56                  (F4.0) /
 UNIT57                  (F4.0) /
 UNIT58                  (F4.0) /
 UNIT59                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 CHG1      "Detailed charges 1 (as received from source)"
 CHG2      "Detailed charges 2 (as received from source)"
 CHG3      "Detailed charges 3 (as received from source)"
 CHG4      "Detailed charges 4 (as received from source)"
 CHG5      "Detailed charges 5 (as received from source)"
 CHG6      "Detailed charges 6 (as received from source)"
 CHG7      "Detailed charges 7 (as received from source)"
 CHG8      "Detailed charges 8 (as received from source)"
 CHG9      "Detailed charges 9 (as received from source)"
 CHG10     "Detailed charges 10 (as received from source)"
 CHG11     "Detailed charges 11 (as received from source)"
 CHG12     "Detailed charges 12 (as received from source)"
 CHG13     "Detailed charges 13 (as received from source)"
 CHG14     "Detailed charges 14 (as received from source)"
 CHG15     "Detailed charges 15 (as received from source)"
 CHG16     "Detailed charges 16 (as received from source)"
 CHG17     "Detailed charges 17 (as received from source)"
 CHG18     "Detailed charges 18 (as received from source)"
 CHG19     "Detailed charges 19 (as received from source)"
 CHG20     "Detailed charges 20 (as received from source)"
 CHG21     "Detailed charges 21 (as received from source)"
 CHG22     "Detailed charges 22 (as received from source)"
 CHG23     "Detailed charges 23 (as received from source)"
 CHG24     "Detailed charges 24 (as received from source)"
 CHG25     "Detailed charges 25 (as received from source)"
 CHG26     "Detailed charges 26 (as received from source)"
 CHG27     "Detailed charges 27 (as received from source)"
 CHG28     "Detailed charges 28 (as received from source)"
 CHG29     "Detailed charges 29 (as received from source)"
 CHG30     "Detailed charges 30 (as received from source)"
 CHG31     "Detailed charges 31 (as received from source)"
 CHG32     "Detailed charges 32 (as received from source)"
 CHG33     "Detailed charges 33 (as received from source)"
 CHG34     "Detailed charges 34 (as received from source)"
 CHG35     "Detailed charges 35 (as received from source)"
 CHG36     "Detailed charges 36 (as received from source)"
 CHG37     "Detailed charges 37 (as received from source)"
 CHG38     "Detailed charges 38 (as received from source)"
 CHG39     "Detailed charges 39 (as received from source)"
 CHG40     "Detailed charges 40 (as received from source)"
 CHG41     "Detailed charges 41 (as received from source)"
 CHG42     "Detailed charges 42 (as received from source)"
 CHG43     "Detailed charges 43 (as received from source)"
 CHG44     "Detailed charges 44 (as received from source)"
 CHG45     "Detailed charges 45 (as received from source)"
 CHG46     "Detailed charges 46 (as received from source)"
 CHG47     "Detailed charges 47 (as received from source)"
 CHG48     "Detailed charges 48 (as received from source)"
 CHG49     "Detailed charges 49 (as received from source)"
 CHG50     "Detailed charges 50 (as received from source)"
 CHG51     "Detailed charges 51 (as received from source)"
 CHG52     "Detailed charges 52 (as received from source)"
 CHG53     "Detailed charges 53 (as received from source)"
 CHG54     "Detailed charges 54 (as received from source)"
 CHG55     "Detailed charges 55 (as received from source)"
 CHG56     "Detailed charges 56 (as received from source)"
 CHG57     "Detailed charges 57 (as received from source)"
 CHG58     "Detailed charges 58 (as received from source)"
 CHG59     "Detailed charges 59 (as received from source)"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 REVCD34   "Revenue code 34 (as received from source)"
 REVCD35   "Revenue code 35 (as received from source)"
 REVCD36   "Revenue code 36 (as received from source)"
 REVCD37   "Revenue code 37 (as received from source)"
 REVCD38   "Revenue code 38 (as received from source)"
 REVCD39   "Revenue code 39 (as received from source)"
 REVCD40   "Revenue code 40 (as received from source)"
 REVCD41   "Revenue code 41 (as received from source)"
 REVCD42   "Revenue code 42 (as received from source)"
 REVCD43   "Revenue code 43 (as received from source)"
 REVCD44   "Revenue code 44 (as received from source)"
 REVCD45   "Revenue code 45 (as received from source)"
 REVCD46   "Revenue code 46 (as received from source)"
 REVCD47   "Revenue code 47 (as received from source)"
 REVCD48   "Revenue code 48 (as received from source)"
 REVCD49   "Revenue code 49 (as received from source)"
 REVCD50   "Revenue code 50 (as received from source)"
 REVCD51   "Revenue code 51 (as received from source)"
 REVCD52   "Revenue code 52 (as received from source)"
 REVCD53   "Revenue code 53 (as received from source)"
 REVCD54   "Revenue code 54 (as received from source)"
 REVCD55   "Revenue code 55 (as received from source)"
 REVCD56   "Revenue code 56 (as received from source)"
 REVCD57   "Revenue code 57 (as received from source)"
 REVCD58   "Revenue code 58 (as received from source)"
 REVCD59   "Revenue code 59 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)"
 UNIT20    "Units of service 20 (as received from source)"
 UNIT21    "Units of service 21 (as received from source)"
 UNIT22    "Units of service 22 (as received from source)"
 UNIT23    "Units of service 23 (as received from source)"
 UNIT24    "Units of service 24 (as received from source)"
 UNIT25    "Units of service 25 (as received from source)"
 UNIT26    "Units of service 26 (as received from source)"
 UNIT27    "Units of service 27 (as received from source)"
 UNIT28    "Units of service 28 (as received from source)"
 UNIT29    "Units of service 29 (as received from source)"
 UNIT30    "Units of service 30 (as received from source)"
 UNIT31    "Units of service 31 (as received from source)"
 UNIT32    "Units of service 32 (as received from source)"
 UNIT33    "Units of service 33 (as received from source)"
 UNIT34    "Units of service 34 (as received from source)"
 UNIT35    "Units of service 35 (as received from source)"
 UNIT36    "Units of service 36 (as received from source)"
 UNIT37    "Units of service 37 (as received from source)"
 UNIT38    "Units of service 38 (as received from source)"
 UNIT39    "Units of service 39 (as received from source)"
 UNIT40    "Units of service 40 (as received from source)"
 UNIT41    "Units of service 41 (as received from source)"
 UNIT42    "Units of service 42 (as received from source)"
 UNIT43    "Units of service 43 (as received from source)"
 UNIT44    "Units of service 44 (as received from source)"
 UNIT45    "Units of service 45 (as received from source)"
 UNIT46    "Units of service 46 (as received from source)"
 UNIT47    "Units of service 47 (as received from source)"
 UNIT48    "Units of service 48 (as received from source)"
 UNIT49    "Units of service 49 (as received from source)"
 UNIT50    "Units of service 50 (as received from source)"
 UNIT51    "Units of service 51 (as received from source)"
 UNIT52    "Units of service 52 (as received from source)"
 UNIT53    "Units of service 53 (as received from source)"
 UNIT54    "Units of service 54 (as received from source)"
 UNIT55    "Units of service 55 (as received from source)"
 UNIT56    "Units of service 56 (as received from source)"
 UNIT57    "Units of service 57 (as received from source)"
 UNIT58    "Units of service 58 (as received from source)"
 UNIT59    "Units of service 59 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG46
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG47
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG48
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG49
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG50
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG51
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG52
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG53
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG54
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG55
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG56
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG57
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG58
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG59
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT32
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT33
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT34
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT35
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT36
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT37
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT38
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT39
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT40
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT41
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT42
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT43
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT44
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT45
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT46
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT47
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT48
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT49
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT50
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT51
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT52
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT53
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT54
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT55
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT56
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT57
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT58
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT59
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'NV_SID_2005_CHGS.SAV' /COMPRESSED.
