/*******************************************************************
*   NV_SID_2010_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'NV_SID_2010_CHGS.ASC' FIXED / 
 KEY                        1-  14
 NREVCD                    15-  16
 REVCD1                    17-  20 (A)
 REVCD2                    21-  24 (A)
 REVCD3                    25-  28 (A)
 REVCD4                    29-  32 (A)
 REVCD5                    33-  36 (A)
 REVCD6                    37-  40 (A)
 REVCD7                    41-  44 (A)
 REVCD8                    45-  48 (A)
 REVCD9                    49-  52 (A)
 REVCD10                   53-  56 (A)
 REVCD11                   57-  60 (A)
 REVCD12                   61-  64 (A)
 REVCD13                   65-  68 (A)
 REVCD14                   69-  72 (A)
 REVCD15                   73-  76 (A)
 REVCD16                   77-  80 (A)
 REVCD17                   81-  84 (A)
 REVCD18                   85-  88 (A)
 REVCD19                   89-  92 (A)
 REVCD20                   93-  96 (A)
 REVCD21                   97- 100 (A)
 REVCD22                  101- 104 (A)
 REVCD23                  105- 108 (A)
 REVCD24                  109- 112 (A)
 REVCD25                  113- 116 (A)
 REVCD26                  117- 120 (A)
 REVCD27                  121- 124 (A)
 REVCD28                  125- 128 (A)
 REVCD29                  129- 132 (A)
 REVCD30                  133- 136 (A)
 REVCD31                  137- 140 (A)
 REVCD32                  141- 144 (A)
 REVCD33                  145- 148 (A)
 REVCD34                  149- 152 (A)
 REVCD35                  153- 156 (A)
 REVCD36                  157- 160 (A)
 REVCD37                  161- 164 (A)
 REVCD38                  165- 168 (A)
 REVCD39                  169- 172 (A)
 REVCD40                  173- 176 (A)
 REVCD41                  177- 180 (A)
 REVCD42                  181- 184 (A)
 REVCD43                  185- 188 (A)
 REVCD44                  189- 192 (A)
 REVCHG1                  193- 204
 REVCHG2                  205- 216
 REVCHG3                  217- 228
 REVCHG4                  229- 240
 REVCHG5                  241- 252
 REVCHG6                  253- 264
 REVCHG7                  265- 276
 REVCHG8                  277- 288
 REVCHG9                  289- 300
 REVCHG10                 301- 312
 REVCHG11                 313- 324
 REVCHG12                 325- 336
 REVCHG13                 337- 348
 REVCHG14                 349- 360
 REVCHG15                 361- 372
 REVCHG16                 373- 384
 REVCHG17                 385- 396
 REVCHG18                 397- 408
 REVCHG19                 409- 420
 REVCHG20                 421- 432
 REVCHG21                 433- 444
 REVCHG22                 445- 456
 REVCHG23                 457- 468
 REVCHG24                 469- 480
 REVCHG25                 481- 492
 REVCHG26                 493- 504
 REVCHG27                 505- 516
 REVCHG28                 517- 528
 REVCHG29                 529- 540
 REVCHG30                 541- 552
 REVCHG31                 553- 564
 REVCHG32                 565- 576
 REVCHG33                 577- 588
 REVCHG34                 589- 600
 REVCHG35                 601- 612
 REVCHG36                 613- 624
 REVCHG37                 625- 636
 REVCHG38                 637- 648
 REVCHG39                 649- 660
 REVCHG40                 661- 672
 REVCHG41                 673- 684
 REVCHG42                 685- 696
 REVCHG43                 697- 708
 REVCHG44                 709- 720
 UNIT1                    721- 728
 UNIT2                    729- 736
 UNIT3                    737- 744
 UNIT4                    745- 752
 UNIT5                    753- 760
 UNIT6                    761- 768
 UNIT7                    769- 776
 UNIT8                    777- 784
 UNIT9                    785- 792
 UNIT10                   793- 800
 UNIT11                   801- 808
 UNIT12                   809- 816
 UNIT13                   817- 824
 UNIT14                   825- 832
 UNIT15                   833- 840
 UNIT16                   841- 848
 UNIT17                   849- 856
 UNIT18                   857- 864
 UNIT19                   865- 872
 UNIT20                   873- 880
 UNIT21                   881- 888
 UNIT22                   889- 896
 UNIT23                   897- 904
 UNIT24                   905- 912
 UNIT25                   913- 920
 UNIT26                   921- 928
 UNIT27                   929- 936
 UNIT28                   937- 944
 UNIT29                   945- 952
 UNIT30                   953- 960
 UNIT31                   961- 968
 UNIT32                   969- 976
 UNIT33                   977- 984
 UNIT34                   985- 992
 UNIT35                   993-1000
 UNIT36                  1001-1008
 UNIT37                  1009-1016
 UNIT38                  1017-1024
 UNIT39                  1025-1032
 UNIT40                  1033-1040
 UNIT41                  1041-1048
 UNIT42                  1049-1056
 UNIT43                  1057-1064
 UNIT44                  1065-1072.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 NREVCD                  (F3.0) /
 REVCHG1                 (F6.2) /
 REVCHG2                 (F6.2) /
 REVCHG3                 (F6.2) /
 REVCHG4                 (F6.2) /
 REVCHG5                 (F6.2) /
 REVCHG6                 (F6.2) /
 REVCHG7                 (F6.2) /
 REVCHG8                 (F6.2) /
 REVCHG9                 (F6.2) /
 REVCHG10                (F6.2) /
 REVCHG11                (F6.2) /
 REVCHG12                (F6.2) /
 REVCHG13                (F6.2) /
 REVCHG14                (F6.2) /
 REVCHG15                (F6.2) /
 REVCHG16                (F6.2) /
 REVCHG17                (F6.2) /
 REVCHG18                (F6.2) /
 REVCHG19                (F6.2) /
 REVCHG20                (F6.2) /
 REVCHG21                (F6.2) /
 REVCHG22                (F6.2) /
 REVCHG23                (F6.2) /
 REVCHG24                (F6.2) /
 REVCHG25                (F6.2) /
 REVCHG26                (F6.2) /
 REVCHG27                (F6.2) /
 REVCHG28                (F6.2) /
 REVCHG29                (F6.2) /
 REVCHG30                (F6.2) /
 REVCHG31                (F6.2) /
 REVCHG32                (F6.2) /
 REVCHG33                (F6.2) /
 REVCHG34                (F6.2) /
 REVCHG35                (F6.2) /
 REVCHG36                (F6.2) /
 REVCHG37                (F6.2) /
 REVCHG38                (F6.2) /
 REVCHG39                (F6.2) /
 REVCHG40                (F6.2) /
 REVCHG41                (F6.2) /
 REVCHG42                (F6.2) /
 REVCHG43                (F6.2) /
 REVCHG44                (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) /
 UNIT24                  (F4.0) /
 UNIT25                  (F4.0) /
 UNIT26                  (F4.0) /
 UNIT27                  (F4.0) /
 UNIT28                  (F4.0) /
 UNIT29                  (F4.0) /
 UNIT30                  (F4.0) /
 UNIT31                  (F4.0) /
 UNIT32                  (F4.0) /
 UNIT33                  (F4.0) /
 UNIT34                  (F4.0) /
 UNIT35                  (F4.0) /
 UNIT36                  (F4.0) /
 UNIT37                  (F4.0) /
 UNIT38                  (F4.0) /
 UNIT39                  (F4.0) /
 UNIT40                  (F4.0) /
 UNIT41                  (F4.0) /
 UNIT42                  (F4.0) /
 UNIT43                  (F4.0) /
 UNIT44                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY                     "HCUP record identifier"
 NREVCD                  "Number of revenue codes for this discharge"
 REVCD1                  "Revenue code 1 (as received from source)"
 REVCD2                  "Revenue code 2 (as received from source)"
 REVCD3                  "Revenue code 3 (as received from source)"
 REVCD4                  "Revenue code 4 (as received from source)"
 REVCD5                  "Revenue code 5 (as received from source)"
 REVCD6                  "Revenue code 6 (as received from source)"
 REVCD7                  "Revenue code 7 (as received from source)"
 REVCD8                  "Revenue code 8 (as received from source)"
 REVCD9                  "Revenue code 9 (as received from source)"
 REVCD10                 "Revenue code 10 (as received from source)"
 REVCD11                 "Revenue code 11 (as received from source)"
 REVCD12                 "Revenue code 12 (as received from source)"
 REVCD13                 "Revenue code 13 (as received from source)"
 REVCD14                 "Revenue code 14 (as received from source)"
 REVCD15                 "Revenue code 15 (as received from source)"
 REVCD16                 "Revenue code 16 (as received from source)"
 REVCD17                 "Revenue code 17 (as received from source)"
 REVCD18                 "Revenue code 18 (as received from source)"
 REVCD19                 "Revenue code 19 (as received from source)"
 REVCD20                 "Revenue code 20 (as received from source)"
 REVCD21                 "Revenue code 21 (as received from source)"
 REVCD22                 "Revenue code 22 (as received from source)"
 REVCD23                 "Revenue code 23 (as received from source)"
 REVCD24                 "Revenue code 24 (as received from source)"
 REVCD25                 "Revenue code 25 (as received from source)"
 REVCD26                 "Revenue code 26 (as received from source)"
 REVCD27                 "Revenue code 27 (as received from source)"
 REVCD28                 "Revenue code 28 (as received from source)"
 REVCD29                 "Revenue code 29 (as received from source)"
 REVCD30                 "Revenue code 30 (as received from source)"
 REVCD31                 "Revenue code 31 (as received from source)"
 REVCD32                 "Revenue code 32 (as received from source)"
 REVCD33                 "Revenue code 33 (as received from source)"
 REVCD34                 "Revenue code 34 (as received from source)"
 REVCD35                 "Revenue code 35 (as received from source)"
 REVCD36                 "Revenue code 36 (as received from source)"
 REVCD37                 "Revenue code 37 (as received from source)"
 REVCD38                 "Revenue code 38 (as received from source)"
 REVCD39                 "Revenue code 39 (as received from source)"
 REVCD40                 "Revenue code 40 (as received from source)"
 REVCD41                 "Revenue code 41 (as received from source)"
 REVCD42                 "Revenue code 42 (as received from source)"
 REVCD43                 "Revenue code 43 (as received from source)"
 REVCD44                 "Revenue code 44 (as received from source)"
 REVCHG1                 "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2                 "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3                 "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4                 "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5                 "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6                 "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7                 "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8                 "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9                 "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10                "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11                "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12                "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13                "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14                "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15                "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16                "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17                "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18                "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19                "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20                "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21                "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22                "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23                "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24                "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25                "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26                "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27                "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28                "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29                "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30                "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31                "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32                "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33                "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34                "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35                "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36                "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37                "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38                "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39                "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40                "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41                "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42                "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43                "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44                "Detailed charges for revenue code 44 (as received from source)"
 UNIT1                   "Units of service 1 (as received from source)"
 UNIT2                   "Units of service 2 (as received from source)"
 UNIT3                   "Units of service 3 (as received from source)"
 UNIT4                   "Units of service 4 (as received from source)"
 UNIT5                   "Units of service 5 (as received from source)"
 UNIT6                   "Units of service 6 (as received from source)"
 UNIT7                   "Units of service 7 (as received from source)"
 UNIT8                   "Units of service 8 (as received from source)"
 UNIT9                   "Units of service 9 (as received from source)"
 UNIT10                  "Units of service 10 (as received from source)"
 UNIT11                  "Units of service 11 (as received from source)"
 UNIT12                  "Units of service 12 (as received from source)"
 UNIT13                  "Units of service 13 (as received from source)"
 UNIT14                  "Units of service 14 (as received from source)"
 UNIT15                  "Units of service 15 (as received from source)"
 UNIT16                  "Units of service 16 (as received from source)"
 UNIT17                  "Units of service 17 (as received from source)"
 UNIT18                  "Units of service 18 (as received from source)"
 UNIT19                  "Units of service 19 (as received from source)"
 UNIT20                  "Units of service 20 (as received from source)"
 UNIT21                  "Units of service 21 (as received from source)"
 UNIT22                  "Units of service 22 (as received from source)"
 UNIT23                  "Units of service 23 (as received from source)"
 UNIT24                  "Units of service 24 (as received from source)"
 UNIT25                  "Units of service 25 (as received from source)"
 UNIT26                  "Units of service 26 (as received from source)"
 UNIT27                  "Units of service 27 (as received from source)"
 UNIT28                  "Units of service 28 (as received from source)"
 UNIT29                  "Units of service 29 (as received from source)"
 UNIT30                  "Units of service 30 (as received from source)"
 UNIT31                  "Units of service 31 (as received from source)"
 UNIT32                  "Units of service 32 (as received from source)"
 UNIT33                  "Units of service 33 (as received from source)"
 UNIT34                  "Units of service 34 (as received from source)"
 UNIT35                  "Units of service 35 (as received from source)"
 UNIT36                  "Units of service 36 (as received from source)"
 UNIT37                  "Units of service 37 (as received from source)"
 UNIT38                  "Units of service 38 (as received from source)"
 UNIT39                  "Units of service 39 (as received from source)"
 UNIT40                  "Units of service 40 (as received from source)"
 UNIT41                  "Units of service 41 (as received from source)"
 UNIT42                  "Units of service 42 (as received from source)"
 UNIT43                  "Units of service 43 (as received from source)"
 UNIT44                  "Units of service 44 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-9,-8,-6,-5=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT32
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT33
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT34
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT35
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT36
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT37
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT38
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT39
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT40
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT41
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT42
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT43
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT44
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'NV_SID_2010_CHGS.SAV' /COMPRESSED.
