/*******************************************************************
*   NY_SID_2000_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL CONVERT THE ASCII             
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'NY_SID_2000_CORE.ASC' FIXED / 
 KEY                  1- 14
 AGE                 15- 17
 AGEDAY              18- 20
 AGEMONTH            21- 23
 AMONTH              24- 25
 ANESTH              26- 28
 ASCHED              29- 30
 ASOURCE             31- 32
 ASOURCE_            33 (A)
 ATYPE               34- 35
 AWEEKEND            36- 37
 BLOOD               38- 43
 BWT                 44- 47
 DIED                48- 49
 DISP_X              50- 51 (A)
 DISPUB92            52- 53
 DISPUNIF            54- 55
 DQTR                56- 57
 DRG                 58- 60
 DRG18               61- 63
 DRGVER              64- 65
 DSHOSPID            66- 78 (A)
 DX1                 79- 83 (A)
 DX2                 84- 88 (A)
 DX3                 89- 93 (A)
 DX4                 94- 98 (A)
 DX5                 99-103 (A)
 DX6                104-108 (A)
 DX7                109-113 (A)
 DX8                114-118 (A)
 DX9                119-123 (A)
 DX10               124-128 (A)
 DX11               129-133 (A)
 DX12               134-138 (A)
 DX13               139-143 (A)
 DX14               144-148 (A)
 DX15               149-153 (A)
 DX16               154-158 (A)
 DX17               159-163 (A)
 DXATAD1            164-165
 DXATAD2            166-167
 DXATAD3            168-169
 DXATAD4            170-171
 DXATAD5            172-173
 DXATAD6            174-175
 DXATAD7            176-177
 DXATAD8            178-179
 DXATAD9            180-181
 DXATAD10           182-183
 DXATAD11           184-185
 DXATAD12           186-187
 DXATAD13           188-189
 DXATAD14           190-191
 DXATAD15           192-193
 DXCCS1             194-197
 DXCCS2             198-201
 DXCCS3             202-205
 DXCCS4             206-209
 DXCCS5             210-213
 DXCCS6             214-217
 DXCCS7             218-221
 DXCCS8             222-225
 DXCCS9             226-229
 DXCCS10            230-233
 DXCCS11            234-237
 DXCCS12            238-241
 DXCCS13            242-245
 DXCCS14            246-249
 DXCCS15            250-253
 DXCCS16            254-257
 DXCCS17            258-261
 FEMALE             262-263
 HISPANIC           264 (A)
 HOSPST             265-266 (A)
 LOS                267-271
 LOS_X              272-277
 MDC                278-279
 MDC18              280-281
 MDID_S             282-297 (A)
 NDX                298-299
 NEOMAT             300-301
 NPR                302-303
 PAY1               304-305
 PAY2               306-307
 PAY1_X             308-309 (A)
 PAY2_X             310-311 (A)
 PAY3_X             312-313 (A)
 PR1                314-317 (A)
 PR2                318-321 (A)
 PR3                322-325 (A)
 PR4                326-329 (A)
 PR5                330-333 (A)
 PR6                334-337 (A)
 PR7                338-341 (A)
 PR8                342-345 (A)
 PR9                346-349 (A)
 PR10               350-353 (A)
 PR11               354-357 (A)
 PR12               358-361 (A)
 PR13               362-365 (A)
 PR14               366-369 (A)
 PR15               370-373 (A)
 PRCCS1             374-376
 PRCCS2             377-379
 PRCCS3             380-382
 PRCCS4             383-385
 PRCCS5             386-388
 PRCCS6             389-391
 PRCCS7             392-394
 PRCCS8             395-397
 PRCCS9             398-400
 PRCCS10            401-403
 PRCCS11            404-406
 PRCCS12            407-409
 PRCCS13            410-412
 PRCCS14            413-415
 PRCCS15            416-418
 PRDAY1             419-421
 PRDAY2             422-424
 PRDAY3             425-427
 PRDAY4             428-430
 PRDAY5             431-433
 PRDAY6             434-436
 PRDAY7             437-439
 PRDAY8             440-442
 PRDAY9             443-445
 PRDAY10            446-448
 PRDAY11            449-451
 PRDAY12            452-454
 PRDAY13            455-457
 PRDAY14            458-460
 PRDAY15            461-463
 PSTCO              464-468
 RACE               469-470
 RACE_X             471-472 (A)
 SURGID_S           473-488 (A)
 TOTCHG             489-498
 TOTCHG_X           499-513
 YEAR               514-517
 ZIP                518-522 (A)
 AYEAR              523-526
 DMONTH             527-528
 BMONTH             529-530
 BYEAR              531-534
 PRMNTH1            535-536
 PRMNTH2            537-538
 PRMNTH3            539-540
 PRMNTH4            541-542
 PRMNTH5            543-544
 PRMNTH6            545-546
 PRMNTH7            547-548
 PRMNTH8            549-550
 PRMNTH9            551-552
 PRMNTH10           553-554
 PRMNTH11           555-556
 PRMNTH12           557-558
 PRMNTH13           559-560
 PRMNTH14           561-562
 PRMNTH15           563-564
 PRYEAR1            565-568
 PRYEAR2            569-572
 PRYEAR3            573-576
 PRYEAR4            577-580
 PRYEAR5            581-584
 PRYEAR6            585-588
 PRYEAR7            589-592
 PRYEAR8            593-596
 PRYEAR9            597-600
 PRYEAR10           601-604
 PRYEAR11           605-608
 PRYEAR12           609-612
 PRYEAR13           613-616
 PRYEAR14           617-620
 PRYEAR15           621-624.


***  Specify write formats  ***.
FORMATS
 KEY                 (F8.0) /
 AGE                 (F3.0) /
 AGEDAY              (F3.0) /
 AGEMONTH            (F3.0) /
 AMONTH              (F3.0) /
 ANESTH              (F3.0) /
 ASCHED              (F3.0) /
 ASOURCE             (F3.0) /
 ATYPE               (F3.0) /
 AWEEKEND            (F3.0) /
 BLOOD               (F4.0) /
 BWT                 (F4.0) /
 DIED                (F3.0) /
 DISPUB92            (F3.0) /
 DISPUNIF            (F3.0) /
 DQTR                (F3.0) /
 DRG                 (F3.0) /
 DRG18               (F3.0) /
 DRGVER              (F3.0) /
 DXATAD1             (F3.0) /
 DXATAD2             (F3.0) /
 DXATAD3             (F3.0) /
 DXATAD4             (F3.0) /
 DXATAD5             (F3.0) /
 DXATAD6             (F3.0) /
 DXATAD7             (F3.0) /
 DXATAD8             (F3.0) /
 DXATAD9             (F3.0) /
 DXATAD10            (F3.0) /
 DXATAD11            (F3.0) /
 DXATAD12            (F3.0) /
 DXATAD13            (F3.0) /
 DXATAD14            (F3.0) /
 DXATAD15            (F3.0) /
 DXCCS1              (F4.0) /
 DXCCS2              (F4.0) /
 DXCCS3              (F4.0) /
 DXCCS4              (F4.0) /
 DXCCS5              (F4.0) /
 DXCCS6              (F4.0) /
 DXCCS7              (F4.0) /
 DXCCS8              (F4.0) /
 DXCCS9              (F4.0) /
 DXCCS10             (F4.0) /
 DXCCS11             (F4.0) /
 DXCCS12             (F4.0) /
 DXCCS13             (F4.0) /
 DXCCS14             (F4.0) /
 DXCCS15             (F4.0) /
 DXCCS16             (F4.0) /
 DXCCS17             (F4.0) /
 FEMALE              (F3.0) /
 LOS                 (F4.0) /
 LOS_X               (F4.0) /
 MDC                 (F3.0) /
 MDC18               (F3.0) /
 NDX                 (F3.0) /
 NEOMAT              (F3.0) /
 NPR                 (F3.0) /
 PAY1                (F3.0) /
 PAY2                (F3.0) /
 PRCCS1              (F3.0) /
 PRCCS2              (F3.0) /
 PRCCS3              (F3.0) /
 PRCCS4              (F3.0) /
 PRCCS5              (F3.0) /
 PRCCS6              (F3.0) /
 PRCCS7              (F3.0) /
 PRCCS8              (F3.0) /
 PRCCS9              (F3.0) /
 PRCCS10             (F3.0) /
 PRCCS11             (F3.0) /
 PRCCS12             (F3.0) /
 PRCCS13             (F3.0) /
 PRCCS14             (F3.0) /
 PRCCS15             (F3.0) /
 PRDAY1              (F4.0) /
 PRDAY2              (F4.0) /
 PRDAY3              (F4.0) /
 PRDAY4              (F4.0) /
 PRDAY5              (F4.0) /
 PRDAY6              (F4.0) /
 PRDAY7              (F4.0) /
 PRDAY8              (F4.0) /
 PRDAY9              (F4.0) /
 PRDAY10             (F4.0) /
 PRDAY11             (F4.0) /
 PRDAY12             (F4.0) /
 PRDAY13             (F4.0) /
 PRDAY14             (F4.0) /
 PRDAY15             (F4.0) /
 PSTCO               (F4.0) /
 RACE                (F3.0) /
 TOTCHG              (F6.0) /
 TOTCHG_X            (F7.2) /
 YEAR                (F3.0) /
 AYEAR               (F3.0) /
 DMONTH              (F3.0) /
 BMONTH              (F3.0) /
 BYEAR               (F3.0) /
 PRMNTH1             (F3.0) /
 PRMNTH2             (F3.0) /
 PRMNTH3             (F3.0) /
 PRMNTH4             (F3.0) /
 PRMNTH5             (F3.0) /
 PRMNTH6             (F3.0) /
 PRMNTH7             (F3.0) /
 PRMNTH8             (F3.0) /
 PRMNTH9             (F3.0) /
 PRMNTH10            (F3.0) /
 PRMNTH11            (F3.0) /
 PRMNTH12            (F3.0) /
 PRMNTH13            (F3.0) /
 PRMNTH14            (F3.0) /
 PRMNTH15            (F3.0) /
 PRYEAR1             (F3.0) /
 PRYEAR2             (F3.0) /
 PRYEAR3             (F3.0) /
 PRYEAR4             (F3.0) /
 PRYEAR5             (F3.0) /
 PRYEAR6             (F3.0) /
 PRYEAR7             (F3.0) /
 PRYEAR8             (F3.0) /
 PRYEAR9             (F3.0) /
 PRYEAR10            (F3.0) /
 PRYEAR11            (F3.0) /
 PRYEAR12            (F3.0) /
 PRYEAR13            (F3.0) /
 PRYEAR14            (F3.0) /
 PRYEAR15            (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY          "HCUP record identifier"
 AGE          "Age in years at admission"
 AGEDAY       "Age in days (when age < 1 year)"
 AGEMONTH     "Age in months (when age < 11 years)"
 AMONTH       "Admission month"
 ANESTH       "Method of anesthesia"
 ASCHED       "Admission scheduled vs. unscheduled"
 ASOURCE      "Admission source (uniform)"
 ASOURCE_     "Admission source (as received from source)"
 ATYPE        "Admission type"
 AWEEKEND     "Admission day is a weekend"
 BLOOD        "Pints of blood furnished to the patient"
 BWT          "Birth weight in grams"
 DIED         "Died during hospitalization"
 DISP_X       "Disposition of patient (as received from source)"
 DISPUB92     "Disposition of patient (UB-92 standard coding)"
 DISPUNIF     "Disposition of patient (uniform)"
 DQTR         "Discharge quarter"
 DRG          "DRG in effect on discharge date"
 DRG18        "DRG, version 18"
 DRGVER       "DRG grouper version used on discharge date"
 DSHOSPID     "Data source hospital identifier"
 DX1          "Principal diagnosis"
 DX2          "Diagnosis 2"
 DX3          "Diagnosis 3"
 DX4          "Diagnosis 4"
 DX5          "Diagnosis 5"
 DX6          "Diagnosis 6"
 DX7          "Diagnosis 7"
 DX8          "Diagnosis 8"
 DX9          "Diagnosis 9"
 DX10         "Diagnosis 10"
 DX11         "Diagnosis 11"
 DX12         "Diagnosis 12"
 DX13         "Diagnosis 13"
 DX14         "Diagnosis 14"
 DX15         "Diagnosis 15"
 DX16         "Diagnosis 16"
 DX17         "Diagnosis 17"
 DXATAD1      "Principal diagnosis present at admission"
 DXATAD2      "Diagnosis 2 present at admission"
 DXATAD3      "Diagnosis 3 present at admission"
 DXATAD4      "Diagnosis 4 present at admission"
 DXATAD5      "Diagnosis 5 present at admission"
 DXATAD6      "Diagnosis 6 present at admission"
 DXATAD7      "Diagnosis 7 present at admission"
 DXATAD8      "Diagnosis 8 present at admission"
 DXATAD9      "Diagnosis 9 present at admission"
 DXATAD10     "Diagnosis 10 present at admission"
 DXATAD11     "Diagnosis 11 present at admission"
 DXATAD12     "Diagnosis 12 present at admission"
 DXATAD13     "Diagnosis 13 present at admission"
 DXATAD14     "Diagnosis 14 present at admission"
 DXATAD15     "Diagnosis 15 present at admission"
 DXCCS1       "CCS: principal diagnosis"
 DXCCS2       "CCS: diagnosis 2"
 DXCCS3       "CCS: diagnosis 3"
 DXCCS4       "CCS: diagnosis 4"
 DXCCS5       "CCS: diagnosis 5"
 DXCCS6       "CCS: diagnosis 6"
 DXCCS7       "CCS: diagnosis 7"
 DXCCS8       "CCS: diagnosis 8"
 DXCCS9       "CCS: diagnosis 9"
 DXCCS10      "CCS: diagnosis 10"
 DXCCS11      "CCS: diagnosis 11"
 DXCCS12      "CCS: diagnosis 12"
 DXCCS13      "CCS: diagnosis 13"
 DXCCS14      "CCS: diagnosis 14"
 DXCCS15      "CCS: diagnosis 15"
 DXCCS16      "CCS: diagnosis 16"
 DXCCS17      "CCS: diagnosis 17"
 FEMALE       "Indicator of sex"
 HISPANIC     "Hispanic ethnicity (as received from source)"
 HOSPST       "Hospital state postal code"
 LOS          "Length of stay (cleaned)"
 LOS_X        "Length of stay (as received from source)"
 MDC          "MDC in effect on discharge date"
 MDC18        "MDC, version 18"
 MDID_S       "Attending physician number (synthetic)"
 NDX          "Number of diagnoses on this record"
 NEOMAT       "Neonatal and/or maternal DX and/or PR"
 NPR          "Number of procedures on this record"
 PAY1         "Primary expected payer (uniform)"
 PAY2         "Secondary expected payer (uniform)"
 PAY1_X       "Primary expected payer (as received from source)"
 PAY2_X       "Secondary expected payer (as received from source)"
 PAY3_X       "Tertiary expected payer (as received from source)"
 PR1          "Principal procedure"
 PR2          "Procedure 2"
 PR3          "Procedure 3"
 PR4          "Procedure 4"
 PR5          "Procedure 5"
 PR6          "Procedure 6"
 PR7          "Procedure 7"
 PR8          "Procedure 8"
 PR9          "Procedure 9"
 PR10         "Procedure 10"
 PR11         "Procedure 11"
 PR12         "Procedure 12"
 PR13         "Procedure 13"
 PR14         "Procedure 14"
 PR15         "Procedure 15"
 PRCCS1       "CCS: principal procedure"
 PRCCS2       "CCS: procedure 2"
 PRCCS3       "CCS: procedure 3"
 PRCCS4       "CCS: procedure 4"
 PRCCS5       "CCS: procedure 5"
 PRCCS6       "CCS: procedure 6"
 PRCCS7       "CCS: procedure 7"
 PRCCS8       "CCS: procedure 8"
 PRCCS9       "CCS: procedure 9"
 PRCCS10      "CCS: procedure 10"
 PRCCS11      "CCS: procedure 11"
 PRCCS12      "CCS: procedure 12"
 PRCCS13      "CCS: procedure 13"
 PRCCS14      "CCS: procedure 14"
 PRCCS15      "CCS: procedure 15"
 PRDAY1       "Number of days from admission to PR1"
 PRDAY2       "Number of days from admission to PR2"
 PRDAY3       "Number of days from admission to PR3"
 PRDAY4       "Number of days from admission to PR4"
 PRDAY5       "Number of days from admission to PR5"
 PRDAY6       "Number of days from admission to PR6"
 PRDAY7       "Number of days from admission to PR7"
 PRDAY8       "Number of days from admission to PR8"
 PRDAY9       "Number of days from admission to PR9"
 PRDAY10      "Number of days from admission to PR10"
 PRDAY11      "Number of days from admission to PR11"
 PRDAY12      "Number of days from admission to PR12"
 PRDAY13      "Number of days from admission to PR13"
 PRDAY14      "Number of days from admission to PR14"
 PRDAY15      "Number of days from admission to PR15"
 PSTCO        "Patient state/county FIPS code"
 RACE         "Race (uniform)"
 RACE_X       "Race (as received from source)"
 SURGID_S     "Primary surgeon number (synthetic)"
 TOTCHG       "Total charges (cleaned)"
 TOTCHG_X     "Total charges (as received from source)"
 YEAR         "Calendar year"
 ZIP          "Patient zip code"
 AYEAR        "Admission year"
 DMONTH       "Discharge month"
 BMONTH       "Birth month"
 BYEAR        "Birth year"
 PRMNTH1      "Month of procedure 1"
 PRMNTH2      "Month of procedure 2"
 PRMNTH3      "Month of procedure 3"
 PRMNTH4      "Month of procedure 4"
 PRMNTH5      "Month of procedure 5"
 PRMNTH6      "Month of procedure 6"
 PRMNTH7      "Month of procedure 7"
 PRMNTH8      "Month of procedure 8"
 PRMNTH9      "Month of procedure 9"
 PRMNTH10     "Month of procedure 10"
 PRMNTH11     "Month of procedure 11"
 PRMNTH12     "Month of procedure 12"
 PRMNTH13     "Month of procedure 13"
 PRMNTH14     "Month of procedure 14"
 PRMNTH15     "Month of procedure 15"
 PRYEAR1      "Year of procedure 1"
 PRYEAR2      "Year of procedure 2"
 PRYEAR3      "Year of procedure 3"
 PRYEAR4      "Year of procedure 4"
 PRYEAR5      "Year of procedure 5"
 PRYEAR6      "Year of procedure 6"
 PRYEAR7      "Year of procedure 7"
 PRYEAR8      "Year of procedure 8"
 PRYEAR9      "Year of procedure 9"
 PRYEAR10     "Year of procedure 10"
 PRYEAR11     "Year of procedure 11"
 PRYEAR12     "Year of procedure 12"
 PRYEAR13     "Year of procedure 13"
 PRYEAR14     "Year of procedure 14"
 PRYEAR15     "Year of procedure 15".


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ANESTH
 (-99,-88,-66,-55=SYSMIS).
RECODE ASCHED
 (-9,-8,-6,-5=SYSMIS).
RECODE ASOURCE
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE BLOOD
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE BWT
 (-999,-888,-666,-555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB92
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIF
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG18
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD1
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD2
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD3
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD4
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD5
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD6
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD7
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD8
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD9
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD10
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD11
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD12
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD13
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD14
 (-9,-8,-6,-5=SYSMIS).
RECODE DXATAD15
 (-9,-8,-6,-5=SYSMIS).
RECODE DXCCS1
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS2
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS3
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS4
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS5
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS6
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS7
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS8
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS9
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS10
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS11
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS12
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS13
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS14
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS15
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS16
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS17
 (-999,-888,-666,-555=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC18
 (-9,-8,-6,-5=SYSMIS).
RECODE NDX
 (-9,-8,-6,-5=SYSMIS).
RECODE NEOMAT
 (-9,-8,-6,-5=SYSMIS).
RECODE NPR
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY1
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY2
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY3
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY4
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY5
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY6
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY7
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY8
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY9
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY10
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY11
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY12
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY13
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY14
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY15
 (-99,-88,-66,-55=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMNTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMNTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'NY_SID_2000_CORE.SAV' /COMPRESSED.
