/*******************************************************************
*   SD_SID_2011_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'SD_SID_2011_CORE.ASC' FIXED / 
 AGE                        1-   3
 AGEDAY                     4-   6
 AGEMONTH                   7-   9
 AMONTH                    10-  11
 ATYPE                     12-  13
 AWEEKEND                  14-  15
 DIED                      16-  17
 DISPUB04                  18-  19
 DISPUNIFORM               20-  21
 DISP_X                    22-  25 (A)
 DQTR                      26-  27
 DRG                       28-  30
 DRG24                     31-  33
 DRGVER                    34-  35
 DRG_NoPOA                 36-  38
 DX1                       39-  43 (A)
 DX2                       44-  48 (A)
 DX3                       49-  53 (A)
 DX4                       54-  58 (A)
 DX5                       59-  63 (A)
 DX6                       64-  68 (A)
 DX7                       69-  73 (A)
 DX8                       74-  78 (A)
 DX9                       79-  83 (A)
 DX10                      84-  88 (A)
 DX11                      89-  93 (A)
 DX12                      94-  98 (A)
 DX13                      99- 103 (A)
 DX14                     104- 108 (A)
 DX15                     109- 113 (A)
 DX16                     114- 118 (A)
 DX17                     119- 123 (A)
 DX18                     124- 128 (A)
 DX19                     129- 133 (A)
 DX20                     134- 138 (A)
 DX21                     139- 143 (A)
 DX22                     144- 148 (A)
 DX23                     149- 153 (A)
 DX24                     154- 158 (A)
 DX25                     159- 163 (A)
 DX26                     164- 168 (A)
 DX27                     169- 173 (A)
 DX28                     174- 178 (A)
 DX29                     179- 183 (A)
 DX30                     184- 188 (A)
 DX31                     189- 193 (A)
 DX32                     194- 198 (A)
 DX33                     199- 203 (A)
 DX34                     204- 208 (A)
 DX35                     209- 213 (A)
 DX36                     214- 218 (A)
 DX37                     219- 223 (A)
 DX38                     224- 228 (A)
 DX39                     229- 233 (A)
 DX40                     234- 238 (A)
 DX41                     239- 243 (A)
 DX42                     244- 248 (A)
 DX43                     249- 253 (A)
 DX44                     254- 258 (A)
 DX45                     259- 263 (A)
 DX46                     264- 268 (A)
 DX47                     269- 273 (A)
 DX48                     274- 278 (A)
 DX49                     279- 283 (A)
 DX50                     284- 288 (A)
 DX51                     289- 293 (A)
 DX52                     294- 298 (A)
 DX53                     299- 303 (A)
 DX54                     304- 308 (A)
 DX55                     309- 313 (A)
 DX56                     314- 318 (A)
 DX57                     319- 323 (A)
 DX58                     324- 328 (A)
 DX59                     329- 333 (A)
 DX60                     334- 338 (A)
 DX61                     339- 343 (A)
 DX62                     344- 348 (A)
 DX63                     349- 353 (A)
 DX64                     354- 358 (A)
 DX65                     359- 363 (A)
 DX66                     364- 368 (A)
 DX67                     369- 373 (A)
 DX68                     374- 378 (A)
 DX69                     379- 383 (A)
 DX70                     384- 388 (A)
 DX71                     389- 393 (A)
 DX72                     394- 398 (A)
 DX73                     399- 403 (A)
 DX74                     404- 408 (A)
 DX75                     409- 413 (A)
 DX76                     414- 418 (A)
 DX77                     419- 423 (A)
 DX78                     424- 428 (A)
 DX79                     429- 433 (A)
 DX80                     434- 438 (A)
 DX81                     439- 443 (A)
 DX82                     444- 448 (A)
 DX83                     449- 453 (A)
 DX84                     454- 458 (A)
 DX85                     459- 463 (A)
 DX86                     464- 468 (A)
 DX87                     469- 473 (A)
 DX88                     474- 478 (A)
 DXCCS1                   479- 482
 DXCCS2                   483- 486
 DXCCS3                   487- 490
 DXCCS4                   491- 494
 DXCCS5                   495- 498
 DXCCS6                   499- 502
 DXCCS7                   503- 506
 DXCCS8                   507- 510
 DXCCS9                   511- 514
 DXCCS10                  515- 518
 DXCCS11                  519- 522
 DXCCS12                  523- 526
 DXCCS13                  527- 530
 DXCCS14                  531- 534
 DXCCS15                  535- 538
 DXCCS16                  539- 542
 DXCCS17                  543- 546
 DXCCS18                  547- 550
 DXCCS19                  551- 554
 DXCCS20                  555- 558
 DXCCS21                  559- 562
 DXCCS22                  563- 566
 DXCCS23                  567- 570
 DXCCS24                  571- 574
 DXCCS25                  575- 578
 DXCCS26                  579- 582
 DXCCS27                  583- 586
 DXCCS28                  587- 590
 DXCCS29                  591- 594
 DXCCS30                  595- 598
 DXCCS31                  599- 602
 DXCCS32                  603- 606
 DXCCS33                  607- 610
 DXCCS34                  611- 614
 DXCCS35                  615- 618
 DXCCS36                  619- 622
 DXCCS37                  623- 626
 DXCCS38                  627- 630
 DXCCS39                  631- 634
 DXCCS40                  635- 638
 DXCCS41                  639- 642
 DXCCS42                  643- 646
 DXCCS43                  647- 650
 DXCCS44                  651- 654
 DXCCS45                  655- 658
 DXCCS46                  659- 662
 DXCCS47                  663- 666
 DXCCS48                  667- 670
 DXCCS49                  671- 674
 DXCCS50                  675- 678
 DXCCS51                  679- 682
 DXCCS52                  683- 686
 DXCCS53                  687- 690
 DXCCS54                  691- 694
 DXCCS55                  695- 698
 DXCCS56                  699- 702
 DXCCS57                  703- 706
 DXCCS58                  707- 710
 DXCCS59                  711- 714
 DXCCS60                  715- 718
 DXCCS61                  719- 722
 DXCCS62                  723- 726
 DXCCS63                  727- 730
 DXCCS64                  731- 734
 DXCCS65                  735- 738
 DXCCS66                  739- 742
 DXCCS67                  743- 746
 DXCCS68                  747- 750
 DXCCS69                  751- 754
 DXCCS70                  755- 758
 DXCCS71                  759- 762
 DXCCS72                  763- 766
 DXCCS73                  767- 770
 DXCCS74                  771- 774
 DXCCS75                  775- 778
 DXCCS76                  779- 782
 DXCCS77                  783- 786
 DXCCS78                  787- 790
 DXCCS79                  791- 794
 DXCCS80                  795- 798
 DXCCS81                  799- 802
 DXCCS82                  803- 806
 DXCCS83                  807- 810
 DXCCS84                  811- 814
 DXCCS85                  815- 818
 DXCCS86                  819- 822
 DXCCS87                  823- 826
 DXCCS88                  827- 830
 DXPOA1                   831     (A)
 DXPOA2                   832     (A)
 DXPOA3                   833     (A)
 DXPOA4                   834     (A)
 DXPOA5                   835     (A)
 DXPOA6                   836     (A)
 DXPOA7                   837     (A)
 DXPOA8                   838     (A)
 DXPOA9                   839     (A)
 DXPOA10                  840     (A)
 DXPOA11                  841     (A)
 DXPOA12                  842     (A)
 DXPOA13                  843     (A)
 DXPOA14                  844     (A)
 DXPOA15                  845     (A)
 DXPOA16                  846     (A)
 DXPOA17                  847     (A)
 DXPOA18                  848     (A)
 DXPOA19                  849     (A)
 DXPOA20                  850     (A)
 DXPOA21                  851     (A)
 DXPOA22                  852     (A)
 DXPOA23                  853     (A)
 DXPOA24                  854     (A)
 DXPOA25                  855     (A)
 DXPOA26                  856     (A)
 DXPOA27                  857     (A)
 DXPOA28                  858     (A)
 DXPOA29                  859     (A)
 DXPOA30                  860     (A)
 DXPOA31                  861     (A)
 DXPOA32                  862     (A)
 DXPOA33                  863     (A)
 DXPOA34                  864     (A)
 DXPOA35                  865     (A)
 DXPOA36                  866     (A)
 DXPOA37                  867     (A)
 DXPOA38                  868     (A)
 DXPOA39                  869     (A)
 DXPOA40                  870     (A)
 DXPOA41                  871     (A)
 DXPOA42                  872     (A)
 DXPOA43                  873     (A)
 DXPOA44                  874     (A)
 DXPOA45                  875     (A)
 DXPOA46                  876     (A)
 DXPOA47                  877     (A)
 DXPOA48                  878     (A)
 DXPOA49                  879     (A)
 DXPOA50                  880     (A)
 DXPOA51                  881     (A)
 DXPOA52                  882     (A)
 DXPOA53                  883     (A)
 DXPOA54                  884     (A)
 DXPOA55                  885     (A)
 DXPOA56                  886     (A)
 DXPOA57                  887     (A)
 DXPOA58                  888     (A)
 DXPOA59                  889     (A)
 DXPOA60                  890     (A)
 DXPOA61                  891     (A)
 DXPOA62                  892     (A)
 DXPOA63                  893     (A)
 DXPOA64                  894     (A)
 DXPOA65                  895     (A)
 DXPOA66                  896     (A)
 DXPOA67                  897     (A)
 DXPOA68                  898     (A)
 DXPOA69                  899     (A)
 DXPOA70                  900     (A)
 DXPOA71                  901     (A)
 DXPOA72                  902     (A)
 DXPOA73                  903     (A)
 DXPOA74                  904     (A)
 DXPOA75                  905     (A)
 DXPOA76                  906     (A)
 DXPOA77                  907     (A)
 DXPOA78                  908     (A)
 DXPOA79                  909     (A)
 DXPOA80                  910     (A)
 DXPOA81                  911     (A)
 DXPOA82                  912     (A)
 DXPOA83                  913     (A)
 DXPOA84                  914     (A)
 DXPOA85                  915     (A)
 DXPOA86                  916     (A)
 DXPOA87                  917     (A)
 DXPOA88                  918     (A)
 ECODE1                   919- 923 (A)
 ECODE2                   924- 928 (A)
 ECODE3                   929- 933 (A)
 ECODE4                   934- 938 (A)
 ECODE5                   939- 943 (A)
 ECODE6                   944- 948 (A)
 ECODE7                   949- 953 (A)
 E_CCS1                   954- 957
 E_CCS2                   958- 961
 E_CCS3                   962- 965
 E_CCS4                   966- 969
 E_CCS5                   970- 973
 E_CCS6                   974- 977
 E_CCS7                   978- 981
 E_POA1                   982     (A)
 E_POA2                   983     (A)
 E_POA3                   984     (A)
 E_POA4                   985     (A)
 E_POA5                   986     (A)
 E_POA6                   987     (A)
 E_POA7                   988     (A)
 FEMALE                   989- 990
 HCUP_ED                  991- 992
 HCUP_OS                  993- 994
 HCUP_SURGERY_BROAD       995- 996
 HCUP_SURGERY_NARROW      997- 998
 HOSPBRTH                 999-1001
 HOSPST                  1002-1003 (A)
 HospitalUnit            1004-1005
 KEY                     1006-1023
 LOS                     1024-1028
 LOS_X                   1029-1034
 MDC                     1035-1036
 MDC24                   1037-1038
 MDC_NoPOA               1039-1040
 MDNUM1_R                1041-1049
 MDNUM2_R                1050-1058
 MDNUM3_R                1059-1067
 MEDINCSTQ               1068-1069
 MRN_R                   1070-1078
 NCHRONIC                1079-1081
 NDX                     1082-1083
 NECODE                  1084-1085
 NEOMAT                  1086-1087
 NPR                     1088-1089
 ORPROC                  1090-1091
 PAY1                    1092-1093
 PL_CBSA                 1094-1096
 PL_MSA1993              1097-1099
 PL_NCHS2006             1100-1101
 PL_RUCA10_2005          1102-1103
 PL_RUCA2005             1104-1107
 PL_RUCA4_2005           1108-1109
 PL_RUCC2003             1110-1111
 PL_UIC2003              1112-1113
 PL_UR_CAT4              1114-1115
 PR1                     1116-1119 (A)
 PR2                     1120-1123 (A)
 PR3                     1124-1127 (A)
 PR4                     1128-1131 (A)
 PR5                     1132-1135 (A)
 PR6                     1136-1139 (A)
 PR7                     1140-1143 (A)
 PR8                     1144-1147 (A)
 PR9                     1148-1151 (A)
 PR10                    1152-1155 (A)
 PR11                    1156-1159 (A)
 PR12                    1160-1163 (A)
 PR13                    1164-1167 (A)
 PR14                    1168-1171 (A)
 PR15                    1172-1175 (A)
 PR16                    1176-1179 (A)
 PR17                    1180-1183 (A)
 PR18                    1184-1187 (A)
 PR19                    1188-1191 (A)
 PR20                    1192-1195 (A)
 PR21                    1196-1199 (A)
 PR22                    1200-1203 (A)
 PR23                    1204-1207 (A)
 PR24                    1208-1211 (A)
 PR25                    1212-1215 (A)
 PR26                    1216-1219 (A)
 PR27                    1220-1223 (A)
 PR28                    1224-1227 (A)
 PR29                    1228-1231 (A)
 PR30                    1232-1235 (A)
 PR31                    1236-1239 (A)
 PR32                    1240-1243 (A)
 PR33                    1244-1247 (A)
 PR34                    1248-1251 (A)
 PR35                    1252-1255 (A)
 PR36                    1256-1259 (A)
 PR37                    1260-1263 (A)
 PR38                    1264-1267 (A)
 PR39                    1268-1271 (A)
 PR40                    1272-1275 (A)
 PR41                    1276-1279 (A)
 PR42                    1280-1283 (A)
 PR43                    1284-1287 (A)
 PR44                    1288-1291 (A)
 PR45                    1292-1295 (A)
 PR46                    1296-1299 (A)
 PR47                    1300-1303 (A)
 PR48                    1304-1307 (A)
 PR49                    1308-1311 (A)
 PR50                    1312-1315 (A)
 PR51                    1316-1319 (A)
 PR52                    1320-1323 (A)
 PR53                    1324-1327 (A)
 PR54                    1328-1331 (A)
 PR55                    1332-1335 (A)
 PR56                    1336-1339 (A)
 PR57                    1340-1343 (A)
 PR58                    1344-1347 (A)
 PR59                    1348-1351 (A)
 PR60                    1352-1355 (A)
 PR61                    1356-1359 (A)
 PR62                    1360-1363 (A)
 PR63                    1364-1367 (A)
 PRCCS1                  1368-1370
 PRCCS2                  1371-1373
 PRCCS3                  1374-1376
 PRCCS4                  1377-1379
 PRCCS5                  1380-1382
 PRCCS6                  1383-1385
 PRCCS7                  1386-1388
 PRCCS8                  1389-1391
 PRCCS9                  1392-1394
 PRCCS10                 1395-1397
 PRCCS11                 1398-1400
 PRCCS12                 1401-1403
 PRCCS13                 1404-1406
 PRCCS14                 1407-1409
 PRCCS15                 1410-1412
 PRCCS16                 1413-1415
 PRCCS17                 1416-1418
 PRCCS18                 1419-1421
 PRCCS19                 1422-1424
 PRCCS20                 1425-1427
 PRCCS21                 1428-1430
 PRCCS22                 1431-1433
 PRCCS23                 1434-1436
 PRCCS24                 1437-1439
 PRCCS25                 1440-1442
 PRCCS26                 1443-1445
 PRCCS27                 1446-1448
 PRCCS28                 1449-1451
 PRCCS29                 1452-1454
 PRCCS30                 1455-1457
 PRCCS31                 1458-1460
 PRCCS32                 1461-1463
 PRCCS33                 1464-1466
 PRCCS34                 1467-1469
 PRCCS35                 1470-1472
 PRCCS36                 1473-1475
 PRCCS37                 1476-1478
 PRCCS38                 1479-1481
 PRCCS39                 1482-1484
 PRCCS40                 1485-1487
 PRCCS41                 1488-1490
 PRCCS42                 1491-1493
 PRCCS43                 1494-1496
 PRCCS44                 1497-1499
 PRCCS45                 1500-1502
 PRCCS46                 1503-1505
 PRCCS47                 1506-1508
 PRCCS48                 1509-1511
 PRCCS49                 1512-1514
 PRCCS50                 1515-1517
 PRCCS51                 1518-1520
 PRCCS52                 1521-1523
 PRCCS53                 1524-1526
 PRCCS54                 1527-1529
 PRCCS55                 1530-1532
 PRCCS56                 1533-1535
 PRCCS57                 1536-1538
 PRCCS58                 1539-1541
 PRCCS59                 1542-1544
 PRCCS60                 1545-1547
 PRCCS61                 1548-1550
 PRCCS62                 1551-1553
 PRCCS63                 1554-1556
 PRDAY1                  1557-1561
 PRDAY2                  1562-1566
 PRDAY3                  1567-1571
 PRDAY4                  1572-1576
 PRDAY5                  1577-1581
 PRDAY6                  1582-1586
 PRDAY7                  1587-1591
 PRDAY8                  1592-1596
 PRDAY9                  1597-1601
 PRDAY10                 1602-1606
 PRDAY11                 1607-1611
 PRDAY12                 1612-1616
 PRDAY13                 1617-1621
 PRDAY14                 1622-1626
 PRDAY15                 1627-1631
 PRDAY16                 1632-1636
 PRDAY17                 1637-1641
 PRDAY18                 1642-1646
 PRDAY19                 1647-1651
 PRDAY20                 1652-1656
 PRDAY21                 1657-1661
 PRDAY22                 1662-1666
 PRDAY23                 1667-1671
 PRDAY24                 1672-1676
 PRDAY25                 1677-1681
 PRDAY26                 1682-1686
 PRDAY27                 1687-1691
 PRDAY28                 1692-1696
 PRDAY29                 1697-1701
 PRDAY30                 1702-1706
 PRDAY31                 1707-1711
 PRDAY32                 1712-1716
 PRDAY33                 1717-1721
 PRDAY34                 1722-1726
 PRDAY35                 1727-1731
 PRDAY36                 1732-1736
 PRDAY37                 1737-1741
 PRDAY38                 1742-1746
 PRDAY39                 1747-1751
 PRDAY40                 1752-1756
 PRDAY41                 1757-1761
 PRDAY42                 1762-1766
 PRDAY43                 1767-1771
 PRDAY44                 1772-1776
 PRDAY45                 1777-1781
 PRDAY46                 1782-1786
 PRDAY47                 1787-1791
 PRDAY48                 1792-1796
 PRDAY49                 1797-1801
 PRDAY50                 1802-1806
 PRDAY51                 1807-1811
 PRDAY52                 1812-1816
 PRDAY53                 1817-1821
 PRDAY54                 1822-1826
 PRDAY55                 1827-1831
 PRDAY56                 1832-1836
 PRDAY57                 1837-1841
 PRDAY58                 1842-1846
 PRDAY59                 1847-1851
 PRDAY60                 1852-1856
 PRDAY61                 1857-1861
 PRDAY62                 1862-1866
 PRDAY63                 1867-1871
 PROCTYPE                1872-1874
 PSTATE                  1875-1876 (A)
 PSTCO                   1877-1881
 PSTCO2                  1882-1886
 PointOfOriginUB04       1887     (A)
 PointOfOrigin_X         1888     (A)
 RACE                    1889-1890
 RACE_X                  1891-1894 (A)
 TOTCHG                  1895-1904
 TOTCHG_X                1905-1919
 TRAN_IN                 1920-1921
 TRAN_OUT                1922-1923
 YEAR                    1924-1927
 ZIP3                    1928-1930 (A)
 ZIPINC_QRTL             1931-1933
 HOSPID                  1934-1938
 ZIP                     1939-1943 (A)
 AYEAR                   1944-1947
 DMONTH                  1948-1949
 BMONTH                  1950-1951
 BYEAR                   1952-1955
 PRMONTH1                1956-1957
 PRMONTH2                1958-1959
 PRMONTH3                1960-1961
 PRMONTH4                1962-1963
 PRMONTH5                1964-1965
 PRMONTH6                1966-1967
 PRMONTH7                1968-1969
 PRMONTH8                1970-1971
 PRMONTH9                1972-1973
 PRMONTH10               1974-1975
 PRMONTH11               1976-1977
 PRMONTH12               1978-1979
 PRMONTH13               1980-1981
 PRMONTH14               1982-1983
 PRMONTH15               1984-1985
 PRMONTH16               1986-1987
 PRMONTH17               1988-1989
 PRMONTH18               1990-1991
 PRMONTH19               1992-1993
 PRMONTH20               1994-1995
 PRMONTH21               1996-1997
 PRMONTH22               1998-1999
 PRMONTH23               2000-2001
 PRMONTH24               2002-2003
 PRMONTH25               2004-2005
 PRMONTH26               2006-2007
 PRMONTH27               2008-2009
 PRMONTH28               2010-2011
 PRMONTH29               2012-2013
 PRMONTH30               2014-2015
 PRMONTH31               2016-2017
 PRMONTH32               2018-2019
 PRMONTH33               2020-2021
 PRMONTH34               2022-2023
 PRMONTH35               2024-2025
 PRMONTH36               2026-2027
 PRMONTH37               2028-2029
 PRMONTH38               2030-2031
 PRMONTH39               2032-2033
 PRMONTH40               2034-2035
 PRMONTH41               2036-2037
 PRMONTH42               2038-2039
 PRMONTH43               2040-2041
 PRMONTH44               2042-2043
 PRMONTH45               2044-2045
 PRMONTH46               2046-2047
 PRMONTH47               2048-2049
 PRMONTH48               2050-2051
 PRMONTH49               2052-2053
 PRMONTH50               2054-2055
 PRMONTH51               2056-2057
 PRMONTH52               2058-2059
 PRMONTH53               2060-2061
 PRMONTH54               2062-2063
 PRMONTH55               2064-2065
 PRMONTH56               2066-2067
 PRMONTH57               2068-2069
 PRMONTH58               2070-2071
 PRMONTH59               2072-2073
 PRMONTH60               2074-2075
 PRMONTH61               2076-2077
 PRMONTH62               2078-2079
 PRMONTH63               2080-2081
 PRYEAR1                 2082-2085
 PRYEAR2                 2086-2089
 PRYEAR3                 2090-2093
 PRYEAR4                 2094-2097
 PRYEAR5                 2098-2101
 PRYEAR6                 2102-2105
 PRYEAR7                 2106-2109
 PRYEAR8                 2110-2113
 PRYEAR9                 2114-2117
 PRYEAR10                2118-2121
 PRYEAR11                2122-2125
 PRYEAR12                2126-2129
 PRYEAR13                2130-2133
 PRYEAR14                2134-2137
 PRYEAR15                2138-2141
 PRYEAR16                2142-2145
 PRYEAR17                2146-2149
 PRYEAR18                2150-2153
 PRYEAR19                2154-2157
 PRYEAR20                2158-2161
 PRYEAR21                2162-2165
 PRYEAR22                2166-2169
 PRYEAR23                2170-2173
 PRYEAR24                2174-2177
 PRYEAR25                2178-2181
 PRYEAR26                2182-2185
 PRYEAR27                2186-2189
 PRYEAR28                2190-2193
 PRYEAR29                2194-2197
 PRYEAR30                2198-2201
 PRYEAR31                2202-2205
 PRYEAR32                2206-2209
 PRYEAR33                2210-2213
 PRYEAR34                2214-2217
 PRYEAR35                2218-2221
 PRYEAR36                2222-2225
 PRYEAR37                2226-2229
 PRYEAR38                2230-2233
 PRYEAR39                2234-2237
 PRYEAR40                2238-2241
 PRYEAR41                2242-2245
 PRYEAR42                2246-2249
 PRYEAR43                2250-2253
 PRYEAR44                2254-2257
 PRYEAR45                2258-2261
 PRYEAR46                2262-2265
 PRYEAR47                2266-2269
 PRYEAR48                2270-2273
 PRYEAR49                2274-2277
 PRYEAR50                2278-2281
 PRYEAR51                2282-2285
 PRYEAR52                2286-2289
 PRYEAR53                2290-2293
 PRYEAR54                2294-2297
 PRYEAR55                2298-2301
 PRYEAR56                2302-2305
 PRYEAR57                2306-2309
 PRYEAR58                2310-2313
 PRYEAR59                2314-2317
 PRYEAR60                2318-2321
 PRYEAR61                2322-2325
 PRYEAR62                2326-2329
 PRYEAR63                2330-2333.


***  Specify write formats  ***.
FORMATS
 AGE                     (F3.0) /
 AGEDAY                  (F3.0) /
 AGEMONTH                (F3.0) /
 AMONTH                  (F3.0) /
 ATYPE                   (F3.0) /
 AWEEKEND                (F3.0) /
 DIED                    (F3.0) /
 DISPUB04                (F3.0) /
 DISPUNIFORM             (F3.0) /
 DQTR                    (F3.0) /
 DRG                     (F3.0) /
 DRG24                   (F3.0) /
 DRGVER                  (F3.0) /
 DRG_NoPOA               (F3.0) /
 DXCCS1                  (F4.0) /
 DXCCS2                  (F4.0) /
 DXCCS3                  (F4.0) /
 DXCCS4                  (F4.0) /
 DXCCS5                  (F4.0) /
 DXCCS6                  (F4.0) /
 DXCCS7                  (F4.0) /
 DXCCS8                  (F4.0) /
 DXCCS9                  (F4.0) /
 DXCCS10                 (F4.0) /
 DXCCS11                 (F4.0) /
 DXCCS12                 (F4.0) /
 DXCCS13                 (F4.0) /
 DXCCS14                 (F4.0) /
 DXCCS15                 (F4.0) /
 DXCCS16                 (F4.0) /
 DXCCS17                 (F4.0) /
 DXCCS18                 (F4.0) /
 DXCCS19                 (F4.0) /
 DXCCS20                 (F4.0) /
 DXCCS21                 (F4.0) /
 DXCCS22                 (F4.0) /
 DXCCS23                 (F4.0) /
 DXCCS24                 (F4.0) /
 DXCCS25                 (F4.0) /
 DXCCS26                 (F4.0) /
 DXCCS27                 (F4.0) /
 DXCCS28                 (F4.0) /
 DXCCS29                 (F4.0) /
 DXCCS30                 (F4.0) /
 DXCCS31                 (F4.0) /
 DXCCS32                 (F4.0) /
 DXCCS33                 (F4.0) /
 DXCCS34                 (F4.0) /
 DXCCS35                 (F4.0) /
 DXCCS36                 (F4.0) /
 DXCCS37                 (F4.0) /
 DXCCS38                 (F4.0) /
 DXCCS39                 (F4.0) /
 DXCCS40                 (F4.0) /
 DXCCS41                 (F4.0) /
 DXCCS42                 (F4.0) /
 DXCCS43                 (F4.0) /
 DXCCS44                 (F4.0) /
 DXCCS45                 (F4.0) /
 DXCCS46                 (F4.0) /
 DXCCS47                 (F4.0) /
 DXCCS48                 (F4.0) /
 DXCCS49                 (F4.0) /
 DXCCS50                 (F4.0) /
 DXCCS51                 (F4.0) /
 DXCCS52                 (F4.0) /
 DXCCS53                 (F4.0) /
 DXCCS54                 (F4.0) /
 DXCCS55                 (F4.0) /
 DXCCS56                 (F4.0) /
 DXCCS57                 (F4.0) /
 DXCCS58                 (F4.0) /
 DXCCS59                 (F4.0) /
 DXCCS60                 (F4.0) /
 DXCCS61                 (F4.0) /
 DXCCS62                 (F4.0) /
 DXCCS63                 (F4.0) /
 DXCCS64                 (F4.0) /
 DXCCS65                 (F4.0) /
 DXCCS66                 (F4.0) /
 DXCCS67                 (F4.0) /
 DXCCS68                 (F4.0) /
 DXCCS69                 (F4.0) /
 DXCCS70                 (F4.0) /
 DXCCS71                 (F4.0) /
 DXCCS72                 (F4.0) /
 DXCCS73                 (F4.0) /
 DXCCS74                 (F4.0) /
 DXCCS75                 (F4.0) /
 DXCCS76                 (F4.0) /
 DXCCS77                 (F4.0) /
 DXCCS78                 (F4.0) /
 DXCCS79                 (F4.0) /
 DXCCS80                 (F4.0) /
 DXCCS81                 (F4.0) /
 DXCCS82                 (F4.0) /
 DXCCS83                 (F4.0) /
 DXCCS84                 (F4.0) /
 DXCCS85                 (F4.0) /
 DXCCS86                 (F4.0) /
 DXCCS87                 (F4.0) /
 DXCCS88                 (F4.0) /
 E_CCS1                  (F3.0) /
 E_CCS2                  (F3.0) /
 E_CCS3                  (F3.0) /
 E_CCS4                  (F3.0) /
 E_CCS5                  (F3.0) /
 E_CCS6                  (F3.0) /
 E_CCS7                  (F3.0) /
 FEMALE                  (F3.0) /
 HCUP_ED                 (F3.0) /
 HCUP_OS                 (F3.0) /
 HCUP_SURGERY_BROAD      (F3.0) /
 HCUP_SURGERY_NARROW     (F3.0) /
 HOSPBRTH                (F3.0) /
 HospitalUnit            (F3.0) /
 KEY                     (F8.0) /
 LOS                     (F4.0) /
 LOS_X                   (F4.0) /
 MDC                     (F3.0) /
 MDC24                   (F3.0) /
 MDC_NoPOA               (F3.0) /
 MDNUM1_R                (F5.0) /
 MDNUM2_R                (F5.0) /
 MDNUM3_R                (F5.0) /
 MEDINCSTQ               (F3.0) /
 MRN_R                   (F5.0) /
 NCHRONIC                (F3.0) /
 NDX                     (F3.0) /
 NECODE                  (F3.0) /
 NEOMAT                  (F3.0) /
 NPR                     (F3.0) /
 ORPROC                  (F3.0) /
 PAY1                    (F3.0) /
 PL_CBSA                 (F3.0) /
 PL_MSA1993              (F3.0) /
 PL_NCHS2006             (F3.0) /
 PL_RUCA10_2005          (F3.0) /
 PL_RUCA2005             (F4.1) /
 PL_RUCA4_2005           (F3.0) /
 PL_RUCC2003             (F3.0) /
 PL_UIC2003              (F3.0) /
 PL_UR_CAT4              (F3.0) /
 PRCCS1                  (F3.0) /
 PRCCS2                  (F3.0) /
 PRCCS3                  (F3.0) /
 PRCCS4                  (F3.0) /
 PRCCS5                  (F3.0) /
 PRCCS6                  (F3.0) /
 PRCCS7                  (F3.0) /
 PRCCS8                  (F3.0) /
 PRCCS9                  (F3.0) /
 PRCCS10                 (F3.0) /
 PRCCS11                 (F3.0) /
 PRCCS12                 (F3.0) /
 PRCCS13                 (F3.0) /
 PRCCS14                 (F3.0) /
 PRCCS15                 (F3.0) /
 PRCCS16                 (F3.0) /
 PRCCS17                 (F3.0) /
 PRCCS18                 (F3.0) /
 PRCCS19                 (F3.0) /
 PRCCS20                 (F3.0) /
 PRCCS21                 (F3.0) /
 PRCCS22                 (F3.0) /
 PRCCS23                 (F3.0) /
 PRCCS24                 (F3.0) /
 PRCCS25                 (F3.0) /
 PRCCS26                 (F3.0) /
 PRCCS27                 (F3.0) /
 PRCCS28                 (F3.0) /
 PRCCS29                 (F3.0) /
 PRCCS30                 (F3.0) /
 PRCCS31                 (F3.0) /
 PRCCS32                 (F3.0) /
 PRCCS33                 (F3.0) /
 PRCCS34                 (F3.0) /
 PRCCS35                 (F3.0) /
 PRCCS36                 (F3.0) /
 PRCCS37                 (F3.0) /
 PRCCS38                 (F3.0) /
 PRCCS39                 (F3.0) /
 PRCCS40                 (F3.0) /
 PRCCS41                 (F3.0) /
 PRCCS42                 (F3.0) /
 PRCCS43                 (F3.0) /
 PRCCS44                 (F3.0) /
 PRCCS45                 (F3.0) /
 PRCCS46                 (F3.0) /
 PRCCS47                 (F3.0) /
 PRCCS48                 (F3.0) /
 PRCCS49                 (F3.0) /
 PRCCS50                 (F3.0) /
 PRCCS51                 (F3.0) /
 PRCCS52                 (F3.0) /
 PRCCS53                 (F3.0) /
 PRCCS54                 (F3.0) /
 PRCCS55                 (F3.0) /
 PRCCS56                 (F3.0) /
 PRCCS57                 (F3.0) /
 PRCCS58                 (F3.0) /
 PRCCS59                 (F3.0) /
 PRCCS60                 (F3.0) /
 PRCCS61                 (F3.0) /
 PRCCS62                 (F3.0) /
 PRCCS63                 (F3.0) /
 PRDAY1                  (F4.0) /
 PRDAY2                  (F4.0) /
 PRDAY3                  (F4.0) /
 PRDAY4                  (F4.0) /
 PRDAY5                  (F4.0) /
 PRDAY6                  (F4.0) /
 PRDAY7                  (F4.0) /
 PRDAY8                  (F4.0) /
 PRDAY9                  (F4.0) /
 PRDAY10                 (F4.0) /
 PRDAY11                 (F4.0) /
 PRDAY12                 (F4.0) /
 PRDAY13                 (F4.0) /
 PRDAY14                 (F4.0) /
 PRDAY15                 (F4.0) /
 PRDAY16                 (F4.0) /
 PRDAY17                 (F4.0) /
 PRDAY18                 (F4.0) /
 PRDAY19                 (F4.0) /
 PRDAY20                 (F4.0) /
 PRDAY21                 (F4.0) /
 PRDAY22                 (F4.0) /
 PRDAY23                 (F4.0) /
 PRDAY24                 (F4.0) /
 PRDAY25                 (F4.0) /
 PRDAY26                 (F4.0) /
 PRDAY27                 (F4.0) /
 PRDAY28                 (F4.0) /
 PRDAY29                 (F4.0) /
 PRDAY30                 (F4.0) /
 PRDAY31                 (F4.0) /
 PRDAY32                 (F4.0) /
 PRDAY33                 (F4.0) /
 PRDAY34                 (F4.0) /
 PRDAY35                 (F4.0) /
 PRDAY36                 (F4.0) /
 PRDAY37                 (F4.0) /
 PRDAY38                 (F4.0) /
 PRDAY39                 (F4.0) /
 PRDAY40                 (F4.0) /
 PRDAY41                 (F4.0) /
 PRDAY42                 (F4.0) /
 PRDAY43                 (F4.0) /
 PRDAY44                 (F4.0) /
 PRDAY45                 (F4.0) /
 PRDAY46                 (F4.0) /
 PRDAY47                 (F4.0) /
 PRDAY48                 (F4.0) /
 PRDAY49                 (F4.0) /
 PRDAY50                 (F4.0) /
 PRDAY51                 (F4.0) /
 PRDAY52                 (F4.0) /
 PRDAY53                 (F4.0) /
 PRDAY54                 (F4.0) /
 PRDAY55                 (F4.0) /
 PRDAY56                 (F4.0) /
 PRDAY57                 (F4.0) /
 PRDAY58                 (F4.0) /
 PRDAY59                 (F4.0) /
 PRDAY60                 (F4.0) /
 PRDAY61                 (F4.0) /
 PRDAY62                 (F4.0) /
 PRDAY63                 (F4.0) /
 PROCTYPE                (F3.0) /
 PSTCO                   (F4.0) /
 PSTCO2                  (F4.0) /
 RACE                    (F3.0) /
 TOTCHG                  (F6.0) /
 TOTCHG_X                (F7.2) /
 TRAN_IN                 (F3.0) /
 TRAN_OUT                (F3.0) /
 YEAR                    (F3.0) /
 ZIPINC_QRTL             (F3.0) /
 HOSPID                  (F4.0) /
 AYEAR                   (F3.0) /
 DMONTH                  (F3.0) /
 BMONTH                  (F3.0) /
 BYEAR                   (F3.0) /
 PRMONTH1                (F3.0) /
 PRMONTH2                (F3.0) /
 PRMONTH3                (F3.0) /
 PRMONTH4                (F3.0) /
 PRMONTH5                (F3.0) /
 PRMONTH6                (F3.0) /
 PRMONTH7                (F3.0) /
 PRMONTH8                (F3.0) /
 PRMONTH9                (F3.0) /
 PRMONTH10               (F3.0) /
 PRMONTH11               (F3.0) /
 PRMONTH12               (F3.0) /
 PRMONTH13               (F3.0) /
 PRMONTH14               (F3.0) /
 PRMONTH15               (F3.0) /
 PRMONTH16               (F3.0) /
 PRMONTH17               (F3.0) /
 PRMONTH18               (F3.0) /
 PRMONTH19               (F3.0) /
 PRMONTH20               (F3.0) /
 PRMONTH21               (F3.0) /
 PRMONTH22               (F3.0) /
 PRMONTH23               (F3.0) /
 PRMONTH24               (F3.0) /
 PRMONTH25               (F3.0) /
 PRMONTH26               (F3.0) /
 PRMONTH27               (F3.0) /
 PRMONTH28               (F3.0) /
 PRMONTH29               (F3.0) /
 PRMONTH30               (F3.0) /
 PRMONTH31               (F3.0) /
 PRMONTH32               (F3.0) /
 PRMONTH33               (F3.0) /
 PRMONTH34               (F3.0) /
 PRMONTH35               (F3.0) /
 PRMONTH36               (F3.0) /
 PRMONTH37               (F3.0) /
 PRMONTH38               (F3.0) /
 PRMONTH39               (F3.0) /
 PRMONTH40               (F3.0) /
 PRMONTH41               (F3.0) /
 PRMONTH42               (F3.0) /
 PRMONTH43               (F3.0) /
 PRMONTH44               (F3.0) /
 PRMONTH45               (F3.0) /
 PRMONTH46               (F3.0) /
 PRMONTH47               (F3.0) /
 PRMONTH48               (F3.0) /
 PRMONTH49               (F3.0) /
 PRMONTH50               (F3.0) /
 PRMONTH51               (F3.0) /
 PRMONTH52               (F3.0) /
 PRMONTH53               (F3.0) /
 PRMONTH54               (F3.0) /
 PRMONTH55               (F3.0) /
 PRMONTH56               (F3.0) /
 PRMONTH57               (F3.0) /
 PRMONTH58               (F3.0) /
 PRMONTH59               (F3.0) /
 PRMONTH60               (F3.0) /
 PRMONTH61               (F3.0) /
 PRMONTH62               (F3.0) /
 PRMONTH63               (F3.0) /
 PRYEAR1                 (F3.0) /
 PRYEAR2                 (F3.0) /
 PRYEAR3                 (F3.0) /
 PRYEAR4                 (F3.0) /
 PRYEAR5                 (F3.0) /
 PRYEAR6                 (F3.0) /
 PRYEAR7                 (F3.0) /
 PRYEAR8                 (F3.0) /
 PRYEAR9                 (F3.0) /
 PRYEAR10                (F3.0) /
 PRYEAR11                (F3.0) /
 PRYEAR12                (F3.0) /
 PRYEAR13                (F3.0) /
 PRYEAR14                (F3.0) /
 PRYEAR15                (F3.0) /
 PRYEAR16                (F3.0) /
 PRYEAR17                (F3.0) /
 PRYEAR18                (F3.0) /
 PRYEAR19                (F3.0) /
 PRYEAR20                (F3.0) /
 PRYEAR21                (F3.0) /
 PRYEAR22                (F3.0) /
 PRYEAR23                (F3.0) /
 PRYEAR24                (F3.0) /
 PRYEAR25                (F3.0) /
 PRYEAR26                (F3.0) /
 PRYEAR27                (F3.0) /
 PRYEAR28                (F3.0) /
 PRYEAR29                (F3.0) /
 PRYEAR30                (F3.0) /
 PRYEAR31                (F3.0) /
 PRYEAR32                (F3.0) /
 PRYEAR33                (F3.0) /
 PRYEAR34                (F3.0) /
 PRYEAR35                (F3.0) /
 PRYEAR36                (F3.0) /
 PRYEAR37                (F3.0) /
 PRYEAR38                (F3.0) /
 PRYEAR39                (F3.0) /
 PRYEAR40                (F3.0) /
 PRYEAR41                (F3.0) /
 PRYEAR42                (F3.0) /
 PRYEAR43                (F3.0) /
 PRYEAR44                (F3.0) /
 PRYEAR45                (F3.0) /
 PRYEAR46                (F3.0) /
 PRYEAR47                (F3.0) /
 PRYEAR48                (F3.0) /
 PRYEAR49                (F3.0) /
 PRYEAR50                (F3.0) /
 PRYEAR51                (F3.0) /
 PRYEAR52                (F3.0) /
 PRYEAR53                (F3.0) /
 PRYEAR54                (F3.0) /
 PRYEAR55                (F3.0) /
 PRYEAR56                (F3.0) /
 PRYEAR57                (F3.0) /
 PRYEAR58                (F3.0) /
 PRYEAR59                (F3.0) /
 PRYEAR60                (F3.0) /
 PRYEAR61                (F3.0) /
 PRYEAR62                (F3.0) /
 PRYEAR63                (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 AGE                     "Age in years at admission"
 AGEDAY                  "Age in days (when age < 1 year)"
 AGEMONTH                "Age in months (when age < 11 years)"
 AMONTH                  "Admission month"
 ATYPE                   "Admission type"
 AWEEKEND                "Admission day is a weekend"
 DIED                    "Died during hospitalization"
 DISPUB04                "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM             "Disposition of patient (uniform)"
 DISP_X                  "Disposition of patient (as received from source)"
 DQTR                    "Discharge quarter"
 DRG                     "DRG in effect on discharge date"
 DRG24                   "DRG, version 24"
 DRGVER                  "DRG grouper version used on discharge date"
 DRG_NoPOA               "DRG in use on discharge date, calculated without POA"
 DX1                     "Diagnosis 1"
 DX2                     "Diagnosis 2"
 DX3                     "Diagnosis 3"
 DX4                     "Diagnosis 4"
 DX5                     "Diagnosis 5"
 DX6                     "Diagnosis 6"
 DX7                     "Diagnosis 7"
 DX8                     "Diagnosis 8"
 DX9                     "Diagnosis 9"
 DX10                    "Diagnosis 10"
 DX11                    "Diagnosis 11"
 DX12                    "Diagnosis 12"
 DX13                    "Diagnosis 13"
 DX14                    "Diagnosis 14"
 DX15                    "Diagnosis 15"
 DX16                    "Diagnosis 16"
 DX17                    "Diagnosis 17"
 DX18                    "Diagnosis 18"
 DX19                    "Diagnosis 19"
 DX20                    "Diagnosis 20"
 DX21                    "Diagnosis 21"
 DX22                    "Diagnosis 22"
 DX23                    "Diagnosis 23"
 DX24                    "Diagnosis 24"
 DX25                    "Diagnosis 25"
 DX26                    "Diagnosis 26"
 DX27                    "Diagnosis 27"
 DX28                    "Diagnosis 28"
 DX29                    "Diagnosis 29"
 DX30                    "Diagnosis 30"
 DX31                    "Diagnosis 31"
 DX32                    "Diagnosis 32"
 DX33                    "Diagnosis 33"
 DX34                    "Diagnosis 34"
 DX35                    "Diagnosis 35"
 DX36                    "Diagnosis 36"
 DX37                    "Diagnosis 37"
 DX38                    "Diagnosis 38"
 DX39                    "Diagnosis 39"
 DX40                    "Diagnosis 40"
 DX41                    "Diagnosis 41"
 DX42                    "Diagnosis 42"
 DX43                    "Diagnosis 43"
 DX44                    "Diagnosis 44"
 DX45                    "Diagnosis 45"
 DX46                    "Diagnosis 46"
 DX47                    "Diagnosis 47"
 DX48                    "Diagnosis 48"
 DX49                    "Diagnosis 49"
 DX50                    "Diagnosis 50"
 DX51                    "Diagnosis 51"
 DX52                    "Diagnosis 52"
 DX53                    "Diagnosis 53"
 DX54                    "Diagnosis 54"
 DX55                    "Diagnosis 55"
 DX56                    "Diagnosis 56"
 DX57                    "Diagnosis 57"
 DX58                    "Diagnosis 58"
 DX59                    "Diagnosis 59"
 DX60                    "Diagnosis 60"
 DX61                    "Diagnosis 61"
 DX62                    "Diagnosis 62"
 DX63                    "Diagnosis 63"
 DX64                    "Diagnosis 64"
 DX65                    "Diagnosis 65"
 DX66                    "Diagnosis 66"
 DX67                    "Diagnosis 67"
 DX68                    "Diagnosis 68"
 DX69                    "Diagnosis 69"
 DX70                    "Diagnosis 70"
 DX71                    "Diagnosis 71"
 DX72                    "Diagnosis 72"
 DX73                    "Diagnosis 73"
 DX74                    "Diagnosis 74"
 DX75                    "Diagnosis 75"
 DX76                    "Diagnosis 76"
 DX77                    "Diagnosis 77"
 DX78                    "Diagnosis 78"
 DX79                    "Diagnosis 79"
 DX80                    "Diagnosis 80"
 DX81                    "Diagnosis 81"
 DX82                    "Diagnosis 82"
 DX83                    "Diagnosis 83"
 DX84                    "Diagnosis 84"
 DX85                    "Diagnosis 85"
 DX86                    "Diagnosis 86"
 DX87                    "Diagnosis 87"
 DX88                    "Diagnosis 88"
 DXCCS1                  "CCS: diagnosis 1"
 DXCCS2                  "CCS: diagnosis 2"
 DXCCS3                  "CCS: diagnosis 3"
 DXCCS4                  "CCS: diagnosis 4"
 DXCCS5                  "CCS: diagnosis 5"
 DXCCS6                  "CCS: diagnosis 6"
 DXCCS7                  "CCS: diagnosis 7"
 DXCCS8                  "CCS: diagnosis 8"
 DXCCS9                  "CCS: diagnosis 9"
 DXCCS10                 "CCS: diagnosis 10"
 DXCCS11                 "CCS: diagnosis 11"
 DXCCS12                 "CCS: diagnosis 12"
 DXCCS13                 "CCS: diagnosis 13"
 DXCCS14                 "CCS: diagnosis 14"
 DXCCS15                 "CCS: diagnosis 15"
 DXCCS16                 "CCS: diagnosis 16"
 DXCCS17                 "CCS: diagnosis 17"
 DXCCS18                 "CCS: diagnosis 18"
 DXCCS19                 "CCS: diagnosis 19"
 DXCCS20                 "CCS: diagnosis 20"
 DXCCS21                 "CCS: diagnosis 21"
 DXCCS22                 "CCS: diagnosis 22"
 DXCCS23                 "CCS: diagnosis 23"
 DXCCS24                 "CCS: diagnosis 24"
 DXCCS25                 "CCS: diagnosis 25"
 DXCCS26                 "CCS: diagnosis 26"
 DXCCS27                 "CCS: diagnosis 27"
 DXCCS28                 "CCS: diagnosis 28"
 DXCCS29                 "CCS: diagnosis 29"
 DXCCS30                 "CCS: diagnosis 30"
 DXCCS31                 "CCS: diagnosis 31"
 DXCCS32                 "CCS: diagnosis 32"
 DXCCS33                 "CCS: diagnosis 33"
 DXCCS34                 "CCS: diagnosis 34"
 DXCCS35                 "CCS: diagnosis 35"
 DXCCS36                 "CCS: diagnosis 36"
 DXCCS37                 "CCS: diagnosis 37"
 DXCCS38                 "CCS: diagnosis 38"
 DXCCS39                 "CCS: diagnosis 39"
 DXCCS40                 "CCS: diagnosis 40"
 DXCCS41                 "CCS: diagnosis 41"
 DXCCS42                 "CCS: diagnosis 42"
 DXCCS43                 "CCS: diagnosis 43"
 DXCCS44                 "CCS: diagnosis 44"
 DXCCS45                 "CCS: diagnosis 45"
 DXCCS46                 "CCS: diagnosis 46"
 DXCCS47                 "CCS: diagnosis 47"
 DXCCS48                 "CCS: diagnosis 48"
 DXCCS49                 "CCS: diagnosis 49"
 DXCCS50                 "CCS: diagnosis 50"
 DXCCS51                 "CCS: diagnosis 51"
 DXCCS52                 "CCS: diagnosis 52"
 DXCCS53                 "CCS: diagnosis 53"
 DXCCS54                 "CCS: diagnosis 54"
 DXCCS55                 "CCS: diagnosis 55"
 DXCCS56                 "CCS: diagnosis 56"
 DXCCS57                 "CCS: diagnosis 57"
 DXCCS58                 "CCS: diagnosis 58"
 DXCCS59                 "CCS: diagnosis 59"
 DXCCS60                 "CCS: diagnosis 60"
 DXCCS61                 "CCS: diagnosis 61"
 DXCCS62                 "CCS: diagnosis 62"
 DXCCS63                 "CCS: diagnosis 63"
 DXCCS64                 "CCS: diagnosis 64"
 DXCCS65                 "CCS: diagnosis 65"
 DXCCS66                 "CCS: diagnosis 66"
 DXCCS67                 "CCS: diagnosis 67"
 DXCCS68                 "CCS: diagnosis 68"
 DXCCS69                 "CCS: diagnosis 69"
 DXCCS70                 "CCS: diagnosis 70"
 DXCCS71                 "CCS: diagnosis 71"
 DXCCS72                 "CCS: diagnosis 72"
 DXCCS73                 "CCS: diagnosis 73"
 DXCCS74                 "CCS: diagnosis 74"
 DXCCS75                 "CCS: diagnosis 75"
 DXCCS76                 "CCS: diagnosis 76"
 DXCCS77                 "CCS: diagnosis 77"
 DXCCS78                 "CCS: diagnosis 78"
 DXCCS79                 "CCS: diagnosis 79"
 DXCCS80                 "CCS: diagnosis 80"
 DXCCS81                 "CCS: diagnosis 81"
 DXCCS82                 "CCS: diagnosis 82"
 DXCCS83                 "CCS: diagnosis 83"
 DXCCS84                 "CCS: diagnosis 84"
 DXCCS85                 "CCS: diagnosis 85"
 DXCCS86                 "CCS: diagnosis 86"
 DXCCS87                 "CCS: diagnosis 87"
 DXCCS88                 "CCS: diagnosis 88"
 DXPOA1                  "Diagnosis 1, present on admission indicator"
 DXPOA2                  "Diagnosis 2, present on admission indicator"
 DXPOA3                  "Diagnosis 3, present on admission indicator"
 DXPOA4                  "Diagnosis 4, present on admission indicator"
 DXPOA5                  "Diagnosis 5, present on admission indicator"
 DXPOA6                  "Diagnosis 6, present on admission indicator"
 DXPOA7                  "Diagnosis 7, present on admission indicator"
 DXPOA8                  "Diagnosis 8, present on admission indicator"
 DXPOA9                  "Diagnosis 9, present on admission indicator"
 DXPOA10                 "Diagnosis 10, present on admission indicator"
 DXPOA11                 "Diagnosis 11, present on admission indicator"
 DXPOA12                 "Diagnosis 12, present on admission indicator"
 DXPOA13                 "Diagnosis 13, present on admission indicator"
 DXPOA14                 "Diagnosis 14, present on admission indicator"
 DXPOA15                 "Diagnosis 15, present on admission indicator"
 DXPOA16                 "Diagnosis 16, present on admission indicator"
 DXPOA17                 "Diagnosis 17, present on admission indicator"
 DXPOA18                 "Diagnosis 18, present on admission indicator"
 DXPOA19                 "Diagnosis 19, present on admission indicator"
 DXPOA20                 "Diagnosis 20, present on admission indicator"
 DXPOA21                 "Diagnosis 21, present on admission indicator"
 DXPOA22                 "Diagnosis 22, present on admission indicator"
 DXPOA23                 "Diagnosis 23, present on admission indicator"
 DXPOA24                 "Diagnosis 24, present on admission indicator"
 DXPOA25                 "Diagnosis 25, present on admission indicator"
 DXPOA26                 "Diagnosis 26, present on admission indicator"
 DXPOA27                 "Diagnosis 27, present on admission indicator"
 DXPOA28                 "Diagnosis 28, present on admission indicator"
 DXPOA29                 "Diagnosis 29, present on admission indicator"
 DXPOA30                 "Diagnosis 30, present on admission indicator"
 DXPOA31                 "Diagnosis 31, present on admission indicator"
 DXPOA32                 "Diagnosis 32, present on admission indicator"
 DXPOA33                 "Diagnosis 33, present on admission indicator"
 DXPOA34                 "Diagnosis 34, present on admission indicator"
 DXPOA35                 "Diagnosis 35, present on admission indicator"
 DXPOA36                 "Diagnosis 36, present on admission indicator"
 DXPOA37                 "Diagnosis 37, present on admission indicator"
 DXPOA38                 "Diagnosis 38, present on admission indicator"
 DXPOA39                 "Diagnosis 39, present on admission indicator"
 DXPOA40                 "Diagnosis 40, present on admission indicator"
 DXPOA41                 "Diagnosis 41, present on admission indicator"
 DXPOA42                 "Diagnosis 42, present on admission indicator"
 DXPOA43                 "Diagnosis 43, present on admission indicator"
 DXPOA44                 "Diagnosis 44, present on admission indicator"
 DXPOA45                 "Diagnosis 45, present on admission indicator"
 DXPOA46                 "Diagnosis 46, present on admission indicator"
 DXPOA47                 "Diagnosis 47, present on admission indicator"
 DXPOA48                 "Diagnosis 48, present on admission indicator"
 DXPOA49                 "Diagnosis 49, present on admission indicator"
 DXPOA50                 "Diagnosis 50, present on admission indicator"
 DXPOA51                 "Diagnosis 51, present on admission indicator"
 DXPOA52                 "Diagnosis 52, present on admission indicator"
 DXPOA53                 "Diagnosis 53, present on admission indicator"
 DXPOA54                 "Diagnosis 54, present on admission indicator"
 DXPOA55                 "Diagnosis 55, present on admission indicator"
 DXPOA56                 "Diagnosis 56, present on admission indicator"
 DXPOA57                 "Diagnosis 57, present on admission indicator"
 DXPOA58                 "Diagnosis 58, present on admission indicator"
 DXPOA59                 "Diagnosis 59, present on admission indicator"
 DXPOA60                 "Diagnosis 60, present on admission indicator"
 DXPOA61                 "Diagnosis 61, present on admission indicator"
 DXPOA62                 "Diagnosis 62, present on admission indicator"
 DXPOA63                 "Diagnosis 63, present on admission indicator"
 DXPOA64                 "Diagnosis 64, present on admission indicator"
 DXPOA65                 "Diagnosis 65, present on admission indicator"
 DXPOA66                 "Diagnosis 66, present on admission indicator"
 DXPOA67                 "Diagnosis 67, present on admission indicator"
 DXPOA68                 "Diagnosis 68, present on admission indicator"
 DXPOA69                 "Diagnosis 69, present on admission indicator"
 DXPOA70                 "Diagnosis 70, present on admission indicator"
 DXPOA71                 "Diagnosis 71, present on admission indicator"
 DXPOA72                 "Diagnosis 72, present on admission indicator"
 DXPOA73                 "Diagnosis 73, present on admission indicator"
 DXPOA74                 "Diagnosis 74, present on admission indicator"
 DXPOA75                 "Diagnosis 75, present on admission indicator"
 DXPOA76                 "Diagnosis 76, present on admission indicator"
 DXPOA77                 "Diagnosis 77, present on admission indicator"
 DXPOA78                 "Diagnosis 78, present on admission indicator"
 DXPOA79                 "Diagnosis 79, present on admission indicator"
 DXPOA80                 "Diagnosis 80, present on admission indicator"
 DXPOA81                 "Diagnosis 81, present on admission indicator"
 DXPOA82                 "Diagnosis 82, present on admission indicator"
 DXPOA83                 "Diagnosis 83, present on admission indicator"
 DXPOA84                 "Diagnosis 84, present on admission indicator"
 DXPOA85                 "Diagnosis 85, present on admission indicator"
 DXPOA86                 "Diagnosis 86, present on admission indicator"
 DXPOA87                 "Diagnosis 87, present on admission indicator"
 DXPOA88                 "Diagnosis 88, present on admission indicator"
 ECODE1                  "E code 1"
 ECODE2                  "E code 2"
 ECODE3                  "E code 3"
 ECODE4                  "E code 4"
 ECODE5                  "E code 5"
 ECODE6                  "E code 6"
 ECODE7                  "E code 7"
 E_CCS1                  "CCS: E Code 1"
 E_CCS2                  "CCS: E Code 2"
 E_CCS3                  "CCS: E Code 3"
 E_CCS4                  "CCS: E Code 4"
 E_CCS5                  "CCS: E Code 5"
 E_CCS6                  "CCS: E Code 6"
 E_CCS7                  "CCS: E Code 7"
 E_POA1                  "E Code 1, present on admission indicator"
 E_POA2                  "E Code 2, present on admission indicator"
 E_POA3                  "E Code 3, present on admission indicator"
 E_POA4                  "E Code 4, present on admission indicator"
 E_POA5                  "E Code 5, present on admission indicator"
 E_POA6                  "E Code 6, present on admission indicator"
 E_POA7                  "E Code 7, present on admission indicator"
 FEMALE                  "Indicator of sex"
 HCUP_ED                 "HCUP Emergency Department service indicator"
 HCUP_OS                 "HCUP Observation Stay service indicator"
 HCUP_SURGERY_BROAD      "Revised HCUP_AS (PCLASSn=3 or 4, or broad definition)"
 HCUP_SURGERY_NARROW     "Revised HCUP_AS (PCLASSn=4, or narrow definition)"
 HOSPBRTH                "Indicator of birth in this hospital"
 HOSPST                  "Hospital state postal code"
 HospitalUnit

"Indicator that patient was discharged from a special unit within an acute care hospital (re
ported by source)"
 KEY                     "HCUP record identifier"
 LOS                     "Length of stay (cleaned)"
 LOS_X                   "Length of stay (as received from source)"
 MDC                     "MDC in effect on discharge date"
 MDC24                   "MDC, version 24"
 MDC_NoPOA               "MDC in use on discharge date, calculated without POA"
 MDNUM1_R                "Physician 1 number (re-identified)"
 MDNUM2_R                "Physician 2 number (re-identified)"
 MDNUM3_R                "Physician 3 number (re-identified)"
 MEDINCSTQ               "Median household income state quartile for patient ZIP Code"
 MRN_R                   "Medical record number (re-identified)"
 NCHRONIC                "Number of chronic conditions"
 NDX                     "Number of diagnoses on this record"
 NECODE                  "Number of E codes on this record"
 NEOMAT                  "Neonatal and/or maternal DX and/or PR"
 NPR                     "Number of procedures on this record"
 ORPROC                  "Major operating room procedure indicator"
 PAY1                    "Primary expected payer (uniform)"
 PL_CBSA                 "Patient location: Core Based Statistical Area (CBSA)"
 PL_MSA1993              "Patient location: Metropolitan Statistical Area (MSA), 1993"
 PL_NCHS2006             "Patient Location: NCHS Urban-Rural Code (V2006)"
 PL_RUCA10_2005
"Patient location: Rural-Urban Commuting Area (RUCA) Codes, ten levels"
 PL_RUCA2005             "Patient location: Rural-Urban Commuting Area (RUCA) Codes"
 PL_RUCA4_2005
"Patient location: Rural-Urban Commuting Area (RUCA) Codes, four levels"
 PL_RUCC2003             "Patient location: Rural-Urban Continuum Codes(RUCC), 2003"
 PL_UIC2003              "Patient location: Urban Influence Codes, 2003"
 PL_UR_CAT4              "Patient Location: Urban-Rural 4 Categories"
 PR1                     "Procedure 1"
 PR2                     "Procedure 2"
 PR3                     "Procedure 3"
 PR4                     "Procedure 4"
 PR5                     "Procedure 5"
 PR6                     "Procedure 6"
 PR7                     "Procedure 7"
 PR8                     "Procedure 8"
 PR9                     "Procedure 9"
 PR10                    "Procedure 10"
 PR11                    "Procedure 11"
 PR12                    "Procedure 12"
 PR13                    "Procedure 13"
 PR14                    "Procedure 14"
 PR15                    "Procedure 15"
 PR16                    "Procedure 16"
 PR17                    "Procedure 17"
 PR18                    "Procedure 18"
 PR19                    "Procedure 19"
 PR20                    "Procedure 20"
 PR21                    "Procedure 21"
 PR22                    "Procedure 22"
 PR23                    "Procedure 23"
 PR24                    "Procedure 24"
 PR25                    "Procedure 25"
 PR26                    "Procedure 26"
 PR27                    "Procedure 27"
 PR28                    "Procedure 28"
 PR29                    "Procedure 29"
 PR30                    "Procedure 30"
 PR31                    "Procedure 31"
 PR32                    "Procedure 32"
 PR33                    "Procedure 33"
 PR34                    "Procedure 34"
 PR35                    "Procedure 35"
 PR36                    "Procedure 36"
 PR37                    "Procedure 37"
 PR38                    "Procedure 38"
 PR39                    "Procedure 39"
 PR40                    "Procedure 40"
 PR41                    "Procedure 41"
 PR42                    "Procedure 42"
 PR43                    "Procedure 43"
 PR44                    "Procedure 44"
 PR45                    "Procedure 45"
 PR46                    "Procedure 46"
 PR47                    "Procedure 47"
 PR48                    "Procedure 48"
 PR49                    "Procedure 49"
 PR50                    "Procedure 50"
 PR51                    "Procedure 51"
 PR52                    "Procedure 52"
 PR53                    "Procedure 53"
 PR54                    "Procedure 54"
 PR55                    "Procedure 55"
 PR56                    "Procedure 56"
 PR57                    "Procedure 57"
 PR58                    "Procedure 58"
 PR59                    "Procedure 59"
 PR60                    "Procedure 60"
 PR61                    "Procedure 61"
 PR62                    "Procedure 62"
 PR63                    "Procedure 63"
 PRCCS1                  "CCS: procedure 1"
 PRCCS2                  "CCS: procedure 2"
 PRCCS3                  "CCS: procedure 3"
 PRCCS4                  "CCS: procedure 4"
 PRCCS5                  "CCS: procedure 5"
 PRCCS6                  "CCS: procedure 6"
 PRCCS7                  "CCS: procedure 7"
 PRCCS8                  "CCS: procedure 8"
 PRCCS9                  "CCS: procedure 9"
 PRCCS10                 "CCS: procedure 10"
 PRCCS11                 "CCS: procedure 11"
 PRCCS12                 "CCS: procedure 12"
 PRCCS13                 "CCS: procedure 13"
 PRCCS14                 "CCS: procedure 14"
 PRCCS15                 "CCS: procedure 15"
 PRCCS16                 "CCS: procedure 16"
 PRCCS17                 "CCS: procedure 17"
 PRCCS18                 "CCS: procedure 18"
 PRCCS19                 "CCS: procedure 19"
 PRCCS20                 "CCS: procedure 20"
 PRCCS21                 "CCS: procedure 21"
 PRCCS22                 "CCS: procedure 22"
 PRCCS23                 "CCS: procedure 23"
 PRCCS24                 "CCS: procedure 24"
 PRCCS25                 "CCS: procedure 25"
 PRCCS26                 "CCS: procedure 26"
 PRCCS27                 "CCS: procedure 27"
 PRCCS28                 "CCS: procedure 28"
 PRCCS29                 "CCS: procedure 29"
 PRCCS30                 "CCS: procedure 30"
 PRCCS31                 "CCS: procedure 31"
 PRCCS32                 "CCS: procedure 32"
 PRCCS33                 "CCS: procedure 33"
 PRCCS34                 "CCS: procedure 34"
 PRCCS35                 "CCS: procedure 35"
 PRCCS36                 "CCS: procedure 36"
 PRCCS37                 "CCS: procedure 37"
 PRCCS38                 "CCS: procedure 38"
 PRCCS39                 "CCS: procedure 39"
 PRCCS40                 "CCS: procedure 40"
 PRCCS41                 "CCS: procedure 41"
 PRCCS42                 "CCS: procedure 42"
 PRCCS43                 "CCS: procedure 43"
 PRCCS44                 "CCS: procedure 44"
 PRCCS45                 "CCS: procedure 45"
 PRCCS46                 "CCS: procedure 46"
 PRCCS47                 "CCS: procedure 47"
 PRCCS48                 "CCS: procedure 48"
 PRCCS49                 "CCS: procedure 49"
 PRCCS50                 "CCS: procedure 50"
 PRCCS51                 "CCS: procedure 51"
 PRCCS52                 "CCS: procedure 52"
 PRCCS53                 "CCS: procedure 53"
 PRCCS54                 "CCS: procedure 54"
 PRCCS55                 "CCS: procedure 55"
 PRCCS56                 "CCS: procedure 56"
 PRCCS57                 "CCS: procedure 57"
 PRCCS58                 "CCS: procedure 58"
 PRCCS59                 "CCS: procedure 59"
 PRCCS60                 "CCS: procedure 60"
 PRCCS61                 "CCS: procedure 61"
 PRCCS62                 "CCS: procedure 62"
 PRCCS63                 "CCS: procedure 63"
 PRDAY1                  "Number of days from admission to PR1"
 PRDAY2                  "Number of days from admission to PR2"
 PRDAY3                  "Number of days from admission to PR3"
 PRDAY4                  "Number of days from admission to PR4"
 PRDAY5                  "Number of days from admission to PR5"
 PRDAY6                  "Number of days from admission to PR6"
 PRDAY7                  "Number of days from admission to PR7"
 PRDAY8                  "Number of days from admission to PR8"
 PRDAY9                  "Number of days from admission to PR9"
 PRDAY10                 "Number of days from admission to PR10"
 PRDAY11                 "Number of days from admission to PR11"
 PRDAY12                 "Number of days from admission to PR12"
 PRDAY13                 "Number of days from admission to PR13"
 PRDAY14                 "Number of days from admission to PR14"
 PRDAY15                 "Number of days from admission to PR15"
 PRDAY16                 "Number of days from admission to PR16"
 PRDAY17                 "Number of days from admission to PR17"
 PRDAY18                 "Number of days from admission to PR18"
 PRDAY19                 "Number of days from admission to PR19"
 PRDAY20                 "Number of days from admission to PR20"
 PRDAY21                 "Number of days from admission to PR21"
 PRDAY22                 "Number of days from admission to PR22"
 PRDAY23                 "Number of days from admission to PR23"
 PRDAY24                 "Number of days from admission to PR24"
 PRDAY25                 "Number of days from admission to PR25"
 PRDAY26                 "Number of days from admission to PR26"
 PRDAY27                 "Number of days from admission to PR27"
 PRDAY28                 "Number of days from admission to PR28"
 PRDAY29                 "Number of days from admission to PR29"
 PRDAY30                 "Number of days from admission to PR30"
 PRDAY31                 "Number of days from admission to PR31"
 PRDAY32                 "Number of days from admission to PR32"
 PRDAY33                 "Number of days from admission to PR33"
 PRDAY34                 "Number of days from admission to PR34"
 PRDAY35                 "Number of days from admission to PR35"
 PRDAY36                 "Number of days from admission to PR36"
 PRDAY37                 "Number of days from admission to PR37"
 PRDAY38                 "Number of days from admission to PR38"
 PRDAY39                 "Number of days from admission to PR39"
 PRDAY40                 "Number of days from admission to PR40"
 PRDAY41                 "Number of days from admission to PR41"
 PRDAY42                 "Number of days from admission to PR42"
 PRDAY43                 "Number of days from admission to PR43"
 PRDAY44                 "Number of days from admission to PR44"
 PRDAY45                 "Number of days from admission to PR45"
 PRDAY46                 "Number of days from admission to PR46"
 PRDAY47                 "Number of days from admission to PR47"
 PRDAY48                 "Number of days from admission to PR48"
 PRDAY49                 "Number of days from admission to PR49"
 PRDAY50                 "Number of days from admission to PR50"
 PRDAY51                 "Number of days from admission to PR51"
 PRDAY52                 "Number of days from admission to PR52"
 PRDAY53                 "Number of days from admission to PR53"
 PRDAY54                 "Number of days from admission to PR54"
 PRDAY55                 "Number of days from admission to PR55"
 PRDAY56                 "Number of days from admission to PR56"
 PRDAY57                 "Number of days from admission to PR57"
 PRDAY58                 "Number of days from admission to PR58"
 PRDAY59                 "Number of days from admission to PR59"
 PRDAY60                 "Number of days from admission to PR60"
 PRDAY61                 "Number of days from admission to PR61"
 PRDAY62                 "Number of days from admission to PR62"
 PRDAY63                 "Number of days from admission to PR63"
 PROCTYPE                "Procedure type indicator"
 PSTATE                  "Patient State postal code"
 PSTCO                   "Patient state/county FIPS code"
 PSTCO2                  "Patient state/county FIPS code, possibly derived from ZIP Code"
 PointOfOriginUB04       "Point of origin for admission or visit, UB-04 standard coding"
 PointOfOrigin_X         "Point of origin for admission or visit, as received from source"
 RACE                    "Race (uniform)"
 RACE_X                  "Race (as received from source)"
 TOTCHG                  "Total charges (cleaned)"
 TOTCHG_X                "Total charges (as received from source)"
 TRAN_IN                 "Transfer in indicator"
 TRAN_OUT                "Transfer out indicator"
 YEAR                    "Calendar year"
 ZIP3                    "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL             "Median household income national quartile for patient ZIP Code"
 HOSPID                  "HCUP hospital identification number"
 ZIP                     "Patient ZIP Code"
 AYEAR                   "Admission year"
 DMONTH                  "Discharge month"
 BMONTH                  "Birth month"
 BYEAR                   "Birth year"
 PRMONTH1                "Month of procedure 1"
 PRMONTH2                "Month of procedure 2"
 PRMONTH3                "Month of procedure 3"
 PRMONTH4                "Month of procedure 4"
 PRMONTH5                "Month of procedure 5"
 PRMONTH6                "Month of procedure 6"
 PRMONTH7                "Month of procedure 7"
 PRMONTH8                "Month of procedure 8"
 PRMONTH9                "Month of procedure 9"
 PRMONTH10               "Month of procedure 10"
 PRMONTH11               "Month of procedure 11"
 PRMONTH12               "Month of procedure 12"
 PRMONTH13               "Month of procedure 13"
 PRMONTH14               "Month of procedure 14"
 PRMONTH15               "Month of procedure 15"
 PRMONTH16               "Month of procedure 16"
 PRMONTH17               "Month of procedure 17"
 PRMONTH18               "Month of procedure 18"
 PRMONTH19               "Month of procedure 19"
 PRMONTH20               "Month of procedure 20"
 PRMONTH21               "Month of procedure 21"
 PRMONTH22               "Month of procedure 22"
 PRMONTH23               "Month of procedure 23"
 PRMONTH24               "Month of procedure 24"
 PRMONTH25               "Month of procedure 25"
 PRMONTH26               "Month of procedure 26"
 PRMONTH27               "Month of procedure 27"
 PRMONTH28               "Month of procedure 28"
 PRMONTH29               "Month of procedure 29"
 PRMONTH30               "Month of procedure 30"
 PRMONTH31               "Month of procedure 31"
 PRMONTH32               "Month of procedure 32"
 PRMONTH33               "Month of procedure 33"
 PRMONTH34               "Month of procedure 34"
 PRMONTH35               "Month of procedure 35"
 PRMONTH36               "Month of procedure 36"
 PRMONTH37               "Month of procedure 37"
 PRMONTH38               "Month of procedure 38"
 PRMONTH39               "Month of procedure 39"
 PRMONTH40               "Month of procedure 40"
 PRMONTH41               "Month of procedure 41"
 PRMONTH42               "Month of procedure 42"
 PRMONTH43               "Month of procedure 43"
 PRMONTH44               "Month of procedure 44"
 PRMONTH45               "Month of procedure 45"
 PRMONTH46               "Month of procedure 46"
 PRMONTH47               "Month of procedure 47"
 PRMONTH48               "Month of procedure 48"
 PRMONTH49               "Month of procedure 49"
 PRMONTH50               "Month of procedure 50"
 PRMONTH51               "Month of procedure 51"
 PRMONTH52               "Month of procedure 52"
 PRMONTH53               "Month of procedure 53"
 PRMONTH54               "Month of procedure 54"
 PRMONTH55               "Month of procedure 55"
 PRMONTH56               "Month of procedure 56"
 PRMONTH57               "Month of procedure 57"
 PRMONTH58               "Month of procedure 58"
 PRMONTH59               "Month of procedure 59"
 PRMONTH60               "Month of procedure 60"
 PRMONTH61               "Month of procedure 61"
 PRMONTH62               "Month of procedure 62"
 PRMONTH63               "Month of procedure 63"
 PRYEAR1                 "Year of procedure 1"
 PRYEAR2                 "Year of procedure 2"
 PRYEAR3                 "Year of procedure 3"
 PRYEAR4                 "Year of procedure 4"
 PRYEAR5                 "Year of procedure 5"
 PRYEAR6                 "Year of procedure 6"
 PRYEAR7                 "Year of procedure 7"
 PRYEAR8                 "Year of procedure 8"
 PRYEAR9                 "Year of procedure 9"
 PRYEAR10                "Year of procedure 10"
 PRYEAR11                "Year of procedure 11"
 PRYEAR12                "Year of procedure 12"
 PRYEAR13                "Year of procedure 13"
 PRYEAR14                "Year of procedure 14"
 PRYEAR15                "Year of procedure 15"
 PRYEAR16                "Year of procedure 16"
 PRYEAR17                "Year of procedure 17"
 PRYEAR18                "Year of procedure 18"
 PRYEAR19                "Year of procedure 19"
 PRYEAR20                "Year of procedure 20"
 PRYEAR21                "Year of procedure 21"
 PRYEAR22                "Year of procedure 22"
 PRYEAR23                "Year of procedure 23"
 PRYEAR24                "Year of procedure 24"
 PRYEAR25                "Year of procedure 25"
 PRYEAR26                "Year of procedure 26"
 PRYEAR27                "Year of procedure 27"
 PRYEAR28                "Year of procedure 28"
 PRYEAR29                "Year of procedure 29"
 PRYEAR30                "Year of procedure 30"
 PRYEAR31                "Year of procedure 31"
 PRYEAR32                "Year of procedure 32"
 PRYEAR33                "Year of procedure 33"
 PRYEAR34                "Year of procedure 34"
 PRYEAR35                "Year of procedure 35"
 PRYEAR36                "Year of procedure 36"
 PRYEAR37                "Year of procedure 37"
 PRYEAR38                "Year of procedure 38"
 PRYEAR39                "Year of procedure 39"
 PRYEAR40                "Year of procedure 40"
 PRYEAR41                "Year of procedure 41"
 PRYEAR42                "Year of procedure 42"
 PRYEAR43                "Year of procedure 43"
 PRYEAR44                "Year of procedure 44"
 PRYEAR45                "Year of procedure 45"
 PRYEAR46                "Year of procedure 46"
 PRYEAR47                "Year of procedure 47"
 PRYEAR48                "Year of procedure 48"
 PRYEAR49                "Year of procedure 49"
 PRYEAR50                "Year of procedure 50"
 PRYEAR51                "Year of procedure 51"
 PRYEAR52                "Year of procedure 52"
 PRYEAR53                "Year of procedure 53"
 PRYEAR54                "Year of procedure 54"
 PRYEAR55                "Year of procedure 55"
 PRYEAR56                "Year of procedure 56"
 PRYEAR57                "Year of procedure 57"
 PRYEAR58                "Year of procedure 58"
 PRYEAR59                "Year of procedure 59"
 PRYEAR60                "Year of procedure 60"
 PRYEAR61                "Year of procedure 61"
 PRYEAR62                "Year of procedure 62"
 PRYEAR63                "Year of procedure 63" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG24
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DXCCS1
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS2
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS3
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS4
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS5
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS6
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS7
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS8
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS9
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS10
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS11
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS12
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS13
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS14
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS15
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS16
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS17
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS18
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS19
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS20
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS21
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS22
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS23
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS24
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS25
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS26
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS27
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS28
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS29
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS30
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS31
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS32
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS33
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS34
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS35
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS36
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS37
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS38
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS39
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS40
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS41
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS42
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS43
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS44
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS45
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS46
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS47
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS48
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS49
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS50
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS51
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS52
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS53
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS54
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS55
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS56
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS57
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS58
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS59
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS60
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS61
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS62
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS63
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS64
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS65
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS66
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS67
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS68
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS69
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS70
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS71
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS72
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS73
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS74
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS75
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS76
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS77
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS78
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS79
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS80
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS81
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS82
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS83
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS84
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS85
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS86
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS87
 (-999,-888,-666,-555=SYSMIS).
RECODE DXCCS88
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS1
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS2
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS3
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS4
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS5
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS6
 (-999,-888,-666,-555=SYSMIS).
RECODE E_CCS7
 (-999,-888,-666,-555=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_BROAD
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_SURGERY_NARROW
 (-9,-8,-6,-5=SYSMIS).
RECODE HOSPBRTH
 (-99,-88,-66,-55=SYSMIS).
RECODE HospitalUnit
 (-9,-8,-6,-5=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC24
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM2_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MDNUM3_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE MRN_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE NCHRONIC
 (-99,-88,-66,-55=SYSMIS).
RECODE NDX
 (-9,-8,-6,-5=SYSMIS).
RECODE NECODE
 (-9,-8,-6,-5=SYSMIS).
RECODE NEOMAT
 (-9,-8,-6,-5=SYSMIS).
RECODE NPR
 (-9,-8,-6,-5=SYSMIS).
RECODE ORPROC
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_MSA1993
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS2006
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCA10_2005
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCA2005
 (-9.9,-8.8,-6.6,-5.5=SYSMIS).
RECODE PL_RUCA4_2005
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC2003
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC2003
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE PRCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY35
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY36
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY37
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY38
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY39
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY40
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY41
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY42
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY43
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY44
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY45
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY46
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY47
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY48
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY49
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY50
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY51
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY52
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY53
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY54
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY55
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY56
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY57
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY58
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY59
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY60
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY61
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY62
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY63
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE PSTCO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH35
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH36
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH37
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH38
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH39
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH40
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH41
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH42
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH43
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH44
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH45
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH46
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH47
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH48
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH49
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH50
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH51
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH52
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH53
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH54
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH55
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH56
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH57
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH58
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH59
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH60
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH61
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH62
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH63
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR35
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR36
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR37
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR38
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR39
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR40
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR41
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR42
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR43
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR44
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR45
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR46
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR47
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR48
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR49
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR50
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR51
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR52
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR53
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR54
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR55
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR56
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR57
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR58
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR59
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR60
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR61
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR62
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR63
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'SD_SID_2011_CORE.SAV' /COMPRESSED.
