/*******************************************************************
* Creation Date: 01/05/2022   
*   UT_SID_2020_CORE.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************;


********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************.

DATA LIST FILE = 'UT_SID_2020_CORE.ASC' FIXED SKIP=2 / 
 AGE                             1-   3
 AGEDAY                          4-   6
 AGEMONTH                        7-   9
 AHOUR                          10-  13
 AMONTH                         14-  15
 ATYPE                          16-  17
 AWEEKEND                       18-  19
 BILLTYPE                       20-  23 (A)
 CPT1                           24-  28 (A)
 CPT2                           29-  33 (A)
 CPT3                           34-  38 (A)
 CPT4                           39-  43 (A)
 CPT5                           44-  48 (A)
 CPT6                           49-  53 (A)
 CPT7                           54-  58 (A)
 CPT8                           59-  63 (A)
 CPT9                           64-  68 (A)
 CPT10                          69-  73 (A)
 CPT11                          74-  78 (A)
 CPT12                          79-  83 (A)
 CPT13                          84-  88 (A)
 CPT14                          89-  93 (A)
 CPT15                          94-  98 (A)
 CPT16                          99- 103 (A)
 CPT17                         104- 108 (A)
 CPT18                         109- 113 (A)
 CPT19                         114- 118 (A)
 CPT20                         119- 123 (A)
 CPT21                         124- 128 (A)
 CPT22                         129- 133 (A)
 CPT23                         134- 138 (A)
 CPT24                         139- 143 (A)
 CPT25                         144- 148 (A)
 CPT26                         149- 153 (A)
 CPT27                         154- 158 (A)
 CPT28                         159- 163 (A)
 CPT29                         164- 168 (A)
 CPT30                         169- 173 (A)
 CPT31                         174- 178 (A)
 CPT32                         179- 183 (A)
 CPT33                         184- 188 (A)
 CPT34                         189- 193 (A)
 CPT35                         194- 198 (A)
 CPT36                         199- 203 (A)
 CPT37                         204- 208 (A)
 CPT38                         209- 213 (A)
 CPT39                         214- 218 (A)
 CPT40                         219- 223 (A)
 CPT41                         224- 228 (A)
 CPT42                         229- 233 (A)
 CPT43                         234- 238 (A)
 CPT44                         239- 243 (A)
 CPT45                         244- 248 (A)
 CPT46                         249- 253 (A)
 CPT47                         254- 258 (A)
 CPT48                         259- 263 (A)
 CPT49                         264- 268 (A)
 CPT50                         269- 273 (A)
 CPT51                         274- 278 (A)
 CPT52                         279- 283 (A)
 CPT53                         284- 288 (A)
 CPT54                         289- 293 (A)
 CPT55                         294- 298 (A)
 CPT56                         299- 303 (A)
 CPT57                         304- 308 (A)
 CPT58                         309- 313 (A)
 CPT59                         314- 318 (A)
 CPT60                         319- 323 (A)
 CPT61                         324- 328 (A)
 CPT62                         329- 333 (A)
 CPT63                         334- 338 (A)
 CPT64                         339- 343 (A)
 CPT65                         344- 348 (A)
 CPT66                         349- 353 (A)
 CPT67                         354- 358 (A)
 CPT68                         359- 363 (A)
 CPT69                         364- 368 (A)
 CPT70                         369- 373 (A)
 CPT71                         374- 378 (A)
 CPT72                         379- 383 (A)
 CPT73                         384- 388 (A)
 CPT74                         389- 393 (A)
 CPT75                         394- 398 (A)
 CPT76                         399- 403 (A)
 CPT77                         404- 408 (A)
 CPT78                         409- 413 (A)
 CPT79                         414- 418 (A)
 CPT80                         419- 423 (A)
 CPT81                         424- 428 (A)
 CPT82                         429- 433 (A)
 CPT83                         434- 438 (A)
 CPT84                         439- 443 (A)
 CPT85                         444- 448 (A)
 CPT86                         449- 453 (A)
 CPT87                         454- 458 (A)
 CPT88                         459- 463 (A)
 CPT89                         464- 468 (A)
 CPT90                         469- 473 (A)
 CPT91                         474- 478 (A)
 CPT92                         479- 483 (A)
 CPT93                         484- 488 (A)
 CPT94                         489- 493 (A)
 CPT95                         494- 498 (A)
 CPT96                         499- 503 (A)
 CPT97                         504- 508 (A)
 CPT98                         509- 513 (A)
 CPT99                         514- 518 (A)
 CPT100                        519- 523 (A)
 CPT101                        524- 528 (A)
 CPT102                        529- 533 (A)
 CPT103                        534- 538 (A)
 CPT104                        539- 543 (A)
 CPT105                        544- 548 (A)
 CPT106                        549- 553 (A)
 CPT107                        554- 558 (A)
 CPT108                        559- 563 (A)
 CPT109                        564- 568 (A)
 CPT110                        569- 573 (A)
 CPT111                        574- 578 (A)
 CPT112                        579- 583 (A)
 CPT113                        584- 588 (A)
 CPT114                        589- 593 (A)
 CPT115                        594- 598 (A)
 CPT116                        599- 603 (A)
 CPT117                        604- 608 (A)
 CPT118                        609- 613 (A)
 CPT119                        614- 618 (A)
 CPT120                        619- 623 (A)
 CPT121                        624- 628 (A)
 CPT122                        629- 633 (A)
 CPT123                        634- 638 (A)
 CPT124                        639- 643 (A)
 CPT125                        644- 648 (A)
 CPT126                        649- 653 (A)
 CPT127                        654- 658 (A)
 CPT128                        659- 663 (A)
 CPT129                        664- 668 (A)
 CPT130                        669- 673 (A)
 CPT131                        674- 678 (A)
 CPT132                        679- 683 (A)
 CPT133                        684- 688 (A)
 CPT134                        689- 693 (A)
 CPT135                        694- 698 (A)
 CPT136                        699- 703 (A)
 CPT137                        704- 708 (A)
 CPT138                        709- 713 (A)
 CPT139                        714- 718 (A)
 CPT140                        719- 723 (A)
 CPT141                        724- 728 (A)
 CPT142                        729- 733 (A)
 CPT143                        734- 738 (A)
 CPT144                        739- 743 (A)
 CPT145                        744- 748 (A)
 CPT146                        749- 753 (A)
 CPT147                        754- 758 (A)
 CPT148                        759- 763 (A)
 CPT149                        764- 768 (A)
 CPT150                        769- 773 (A)
 CPT151                        774- 778 (A)
 CPT152                        779- 783 (A)
 CPT153                        784- 788 (A)
 CPT154                        789- 793 (A)
 CPT155                        794- 798 (A)
 CPT156                        799- 803 (A)
 CPT157                        804- 808 (A)
 CPT158                        809- 813 (A)
 CPT159                        814- 818 (A)
 CPT160                        819- 823 (A)
 CPT161                        824- 828 (A)
 CPT162                        829- 833 (A)
 CPT163                        834- 838 (A)
 CPT164                        839- 843 (A)
 CPT165                        844- 848 (A)
 CPT166                        849- 853 (A)
 CPT167                        854- 858 (A)
 CPT168                        859- 863 (A)
 CPT169                        864- 868 (A)
 CPT170                        869- 873 (A)
 CPT171                        874- 878 (A)
 CPT172                        879- 883 (A)
 CPT173                        884- 888 (A)
 CPT174                        889- 893 (A)
 CPT175                        894- 898 (A)
 CPT176                        899- 903 (A)
 CPT177                        904- 908 (A)
 CPT178                        909- 913 (A)
 CPT179                        914- 918 (A)
 CPT180                        919- 923 (A)
 CPT181                        924- 928 (A)
 CPT182                        929- 933 (A)
 CPT183                        934- 938 (A)
 CPT184                        939- 943 (A)
 CPT185                        944- 948 (A)
 CPT186                        949- 953 (A)
 CPT187                        954- 958 (A)
 CPT188                        959- 963 (A)
 CPT189                        964- 968 (A)
 CPT190                        969- 973 (A)
 CPT191                        974- 978 (A)
 CPT192                        979- 983 (A)
 CPT193                        984- 988 (A)
 CPT194                        989- 993 (A)
 CPT195                        994- 998 (A)
 CPT196                        999-1003 (A)
 CPT197                       1004-1008 (A)
 CPT198                       1009-1013 (A)
 CPT199                       1014-1018 (A)
 CPT200                       1019-1023 (A)
 CPTCCS1                      1024-1026
 CPTCCS2                      1027-1029
 CPTCCS3                      1030-1032
 CPTCCS4                      1033-1035
 CPTCCS5                      1036-1038
 CPTCCS6                      1039-1041
 CPTCCS7                      1042-1044
 CPTCCS8                      1045-1047
 CPTCCS9                      1048-1050
 CPTCCS10                     1051-1053
 CPTCCS11                     1054-1056
 CPTCCS12                     1057-1059
 CPTCCS13                     1060-1062
 CPTCCS14                     1063-1065
 CPTCCS15                     1066-1068
 CPTCCS16                     1069-1071
 CPTCCS17                     1072-1074
 CPTCCS18                     1075-1077
 CPTCCS19                     1078-1080
 CPTCCS20                     1081-1083
 CPTCCS21                     1084-1086
 CPTCCS22                     1087-1089
 CPTCCS23                     1090-1092
 CPTCCS24                     1093-1095
 CPTCCS25                     1096-1098
 CPTCCS26                     1099-1101
 CPTCCS27                     1102-1104
 CPTCCS28                     1105-1107
 CPTCCS29                     1108-1110
 CPTCCS30                     1111-1113
 CPTCCS31                     1114-1116
 CPTCCS32                     1117-1119
 CPTCCS33                     1120-1122
 CPTCCS34                     1123-1125
 CPTCCS35                     1126-1128
 CPTCCS36                     1129-1131
 CPTCCS37                     1132-1134
 CPTCCS38                     1135-1137
 CPTCCS39                     1138-1140
 CPTCCS40                     1141-1143
 CPTCCS41                     1144-1146
 CPTCCS42                     1147-1149
 CPTCCS43                     1150-1152
 CPTCCS44                     1153-1155
 CPTCCS45                     1156-1158
 CPTCCS46                     1159-1161
 CPTCCS47                     1162-1164
 CPTCCS48                     1165-1167
 CPTCCS49                     1168-1170
 CPTCCS50                     1171-1173
 CPTCCS51                     1174-1176
 CPTCCS52                     1177-1179
 CPTCCS53                     1180-1182
 CPTCCS54                     1183-1185
 CPTCCS55                     1186-1188
 CPTCCS56                     1189-1191
 CPTCCS57                     1192-1194
 CPTCCS58                     1195-1197
 CPTCCS59                     1198-1200
 CPTCCS60                     1201-1203
 CPTCCS61                     1204-1206
 CPTCCS62                     1207-1209
 CPTCCS63                     1210-1212
 CPTCCS64                     1213-1215
 CPTCCS65                     1216-1218
 CPTCCS66                     1219-1221
 CPTCCS67                     1222-1224
 CPTCCS68                     1225-1227
 CPTCCS69                     1228-1230
 CPTCCS70                     1231-1233
 CPTCCS71                     1234-1236
 CPTCCS72                     1237-1239
 CPTCCS73                     1240-1242
 CPTCCS74                     1243-1245
 CPTCCS75                     1246-1248
 CPTCCS76                     1249-1251
 CPTCCS77                     1252-1254
 CPTCCS78                     1255-1257
 CPTCCS79                     1258-1260
 CPTCCS80                     1261-1263
 CPTCCS81                     1264-1266
 CPTCCS82                     1267-1269
 CPTCCS83                     1270-1272
 CPTCCS84                     1273-1275
 CPTCCS85                     1276-1278
 CPTCCS86                     1279-1281
 CPTCCS87                     1282-1284
 CPTCCS88                     1285-1287
 CPTCCS89                     1288-1290
 CPTCCS90                     1291-1293
 CPTCCS91                     1294-1296
 CPTCCS92                     1297-1299
 CPTCCS93                     1300-1302
 CPTCCS94                     1303-1305
 CPTCCS95                     1306-1308
 CPTCCS96                     1309-1311
 CPTCCS97                     1312-1314
 CPTCCS98                     1315-1317
 CPTCCS99                     1318-1320
 CPTCCS100                    1321-1323
 CPTCCS101                    1324-1326
 CPTCCS102                    1327-1329
 CPTCCS103                    1330-1332
 CPTCCS104                    1333-1335
 CPTCCS105                    1336-1338
 CPTCCS106                    1339-1341
 CPTCCS107                    1342-1344
 CPTCCS108                    1345-1347
 CPTCCS109                    1348-1350
 CPTCCS110                    1351-1353
 CPTCCS111                    1354-1356
 CPTCCS112                    1357-1359
 CPTCCS113                    1360-1362
 CPTCCS114                    1363-1365
 CPTCCS115                    1366-1368
 CPTCCS116                    1369-1371
 CPTCCS117                    1372-1374
 CPTCCS118                    1375-1377
 CPTCCS119                    1378-1380
 CPTCCS120                    1381-1383
 CPTCCS121                    1384-1386
 CPTCCS122                    1387-1389
 CPTCCS123                    1390-1392
 CPTCCS124                    1393-1395
 CPTCCS125                    1396-1398
 CPTCCS126                    1399-1401
 CPTCCS127                    1402-1404
 CPTCCS128                    1405-1407
 CPTCCS129                    1408-1410
 CPTCCS130                    1411-1413
 CPTCCS131                    1414-1416
 CPTCCS132                    1417-1419
 CPTCCS133                    1420-1422
 CPTCCS134                    1423-1425
 CPTCCS135                    1426-1428
 CPTCCS136                    1429-1431
 CPTCCS137                    1432-1434
 CPTCCS138                    1435-1437
 CPTCCS139                    1438-1440
 CPTCCS140                    1441-1443
 CPTCCS141                    1444-1446
 CPTCCS142                    1447-1449
 CPTCCS143                    1450-1452
 CPTCCS144                    1453-1455
 CPTCCS145                    1456-1458
 CPTCCS146                    1459-1461
 CPTCCS147                    1462-1464
 CPTCCS148                    1465-1467
 CPTCCS149                    1468-1470
 CPTCCS150                    1471-1473
 CPTCCS151                    1474-1476
 CPTCCS152                    1477-1479
 CPTCCS153                    1480-1482
 CPTCCS154                    1483-1485
 CPTCCS155                    1486-1488
 CPTCCS156                    1489-1491
 CPTCCS157                    1492-1494
 CPTCCS158                    1495-1497
 CPTCCS159                    1498-1500
 CPTCCS160                    1501-1503
 CPTCCS161                    1504-1506
 CPTCCS162                    1507-1509
 CPTCCS163                    1510-1512
 CPTCCS164                    1513-1515
 CPTCCS165                    1516-1518
 CPTCCS166                    1519-1521
 CPTCCS167                    1522-1524
 CPTCCS168                    1525-1527
 CPTCCS169                    1528-1530
 CPTCCS170                    1531-1533
 CPTCCS171                    1534-1536
 CPTCCS172                    1537-1539
 CPTCCS173                    1540-1542
 CPTCCS174                    1543-1545
 CPTCCS175                    1546-1548
 CPTCCS176                    1549-1551
 CPTCCS177                    1552-1554
 CPTCCS178                    1555-1557
 CPTCCS179                    1558-1560
 CPTCCS180                    1561-1563
 CPTCCS181                    1564-1566
 CPTCCS182                    1567-1569
 CPTCCS183                    1570-1572
 CPTCCS184                    1573-1575
 CPTCCS185                    1576-1578
 CPTCCS186                    1579-1581
 CPTCCS187                    1582-1584
 CPTCCS188                    1585-1587
 CPTCCS189                    1588-1590
 CPTCCS190                    1591-1593
 CPTCCS191                    1594-1596
 CPTCCS192                    1597-1599
 CPTCCS193                    1600-1602
 CPTCCS194                    1603-1605
 CPTCCS195                    1606-1608
 CPTCCS196                    1609-1611
 CPTCCS197                    1612-1614
 CPTCCS198                    1615-1617
 CPTCCS199                    1618-1620
 CPTCCS200                    1621-1623
 CPTM1_1                      1624-1625 (A)
 CPTM1_2                      1626-1627 (A)
 CPTM1_3                      1628-1629 (A)
 CPTM1_4                      1630-1631 (A)
 CPTM1_5                      1632-1633 (A)
 CPTM1_6                      1634-1635 (A)
 CPTM1_7                      1636-1637 (A)
 CPTM1_8                      1638-1639 (A)
 CPTM1_9                      1640-1641 (A)
 CPTM1_10                     1642-1643 (A)
 CPTM1_11                     1644-1645 (A)
 CPTM1_12                     1646-1647 (A)
 CPTM1_13                     1648-1649 (A)
 CPTM1_14                     1650-1651 (A)
 CPTM1_15                     1652-1653 (A)
 CPTM1_16                     1654-1655 (A)
 CPTM1_17                     1656-1657 (A)
 CPTM1_18                     1658-1659 (A)
 CPTM1_19                     1660-1661 (A)
 CPTM1_20                     1662-1663 (A)
 CPTM1_21                     1664-1665 (A)
 CPTM1_22                     1666-1667 (A)
 CPTM1_23                     1668-1669 (A)
 CPTM1_24                     1670-1671 (A)
 CPTM1_25                     1672-1673 (A)
 CPTM1_26                     1674-1675 (A)
 CPTM1_27                     1676-1677 (A)
 CPTM1_28                     1678-1679 (A)
 CPTM1_29                     1680-1681 (A)
 CPTM1_30                     1682-1683 (A)
 CPTM1_31                     1684-1685 (A)
 CPTM1_32                     1686-1687 (A)
 CPTM1_33                     1688-1689 (A)
 CPTM1_34                     1690-1691 (A)
 CPTM1_35                     1692-1693 (A)
 CPTM1_36                     1694-1695 (A)
 CPTM1_37                     1696-1697 (A)
 CPTM1_38                     1698-1699 (A)
 CPTM1_39                     1700-1701 (A)
 CPTM1_40                     1702-1703 (A)
 CPTM1_41                     1704-1705 (A)
 CPTM1_42                     1706-1707 (A)
 CPTM1_43                     1708-1709 (A)
 CPTM1_44                     1710-1711 (A)
 CPTM1_45                     1712-1713 (A)
 CPTM1_46                     1714-1715 (A)
 CPTM1_47                     1716-1717 (A)
 CPTM1_48                     1718-1719 (A)
 CPTM1_49                     1720-1721 (A)
 CPTM1_50                     1722-1723 (A)
 CPTM1_51                     1724-1725 (A)
 CPTM1_52                     1726-1727 (A)
 CPTM1_53                     1728-1729 (A)
 CPTM1_54                     1730-1731 (A)
 CPTM1_55                     1732-1733 (A)
 CPTM1_56                     1734-1735 (A)
 CPTM1_57                     1736-1737 (A)
 CPTM1_58                     1738-1739 (A)
 CPTM1_59                     1740-1741 (A)
 CPTM1_60                     1742-1743 (A)
 CPTM1_61                     1744-1745 (A)
 CPTM1_62                     1746-1747 (A)
 CPTM1_63                     1748-1749 (A)
 CPTM1_64                     1750-1751 (A)
 CPTM1_65                     1752-1753 (A)
 CPTM1_66                     1754-1755 (A)
 CPTM1_67                     1756-1757 (A)
 CPTM1_68                     1758-1759 (A)
 CPTM1_69                     1760-1761 (A)
 CPTM1_70                     1762-1763 (A)
 CPTM1_71                     1764-1765 (A)
 CPTM1_72                     1766-1767 (A)
 CPTM1_73                     1768-1769 (A)
 CPTM1_74                     1770-1771 (A)
 CPTM1_75                     1772-1773 (A)
 CPTM1_76                     1774-1775 (A)
 CPTM1_77                     1776-1777 (A)
 CPTM1_78                     1778-1779 (A)
 CPTM1_79                     1780-1781 (A)
 CPTM1_80                     1782-1783 (A)
 CPTM1_81                     1784-1785 (A)
 CPTM1_82                     1786-1787 (A)
 CPTM1_83                     1788-1789 (A)
 CPTM1_84                     1790-1791 (A)
 CPTM1_85                     1792-1793 (A)
 CPTM1_86                     1794-1795 (A)
 CPTM1_87                     1796-1797 (A)
 CPTM1_88                     1798-1799 (A)
 CPTM1_89                     1800-1801 (A)
 CPTM1_90                     1802-1803 (A)
 CPTM1_91                     1804-1805 (A)
 CPTM1_92                     1806-1807 (A)
 CPTM1_93                     1808-1809 (A)
 CPTM1_94                     1810-1811 (A)
 CPTM1_95                     1812-1813 (A)
 CPTM1_96                     1814-1815 (A)
 CPTM1_97                     1816-1817 (A)
 CPTM1_98                     1818-1819 (A)
 CPTM1_99                     1820-1821 (A)
 CPTM1_100                    1822-1823 (A)
 CPTM1_101                    1824-1825 (A)
 CPTM1_102                    1826-1827 (A)
 CPTM1_103                    1828-1829 (A)
 CPTM1_104                    1830-1831 (A)
 CPTM1_105                    1832-1833 (A)
 CPTM1_106                    1834-1835 (A)
 CPTM1_107                    1836-1837 (A)
 CPTM1_108                    1838-1839 (A)
 CPTM1_109                    1840-1841 (A)
 CPTM1_110                    1842-1843 (A)
 CPTM1_111                    1844-1845 (A)
 CPTM1_112                    1846-1847 (A)
 CPTM1_113                    1848-1849 (A)
 CPTM1_114                    1850-1851 (A)
 CPTM1_115                    1852-1853 (A)
 CPTM1_116                    1854-1855 (A)
 CPTM1_117                    1856-1857 (A)
 CPTM1_118                    1858-1859 (A)
 CPTM1_119                    1860-1861 (A)
 CPTM1_120                    1862-1863 (A)
 CPTM1_121                    1864-1865 (A)
 CPTM1_122                    1866-1867 (A)
 CPTM1_123                    1868-1869 (A)
 CPTM1_124                    1870-1871 (A)
 CPTM1_125                    1872-1873 (A)
 CPTM1_126                    1874-1875 (A)
 CPTM1_127                    1876-1877 (A)
 CPTM1_128                    1878-1879 (A)
 CPTM1_129                    1880-1881 (A)
 CPTM1_130                    1882-1883 (A)
 CPTM1_131                    1884-1885 (A)
 CPTM1_132                    1886-1887 (A)
 CPTM1_133                    1888-1889 (A)
 CPTM1_134                    1890-1891 (A)
 CPTM1_135                    1892-1893 (A)
 CPTM1_136                    1894-1895 (A)
 CPTM1_137                    1896-1897 (A)
 CPTM1_138                    1898-1899 (A)
 CPTM1_139                    1900-1901 (A)
 CPTM1_140                    1902-1903 (A)
 CPTM1_141                    1904-1905 (A)
 CPTM1_142                    1906-1907 (A)
 CPTM1_143                    1908-1909 (A)
 CPTM1_144                    1910-1911 (A)
 CPTM1_145                    1912-1913 (A)
 CPTM1_146                    1914-1915 (A)
 CPTM1_147                    1916-1917 (A)
 CPTM1_148                    1918-1919 (A)
 CPTM1_149                    1920-1921 (A)
 CPTM1_150                    1922-1923 (A)
 CPTM1_151                    1924-1925 (A)
 CPTM1_152                    1926-1927 (A)
 CPTM1_153                    1928-1929 (A)
 CPTM1_154                    1930-1931 (A)
 CPTM1_155                    1932-1933 (A)
 CPTM1_156                    1934-1935 (A)
 CPTM1_157                    1936-1937 (A)
 CPTM1_158                    1938-1939 (A)
 CPTM1_159                    1940-1941 (A)
 CPTM1_160                    1942-1943 (A)
 CPTM1_161                    1944-1945 (A)
 CPTM1_162                    1946-1947 (A)
 CPTM1_163                    1948-1949 (A)
 CPTM1_164                    1950-1951 (A)
 CPTM1_165                    1952-1953 (A)
 CPTM1_166                    1954-1955 (A)
 CPTM1_167                    1956-1957 (A)
 CPTM1_168                    1958-1959 (A)
 CPTM1_169                    1960-1961 (A)
 CPTM1_170                    1962-1963 (A)
 CPTM1_171                    1964-1965 (A)
 CPTM1_172                    1966-1967 (A)
 CPTM1_173                    1968-1969 (A)
 CPTM1_174                    1970-1971 (A)
 CPTM1_175                    1972-1973 (A)
 CPTM1_176                    1974-1975 (A)
 CPTM1_177                    1976-1977 (A)
 CPTM1_178                    1978-1979 (A)
 CPTM1_179                    1980-1981 (A)
 CPTM1_180                    1982-1983 (A)
 CPTM1_181                    1984-1985 (A)
 CPTM1_182                    1986-1987 (A)
 CPTM1_183                    1988-1989 (A)
 CPTM1_184                    1990-1991 (A)
 CPTM1_185                    1992-1993 (A)
 CPTM1_186                    1994-1995 (A)
 CPTM1_187                    1996-1997 (A)
 CPTM1_188                    1998-1999 (A)
 CPTM1_189                    2000-2001 (A)
 CPTM1_190                    2002-2003 (A)
 CPTM1_191                    2004-2005 (A)
 CPTM1_192                    2006-2007 (A)
 CPTM1_193                    2008-2009 (A)
 CPTM1_194                    2010-2011 (A)
 CPTM1_195                    2012-2013 (A)
 CPTM1_196                    2014-2015 (A)
 CPTM1_197                    2016-2017 (A)
 CPTM1_198                    2018-2019 (A)
 CPTM1_199                    2020-2021 (A)
 CPTM1_200                    2022-2023 (A)
 CPTM2_1                      2024-2025 (A)
 CPTM2_2                      2026-2027 (A)
 CPTM2_3                      2028-2029 (A)
 CPTM2_4                      2030-2031 (A)
 CPTM2_5                      2032-2033 (A)
 CPTM2_6                      2034-2035 (A)
 CPTM2_7                      2036-2037 (A)
 CPTM2_8                      2038-2039 (A)
 CPTM2_9                      2040-2041 (A)
 CPTM2_10                     2042-2043 (A)
 CPTM2_11                     2044-2045 (A)
 CPTM2_12                     2046-2047 (A)
 CPTM2_13                     2048-2049 (A)
 CPTM2_14                     2050-2051 (A)
 CPTM2_15                     2052-2053 (A)
 CPTM2_16                     2054-2055 (A)
 CPTM2_17                     2056-2057 (A)
 CPTM2_18                     2058-2059 (A)
 CPTM2_19                     2060-2061 (A)
 CPTM2_20                     2062-2063 (A)
 CPTM2_21                     2064-2065 (A)
 CPTM2_22                     2066-2067 (A)
 CPTM2_23                     2068-2069 (A)
 CPTM2_24                     2070-2071 (A)
 CPTM2_25                     2072-2073 (A)
 CPTM2_26                     2074-2075 (A)
 CPTM2_27                     2076-2077 (A)
 CPTM2_28                     2078-2079 (A)
 CPTM2_29                     2080-2081 (A)
 CPTM2_30                     2082-2083 (A)
 CPTM2_31                     2084-2085 (A)
 CPTM2_32                     2086-2087 (A)
 CPTM2_33                     2088-2089 (A)
 CPTM2_34                     2090-2091 (A)
 CPTM2_35                     2092-2093 (A)
 CPTM2_36                     2094-2095 (A)
 CPTM2_37                     2096-2097 (A)
 CPTM2_38                     2098-2099 (A)
 CPTM2_39                     2100-2101 (A)
 CPTM2_40                     2102-2103 (A)
 CPTM2_41                     2104-2105 (A)
 CPTM2_42                     2106-2107 (A)
 CPTM2_43                     2108-2109 (A)
 CPTM2_44                     2110-2111 (A)
 CPTM2_45                     2112-2113 (A)
 CPTM2_46                     2114-2115 (A)
 CPTM2_47                     2116-2117 (A)
 CPTM2_48                     2118-2119 (A)
 CPTM2_49                     2120-2121 (A)
 CPTM2_50                     2122-2123 (A)
 CPTM2_51                     2124-2125 (A)
 CPTM2_52                     2126-2127 (A)
 CPTM2_53                     2128-2129 (A)
 CPTM2_54                     2130-2131 (A)
 CPTM2_55                     2132-2133 (A)
 CPTM2_56                     2134-2135 (A)
 CPTM2_57                     2136-2137 (A)
 CPTM2_58                     2138-2139 (A)
 CPTM2_59                     2140-2141 (A)
 CPTM2_60                     2142-2143 (A)
 CPTM2_61                     2144-2145 (A)
 CPTM2_62                     2146-2147 (A)
 CPTM2_63                     2148-2149 (A)
 CPTM2_64                     2150-2151 (A)
 CPTM2_65                     2152-2153 (A)
 CPTM2_66                     2154-2155 (A)
 CPTM2_67                     2156-2157 (A)
 CPTM2_68                     2158-2159 (A)
 CPTM2_69                     2160-2161 (A)
 CPTM2_70                     2162-2163 (A)
 CPTM2_71                     2164-2165 (A)
 CPTM2_72                     2166-2167 (A)
 CPTM2_73                     2168-2169 (A)
 CPTM2_74                     2170-2171 (A)
 CPTM2_75                     2172-2173 (A)
 CPTM2_76                     2174-2175 (A)
 CPTM2_77                     2176-2177 (A)
 CPTM2_78                     2178-2179 (A)
 CPTM2_79                     2180-2181 (A)
 CPTM2_80                     2182-2183 (A)
 CPTM2_81                     2184-2185 (A)
 CPTM2_82                     2186-2187 (A)
 CPTM2_83                     2188-2189 (A)
 CPTM2_84                     2190-2191 (A)
 CPTM2_85                     2192-2193 (A)
 CPTM2_86                     2194-2195 (A)
 CPTM2_87                     2196-2197 (A)
 CPTM2_88                     2198-2199 (A)
 CPTM2_89                     2200-2201 (A)
 CPTM2_90                     2202-2203 (A)
 CPTM2_91                     2204-2205 (A)
 CPTM2_92                     2206-2207 (A)
 CPTM2_93                     2208-2209 (A)
 CPTM2_94                     2210-2211 (A)
 CPTM2_95                     2212-2213 (A)
 CPTM2_96                     2214-2215 (A)
 CPTM2_97                     2216-2217 (A)
 CPTM2_98                     2218-2219 (A)
 CPTM2_99                     2220-2221 (A)
 CPTM2_100                    2222-2223 (A)
 CPTM2_101                    2224-2225 (A)
 CPTM2_102                    2226-2227 (A)
 CPTM2_103                    2228-2229 (A)
 CPTM2_104                    2230-2231 (A)
 CPTM2_105                    2232-2233 (A)
 CPTM2_106                    2234-2235 (A)
 CPTM2_107                    2236-2237 (A)
 CPTM2_108                    2238-2239 (A)
 CPTM2_109                    2240-2241 (A)
 CPTM2_110                    2242-2243 (A)
 CPTM2_111                    2244-2245 (A)
 CPTM2_112                    2246-2247 (A)
 CPTM2_113                    2248-2249 (A)
 CPTM2_114                    2250-2251 (A)
 CPTM2_115                    2252-2253 (A)
 CPTM2_116                    2254-2255 (A)
 CPTM2_117                    2256-2257 (A)
 CPTM2_118                    2258-2259 (A)
 CPTM2_119                    2260-2261 (A)
 CPTM2_120                    2262-2263 (A)
 CPTM2_121                    2264-2265 (A)
 CPTM2_122                    2266-2267 (A)
 CPTM2_123                    2268-2269 (A)
 CPTM2_124                    2270-2271 (A)
 CPTM2_125                    2272-2273 (A)
 CPTM2_126                    2274-2275 (A)
 CPTM2_127                    2276-2277 (A)
 CPTM2_128                    2278-2279 (A)
 CPTM2_129                    2280-2281 (A)
 CPTM2_130                    2282-2283 (A)
 CPTM2_131                    2284-2285 (A)
 CPTM2_132                    2286-2287 (A)
 CPTM2_133                    2288-2289 (A)
 CPTM2_134                    2290-2291 (A)
 CPTM2_135                    2292-2293 (A)
 CPTM2_136                    2294-2295 (A)
 CPTM2_137                    2296-2297 (A)
 CPTM2_138                    2298-2299 (A)
 CPTM2_139                    2300-2301 (A)
 CPTM2_140                    2302-2303 (A)
 CPTM2_141                    2304-2305 (A)
 CPTM2_142                    2306-2307 (A)
 CPTM2_143                    2308-2309 (A)
 CPTM2_144                    2310-2311 (A)
 CPTM2_145                    2312-2313 (A)
 CPTM2_146                    2314-2315 (A)
 CPTM2_147                    2316-2317 (A)
 CPTM2_148                    2318-2319 (A)
 CPTM2_149                    2320-2321 (A)
 CPTM2_150                    2322-2323 (A)
 CPTM2_151                    2324-2325 (A)
 CPTM2_152                    2326-2327 (A)
 CPTM2_153                    2328-2329 (A)
 CPTM2_154                    2330-2331 (A)
 CPTM2_155                    2332-2333 (A)
 CPTM2_156                    2334-2335 (A)
 CPTM2_157                    2336-2337 (A)
 CPTM2_158                    2338-2339 (A)
 CPTM2_159                    2340-2341 (A)
 CPTM2_160                    2342-2343 (A)
 CPTM2_161                    2344-2345 (A)
 CPTM2_162                    2346-2347 (A)
 CPTM2_163                    2348-2349 (A)
 CPTM2_164                    2350-2351 (A)
 CPTM2_165                    2352-2353 (A)
 CPTM2_166                    2354-2355 (A)
 CPTM2_167                    2356-2357 (A)
 CPTM2_168                    2358-2359 (A)
 CPTM2_169                    2360-2361 (A)
 CPTM2_170                    2362-2363 (A)
 CPTM2_171                    2364-2365 (A)
 CPTM2_172                    2366-2367 (A)
 CPTM2_173                    2368-2369 (A)
 CPTM2_174                    2370-2371 (A)
 CPTM2_175                    2372-2373 (A)
 CPTM2_176                    2374-2375 (A)
 CPTM2_177                    2376-2377 (A)
 CPTM2_178                    2378-2379 (A)
 CPTM2_179                    2380-2381 (A)
 CPTM2_180                    2382-2383 (A)
 CPTM2_181                    2384-2385 (A)
 CPTM2_182                    2386-2387 (A)
 CPTM2_183                    2388-2389 (A)
 CPTM2_184                    2390-2391 (A)
 CPTM2_185                    2392-2393 (A)
 CPTM2_186                    2394-2395 (A)
 CPTM2_187                    2396-2397 (A)
 CPTM2_188                    2398-2399 (A)
 CPTM2_189                    2400-2401 (A)
 CPTM2_190                    2402-2403 (A)
 CPTM2_191                    2404-2405 (A)
 CPTM2_192                    2406-2407 (A)
 CPTM2_193                    2408-2409 (A)
 CPTM2_194                    2410-2411 (A)
 CPTM2_195                    2412-2413 (A)
 CPTM2_196                    2414-2415 (A)
 CPTM2_197                    2416-2417 (A)
 CPTM2_198                    2418-2419 (A)
 CPTM2_199                    2420-2421 (A)
 CPTM2_200                    2422-2423 (A)
 DaysToEvent                  2424-2429
 DHOUR                        2430-2433
 DIED                         2434-2435
 DISP_X                       2436-2437 (A)
 DISPUB04                     2438-2439
 DISPUNIFORM                  2440-2441
 DMONTH                       2442-2443
 DQTR                         2444-2445
 DRG                          2446-2448
 DRG_NoPOA                    2449-2451
 DRGVER                       2452-2453
 DSHOSPID                     2454-2470 (A)
 FEMALE                       2471-2472
 HCUP_ED                      2473-2474
 HCUP_OS                      2475-2476
 HISPANIC                     2477-2478
 HISPANIC_X                   2479-2484 (A)
 HOSPST                       2485-2486 (A)
 I10_BIRTH                    2487-2489
 I10_DELIVERY                 2490-2492
 I10_DX_Admitting             2493-2499 (A)
 I10_DX1                      2500-2506 (A)
 I10_DX2                      2507-2513 (A)
 I10_DX3                      2514-2520 (A)
 I10_DX4                      2521-2527 (A)
 I10_DX5                      2528-2534 (A)
 I10_DX6                      2535-2541 (A)
 I10_DX7                      2542-2548 (A)
 I10_DX8                      2549-2555 (A)
 I10_DX9                      2556-2562 (A)
 I10_DX10                     2563-2569 (A)
 I10_DX11                     2570-2576 (A)
 I10_DX12                     2577-2583 (A)
 I10_DX13                     2584-2590 (A)
 I10_DX14                     2591-2597 (A)
 I10_DX15                     2598-2604 (A)
 I10_DX16                     2605-2611 (A)
 I10_DX17                     2612-2618 (A)
 I10_DX18                     2619-2625 (A)
 I10_DX19                     2626-2632 (A)
 I10_DX20                     2633-2639 (A)
 I10_NDX                      2640-2642
 I10_NPR                      2643-2645
 I10_PR1                      2646-2652 (A)
 I10_PR2                      2653-2659 (A)
 I10_PR3                      2660-2666 (A)
 I10_PR4                      2667-2673 (A)
 I10_PR5                      2674-2680 (A)
 I10_PR6                      2681-2687 (A)
 I10_PROCTYPE                 2688-2690
 I10_SERVICELINE              2691-2692
 KEY                          2693-2707
 LOS                          2708-2712
 LOS_X                        2713-2718
 MARITALSTATUS_X              2719     (A)
 MARITALSTATUSUB04            2720     (A)
 MDC                          2721-2722
 MDC_NoPOA                    2723-2724
 MDNUM1_R                     2725-2733
 MEDINCSTQ                    2734-2735
 NCPT                         2736-2739
 OS_TIME                      2740-2750
 PAY1                         2751-2752
 PAY1_X                       2753-2782 (A)
 PCLASS_ORPROC                2783-2784
 PL_CBSA                      2785-2787
 PL_NCHS                      2788-2789
 PL_RUCC                      2790-2791
 PL_UIC                       2792-2793
 PL_UR_CAT4                   2794-2795
 PointOfOrigin_X              2796     (A)
 PointOfOriginUB04            2797     (A)
 PRDAY1                       2798-2802
 PRDAY2                       2803-2807
 PRDAY3                       2808-2812
 PRDAY4                       2813-2817
 PRDAY5                       2818-2822
 PRDAY6                       2823-2827
 PSTATE                       2828-2829 (A)
 PSTATE_GEO                   2830-2831 (A)
 PSTCO_GEO                    2832-2836
 RACE                         2837-2838
 RACE_PCT_MISS_HOSP           2839-2845
 RACE_X                       2846-2851 (A)
 TOTCHG                       2852-2861
 TOTCHG_X                     2862-2876
 TRAN_IN                      2877-2878
 TRAN_OUT                     2879-2880
 VisitLink                    2881-2889
 YEAR                         2890-2893
 ZIP                          2894-2898 (A)
 ZIP3                         2899-2901 (A)
 ZIPINC_QRTL                  2902-2904
 AYEAR                        2905-2908
 BMONTH                       2909-2910
 BYEAR                        2911-2914
 PRMONTH1                     2915-2916
 PRMONTH2                     2917-2918
 PRMONTH3                     2919-2920
 PRMONTH4                     2921-2922
 PRMONTH5                     2923-2924
 PRMONTH6                     2925-2926
 PRYEAR1                      2927-2930
 PRYEAR2                      2931-2934
 PRYEAR3                      2935-2938
 PRYEAR4                      2939-2942
 PRYEAR5                      2943-2946
 PRYEAR6                      2947-2950.


***  Specify write formats  ***.
FORMATS
 AGE                          (F3.0) /
 AGEDAY                       (F3.0) /
 AGEMONTH                     (F3.0) /
 AHOUR                        (F3.0) /
 AMONTH                       (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 CPTCCS1                      (F4.0) /
 CPTCCS2                      (F4.0) /
 CPTCCS3                      (F4.0) /
 CPTCCS4                      (F4.0) /
 CPTCCS5                      (F4.0) /
 CPTCCS6                      (F4.0) /
 CPTCCS7                      (F4.0) /
 CPTCCS8                      (F4.0) /
 CPTCCS9                      (F4.0) /
 CPTCCS10                     (F4.0) /
 CPTCCS11                     (F4.0) /
 CPTCCS12                     (F4.0) /
 CPTCCS13                     (F4.0) /
 CPTCCS14                     (F4.0) /
 CPTCCS15                     (F4.0) /
 CPTCCS16                     (F4.0) /
 CPTCCS17                     (F4.0) /
 CPTCCS18                     (F4.0) /
 CPTCCS19                     (F4.0) /
 CPTCCS20                     (F4.0) /
 CPTCCS21                     (F4.0) /
 CPTCCS22                     (F4.0) /
 CPTCCS23                     (F4.0) /
 CPTCCS24                     (F4.0) /
 CPTCCS25                     (F4.0) /
 CPTCCS26                     (F4.0) /
 CPTCCS27                     (F4.0) /
 CPTCCS28                     (F4.0) /
 CPTCCS29                     (F4.0) /
 CPTCCS30                     (F4.0) /
 CPTCCS31                     (F4.0) /
 CPTCCS32                     (F4.0) /
 CPTCCS33                     (F4.0) /
 CPTCCS34                     (F4.0) /
 CPTCCS35                     (F4.0) /
 CPTCCS36                     (F4.0) /
 CPTCCS37                     (F4.0) /
 CPTCCS38                     (F4.0) /
 CPTCCS39                     (F4.0) /
 CPTCCS40                     (F4.0) /
 CPTCCS41                     (F4.0) /
 CPTCCS42                     (F4.0) /
 CPTCCS43                     (F4.0) /
 CPTCCS44                     (F4.0) /
 CPTCCS45                     (F4.0) /
 CPTCCS46                     (F4.0) /
 CPTCCS47                     (F4.0) /
 CPTCCS48                     (F4.0) /
 CPTCCS49                     (F4.0) /
 CPTCCS50                     (F4.0) /
 CPTCCS51                     (F4.0) /
 CPTCCS52                     (F4.0) /
 CPTCCS53                     (F4.0) /
 CPTCCS54                     (F4.0) /
 CPTCCS55                     (F4.0) /
 CPTCCS56                     (F4.0) /
 CPTCCS57                     (F4.0) /
 CPTCCS58                     (F4.0) /
 CPTCCS59                     (F4.0) /
 CPTCCS60                     (F4.0) /
 CPTCCS61                     (F4.0) /
 CPTCCS62                     (F4.0) /
 CPTCCS63                     (F4.0) /
 CPTCCS64                     (F4.0) /
 CPTCCS65                     (F4.0) /
 CPTCCS66                     (F4.0) /
 CPTCCS67                     (F4.0) /
 CPTCCS68                     (F4.0) /
 CPTCCS69                     (F4.0) /
 CPTCCS70                     (F4.0) /
 CPTCCS71                     (F4.0) /
 CPTCCS72                     (F4.0) /
 CPTCCS73                     (F4.0) /
 CPTCCS74                     (F4.0) /
 CPTCCS75                     (F4.0) /
 CPTCCS76                     (F4.0) /
 CPTCCS77                     (F4.0) /
 CPTCCS78                     (F4.0) /
 CPTCCS79                     (F4.0) /
 CPTCCS80                     (F4.0) /
 CPTCCS81                     (F4.0) /
 CPTCCS82                     (F4.0) /
 CPTCCS83                     (F4.0) /
 CPTCCS84                     (F4.0) /
 CPTCCS85                     (F4.0) /
 CPTCCS86                     (F4.0) /
 CPTCCS87                     (F4.0) /
 CPTCCS88                     (F4.0) /
 CPTCCS89                     (F4.0) /
 CPTCCS90                     (F4.0) /
 CPTCCS91                     (F4.0) /
 CPTCCS92                     (F4.0) /
 CPTCCS93                     (F4.0) /
 CPTCCS94                     (F4.0) /
 CPTCCS95                     (F4.0) /
 CPTCCS96                     (F4.0) /
 CPTCCS97                     (F4.0) /
 CPTCCS98                     (F4.0) /
 CPTCCS99                     (F4.0) /
 CPTCCS100                    (F4.0) /
 CPTCCS101                    (F4.0) /
 CPTCCS102                    (F4.0) /
 CPTCCS103                    (F4.0) /
 CPTCCS104                    (F4.0) /
 CPTCCS105                    (F4.0) /
 CPTCCS106                    (F4.0) /
 CPTCCS107                    (F4.0) /
 CPTCCS108                    (F4.0) /
 CPTCCS109                    (F4.0) /
 CPTCCS110                    (F4.0) /
 CPTCCS111                    (F4.0) /
 CPTCCS112                    (F4.0) /
 CPTCCS113                    (F4.0) /
 CPTCCS114                    (F4.0) /
 CPTCCS115                    (F4.0) /
 CPTCCS116                    (F4.0) /
 CPTCCS117                    (F4.0) /
 CPTCCS118                    (F4.0) /
 CPTCCS119                    (F4.0) /
 CPTCCS120                    (F4.0) /
 CPTCCS121                    (F4.0) /
 CPTCCS122                    (F4.0) /
 CPTCCS123                    (F4.0) /
 CPTCCS124                    (F4.0) /
 CPTCCS125                    (F4.0) /
 CPTCCS126                    (F4.0) /
 CPTCCS127                    (F4.0) /
 CPTCCS128                    (F4.0) /
 CPTCCS129                    (F4.0) /
 CPTCCS130                    (F4.0) /
 CPTCCS131                    (F4.0) /
 CPTCCS132                    (F4.0) /
 CPTCCS133                    (F4.0) /
 CPTCCS134                    (F4.0) /
 CPTCCS135                    (F4.0) /
 CPTCCS136                    (F4.0) /
 CPTCCS137                    (F4.0) /
 CPTCCS138                    (F4.0) /
 CPTCCS139                    (F4.0) /
 CPTCCS140                    (F4.0) /
 CPTCCS141                    (F4.0) /
 CPTCCS142                    (F4.0) /
 CPTCCS143                    (F4.0) /
 CPTCCS144                    (F4.0) /
 CPTCCS145                    (F4.0) /
 CPTCCS146                    (F4.0) /
 CPTCCS147                    (F4.0) /
 CPTCCS148                    (F4.0) /
 CPTCCS149                    (F4.0) /
 CPTCCS150                    (F4.0) /
 CPTCCS151                    (F4.0) /
 CPTCCS152                    (F4.0) /
 CPTCCS153                    (F4.0) /
 CPTCCS154                    (F4.0) /
 CPTCCS155                    (F4.0) /
 CPTCCS156                    (F4.0) /
 CPTCCS157                    (F4.0) /
 CPTCCS158                    (F4.0) /
 CPTCCS159                    (F4.0) /
 CPTCCS160                    (F4.0) /
 CPTCCS161                    (F4.0) /
 CPTCCS162                    (F4.0) /
 CPTCCS163                    (F4.0) /
 CPTCCS164                    (F4.0) /
 CPTCCS165                    (F4.0) /
 CPTCCS166                    (F4.0) /
 CPTCCS167                    (F4.0) /
 CPTCCS168                    (F4.0) /
 CPTCCS169                    (F4.0) /
 CPTCCS170                    (F4.0) /
 CPTCCS171                    (F4.0) /
 CPTCCS172                    (F4.0) /
 CPTCCS173                    (F4.0) /
 CPTCCS174                    (F4.0) /
 CPTCCS175                    (F4.0) /
 CPTCCS176                    (F4.0) /
 CPTCCS177                    (F4.0) /
 CPTCCS178                    (F4.0) /
 CPTCCS179                    (F4.0) /
 CPTCCS180                    (F4.0) /
 CPTCCS181                    (F4.0) /
 CPTCCS182                    (F4.0) /
 CPTCCS183                    (F4.0) /
 CPTCCS184                    (F4.0) /
 CPTCCS185                    (F4.0) /
 CPTCCS186                    (F4.0) /
 CPTCCS187                    (F4.0) /
 CPTCCS188                    (F4.0) /
 CPTCCS189                    (F4.0) /
 CPTCCS190                    (F4.0) /
 CPTCCS191                    (F4.0) /
 CPTCCS192                    (F4.0) /
 CPTCCS193                    (F4.0) /
 CPTCCS194                    (F4.0) /
 CPTCCS195                    (F4.0) /
 CPTCCS196                    (F4.0) /
 CPTCCS197                    (F4.0) /
 CPTCCS198                    (F4.0) /
 CPTCCS199                    (F4.0) /
 CPTCCS200                    (F4.0) /
 DaysToEvent                  (F8.0) /
 DHOUR                        (F3.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DQTR                         (F3.0) /
 DRG                          (F3.0) /
 DRG_NoPOA                    (F3.0) /
 DRGVER                       (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HISPANIC                     (F3.0) /
 I10_BIRTH                    (F3.0) /
 I10_DELIVERY                 (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 I10_SERVICELINE              (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDC                          (F3.0) /
 MDC_NoPOA                    (F3.0) /
 MDNUM1_R                     (F5.0) /
 MEDINCSTQ                    (F3.0) /
 NCPT                         (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PCLASS_ORPROC                (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_NCHS                      (F3.0) /
 PL_RUCC                      (F3.0) /
 PL_UIC                       (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PSTCO_GEO                    (F4.0) /
 RACE                         (F3.0) /
 RACE_PCT_MISS_HOSP           (F4.2) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 TRAN_IN                      (F3.0) /
 TRAN_OUT                     (F3.0) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 AYEAR                        (F3.0) /
 BMONTH                       (F3.0) /
 BYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 AGE                          "Age in years at admission"
 AGEDAY                       "Age in days (when age < 1 year)"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AHOUR                        "Admission Hour"
 AMONTH                       "Admission month"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BILLTYPE                     "Type of bill, UB-04 coding"
 CPT1                         "CPT/HCPCS procedure code 1"
 CPT2                         "CPT/HCPCS procedure code 2"
 CPT3                         "CPT/HCPCS procedure code 3"
 CPT4                         "CPT/HCPCS procedure code 4"
 CPT5                         "CPT/HCPCS procedure code 5"
 CPT6                         "CPT/HCPCS procedure code 6"
 CPT7                         "CPT/HCPCS procedure code 7"
 CPT8                         "CPT/HCPCS procedure code 8"
 CPT9                         "CPT/HCPCS procedure code 9"
 CPT10                        "CPT/HCPCS procedure code 10"
 CPT11                        "CPT/HCPCS procedure code 11"
 CPT12                        "CPT/HCPCS procedure code 12"
 CPT13                        "CPT/HCPCS procedure code 13"
 CPT14                        "CPT/HCPCS procedure code 14"
 CPT15                        "CPT/HCPCS procedure code 15"
 CPT16                        "CPT/HCPCS procedure code 16"
 CPT17                        "CPT/HCPCS procedure code 17"
 CPT18                        "CPT/HCPCS procedure code 18"
 CPT19                        "CPT/HCPCS procedure code 19"
 CPT20                        "CPT/HCPCS procedure code 20"
 CPT21                        "CPT/HCPCS procedure code 21"
 CPT22                        "CPT/HCPCS procedure code 22"
 CPT23                        "CPT/HCPCS procedure code 23"
 CPT24                        "CPT/HCPCS procedure code 24"
 CPT25                        "CPT/HCPCS procedure code 25"
 CPT26                        "CPT/HCPCS procedure code 26"
 CPT27                        "CPT/HCPCS procedure code 27"
 CPT28                        "CPT/HCPCS procedure code 28"
 CPT29                        "CPT/HCPCS procedure code 29"
 CPT30                        "CPT/HCPCS procedure code 30"
 CPT31                        "CPT/HCPCS procedure code 31"
 CPT32                        "CPT/HCPCS procedure code 32"
 CPT33                        "CPT/HCPCS procedure code 33"
 CPT34                        "CPT/HCPCS procedure code 34"
 CPT35                        "CPT/HCPCS procedure code 35"
 CPT36                        "CPT/HCPCS procedure code 36"
 CPT37                        "CPT/HCPCS procedure code 37"
 CPT38                        "CPT/HCPCS procedure code 38"
 CPT39                        "CPT/HCPCS procedure code 39"
 CPT40                        "CPT/HCPCS procedure code 40"
 CPT41                        "CPT/HCPCS procedure code 41"
 CPT42                        "CPT/HCPCS procedure code 42"
 CPT43                        "CPT/HCPCS procedure code 43"
 CPT44                        "CPT/HCPCS procedure code 44"
 CPT45                        "CPT/HCPCS procedure code 45"
 CPT46                        "CPT/HCPCS procedure code 46"
 CPT47                        "CPT/HCPCS procedure code 47"
 CPT48                        "CPT/HCPCS procedure code 48"
 CPT49                        "CPT/HCPCS procedure code 49"
 CPT50                        "CPT/HCPCS procedure code 50"
 CPT51                        "CPT/HCPCS procedure code 51"
 CPT52                        "CPT/HCPCS procedure code 52"
 CPT53                        "CPT/HCPCS procedure code 53"
 CPT54                        "CPT/HCPCS procedure code 54"
 CPT55                        "CPT/HCPCS procedure code 55"
 CPT56                        "CPT/HCPCS procedure code 56"
 CPT57                        "CPT/HCPCS procedure code 57"
 CPT58                        "CPT/HCPCS procedure code 58"
 CPT59                        "CPT/HCPCS procedure code 59"
 CPT60                        "CPT/HCPCS procedure code 60"
 CPT61                        "CPT/HCPCS procedure code 61"
 CPT62                        "CPT/HCPCS procedure code 62"
 CPT63                        "CPT/HCPCS procedure code 63"
 CPT64                        "CPT/HCPCS procedure code 64"
 CPT65                        "CPT/HCPCS procedure code 65"
 CPT66                        "CPT/HCPCS procedure code 66"
 CPT67                        "CPT/HCPCS procedure code 67"
 CPT68                        "CPT/HCPCS procedure code 68"
 CPT69                        "CPT/HCPCS procedure code 69"
 CPT70                        "CPT/HCPCS procedure code 70"
 CPT71                        "CPT/HCPCS procedure code 71"
 CPT72                        "CPT/HCPCS procedure code 72"
 CPT73                        "CPT/HCPCS procedure code 73"
 CPT74                        "CPT/HCPCS procedure code 74"
 CPT75                        "CPT/HCPCS procedure code 75"
 CPT76                        "CPT/HCPCS procedure code 76"
 CPT77                        "CPT/HCPCS procedure code 77"
 CPT78                        "CPT/HCPCS procedure code 78"
 CPT79                        "CPT/HCPCS procedure code 79"
 CPT80                        "CPT/HCPCS procedure code 80"
 CPT81                        "CPT/HCPCS procedure code 81"
 CPT82                        "CPT/HCPCS procedure code 82"
 CPT83                        "CPT/HCPCS procedure code 83"
 CPT84                        "CPT/HCPCS procedure code 84"
 CPT85                        "CPT/HCPCS procedure code 85"
 CPT86                        "CPT/HCPCS procedure code 86"
 CPT87                        "CPT/HCPCS procedure code 87"
 CPT88                        "CPT/HCPCS procedure code 88"
 CPT89                        "CPT/HCPCS procedure code 89"
 CPT90                        "CPT/HCPCS procedure code 90"
 CPT91                        "CPT/HCPCS procedure code 91"
 CPT92                        "CPT/HCPCS procedure code 92"
 CPT93                        "CPT/HCPCS procedure code 93"
 CPT94                        "CPT/HCPCS procedure code 94"
 CPT95                        "CPT/HCPCS procedure code 95"
 CPT96                        "CPT/HCPCS procedure code 96"
 CPT97                        "CPT/HCPCS procedure code 97"
 CPT98                        "CPT/HCPCS procedure code 98"
 CPT99                        "CPT/HCPCS procedure code 99"
 CPT100                       "CPT/HCPCS procedure code 100"
 CPT101                       "CPT/HCPCS procedure code 101"
 CPT102                       "CPT/HCPCS procedure code 102"
 CPT103                       "CPT/HCPCS procedure code 103"
 CPT104                       "CPT/HCPCS procedure code 104"
 CPT105                       "CPT/HCPCS procedure code 105"
 CPT106                       "CPT/HCPCS procedure code 106"
 CPT107                       "CPT/HCPCS procedure code 107"
 CPT108                       "CPT/HCPCS procedure code 108"
 CPT109                       "CPT/HCPCS procedure code 109"
 CPT110                       "CPT/HCPCS procedure code 110"
 CPT111                       "CPT/HCPCS procedure code 111"
 CPT112                       "CPT/HCPCS procedure code 112"
 CPT113                       "CPT/HCPCS procedure code 113"
 CPT114                       "CPT/HCPCS procedure code 114"
 CPT115                       "CPT/HCPCS procedure code 115"
 CPT116                       "CPT/HCPCS procedure code 116"
 CPT117                       "CPT/HCPCS procedure code 117"
 CPT118                       "CPT/HCPCS procedure code 118"
 CPT119                       "CPT/HCPCS procedure code 119"
 CPT120                       "CPT/HCPCS procedure code 120"
 CPT121                       "CPT/HCPCS procedure code 121"
 CPT122                       "CPT/HCPCS procedure code 122"
 CPT123                       "CPT/HCPCS procedure code 123"
 CPT124                       "CPT/HCPCS procedure code 124"
 CPT125                       "CPT/HCPCS procedure code 125"
 CPT126                       "CPT/HCPCS procedure code 126"
 CPT127                       "CPT/HCPCS procedure code 127"
 CPT128                       "CPT/HCPCS procedure code 128"
 CPT129                       "CPT/HCPCS procedure code 129"
 CPT130                       "CPT/HCPCS procedure code 130"
 CPT131                       "CPT/HCPCS procedure code 131"
 CPT132                       "CPT/HCPCS procedure code 132"
 CPT133                       "CPT/HCPCS procedure code 133"
 CPT134                       "CPT/HCPCS procedure code 134"
 CPT135                       "CPT/HCPCS procedure code 135"
 CPT136                       "CPT/HCPCS procedure code 136"
 CPT137                       "CPT/HCPCS procedure code 137"
 CPT138                       "CPT/HCPCS procedure code 138"
 CPT139                       "CPT/HCPCS procedure code 139"
 CPT140                       "CPT/HCPCS procedure code 140"
 CPT141                       "CPT/HCPCS procedure code 141"
 CPT142                       "CPT/HCPCS procedure code 142"
 CPT143                       "CPT/HCPCS procedure code 143"
 CPT144                       "CPT/HCPCS procedure code 144"
 CPT145                       "CPT/HCPCS procedure code 145"
 CPT146                       "CPT/HCPCS procedure code 146"
 CPT147                       "CPT/HCPCS procedure code 147"
 CPT148                       "CPT/HCPCS procedure code 148"
 CPT149                       "CPT/HCPCS procedure code 149"
 CPT150                       "CPT/HCPCS procedure code 150"
 CPT151                       "CPT/HCPCS procedure code 151"
 CPT152                       "CPT/HCPCS procedure code 152"
 CPT153                       "CPT/HCPCS procedure code 153"
 CPT154                       "CPT/HCPCS procedure code 154"
 CPT155                       "CPT/HCPCS procedure code 155"
 CPT156                       "CPT/HCPCS procedure code 156"
 CPT157                       "CPT/HCPCS procedure code 157"
 CPT158                       "CPT/HCPCS procedure code 158"
 CPT159                       "CPT/HCPCS procedure code 159"
 CPT160                       "CPT/HCPCS procedure code 160"
 CPT161                       "CPT/HCPCS procedure code 161"
 CPT162                       "CPT/HCPCS procedure code 162"
 CPT163                       "CPT/HCPCS procedure code 163"
 CPT164                       "CPT/HCPCS procedure code 164"
 CPT165                       "CPT/HCPCS procedure code 165"
 CPT166                       "CPT/HCPCS procedure code 166"
 CPT167                       "CPT/HCPCS procedure code 167"
 CPT168                       "CPT/HCPCS procedure code 168"
 CPT169                       "CPT/HCPCS procedure code 169"
 CPT170                       "CPT/HCPCS procedure code 170"
 CPT171                       "CPT/HCPCS procedure code 171"
 CPT172                       "CPT/HCPCS procedure code 172"
 CPT173                       "CPT/HCPCS procedure code 173"
 CPT174                       "CPT/HCPCS procedure code 174"
 CPT175                       "CPT/HCPCS procedure code 175"
 CPT176                       "CPT/HCPCS procedure code 176"
 CPT177                       "CPT/HCPCS procedure code 177"
 CPT178                       "CPT/HCPCS procedure code 178"
 CPT179                       "CPT/HCPCS procedure code 179"
 CPT180                       "CPT/HCPCS procedure code 180"
 CPT181                       "CPT/HCPCS procedure code 181"
 CPT182                       "CPT/HCPCS procedure code 182"
 CPT183                       "CPT/HCPCS procedure code 183"
 CPT184                       "CPT/HCPCS procedure code 184"
 CPT185                       "CPT/HCPCS procedure code 185"
 CPT186                       "CPT/HCPCS procedure code 186"
 CPT187                       "CPT/HCPCS procedure code 187"
 CPT188                       "CPT/HCPCS procedure code 188"
 CPT189                       "CPT/HCPCS procedure code 189"
 CPT190                       "CPT/HCPCS procedure code 190"
 CPT191                       "CPT/HCPCS procedure code 191"
 CPT192                       "CPT/HCPCS procedure code 192"
 CPT193                       "CPT/HCPCS procedure code 193"
 CPT194                       "CPT/HCPCS procedure code 194"
 CPT195                       "CPT/HCPCS procedure code 195"
 CPT196                       "CPT/HCPCS procedure code 196"
 CPT197                       "CPT/HCPCS procedure code 197"
 CPT198                       "CPT/HCPCS procedure code 198"
 CPT199                       "CPT/HCPCS procedure code 199"
 CPT200                       "CPT/HCPCS procedure code 200"
 CPTCCS1                      "CCS: CPT 1"
 CPTCCS2                      "CCS: CPT 2"
 CPTCCS3                      "CCS: CPT 3"
 CPTCCS4                      "CCS: CPT 4"
 CPTCCS5                      "CCS: CPT 5"
 CPTCCS6                      "CCS: CPT 6"
 CPTCCS7                      "CCS: CPT 7"
 CPTCCS8                      "CCS: CPT 8"
 CPTCCS9                      "CCS: CPT 9"
 CPTCCS10                     "CCS: CPT 10"
 CPTCCS11                     "CCS: CPT 11"
 CPTCCS12                     "CCS: CPT 12"
 CPTCCS13                     "CCS: CPT 13"
 CPTCCS14                     "CCS: CPT 14"
 CPTCCS15                     "CCS: CPT 15"
 CPTCCS16                     "CCS: CPT 16"
 CPTCCS17                     "CCS: CPT 17"
 CPTCCS18                     "CCS: CPT 18"
 CPTCCS19                     "CCS: CPT 19"
 CPTCCS20                     "CCS: CPT 20"
 CPTCCS21                     "CCS: CPT 21"
 CPTCCS22                     "CCS: CPT 22"
 CPTCCS23                     "CCS: CPT 23"
 CPTCCS24                     "CCS: CPT 24"
 CPTCCS25                     "CCS: CPT 25"
 CPTCCS26                     "CCS: CPT 26"
 CPTCCS27                     "CCS: CPT 27"
 CPTCCS28                     "CCS: CPT 28"
 CPTCCS29                     "CCS: CPT 29"
 CPTCCS30                     "CCS: CPT 30"
 CPTCCS31                     "CCS: CPT 31"
 CPTCCS32                     "CCS: CPT 32"
 CPTCCS33                     "CCS: CPT 33"
 CPTCCS34                     "CCS: CPT 34"
 CPTCCS35                     "CCS: CPT 35"
 CPTCCS36                     "CCS: CPT 36"
 CPTCCS37                     "CCS: CPT 37"
 CPTCCS38                     "CCS: CPT 38"
 CPTCCS39                     "CCS: CPT 39"
 CPTCCS40                     "CCS: CPT 40"
 CPTCCS41                     "CCS: CPT 41"
 CPTCCS42                     "CCS: CPT 42"
 CPTCCS43                     "CCS: CPT 43"
 CPTCCS44                     "CCS: CPT 44"
 CPTCCS45                     "CCS: CPT 45"
 CPTCCS46                     "CCS: CPT 46"
 CPTCCS47                     "CCS: CPT 47"
 CPTCCS48                     "CCS: CPT 48"
 CPTCCS49                     "CCS: CPT 49"
 CPTCCS50                     "CCS: CPT 50"
 CPTCCS51                     "CCS: CPT 51"
 CPTCCS52                     "CCS: CPT 52"
 CPTCCS53                     "CCS: CPT 53"
 CPTCCS54                     "CCS: CPT 54"
 CPTCCS55                     "CCS: CPT 55"
 CPTCCS56                     "CCS: CPT 56"
 CPTCCS57                     "CCS: CPT 57"
 CPTCCS58                     "CCS: CPT 58"
 CPTCCS59                     "CCS: CPT 59"
 CPTCCS60                     "CCS: CPT 60"
 CPTCCS61                     "CCS: CPT 61"
 CPTCCS62                     "CCS: CPT 62"
 CPTCCS63                     "CCS: CPT 63"
 CPTCCS64                     "CCS: CPT 64"
 CPTCCS65                     "CCS: CPT 65"
 CPTCCS66                     "CCS: CPT 66"
 CPTCCS67                     "CCS: CPT 67"
 CPTCCS68                     "CCS: CPT 68"
 CPTCCS69                     "CCS: CPT 69"
 CPTCCS70                     "CCS: CPT 70"
 CPTCCS71                     "CCS: CPT 71"
 CPTCCS72                     "CCS: CPT 72"
 CPTCCS73                     "CCS: CPT 73"
 CPTCCS74                     "CCS: CPT 74"
 CPTCCS75                     "CCS: CPT 75"
 CPTCCS76                     "CCS: CPT 76"
 CPTCCS77                     "CCS: CPT 77"
 CPTCCS78                     "CCS: CPT 78"
 CPTCCS79                     "CCS: CPT 79"
 CPTCCS80                     "CCS: CPT 80"
 CPTCCS81                     "CCS: CPT 81"
 CPTCCS82                     "CCS: CPT 82"
 CPTCCS83                     "CCS: CPT 83"
 CPTCCS84                     "CCS: CPT 84"
 CPTCCS85                     "CCS: CPT 85"
 CPTCCS86                     "CCS: CPT 86"
 CPTCCS87                     "CCS: CPT 87"
 CPTCCS88                     "CCS: CPT 88"
 CPTCCS89                     "CCS: CPT 89"
 CPTCCS90                     "CCS: CPT 90"
 CPTCCS91                     "CCS: CPT 91"
 CPTCCS92                     "CCS: CPT 92"
 CPTCCS93                     "CCS: CPT 93"
 CPTCCS94                     "CCS: CPT 94"
 CPTCCS95                     "CCS: CPT 95"
 CPTCCS96                     "CCS: CPT 96"
 CPTCCS97                     "CCS: CPT 97"
 CPTCCS98                     "CCS: CPT 98"
 CPTCCS99                     "CCS: CPT 99"
 CPTCCS100                    "CCS: CPT 100"
 CPTCCS101                    "CCS: CPT 101"
 CPTCCS102                    "CCS: CPT 102"
 CPTCCS103                    "CCS: CPT 103"
 CPTCCS104                    "CCS: CPT 104"
 CPTCCS105                    "CCS: CPT 105"
 CPTCCS106                    "CCS: CPT 106"
 CPTCCS107                    "CCS: CPT 107"
 CPTCCS108                    "CCS: CPT 108"
 CPTCCS109                    "CCS: CPT 109"
 CPTCCS110                    "CCS: CPT 110"
 CPTCCS111                    "CCS: CPT 111"
 CPTCCS112                    "CCS: CPT 112"
 CPTCCS113                    "CCS: CPT 113"
 CPTCCS114                    "CCS: CPT 114"
 CPTCCS115                    "CCS: CPT 115"
 CPTCCS116                    "CCS: CPT 116"
 CPTCCS117                    "CCS: CPT 117"
 CPTCCS118                    "CCS: CPT 118"
 CPTCCS119                    "CCS: CPT 119"
 CPTCCS120                    "CCS: CPT 120"
 CPTCCS121                    "CCS: CPT 121"
 CPTCCS122                    "CCS: CPT 122"
 CPTCCS123                    "CCS: CPT 123"
 CPTCCS124                    "CCS: CPT 124"
 CPTCCS125                    "CCS: CPT 125"
 CPTCCS126                    "CCS: CPT 126"
 CPTCCS127                    "CCS: CPT 127"
 CPTCCS128                    "CCS: CPT 128"
 CPTCCS129                    "CCS: CPT 129"
 CPTCCS130                    "CCS: CPT 130"
 CPTCCS131                    "CCS: CPT 131"
 CPTCCS132                    "CCS: CPT 132"
 CPTCCS133                    "CCS: CPT 133"
 CPTCCS134                    "CCS: CPT 134"
 CPTCCS135                    "CCS: CPT 135"
 CPTCCS136                    "CCS: CPT 136"
 CPTCCS137                    "CCS: CPT 137"
 CPTCCS138                    "CCS: CPT 138"
 CPTCCS139                    "CCS: CPT 139"
 CPTCCS140                    "CCS: CPT 140"
 CPTCCS141                    "CCS: CPT 141"
 CPTCCS142                    "CCS: CPT 142"
 CPTCCS143                    "CCS: CPT 143"
 CPTCCS144                    "CCS: CPT 144"
 CPTCCS145                    "CCS: CPT 145"
 CPTCCS146                    "CCS: CPT 146"
 CPTCCS147                    "CCS: CPT 147"
 CPTCCS148                    "CCS: CPT 148"
 CPTCCS149                    "CCS: CPT 149"
 CPTCCS150                    "CCS: CPT 150"
 CPTCCS151                    "CCS: CPT 151"
 CPTCCS152                    "CCS: CPT 152"
 CPTCCS153                    "CCS: CPT 153"
 CPTCCS154                    "CCS: CPT 154"
 CPTCCS155                    "CCS: CPT 155"
 CPTCCS156                    "CCS: CPT 156"
 CPTCCS157                    "CCS: CPT 157"
 CPTCCS158                    "CCS: CPT 158"
 CPTCCS159                    "CCS: CPT 159"
 CPTCCS160                    "CCS: CPT 160"
 CPTCCS161                    "CCS: CPT 161"
 CPTCCS162                    "CCS: CPT 162"
 CPTCCS163                    "CCS: CPT 163"
 CPTCCS164                    "CCS: CPT 164"
 CPTCCS165                    "CCS: CPT 165"
 CPTCCS166                    "CCS: CPT 166"
 CPTCCS167                    "CCS: CPT 167"
 CPTCCS168                    "CCS: CPT 168"
 CPTCCS169                    "CCS: CPT 169"
 CPTCCS170                    "CCS: CPT 170"
 CPTCCS171                    "CCS: CPT 171"
 CPTCCS172                    "CCS: CPT 172"
 CPTCCS173                    "CCS: CPT 173"
 CPTCCS174                    "CCS: CPT 174"
 CPTCCS175                    "CCS: CPT 175"
 CPTCCS176                    "CCS: CPT 176"
 CPTCCS177                    "CCS: CPT 177"
 CPTCCS178                    "CCS: CPT 178"
 CPTCCS179                    "CCS: CPT 179"
 CPTCCS180                    "CCS: CPT 180"
 CPTCCS181                    "CCS: CPT 181"
 CPTCCS182                    "CCS: CPT 182"
 CPTCCS183                    "CCS: CPT 183"
 CPTCCS184                    "CCS: CPT 184"
 CPTCCS185                    "CCS: CPT 185"
 CPTCCS186                    "CCS: CPT 186"
 CPTCCS187                    "CCS: CPT 187"
 CPTCCS188                    "CCS: CPT 188"
 CPTCCS189                    "CCS: CPT 189"
 CPTCCS190                    "CCS: CPT 190"
 CPTCCS191                    "CCS: CPT 191"
 CPTCCS192                    "CCS: CPT 192"
 CPTCCS193                    "CCS: CPT 193"
 CPTCCS194                    "CCS: CPT 194"
 CPTCCS195                    "CCS: CPT 195"
 CPTCCS196                    "CCS: CPT 196"
 CPTCCS197                    "CCS: CPT 197"
 CPTCCS198                    "CCS: CPT 198"
 CPTCCS199                    "CCS: CPT 199"
 CPTCCS200                    "CCS: CPT 200"
 CPTM1_1                      "First CPT-4/HCPCS modifier 1"
 CPTM1_2                      "First CPT-4/HCPCS modifier 2"
 CPTM1_3                      "First CPT-4/HCPCS modifier 3"
 CPTM1_4                      "First CPT-4/HCPCS modifier 4"
 CPTM1_5                      "First CPT-4/HCPCS modifier 5"
 CPTM1_6                      "First CPT-4/HCPCS modifier 6"
 CPTM1_7                      "First CPT-4/HCPCS modifier 7"
 CPTM1_8                      "First CPT-4/HCPCS modifier 8"
 CPTM1_9                      "First CPT-4/HCPCS modifier 9"
 CPTM1_10                     "First CPT-4/HCPCS modifier 10"
 CPTM1_11                     "First CPT-4/HCPCS modifier 11"
 CPTM1_12                     "First CPT-4/HCPCS modifier 12"
 CPTM1_13                     "First CPT-4/HCPCS modifier 13"
 CPTM1_14                     "First CPT-4/HCPCS modifier 14"
 CPTM1_15                     "First CPT-4/HCPCS modifier 15"
 CPTM1_16                     "First CPT-4/HCPCS modifier 16"
 CPTM1_17                     "First CPT-4/HCPCS modifier 17"
 CPTM1_18                     "First CPT-4/HCPCS modifier 18"
 CPTM1_19                     "First CPT-4/HCPCS modifier 19"
 CPTM1_20                     "First CPT-4/HCPCS modifier 20"
 CPTM1_21                     "First CPT-4/HCPCS modifier 21"
 CPTM1_22                     "First CPT-4/HCPCS modifier 22"
 CPTM1_23                     "First CPT-4/HCPCS modifier 23"
 CPTM1_24                     "First CPT-4/HCPCS modifier 24"
 CPTM1_25                     "First CPT-4/HCPCS modifier 25"
 CPTM1_26                     "First CPT-4/HCPCS modifier 26"
 CPTM1_27                     "First CPT-4/HCPCS modifier 27"
 CPTM1_28                     "First CPT-4/HCPCS modifier 28"
 CPTM1_29                     "First CPT-4/HCPCS modifier 29"
 CPTM1_30                     "First CPT-4/HCPCS modifier 30"
 CPTM1_31                     "First CPT-4/HCPCS modifier 31"
 CPTM1_32                     "First CPT-4/HCPCS modifier 32"
 CPTM1_33                     "First CPT-4/HCPCS modifier 33"
 CPTM1_34                     "First CPT-4/HCPCS modifier 34"
 CPTM1_35                     "First CPT-4/HCPCS modifier 35"
 CPTM1_36                     "First CPT-4/HCPCS modifier 36"
 CPTM1_37                     "First CPT-4/HCPCS modifier 37"
 CPTM1_38                     "First CPT-4/HCPCS modifier 38"
 CPTM1_39                     "First CPT-4/HCPCS modifier 39"
 CPTM1_40                     "First CPT-4/HCPCS modifier 40"
 CPTM1_41                     "First CPT-4/HCPCS modifier 41"
 CPTM1_42                     "First CPT-4/HCPCS modifier 42"
 CPTM1_43                     "First CPT-4/HCPCS modifier 43"
 CPTM1_44                     "First CPT-4/HCPCS modifier 44"
 CPTM1_45                     "First CPT-4/HCPCS modifier 45"
 CPTM1_46                     "First CPT-4/HCPCS modifier 46"
 CPTM1_47                     "First CPT-4/HCPCS modifier 47"
 CPTM1_48                     "First CPT-4/HCPCS modifier 48"
 CPTM1_49                     "First CPT-4/HCPCS modifier 49"
 CPTM1_50                     "First CPT-4/HCPCS modifier 50"
 CPTM1_51                     "First CPT-4/HCPCS modifier 51"
 CPTM1_52                     "First CPT-4/HCPCS modifier 52"
 CPTM1_53                     "First CPT-4/HCPCS modifier 53"
 CPTM1_54                     "First CPT-4/HCPCS modifier 54"
 CPTM1_55                     "First CPT-4/HCPCS modifier 55"
 CPTM1_56                     "First CPT-4/HCPCS modifier 56"
 CPTM1_57                     "First CPT-4/HCPCS modifier 57"
 CPTM1_58                     "First CPT-4/HCPCS modifier 58"
 CPTM1_59                     "First CPT-4/HCPCS modifier 59"
 CPTM1_60                     "First CPT-4/HCPCS modifier 60"
 CPTM1_61                     "First CPT-4/HCPCS modifier 61"
 CPTM1_62                     "First CPT-4/HCPCS modifier 62"
 CPTM1_63                     "First CPT-4/HCPCS modifier 63"
 CPTM1_64                     "First CPT-4/HCPCS modifier 64"
 CPTM1_65                     "First CPT-4/HCPCS modifier 65"
 CPTM1_66                     "First CPT-4/HCPCS modifier 66"
 CPTM1_67                     "First CPT-4/HCPCS modifier 67"
 CPTM1_68                     "First CPT-4/HCPCS modifier 68"
 CPTM1_69                     "First CPT-4/HCPCS modifier 69"
 CPTM1_70                     "First CPT-4/HCPCS modifier 70"
 CPTM1_71                     "First CPT-4/HCPCS modifier 71"
 CPTM1_72                     "First CPT-4/HCPCS modifier 72"
 CPTM1_73                     "First CPT-4/HCPCS modifier 73"
 CPTM1_74                     "First CPT-4/HCPCS modifier 74"
 CPTM1_75                     "First CPT-4/HCPCS modifier 75"
 CPTM1_76                     "First CPT-4/HCPCS modifier 76"
 CPTM1_77                     "First CPT-4/HCPCS modifier 77"
 CPTM1_78                     "First CPT-4/HCPCS modifier 78"
 CPTM1_79                     "First CPT-4/HCPCS modifier 79"
 CPTM1_80                     "First CPT-4/HCPCS modifier 80"
 CPTM1_81                     "First CPT-4/HCPCS modifier 81"
 CPTM1_82                     "First CPT-4/HCPCS modifier 82"
 CPTM1_83                     "First CPT-4/HCPCS modifier 83"
 CPTM1_84                     "First CPT-4/HCPCS modifier 84"
 CPTM1_85                     "First CPT-4/HCPCS modifier 85"
 CPTM1_86                     "First CPT-4/HCPCS modifier 86"
 CPTM1_87                     "First CPT-4/HCPCS modifier 87"
 CPTM1_88                     "First CPT-4/HCPCS modifier 88"
 CPTM1_89                     "First CPT-4/HCPCS modifier 89"
 CPTM1_90                     "First CPT-4/HCPCS modifier 90"
 CPTM1_91                     "First CPT-4/HCPCS modifier 91"
 CPTM1_92                     "First CPT-4/HCPCS modifier 92"
 CPTM1_93                     "First CPT-4/HCPCS modifier 93"
 CPTM1_94                     "First CPT-4/HCPCS modifier 94"
 CPTM1_95                     "First CPT-4/HCPCS modifier 95"
 CPTM1_96                     "First CPT-4/HCPCS modifier 96"
 CPTM1_97                     "First CPT-4/HCPCS modifier 97"
 CPTM1_98                     "First CPT-4/HCPCS modifier 98"
 CPTM1_99                     "First CPT-4/HCPCS modifier 99"
 CPTM1_100                    "First CPT-4/HCPCS modifier 100"
 CPTM1_101                    "First CPT-4/HCPCS modifier 101"
 CPTM1_102                    "First CPT-4/HCPCS modifier 102"
 CPTM1_103                    "First CPT-4/HCPCS modifier 103"
 CPTM1_104                    "First CPT-4/HCPCS modifier 104"
 CPTM1_105                    "First CPT-4/HCPCS modifier 105"
 CPTM1_106                    "First CPT-4/HCPCS modifier 106"
 CPTM1_107                    "First CPT-4/HCPCS modifier 107"
 CPTM1_108                    "First CPT-4/HCPCS modifier 108"
 CPTM1_109                    "First CPT-4/HCPCS modifier 109"
 CPTM1_110                    "First CPT-4/HCPCS modifier 110"
 CPTM1_111                    "First CPT-4/HCPCS modifier 111"
 CPTM1_112                    "First CPT-4/HCPCS modifier 112"
 CPTM1_113                    "First CPT-4/HCPCS modifier 113"
 CPTM1_114                    "First CPT-4/HCPCS modifier 114"
 CPTM1_115                    "First CPT-4/HCPCS modifier 115"
 CPTM1_116                    "First CPT-4/HCPCS modifier 116"
 CPTM1_117                    "First CPT-4/HCPCS modifier 117"
 CPTM1_118                    "First CPT-4/HCPCS modifier 118"
 CPTM1_119                    "First CPT-4/HCPCS modifier 119"
 CPTM1_120                    "First CPT-4/HCPCS modifier 120"
 CPTM1_121                    "First CPT-4/HCPCS modifier 121"
 CPTM1_122                    "First CPT-4/HCPCS modifier 122"
 CPTM1_123                    "First CPT-4/HCPCS modifier 123"
 CPTM1_124                    "First CPT-4/HCPCS modifier 124"
 CPTM1_125                    "First CPT-4/HCPCS modifier 125"
 CPTM1_126                    "First CPT-4/HCPCS modifier 126"
 CPTM1_127                    "First CPT-4/HCPCS modifier 127"
 CPTM1_128                    "First CPT-4/HCPCS modifier 128"
 CPTM1_129                    "First CPT-4/HCPCS modifier 129"
 CPTM1_130                    "First CPT-4/HCPCS modifier 130"
 CPTM1_131                    "First CPT-4/HCPCS modifier 131"
 CPTM1_132                    "First CPT-4/HCPCS modifier 132"
 CPTM1_133                    "First CPT-4/HCPCS modifier 133"
 CPTM1_134                    "First CPT-4/HCPCS modifier 134"
 CPTM1_135                    "First CPT-4/HCPCS modifier 135"
 CPTM1_136                    "First CPT-4/HCPCS modifier 136"
 CPTM1_137                    "First CPT-4/HCPCS modifier 137"
 CPTM1_138                    "First CPT-4/HCPCS modifier 138"
 CPTM1_139                    "First CPT-4/HCPCS modifier 139"
 CPTM1_140                    "First CPT-4/HCPCS modifier 140"
 CPTM1_141                    "First CPT-4/HCPCS modifier 141"
 CPTM1_142                    "First CPT-4/HCPCS modifier 142"
 CPTM1_143                    "First CPT-4/HCPCS modifier 143"
 CPTM1_144                    "First CPT-4/HCPCS modifier 144"
 CPTM1_145                    "First CPT-4/HCPCS modifier 145"
 CPTM1_146                    "First CPT-4/HCPCS modifier 146"
 CPTM1_147                    "First CPT-4/HCPCS modifier 147"
 CPTM1_148                    "First CPT-4/HCPCS modifier 148"
 CPTM1_149                    "First CPT-4/HCPCS modifier 149"
 CPTM1_150                    "First CPT-4/HCPCS modifier 150"
 CPTM1_151                    "First CPT-4/HCPCS modifier 151"
 CPTM1_152                    "First CPT-4/HCPCS modifier 152"
 CPTM1_153                    "First CPT-4/HCPCS modifier 153"
 CPTM1_154                    "First CPT-4/HCPCS modifier 154"
 CPTM1_155                    "First CPT-4/HCPCS modifier 155"
 CPTM1_156                    "First CPT-4/HCPCS modifier 156"
 CPTM1_157                    "First CPT-4/HCPCS modifier 157"
 CPTM1_158                    "First CPT-4/HCPCS modifier 158"
 CPTM1_159                    "First CPT-4/HCPCS modifier 159"
 CPTM1_160                    "First CPT-4/HCPCS modifier 160"
 CPTM1_161                    "First CPT-4/HCPCS modifier 161"
 CPTM1_162                    "First CPT-4/HCPCS modifier 162"
 CPTM1_163                    "First CPT-4/HCPCS modifier 163"
 CPTM1_164                    "First CPT-4/HCPCS modifier 164"
 CPTM1_165                    "First CPT-4/HCPCS modifier 165"
 CPTM1_166                    "First CPT-4/HCPCS modifier 166"
 CPTM1_167                    "First CPT-4/HCPCS modifier 167"
 CPTM1_168                    "First CPT-4/HCPCS modifier 168"
 CPTM1_169                    "First CPT-4/HCPCS modifier 169"
 CPTM1_170                    "First CPT-4/HCPCS modifier 170"
 CPTM1_171                    "First CPT-4/HCPCS modifier 171"
 CPTM1_172                    "First CPT-4/HCPCS modifier 172"
 CPTM1_173                    "First CPT-4/HCPCS modifier 173"
 CPTM1_174                    "First CPT-4/HCPCS modifier 174"
 CPTM1_175                    "First CPT-4/HCPCS modifier 175"
 CPTM1_176                    "First CPT-4/HCPCS modifier 176"
 CPTM1_177                    "First CPT-4/HCPCS modifier 177"
 CPTM1_178                    "First CPT-4/HCPCS modifier 178"
 CPTM1_179                    "First CPT-4/HCPCS modifier 179"
 CPTM1_180                    "First CPT-4/HCPCS modifier 180"
 CPTM1_181                    "First CPT-4/HCPCS modifier 181"
 CPTM1_182                    "First CPT-4/HCPCS modifier 182"
 CPTM1_183                    "First CPT-4/HCPCS modifier 183"
 CPTM1_184                    "First CPT-4/HCPCS modifier 184"
 CPTM1_185                    "First CPT-4/HCPCS modifier 185"
 CPTM1_186                    "First CPT-4/HCPCS modifier 186"
 CPTM1_187                    "First CPT-4/HCPCS modifier 187"
 CPTM1_188                    "First CPT-4/HCPCS modifier 188"
 CPTM1_189                    "First CPT-4/HCPCS modifier 189"
 CPTM1_190                    "First CPT-4/HCPCS modifier 190"
 CPTM1_191                    "First CPT-4/HCPCS modifier 191"
 CPTM1_192                    "First CPT-4/HCPCS modifier 192"
 CPTM1_193                    "First CPT-4/HCPCS modifier 193"
 CPTM1_194                    "First CPT-4/HCPCS modifier 194"
 CPTM1_195                    "First CPT-4/HCPCS modifier 195"
 CPTM1_196                    "First CPT-4/HCPCS modifier 196"
 CPTM1_197                    "First CPT-4/HCPCS modifier 197"
 CPTM1_198                    "First CPT-4/HCPCS modifier 198"
 CPTM1_199                    "First CPT-4/HCPCS modifier 199"
 CPTM1_200                    "First CPT-4/HCPCS modifier 200"
 CPTM2_1                      "Second CPT-4/HCPCS modifier 1"
 CPTM2_2                      "Second CPT-4/HCPCS modifier 2"
 CPTM2_3                      "Second CPT-4/HCPCS modifier 3"
 CPTM2_4                      "Second CPT-4/HCPCS modifier 4"
 CPTM2_5                      "Second CPT-4/HCPCS modifier 5"
 CPTM2_6                      "Second CPT-4/HCPCS modifier 6"
 CPTM2_7                      "Second CPT-4/HCPCS modifier 7"
 CPTM2_8                      "Second CPT-4/HCPCS modifier 8"
 CPTM2_9                      "Second CPT-4/HCPCS modifier 9"
 CPTM2_10                     "Second CPT-4/HCPCS modifier 10"
 CPTM2_11                     "Second CPT-4/HCPCS modifier 11"
 CPTM2_12                     "Second CPT-4/HCPCS modifier 12"
 CPTM2_13                     "Second CPT-4/HCPCS modifier 13"
 CPTM2_14                     "Second CPT-4/HCPCS modifier 14"
 CPTM2_15                     "Second CPT-4/HCPCS modifier 15"
 CPTM2_16                     "Second CPT-4/HCPCS modifier 16"
 CPTM2_17                     "Second CPT-4/HCPCS modifier 17"
 CPTM2_18                     "Second CPT-4/HCPCS modifier 18"
 CPTM2_19                     "Second CPT-4/HCPCS modifier 19"
 CPTM2_20                     "Second CPT-4/HCPCS modifier 20"
 CPTM2_21                     "Second CPT-4/HCPCS modifier 21"
 CPTM2_22                     "Second CPT-4/HCPCS modifier 22"
 CPTM2_23                     "Second CPT-4/HCPCS modifier 23"
 CPTM2_24                     "Second CPT-4/HCPCS modifier 24"
 CPTM2_25                     "Second CPT-4/HCPCS modifier 25"
 CPTM2_26                     "Second CPT-4/HCPCS modifier 26"
 CPTM2_27                     "Second CPT-4/HCPCS modifier 27"
 CPTM2_28                     "Second CPT-4/HCPCS modifier 28"
 CPTM2_29                     "Second CPT-4/HCPCS modifier 29"
 CPTM2_30                     "Second CPT-4/HCPCS modifier 30"
 CPTM2_31                     "Second CPT-4/HCPCS modifier 31"
 CPTM2_32                     "Second CPT-4/HCPCS modifier 32"
 CPTM2_33                     "Second CPT-4/HCPCS modifier 33"
 CPTM2_34                     "Second CPT-4/HCPCS modifier 34"
 CPTM2_35                     "Second CPT-4/HCPCS modifier 35"
 CPTM2_36                     "Second CPT-4/HCPCS modifier 36"
 CPTM2_37                     "Second CPT-4/HCPCS modifier 37"
 CPTM2_38                     "Second CPT-4/HCPCS modifier 38"
 CPTM2_39                     "Second CPT-4/HCPCS modifier 39"
 CPTM2_40                     "Second CPT-4/HCPCS modifier 40"
 CPTM2_41                     "Second CPT-4/HCPCS modifier 41"
 CPTM2_42                     "Second CPT-4/HCPCS modifier 42"
 CPTM2_43                     "Second CPT-4/HCPCS modifier 43"
 CPTM2_44                     "Second CPT-4/HCPCS modifier 44"
 CPTM2_45                     "Second CPT-4/HCPCS modifier 45"
 CPTM2_46                     "Second CPT-4/HCPCS modifier 46"
 CPTM2_47                     "Second CPT-4/HCPCS modifier 47"
 CPTM2_48                     "Second CPT-4/HCPCS modifier 48"
 CPTM2_49                     "Second CPT-4/HCPCS modifier 49"
 CPTM2_50                     "Second CPT-4/HCPCS modifier 50"
 CPTM2_51                     "Second CPT-4/HCPCS modifier 51"
 CPTM2_52                     "Second CPT-4/HCPCS modifier 52"
 CPTM2_53                     "Second CPT-4/HCPCS modifier 53"
 CPTM2_54                     "Second CPT-4/HCPCS modifier 54"
 CPTM2_55                     "Second CPT-4/HCPCS modifier 55"
 CPTM2_56                     "Second CPT-4/HCPCS modifier 56"
 CPTM2_57                     "Second CPT-4/HCPCS modifier 57"
 CPTM2_58                     "Second CPT-4/HCPCS modifier 58"
 CPTM2_59                     "Second CPT-4/HCPCS modifier 59"
 CPTM2_60                     "Second CPT-4/HCPCS modifier 60"
 CPTM2_61                     "Second CPT-4/HCPCS modifier 61"
 CPTM2_62                     "Second CPT-4/HCPCS modifier 62"
 CPTM2_63                     "Second CPT-4/HCPCS modifier 63"
 CPTM2_64                     "Second CPT-4/HCPCS modifier 64"
 CPTM2_65                     "Second CPT-4/HCPCS modifier 65"
 CPTM2_66                     "Second CPT-4/HCPCS modifier 66"
 CPTM2_67                     "Second CPT-4/HCPCS modifier 67"
 CPTM2_68                     "Second CPT-4/HCPCS modifier 68"
 CPTM2_69                     "Second CPT-4/HCPCS modifier 69"
 CPTM2_70                     "Second CPT-4/HCPCS modifier 70"
 CPTM2_71                     "Second CPT-4/HCPCS modifier 71"
 CPTM2_72                     "Second CPT-4/HCPCS modifier 72"
 CPTM2_73                     "Second CPT-4/HCPCS modifier 73"
 CPTM2_74                     "Second CPT-4/HCPCS modifier 74"
 CPTM2_75                     "Second CPT-4/HCPCS modifier 75"
 CPTM2_76                     "Second CPT-4/HCPCS modifier 76"
 CPTM2_77                     "Second CPT-4/HCPCS modifier 77"
 CPTM2_78                     "Second CPT-4/HCPCS modifier 78"
 CPTM2_79                     "Second CPT-4/HCPCS modifier 79"
 CPTM2_80                     "Second CPT-4/HCPCS modifier 80"
 CPTM2_81                     "Second CPT-4/HCPCS modifier 81"
 CPTM2_82                     "Second CPT-4/HCPCS modifier 82"
 CPTM2_83                     "Second CPT-4/HCPCS modifier 83"
 CPTM2_84                     "Second CPT-4/HCPCS modifier 84"
 CPTM2_85                     "Second CPT-4/HCPCS modifier 85"
 CPTM2_86                     "Second CPT-4/HCPCS modifier 86"
 CPTM2_87                     "Second CPT-4/HCPCS modifier 87"
 CPTM2_88                     "Second CPT-4/HCPCS modifier 88"
 CPTM2_89                     "Second CPT-4/HCPCS modifier 89"
 CPTM2_90                     "Second CPT-4/HCPCS modifier 90"
 CPTM2_91                     "Second CPT-4/HCPCS modifier 91"
 CPTM2_92                     "Second CPT-4/HCPCS modifier 92"
 CPTM2_93                     "Second CPT-4/HCPCS modifier 93"
 CPTM2_94                     "Second CPT-4/HCPCS modifier 94"
 CPTM2_95                     "Second CPT-4/HCPCS modifier 95"
 CPTM2_96                     "Second CPT-4/HCPCS modifier 96"
 CPTM2_97                     "Second CPT-4/HCPCS modifier 97"
 CPTM2_98                     "Second CPT-4/HCPCS modifier 98"
 CPTM2_99                     "Second CPT-4/HCPCS modifier 99"
 CPTM2_100                    "Second CPT-4/HCPCS modifier 100"
 CPTM2_101                    "Second CPT-4/HCPCS modifier 101"
 CPTM2_102                    "Second CPT-4/HCPCS modifier 102"
 CPTM2_103                    "Second CPT-4/HCPCS modifier 103"
 CPTM2_104                    "Second CPT-4/HCPCS modifier 104"
 CPTM2_105                    "Second CPT-4/HCPCS modifier 105"
 CPTM2_106                    "Second CPT-4/HCPCS modifier 106"
 CPTM2_107                    "Second CPT-4/HCPCS modifier 107"
 CPTM2_108                    "Second CPT-4/HCPCS modifier 108"
 CPTM2_109                    "Second CPT-4/HCPCS modifier 109"
 CPTM2_110                    "Second CPT-4/HCPCS modifier 110"
 CPTM2_111                    "Second CPT-4/HCPCS modifier 111"
 CPTM2_112                    "Second CPT-4/HCPCS modifier 112"
 CPTM2_113                    "Second CPT-4/HCPCS modifier 113"
 CPTM2_114                    "Second CPT-4/HCPCS modifier 114"
 CPTM2_115                    "Second CPT-4/HCPCS modifier 115"
 CPTM2_116                    "Second CPT-4/HCPCS modifier 116"
 CPTM2_117                    "Second CPT-4/HCPCS modifier 117"
 CPTM2_118                    "Second CPT-4/HCPCS modifier 118"
 CPTM2_119                    "Second CPT-4/HCPCS modifier 119"
 CPTM2_120                    "Second CPT-4/HCPCS modifier 120"
 CPTM2_121                    "Second CPT-4/HCPCS modifier 121"
 CPTM2_122                    "Second CPT-4/HCPCS modifier 122"
 CPTM2_123                    "Second CPT-4/HCPCS modifier 123"
 CPTM2_124                    "Second CPT-4/HCPCS modifier 124"
 CPTM2_125                    "Second CPT-4/HCPCS modifier 125"
 CPTM2_126                    "Second CPT-4/HCPCS modifier 126"
 CPTM2_127                    "Second CPT-4/HCPCS modifier 127"
 CPTM2_128                    "Second CPT-4/HCPCS modifier 128"
 CPTM2_129                    "Second CPT-4/HCPCS modifier 129"
 CPTM2_130                    "Second CPT-4/HCPCS modifier 130"
 CPTM2_131                    "Second CPT-4/HCPCS modifier 131"
 CPTM2_132                    "Second CPT-4/HCPCS modifier 132"
 CPTM2_133                    "Second CPT-4/HCPCS modifier 133"
 CPTM2_134                    "Second CPT-4/HCPCS modifier 134"
 CPTM2_135                    "Second CPT-4/HCPCS modifier 135"
 CPTM2_136                    "Second CPT-4/HCPCS modifier 136"
 CPTM2_137                    "Second CPT-4/HCPCS modifier 137"
 CPTM2_138                    "Second CPT-4/HCPCS modifier 138"
 CPTM2_139                    "Second CPT-4/HCPCS modifier 139"
 CPTM2_140                    "Second CPT-4/HCPCS modifier 140"
 CPTM2_141                    "Second CPT-4/HCPCS modifier 141"
 CPTM2_142                    "Second CPT-4/HCPCS modifier 142"
 CPTM2_143                    "Second CPT-4/HCPCS modifier 143"
 CPTM2_144                    "Second CPT-4/HCPCS modifier 144"
 CPTM2_145                    "Second CPT-4/HCPCS modifier 145"
 CPTM2_146                    "Second CPT-4/HCPCS modifier 146"
 CPTM2_147                    "Second CPT-4/HCPCS modifier 147"
 CPTM2_148                    "Second CPT-4/HCPCS modifier 148"
 CPTM2_149                    "Second CPT-4/HCPCS modifier 149"
 CPTM2_150                    "Second CPT-4/HCPCS modifier 150"
 CPTM2_151                    "Second CPT-4/HCPCS modifier 151"
 CPTM2_152                    "Second CPT-4/HCPCS modifier 152"
 CPTM2_153                    "Second CPT-4/HCPCS modifier 153"
 CPTM2_154                    "Second CPT-4/HCPCS modifier 154"
 CPTM2_155                    "Second CPT-4/HCPCS modifier 155"
 CPTM2_156                    "Second CPT-4/HCPCS modifier 156"
 CPTM2_157                    "Second CPT-4/HCPCS modifier 157"
 CPTM2_158                    "Second CPT-4/HCPCS modifier 158"
 CPTM2_159                    "Second CPT-4/HCPCS modifier 159"
 CPTM2_160                    "Second CPT-4/HCPCS modifier 160"
 CPTM2_161                    "Second CPT-4/HCPCS modifier 161"
 CPTM2_162                    "Second CPT-4/HCPCS modifier 162"
 CPTM2_163                    "Second CPT-4/HCPCS modifier 163"
 CPTM2_164                    "Second CPT-4/HCPCS modifier 164"
 CPTM2_165                    "Second CPT-4/HCPCS modifier 165"
 CPTM2_166                    "Second CPT-4/HCPCS modifier 166"
 CPTM2_167                    "Second CPT-4/HCPCS modifier 167"
 CPTM2_168                    "Second CPT-4/HCPCS modifier 168"
 CPTM2_169                    "Second CPT-4/HCPCS modifier 169"
 CPTM2_170                    "Second CPT-4/HCPCS modifier 170"
 CPTM2_171                    "Second CPT-4/HCPCS modifier 171"
 CPTM2_172                    "Second CPT-4/HCPCS modifier 172"
 CPTM2_173                    "Second CPT-4/HCPCS modifier 173"
 CPTM2_174                    "Second CPT-4/HCPCS modifier 174"
 CPTM2_175                    "Second CPT-4/HCPCS modifier 175"
 CPTM2_176                    "Second CPT-4/HCPCS modifier 176"
 CPTM2_177                    "Second CPT-4/HCPCS modifier 177"
 CPTM2_178                    "Second CPT-4/HCPCS modifier 178"
 CPTM2_179                    "Second CPT-4/HCPCS modifier 179"
 CPTM2_180                    "Second CPT-4/HCPCS modifier 180"
 CPTM2_181                    "Second CPT-4/HCPCS modifier 181"
 CPTM2_182                    "Second CPT-4/HCPCS modifier 182"
 CPTM2_183                    "Second CPT-4/HCPCS modifier 183"
 CPTM2_184                    "Second CPT-4/HCPCS modifier 184"
 CPTM2_185                    "Second CPT-4/HCPCS modifier 185"
 CPTM2_186                    "Second CPT-4/HCPCS modifier 186"
 CPTM2_187                    "Second CPT-4/HCPCS modifier 187"
 CPTM2_188                    "Second CPT-4/HCPCS modifier 188"
 CPTM2_189                    "Second CPT-4/HCPCS modifier 189"
 CPTM2_190                    "Second CPT-4/HCPCS modifier 190"
 CPTM2_191                    "Second CPT-4/HCPCS modifier 191"
 CPTM2_192                    "Second CPT-4/HCPCS modifier 192"
 CPTM2_193                    "Second CPT-4/HCPCS modifier 193"
 CPTM2_194                    "Second CPT-4/HCPCS modifier 194"
 CPTM2_195                    "Second CPT-4/HCPCS modifier 195"
 CPTM2_196                    "Second CPT-4/HCPCS modifier 196"
 CPTM2_197                    "Second CPT-4/HCPCS modifier 197"
 CPTM2_198                    "Second CPT-4/HCPCS modifier 198"
 CPTM2_199                    "Second CPT-4/HCPCS modifier 199"
 CPTM2_200                    "Second CPT-4/HCPCS modifier 200"
 DaysToEvent                  "Days from 'start date' to admission"
 DHOUR                        "Discharge Hour"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DQTR                         "Discharge quarter"
 DRG                          "DRG in effect on discharge date"
 DRG_NoPOA                    "DRG in use on discharge date, calculated without POA"
 DRGVER                       "DRG grouper version used on discharge date"
 DSHOSPID                     "Data source hospital identifier"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 HOSPST                       "Hospital state postal code"
 I10_BIRTH                    "ICD-10-CM Birth Indicator"
 I10_DELIVERY                 "ICD-10-CM Delivery Indicator"
 I10_DX_Admitting             "ICD-10-CM Admitting Diagnosis Code"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 I10_SERVICELINE              "ICD-10-CM/PCS Hospital Service Line"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MARITALSTATUS_X              "Patient's marital status (as received from source)"
 MARITALSTATUSUB04            "Patient's marital status, UB-04 standard coding"
 MDC                          "MDC in effect on discharge date"
 MDC_NoPOA                    "MDC in use on discharge date, calculated without POA"
 MDNUM1_R                     "Physician 1 number (re-identified)"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 NCPT                         "Number of CPT/HCPCS procedures for this visit"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PCLASS_ORPROC                "Indicates operating room (major diagnostic or therapeutic) procedure on the record"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_NCHS                      "Patient Location: NCHS Urban-Rural Code"
 PL_RUCC                      "Patient location: Rural-Urban Continuum Codes (RUCC)"
 PL_UIC                       "Patient location: Urban Influence Codes"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 PointOfOrigin_X              "Point of origin for admission or visit, as received from source"
 PointOfOriginUB04            "Point of origin for admission or visit, UB-04 standard coding"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO_GEO                    "Counties assigned based on ZIP Code geographic centroids"
 RACE                         "Race (uniform)"
 RACE_PCT_MISS_HOSP           "Hospital percentage of missing or invalid race values"
 RACE_X                       "Race (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 TRAN_IN                      "Transfer in indicator"
 TRAN_OUT                     "Transfer out indicator"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP                          "Patient ZIP Code"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 AYEAR                        "Admission year"
 BMONTH                       "Birth month"
 BYEAR                        "Birth year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEDAY
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE CPTCCS1
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS2
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS3
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS4
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS5
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS6
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS7
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS8
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS9
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS10
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS11
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS12
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS13
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS14
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS15
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS16
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS17
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS18
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS19
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS20
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS21
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS22
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS23
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS24
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS25
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS26
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS27
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS28
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS29
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS30
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS31
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS32
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS33
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS34
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS35
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS36
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS37
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS38
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS39
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS40
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS41
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS42
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS43
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS44
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS45
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS46
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS47
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS48
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS49
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS50
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS51
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS52
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS53
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS54
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS55
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS56
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS57
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS58
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS59
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS60
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS61
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS62
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS63
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS64
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS65
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS66
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS67
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS68
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS69
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS70
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS71
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS72
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS73
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS74
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS75
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS76
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS77
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS78
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS79
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS80
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS81
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS82
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS83
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS84
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS85
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS86
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS87
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS88
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS89
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS90
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS91
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS92
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS93
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS94
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS95
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS96
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS97
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS98
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS99
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS100
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS101
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS102
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS103
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS104
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS105
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS106
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS107
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS108
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS109
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS110
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS111
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS112
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS113
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS114
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS115
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS116
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS117
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS118
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS119
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS120
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS121
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS122
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS123
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS124
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS125
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS126
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS127
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS128
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS129
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS130
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS131
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS132
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS133
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS134
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS135
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS136
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS137
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS138
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS139
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS140
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS141
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS142
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS143
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS144
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS145
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS146
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS147
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS148
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS149
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS150
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS151
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS152
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS153
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS154
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS155
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS156
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS157
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS158
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS159
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS160
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS161
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS162
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS163
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS164
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS165
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS166
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS167
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS168
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS169
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS170
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS171
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS172
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS173
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS174
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS175
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS176
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS177
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS178
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS179
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS180
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS181
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS182
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS183
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS184
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS185
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS186
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS187
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS188
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS189
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS190
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS191
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS192
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS193
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS194
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS195
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS196
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS197
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS198
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS199
 (-99,-88,-66,-55=SYSMIS).
RECODE CPTCCS200
 (-99,-88,-66,-55=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DHOUR
 (-999,-888,-666,-555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BIRTH
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_DELIVERY
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_SERVICELINE
 (-9,-8,-6,-5=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MDNUM1_R
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE NCPT
 (-999,-888,-666,-555=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS_ORPROC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_NCHS
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_RUCC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UIC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO_GEO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_PCT_MISS_HOSP
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE BMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE BYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'UT_SID_2020_CORE.SAV' /COMPRESSED.
