/*******************************************************************
*   WA_SID_2000_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL CONVERT THE ASCII             
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'WA_SID_2000_CHGS.ASC' FIXED / 
 KEY                  1- 14
 CHG1                15- 26
 CHG2                27- 38
 CHG3                39- 50
 CHG4                51- 62
 CHG5                63- 74
 CHG6                75- 86
 CHG7                87- 98
 CHG8                99-110
 CHG9               111-122
 CHG10              123-134
 CHG11              135-146
 CHG12              147-158
 CHG13              159-170
 CHG14              171-182
 CHG15              183-194
 CHG16              195-206
 CHG17              207-218
 CHG18              219-230
 CHG19              231-242
 CHG20              243-254
 CHG21              255-266
 CHG22              267-278
 CHG23              279-290
 CHG24              291-302
 CHG25              303-314
 CHG26              315-326
 CHG27              327-338
 CHG28              339-350
 CHG29              351-362
 CHG30              363-374
 CHG31              375-386
 CHG32              387-398
 CHG33              399-410
 CHG34              411-422
 CHG35              423-434
 CHG36              435-446
 CHG37              447-458
 CHG38              459-470
 CHG39              471-482
 CHG40              483-494
 REVCD1             495-498 (A)
 REVCD2             499-502 (A)
 REVCD3             503-506 (A)
 REVCD4             507-510 (A)
 REVCD5             511-514 (A)
 REVCD6             515-518 (A)
 REVCD7             519-522 (A)
 REVCD8             523-526 (A)
 REVCD9             527-530 (A)
 REVCD10            531-534 (A)
 REVCD11            535-538 (A)
 REVCD12            539-542 (A)
 REVCD13            543-546 (A)
 REVCD14            547-550 (A)
 REVCD15            551-554 (A)
 REVCD16            555-558 (A)
 REVCD17            559-562 (A)
 REVCD18            563-566 (A)
 REVCD19            567-570 (A)
 REVCD20            571-574 (A)
 REVCD21            575-578 (A)
 REVCD22            579-582 (A)
 REVCD23            583-586 (A)
 REVCD24            587-590 (A)
 REVCD25            591-594 (A)
 REVCD26            595-598 (A)
 REVCD27            599-602 (A)
 REVCD28            603-606 (A)
 REVCD29            607-610 (A)
 REVCD30            611-614 (A)
 REVCD31            615-618 (A)
 REVCD32            619-622 (A)
 REVCD33            623-626 (A)
 REVCD34            627-630 (A)
 REVCD35            631-634 (A)
 REVCD36            635-638 (A)
 REVCD37            639-642 (A)
 REVCD38            643-646 (A)
 REVCD39            647-650 (A)
 REVCD40            651-654 (A)
 UNIT1              655-658
 UNIT2              659-662
 UNIT3              663-666
 UNIT4              667-670
 UNIT5              671-674
 UNIT6              675-678
 UNIT7              679-682
 UNIT8              683-686
 UNIT9              687-690
 UNIT10             691-694
 UNIT11             695-698
 UNIT12             699-702
 UNIT13             703-706
 UNIT14             707-710
 UNIT15             711-714
 UNIT16             715-718
 UNIT17             719-722
 UNIT18             723-726
 UNIT19             727-730
 UNIT20             731-734
 UNIT21             735-738
 UNIT22             739-742
 UNIT23             743-746
 UNIT24             747-750
 UNIT25             751-754
 UNIT26             755-758
 UNIT27             759-762
 UNIT28             763-766
 UNIT29             767-770
 UNIT30             771-774
 UNIT31             775-778
 UNIT32             779-782
 UNIT33             783-786
 UNIT34             787-790
 UNIT35             791-794
 UNIT36             795-798
 UNIT37             799-802
 UNIT38             803-806
 UNIT39             807-810
 UNIT40             811-814.


***  Specify write formats  ***.
FORMATS
 KEY                 (F8.0) /
 CHG1                (F6.2) /
 CHG2                (F6.2) /
 CHG3                (F6.2) /
 CHG4                (F6.2) /
 CHG5                (F6.2) /
 CHG6                (F6.2) /
 CHG7                (F6.2) /
 CHG8                (F6.2) /
 CHG9                (F6.2) /
 CHG10               (F6.2) /
 CHG11               (F6.2) /
 CHG12               (F6.2) /
 CHG13               (F6.2) /
 CHG14               (F6.2) /
 CHG15               (F6.2) /
 CHG16               (F6.2) /
 CHG17               (F6.2) /
 CHG18               (F6.2) /
 CHG19               (F6.2) /
 CHG20               (F6.2) /
 CHG21               (F6.2) /
 CHG22               (F6.2) /
 CHG23               (F6.2) /
 CHG24               (F6.2) /
 CHG25               (F6.2) /
 CHG26               (F6.2) /
 CHG27               (F6.2) /
 CHG28               (F6.2) /
 CHG29               (F6.2) /
 CHG30               (F6.2) /
 CHG31               (F6.2) /
 CHG32               (F6.2) /
 CHG33               (F6.2) /
 CHG34               (F6.2) /
 CHG35               (F6.2) /
 CHG36               (F6.2) /
 CHG37               (F6.2) /
 CHG38               (F6.2) /
 CHG39               (F6.2) /
 CHG40               (F6.2) /
 UNIT1               (F4.0) /
 UNIT2               (F4.0) /
 UNIT3               (F4.0) /
 UNIT4               (F4.0) /
 UNIT5               (F4.0) /
 UNIT6               (F4.0) /
 UNIT7               (F4.0) /
 UNIT8               (F4.0) /
 UNIT9               (F4.0) /
 UNIT10              (F4.0) /
 UNIT11              (F4.0) /
 UNIT12              (F4.0) /
 UNIT13              (F4.0) /
 UNIT14              (F4.0) /
 UNIT15              (F4.0) /
 UNIT16              (F4.0) /
 UNIT17              (F4.0) /
 UNIT18              (F4.0) /
 UNIT19              (F4.0) /
 UNIT20              (F4.0) /
 UNIT21              (F4.0) /
 UNIT22              (F4.0) /
 UNIT23              (F4.0) /
 UNIT24              (F4.0) /
 UNIT25              (F4.0) /
 UNIT26              (F4.0) /
 UNIT27              (F4.0) /
 UNIT28              (F4.0) /
 UNIT29              (F4.0) /
 UNIT30              (F4.0) /
 UNIT31              (F4.0) /
 UNIT32              (F4.0) /
 UNIT33              (F4.0) /
 UNIT34              (F4.0) /
 UNIT35              (F4.0) /
 UNIT36              (F4.0) /
 UNIT37              (F4.0) /
 UNIT38              (F4.0) /
 UNIT39              (F4.0) /
 UNIT40              (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY          "HCUP record identifier"
 CHG1         "Detailed charges 1 (as received from source)"
 CHG2         "Detailed charges 2 (as received from source)"
 CHG3         "Detailed charges 3 (as received from source)"
 CHG4         "Detailed charges 4 (as received from source)"
 CHG5         "Detailed charges 5 (as received from source)"
 CHG6         "Detailed charges 6 (as received from source)"
 CHG7         "Detailed charges 7 (as received from source)"
 CHG8         "Detailed charges 8 (as received from source)"
 CHG9         "Detailed charges 9 (as received from source)"
 CHG10        "Detailed charges 10 (as received from source)"
 CHG11        "Detailed charges 11 (as received from source)"
 CHG12        "Detailed charges 12 (as received from source)"
 CHG13        "Detailed charges 13 (as received from source)"
 CHG14        "Detailed charges 14 (as received from source)"
 CHG15        "Detailed charges 15 (as received from source)"
 CHG16        "Detailed charges 16 (as received from source)"
 CHG17        "Detailed charges 17 (as received from source)"
 CHG18        "Detailed charges 18 (as received from source)"
 CHG19        "Detailed charges 19 (as received from source)"
 CHG20        "Detailed charges 20 (as received from source)"
 CHG21        "Detailed charges 21 (as received from source)"
 CHG22        "Detailed charges 22 (as received from source)"
 CHG23        "Detailed charges 23 (as received from source)"
 CHG24        "Detailed charges 24 (as received from source)"
 CHG25        "Detailed charges 25 (as received from source)"
 CHG26        "Detailed charges 26 (as received from source)"
 CHG27        "Detailed charges 27 (as received from source)"
 CHG28        "Detailed charges 28 (as received from source)"
 CHG29        "Detailed charges 29 (as received from source)"
 CHG30        "Detailed charges 30 (as received from source)"
 CHG31        "Detailed charges 31 (as received from source)"
 CHG32        "Detailed charges 32 (as received from source)"
 CHG33        "Detailed charges 33 (as received from source)"
 CHG34        "Detailed charges 34 (as received from source)"
 CHG35        "Detailed charges 35 (as received from source)"
 CHG36        "Detailed charges 36 (as received from source)"
 CHG37        "Detailed charges 37 (as received from source)"
 CHG38        "Detailed charges 38 (as received from source)"
 CHG39        "Detailed charges 39 (as received from source)"
 CHG40        "Detailed charges 40 (as received from source)"
 REVCD1       "Revenue code 1 (as received from source)"
 REVCD2       "Revenue code 2 (as received from source)"
 REVCD3       "Revenue code 3 (as received from source)"
 REVCD4       "Revenue code 4 (as received from source)"
 REVCD5       "Revenue code 5 (as received from source)"
 REVCD6       "Revenue code 6 (as received from source)"
 REVCD7       "Revenue code 7 (as received from source)"
 REVCD8       "Revenue code 8 (as received from source)"
 REVCD9       "Revenue code 9 (as received from source)"
 REVCD10      "Revenue code 10 (as received from source)"
 REVCD11      "Revenue code 11 (as received from source)"
 REVCD12      "Revenue code 12 (as received from source)"
 REVCD13      "Revenue code 13 (as received from source)"
 REVCD14      "Revenue code 14 (as received from source)"
 REVCD15      "Revenue code 15 (as received from source)"
 REVCD16      "Revenue code 16 (as received from source)"
 REVCD17      "Revenue code 17 (as received from source)"
 REVCD18      "Revenue code 18 (as received from source)"
 REVCD19      "Revenue code 19 (as received from source)"
 REVCD20      "Revenue code 20 (as received from source)"
 REVCD21      "Revenue code 21 (as received from source)"
 REVCD22      "Revenue code 22 (as received from source)"
 REVCD23      "Revenue code 23 (as received from source)"
 REVCD24      "Revenue code 24 (as received from source)"
 REVCD25      "Revenue code 25 (as received from source)"
 REVCD26      "Revenue code 26 (as received from source)"
 REVCD27      "Revenue code 27 (as received from source)"
 REVCD28      "Revenue code 28 (as received from source)"
 REVCD29      "Revenue code 29 (as received from source)"
 REVCD30      "Revenue code 30 (as received from source)"
 REVCD31      "Revenue code 31 (as received from source)"
 REVCD32      "Revenue code 32 (as received from source)"
 REVCD33      "Revenue code 33 (as received from source)"
 REVCD34      "Revenue code 34 (as received from source)"
 REVCD35      "Revenue code 35 (as received from source)"
 REVCD36      "Revenue code 36 (as received from source)"
 REVCD37      "Revenue code 37 (as received from source)"
 REVCD38      "Revenue code 38 (as received from source)"
 REVCD39      "Revenue code 39 (as received from source)"
 REVCD40      "Revenue code 40 (as received from source)"
 UNIT1        "Units of service 1 (as received from source)"
 UNIT2        "Units of service 2 (as received from source)"
 UNIT3        "Units of service 3 (as received from source)"
 UNIT4        "Units of service 4 (as received from source)"
 UNIT5        "Units of service 5 (as received from source)"
 UNIT6        "Units of service 6 (as received from source)"
 UNIT7        "Units of service 7 (as received from source)"
 UNIT8        "Units of service 8 (as received from source)"
 UNIT9        "Units of service 9 (as received from source)"
 UNIT10       "Units of service 10 (as received from source)"
 UNIT11       "Units of service 11 (as received from source)"
 UNIT12       "Units of service 12 (as received from source)"
 UNIT13       "Units of service 13 (as received from source)"
 UNIT14       "Units of service 14 (as received from source)"
 UNIT15       "Units of service 15 (as received from source)"
 UNIT16       "Units of service 16 (as received from source)"
 UNIT17       "Units of service 17 (as received from source)"
 UNIT18       "Units of service 18 (as received from source)"
 UNIT19       "Units of service 19 (as received from source)"
 UNIT20       "Units of service 20 (as received from source)"
 UNIT21       "Units of service 21 (as received from source)"
 UNIT22       "Units of service 22 (as received from source)"
 UNIT23       "Units of service 23 (as received from source)"
 UNIT24       "Units of service 24 (as received from source)"
 UNIT25       "Units of service 25 (as received from source)"
 UNIT26       "Units of service 26 (as received from source)"
 UNIT27       "Units of service 27 (as received from source)"
 UNIT28       "Units of service 28 (as received from source)"
 UNIT29       "Units of service 29 (as received from source)"
 UNIT30       "Units of service 30 (as received from source)"
 UNIT31       "Units of service 31 (as received from source)"
 UNIT32       "Units of service 32 (as received from source)"
 UNIT33       "Units of service 33 (as received from source)"
 UNIT34       "Units of service 34 (as received from source)"
 UNIT35       "Units of service 35 (as received from source)"
 UNIT36       "Units of service 36 (as received from source)"
 UNIT37       "Units of service 37 (as received from source)"
 UNIT38       "Units of service 38 (as received from source)"
 UNIT39       "Units of service 39 (as received from source)"
 UNIT40       "Units of service 40 (as received from source)".


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE CHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE CHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT2
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT3
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT4
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT5
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT6
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT7
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT8
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT9
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT10
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT11
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT12
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT13
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT14
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT15
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT16
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT17
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT18
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT19
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT20
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT21
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT22
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT23
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT24
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT25
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT26
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT27
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT28
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT29
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT30
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT31
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT32
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT33
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT34
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT35
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT36
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT37
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT38
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT39
 (-999,-888,-666,-555=SYSMIS).
RECODE UNIT40
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'WA_SID_2000_CHGS.SAV' /COMPRESSED.
