/*******************************************************************
*   WV_SID_2006_CHGS.SPS:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CHGS FILE INTO SPSS                         
*******************************************************************/


*******************************.
*  Define the data file       *.
*******************************.

DATA LIST FILE = 'WV_SID_2006_CHGS.ASC' FIXED / 
 KEY                        1-  14
 NREVCD                    15-  16
 REVCD1                    17-  20 (A)
 REVCD2                    21-  24 (A)
 REVCD3                    25-  28 (A)
 REVCD4                    29-  32 (A)
 REVCD5                    33-  36 (A)
 REVCD6                    37-  40 (A)
 REVCD7                    41-  44 (A)
 REVCD8                    45-  48 (A)
 REVCD9                    49-  52 (A)
 REVCD10                   53-  56 (A)
 REVCD11                   57-  60 (A)
 REVCD12                   61-  64 (A)
 REVCD13                   65-  68 (A)
 REVCD14                   69-  72 (A)
 REVCD15                   73-  76 (A)
 REVCD16                   77-  80 (A)
 REVCD17                   81-  84 (A)
 REVCD18                   85-  88 (A)
 REVCD19                   89-  92 (A)
 REVCD20                   93-  96 (A)
 REVCD21                   97- 100 (A)
 REVCD22                  101- 104 (A)
 REVCD23                  105- 108 (A)
 REVCD24                  109- 112 (A)
 REVCD25                  113- 116 (A)
 REVCD26                  117- 120 (A)
 REVCD27                  121- 124 (A)
 REVCD28                  125- 128 (A)
 REVCD29                  129- 132 (A)
 REVCD30                  133- 136 (A)
 REVCD31                  137- 140 (A)
 REVCD32                  141- 144 (A)
 REVCD33                  145- 148 (A)
 REVCD34                  149- 152 (A)
 REVCD35                  153- 156 (A)
 REVCD36                  157- 160 (A)
 REVCD37                  161- 164 (A)
 REVCD38                  165- 168 (A)
 REVCD39                  169- 172 (A)
 REVCD40                  173- 176 (A)
 REVCD41                  177- 180 (A)
 REVCD42                  181- 184 (A)
 REVCD43                  185- 188 (A)
 REVCD44                  189- 192 (A)
 REVCD45                  193- 196 (A)
 REVCHG1                  197- 208
 REVCHG2                  209- 220
 REVCHG3                  221- 232
 REVCHG4                  233- 244
 REVCHG5                  245- 256
 REVCHG6                  257- 268
 REVCHG7                  269- 280
 REVCHG8                  281- 292
 REVCHG9                  293- 304
 REVCHG10                 305- 316
 REVCHG11                 317- 328
 REVCHG12                 329- 340
 REVCHG13                 341- 352
 REVCHG14                 353- 364
 REVCHG15                 365- 376
 REVCHG16                 377- 388
 REVCHG17                 389- 400
 REVCHG18                 401- 412
 REVCHG19                 413- 424
 REVCHG20                 425- 436
 REVCHG21                 437- 448
 REVCHG22                 449- 460
 REVCHG23                 461- 472
 REVCHG24                 473- 484
 REVCHG25                 485- 496
 REVCHG26                 497- 508
 REVCHG27                 509- 520
 REVCHG28                 521- 532
 REVCHG29                 533- 544
 REVCHG30                 545- 556
 REVCHG31                 557- 568
 REVCHG32                 569- 580
 REVCHG33                 581- 592
 REVCHG34                 593- 604
 REVCHG35                 605- 616
 REVCHG36                 617- 628
 REVCHG37                 629- 640
 REVCHG38                 641- 652
 REVCHG39                 653- 664
 REVCHG40                 665- 676
 REVCHG41                 677- 688
 REVCHG42                 689- 700
 REVCHG43                 701- 712
 REVCHG44                 713- 724
 REVCHG45                 725- 736
 UNIT1                    737- 744
 UNIT2                    745- 752
 UNIT3                    753- 760
 UNIT4                    761- 768
 UNIT5                    769- 776
 UNIT6                    777- 784
 UNIT7                    785- 792
 UNIT8                    793- 800
 UNIT9                    801- 808
 UNIT10                   809- 816
 UNIT11                   817- 824
 UNIT12                   825- 832
 UNIT13                   833- 840
 UNIT14                   841- 848
 UNIT15                   849- 856
 UNIT16                   857- 864
 UNIT17                   865- 872
 UNIT18                   873- 880
 UNIT19                   881- 888
 UNIT20                   889- 896
 UNIT21                   897- 904
 UNIT22                   905- 912
 UNIT23                   913- 920
 UNIT24                   921- 928
 UNIT25                   929- 936
 UNIT26                   937- 944
 UNIT27                   945- 952
 UNIT28                   953- 960
 UNIT29                   961- 968
 UNIT30                   969- 976
 UNIT31                   977- 984
 UNIT32                   985- 992
 UNIT33                   993-1000
 UNIT34                  1001-1008
 UNIT35                  1009-1016
 UNIT36                  1017-1024
 UNIT37                  1025-1032
 UNIT38                  1033-1040
 UNIT39                  1041-1048
 UNIT40                  1049-1056
 UNIT41                  1057-1064
 UNIT42                  1065-1072
 UNIT43                  1073-1080
 UNIT44                  1081-1088
 UNIT45                  1089-1096.


***  Specify write formats  ***.
FORMATS
 KEY                     (F8.0) /
 NREVCD                  (F3.0) /
 REVCHG1                 (F6.2) /
 REVCHG2                 (F6.2) /
 REVCHG3                 (F6.2) /
 REVCHG4                 (F6.2) /
 REVCHG5                 (F6.2) /
 REVCHG6                 (F6.2) /
 REVCHG7                 (F6.2) /
 REVCHG8                 (F6.2) /
 REVCHG9                 (F6.2) /
 REVCHG10                (F6.2) /
 REVCHG11                (F6.2) /
 REVCHG12                (F6.2) /
 REVCHG13                (F6.2) /
 REVCHG14                (F6.2) /
 REVCHG15                (F6.2) /
 REVCHG16                (F6.2) /
 REVCHG17                (F6.2) /
 REVCHG18                (F6.2) /
 REVCHG19                (F6.2) /
 REVCHG20                (F6.2) /
 REVCHG21                (F6.2) /
 REVCHG22                (F6.2) /
 REVCHG23                (F6.2) /
 REVCHG24                (F6.2) /
 REVCHG25                (F6.2) /
 REVCHG26                (F6.2) /
 REVCHG27                (F6.2) /
 REVCHG28                (F6.2) /
 REVCHG29                (F6.2) /
 REVCHG30                (F6.2) /
 REVCHG31                (F6.2) /
 REVCHG32                (F6.2) /
 REVCHG33                (F6.2) /
 REVCHG34                (F6.2) /
 REVCHG35                (F6.2) /
 REVCHG36                (F6.2) /
 REVCHG37                (F6.2) /
 REVCHG38                (F6.2) /
 REVCHG39                (F6.2) /
 REVCHG40                (F6.2) /
 REVCHG41                (F6.2) /
 REVCHG42                (F6.2) /
 REVCHG43                (F6.2) /
 REVCHG44                (F6.2) /
 REVCHG45                (F6.2) /
 UNIT1                   (F4.0) /
 UNIT2                   (F4.0) /
 UNIT3                   (F4.0) /
 UNIT4                   (F4.0) /
 UNIT5                   (F4.0) /
 UNIT6                   (F4.0) /
 UNIT7                   (F4.0) /
 UNIT8                   (F4.0) /
 UNIT9                   (F4.0) /
 UNIT10                  (F4.0) /
 UNIT11                  (F4.0) /
 UNIT12                  (F4.0) /
 UNIT13                  (F4.0) /
 UNIT14                  (F4.0) /
 UNIT15                  (F4.0) /
 UNIT16                  (F4.0) /
 UNIT17                  (F4.0) /
 UNIT18                  (F4.0) /
 UNIT19                  (F4.0) /
 UNIT20                  (F4.0) /
 UNIT21                  (F4.0) /
 UNIT22                  (F4.0) /
 UNIT23                  (F4.0) /
 UNIT24                  (F4.0) /
 UNIT25                  (F4.0) /
 UNIT26                  (F4.0) /
 UNIT27                  (F4.0) /
 UNIT28                  (F4.0) /
 UNIT29                  (F4.0) /
 UNIT30                  (F4.0) /
 UNIT31                  (F4.0) /
 UNIT32                  (F4.0) /
 UNIT33                  (F4.0) /
 UNIT34                  (F4.0) /
 UNIT35                  (F4.0) /
 UNIT36                  (F4.0) /
 UNIT37                  (F4.0) /
 UNIT38                  (F4.0) /
 UNIT39                  (F4.0) /
 UNIT40                  (F4.0) /
 UNIT41                  (F4.0) /
 UNIT42                  (F4.0) /
 UNIT43                  (F4.0) /
 UNIT44                  (F4.0) /
 UNIT45                  (F4.0) .


***  Assign labels to the variables ***.
VARIABLE LABELS 
 KEY       "HCUP record identifier"
 NREVCD    "Number of revenue codes for this discharge"
 REVCD1    "Revenue code 1 (as received from source)"
 REVCD2    "Revenue code 2 (as received from source)"
 REVCD3    "Revenue code 3 (as received from source)"
 REVCD4    "Revenue code 4 (as received from source)"
 REVCD5    "Revenue code 5 (as received from source)"
 REVCD6    "Revenue code 6 (as received from source)"
 REVCD7    "Revenue code 7 (as received from source)"
 REVCD8    "Revenue code 8 (as received from source)"
 REVCD9    "Revenue code 9 (as received from source)"
 REVCD10   "Revenue code 10 (as received from source)"
 REVCD11   "Revenue code 11 (as received from source)"
 REVCD12   "Revenue code 12 (as received from source)"
 REVCD13   "Revenue code 13 (as received from source)"
 REVCD14   "Revenue code 14 (as received from source)"
 REVCD15   "Revenue code 15 (as received from source)"
 REVCD16   "Revenue code 16 (as received from source)"
 REVCD17   "Revenue code 17 (as received from source)"
 REVCD18   "Revenue code 18 (as received from source)"
 REVCD19   "Revenue code 19 (as received from source)"
 REVCD20   "Revenue code 20 (as received from source)"
 REVCD21   "Revenue code 21 (as received from source)"
 REVCD22   "Revenue code 22 (as received from source)"
 REVCD23   "Revenue code 23 (as received from source)"
 REVCD24   "Revenue code 24 (as received from source)"
 REVCD25   "Revenue code 25 (as received from source)"
 REVCD26   "Revenue code 26 (as received from source)"
 REVCD27   "Revenue code 27 (as received from source)"
 REVCD28   "Revenue code 28 (as received from source)"
 REVCD29   "Revenue code 29 (as received from source)"
 REVCD30   "Revenue code 30 (as received from source)"
 REVCD31   "Revenue code 31 (as received from source)"
 REVCD32   "Revenue code 32 (as received from source)"
 REVCD33   "Revenue code 33 (as received from source)"
 REVCD34   "Revenue code 34 (as received from source)"
 REVCD35   "Revenue code 35 (as received from source)"
 REVCD36   "Revenue code 36 (as received from source)"
 REVCD37   "Revenue code 37 (as received from source)"
 REVCD38   "Revenue code 38 (as received from source)"
 REVCD39   "Revenue code 39 (as received from source)"
 REVCD40   "Revenue code 40 (as received from source)"
 REVCD41   "Revenue code 41 (as received from source)"
 REVCD42   "Revenue code 42 (as received from source)"
 REVCD43   "Revenue code 43 (as received from source)"
 REVCD44   "Revenue code 44 (as received from source)"
 REVCD45   "Revenue code 45 (as received from source)"
 REVCHG1   "Detailed charges for revenue code 1 (as received from source)"
 REVCHG2   "Detailed charges for revenue code 2 (as received from source)"
 REVCHG3   "Detailed charges for revenue code 3 (as received from source)"
 REVCHG4   "Detailed charges for revenue code 4 (as received from source)"
 REVCHG5   "Detailed charges for revenue code 5 (as received from source)"
 REVCHG6   "Detailed charges for revenue code 6 (as received from source)"
 REVCHG7   "Detailed charges for revenue code 7 (as received from source)"
 REVCHG8   "Detailed charges for revenue code 8 (as received from source)"
 REVCHG9   "Detailed charges for revenue code 9 (as received from source)"
 REVCHG10  "Detailed charges for revenue code 10 (as received from source)"
 REVCHG11  "Detailed charges for revenue code 11 (as received from source)"
 REVCHG12  "Detailed charges for revenue code 12 (as received from source)"
 REVCHG13  "Detailed charges for revenue code 13 (as received from source)"
 REVCHG14  "Detailed charges for revenue code 14 (as received from source)"
 REVCHG15  "Detailed charges for revenue code 15 (as received from source)"
 REVCHG16  "Detailed charges for revenue code 16 (as received from source)"
 REVCHG17  "Detailed charges for revenue code 17 (as received from source)"
 REVCHG18  "Detailed charges for revenue code 18 (as received from source)"
 REVCHG19  "Detailed charges for revenue code 19 (as received from source)"
 REVCHG20  "Detailed charges for revenue code 20 (as received from source)"
 REVCHG21  "Detailed charges for revenue code 21 (as received from source)"
 REVCHG22  "Detailed charges for revenue code 22 (as received from source)"
 REVCHG23  "Detailed charges for revenue code 23 (as received from source)"
 REVCHG24  "Detailed charges for revenue code 24 (as received from source)"
 REVCHG25  "Detailed charges for revenue code 25 (as received from source)"
 REVCHG26  "Detailed charges for revenue code 26 (as received from source)"
 REVCHG27  "Detailed charges for revenue code 27 (as received from source)"
 REVCHG28  "Detailed charges for revenue code 28 (as received from source)"
 REVCHG29  "Detailed charges for revenue code 29 (as received from source)"
 REVCHG30  "Detailed charges for revenue code 30 (as received from source)"
 REVCHG31  "Detailed charges for revenue code 31 (as received from source)"
 REVCHG32  "Detailed charges for revenue code 32 (as received from source)"
 REVCHG33  "Detailed charges for revenue code 33 (as received from source)"
 REVCHG34  "Detailed charges for revenue code 34 (as received from source)"
 REVCHG35  "Detailed charges for revenue code 35 (as received from source)"
 REVCHG36  "Detailed charges for revenue code 36 (as received from source)"
 REVCHG37  "Detailed charges for revenue code 37 (as received from source)"
 REVCHG38  "Detailed charges for revenue code 38 (as received from source)"
 REVCHG39  "Detailed charges for revenue code 39 (as received from source)"
 REVCHG40  "Detailed charges for revenue code 40 (as received from source)"
 REVCHG41  "Detailed charges for revenue code 41 (as received from source)"
 REVCHG42  "Detailed charges for revenue code 42 (as received from source)"
 REVCHG43  "Detailed charges for revenue code 43 (as received from source)"
 REVCHG44  "Detailed charges for revenue code 44 (as received from source)"
 REVCHG45  "Detailed charges for revenue code 45 (as received from source)"
 UNIT1     "Units of service 1 (as received from source)"
 UNIT2     "Units of service 2 (as received from source)"
 UNIT3     "Units of service 3 (as received from source)"
 UNIT4     "Units of service 4 (as received from source)"
 UNIT5     "Units of service 5 (as received from source)"
 UNIT6     "Units of service 6 (as received from source)"
 UNIT7     "Units of service 7 (as received from source)"
 UNIT8     "Units of service 8 (as received from source)"
 UNIT9     "Units of service 9 (as received from source)"
 UNIT10    "Units of service 10 (as received from source)"
 UNIT11    "Units of service 11 (as received from source)"
 UNIT12    "Units of service 12 (as received from source)"
 UNIT13    "Units of service 13 (as received from source)"
 UNIT14    "Units of service 14 (as received from source)"
 UNIT15    "Units of service 15 (as received from source)"
 UNIT16    "Units of service 16 (as received from source)"
 UNIT17    "Units of service 17 (as received from source)"
 UNIT18    "Units of service 18 (as received from source)"
 UNIT19    "Units of service 19 (as received from source)"
 UNIT20    "Units of service 20 (as received from source)"
 UNIT21    "Units of service 21 (as received from source)"
 UNIT22    "Units of service 22 (as received from source)"
 UNIT23    "Units of service 23 (as received from source)"
 UNIT24    "Units of service 24 (as received from source)"
 UNIT25    "Units of service 25 (as received from source)"
 UNIT26    "Units of service 26 (as received from source)"
 UNIT27    "Units of service 27 (as received from source)"
 UNIT28    "Units of service 28 (as received from source)"
 UNIT29    "Units of service 29 (as received from source)"
 UNIT30    "Units of service 30 (as received from source)"
 UNIT31    "Units of service 31 (as received from source)"
 UNIT32    "Units of service 32 (as received from source)"
 UNIT33    "Units of service 33 (as received from source)"
 UNIT34    "Units of service 34 (as received from source)"
 UNIT35    "Units of service 35 (as received from source)"
 UNIT36    "Units of service 36 (as received from source)"
 UNIT37    "Units of service 37 (as received from source)"
 UNIT38    "Units of service 38 (as received from source)"
 UNIT39    "Units of service 39 (as received from source)"
 UNIT40    "Units of service 40 (as received from source)"
 UNIT41    "Units of service 41 (as received from source)"
 UNIT42    "Units of service 42 (as received from source)"
 UNIT43    "Units of service 43 (as received from source)"
 UNIT44    "Units of service 44 (as received from source)"
 UNIT45    "Units of service 45 (as received from source)" .


**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************.

RECODE NREVCD
 (-9,-8,-6,-5=SYSMIS).
RECODE REVCHG1
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG2
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG3
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG4
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG5
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG6
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG7
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG8
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG9
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG10
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG11
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG12
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG13
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG14
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG15
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG16
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG17
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG18
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG19
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG20
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG21
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG22
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG23
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG24
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG25
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG26
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG27
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG28
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG29
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG30
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG31
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG32
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG33
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG34
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG35
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG36
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG37
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG38
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG39
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG40
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG41
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG42
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG43
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG44
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE REVCHG45
 (-99999999.99,-88888888.88,-66666666.66,-55555555.55=SYSMIS).
RECODE UNIT1
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT2
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT3
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT4
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT5
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT6
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT7
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT8
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT9
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT10
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT11
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT12
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT13
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT14
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT15
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT16
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT17
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT18
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT19
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT20
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT21
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT22
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT23
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT24
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT25
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT26
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT27
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT28
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT29
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT30
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT31
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT32
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT33
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT34
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT35
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT36
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT37
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT38
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT39
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT40
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT41
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT42
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT43
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT44
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).
RECODE UNIT45
 (-9999999,-8888888,-6666666,-5555555=SYSMIS).



SAVE OUTFILE = 'WV_SID_2006_CHGS.SAV' /COMPRESSED.
