/*******************************************************************
* Creation Date: 02/07/2024   
*   MA_SID_2021_CORE.sps:                                        
*      THE SPSS CODE SHOWN BELOW WILL LOAD THE ASCII                
*      INPATIENT STAY CORE FILE INTO SPSS                         
*******************************************************************/


/***************************************************************;
* ----------------------------------------------------------- *;
* |  NOTICE: Use of HCUP data constitutes acceptance of the | *;
* |  terms and conditions of the HCUP Data Use Agreement.   | *;
* ----------------------------------------------------------- *;
***************************************************************/


/********************************************************************.
*  Define the data file                                            *.
*  ATTENTION!            ATTENTION!              ATTENTION!        *.
*  Variable names longer than 8 characters are no longer truncated *.
*  beginning with 2009 data for SPSS since SPSS now accommodates   *.
*  long variable names                                             *.
********************************************************************/

DATA LIST FILE = 'MA_SID_2021_CORE.asc' FIXED SKIP=2 / 
 ADRG                            1-   3
 ADRGRISKMORTALITY               4-   5
 ADRGSEV                         6-   7
 AGE                             8-  10
 AGEMONTH                       11-  13
 AMDC                           14-  15
 AMONTH                         16-  17
 ASOURCE                        18-  19
 ASOURCE_X                      20     (A)
 ASOURCEUB92                    21     (A)
 ATYPE                          22-  23
 AWEEKEND                       24-  25
 BWT                            26-  29
 DaysBetweenVisits              30-  33
 DaysToEvent                    34-  39
 DIED                           40-  41
 DISP_X                         42-  43 (A)
 DISPUB04                       44-  45
 DISPUNIFORM                    46-  47
 DMONTH                         48-  49
 DNR                            50-  51
 DQTR                           52-  53
 DRG                            54-  56
 DRG_NoPOA                      57-  59
 DRGVER                         60-  61
 DSHOSPID                       62-  78 (A)
 DXPOA1                         79     (A)
 DXPOA2                         80     (A)
 DXPOA3                         81     (A)
 DXPOA4                         82     (A)
 DXPOA5                         83     (A)
 DXPOA6                         84     (A)
 DXPOA7                         85     (A)
 DXPOA8                         86     (A)
 DXPOA9                         87     (A)
 DXPOA10                        88     (A)
 DXPOA11                        89     (A)
 DXPOA12                        90     (A)
 DXPOA13                        91     (A)
 DXPOA14                        92     (A)
 DXPOA15                        93     (A)
 DXPOA16                        94     (A)
 DXPOA17                        95     (A)
 DXPOA18                        96     (A)
 DXPOA19                        97     (A)
 DXPOA20                        98     (A)
 DXPOA21                        99     (A)
 DXPOA22                       100     (A)
 DXPOA23                       101     (A)
 DXPOA24                       102     (A)
 DXPOA25                       103     (A)
 DXPOA26                       104     (A)
 DXPOA27                       105     (A)
 DXPOA28                       106     (A)
 DXPOA29                       107     (A)
 DXPOA30                       108     (A)
 DXPOA31                       109     (A)
 DXPOA32                       110     (A)
 DXPOA33                       111     (A)
 DXPOA34                       112     (A)
 DXPOA35                       113     (A)
 DXPOA36                       114     (A)
 DXPOA37                       115     (A)
 DXPOA38                       116     (A)
 DXPOA39                       117     (A)
 DXPOA40                       118     (A)
 DXPOA41                       119     (A)
 DXPOA42                       120     (A)
 DXPOA43                       121     (A)
 DXPOA44                       122     (A)
 DXPOA45                       123     (A)
 DXPOA46                       124     (A)
 DXPOA47                       125     (A)
 DXPOA48                       126     (A)
 DXPOA49                       127     (A)
 DXPOA50                       128     (A)
 DXPOA51                       129     (A)
 DXPOA52                       130     (A)
 DXPOA53                       131     (A)
 DXPOA54                       132     (A)
 DXPOA55                       133     (A)
 DXPOA56                       134     (A)
 DXPOA57                       135     (A)
 DXPOA58                       136     (A)
 DXPOA59                       137     (A)
 DXPOA60                       138     (A)
 DXPOA61                       139     (A)
 DXPOA62                       140     (A)
 DXPOA63                       141     (A)
 DXPOA64                       142     (A)
 DXPOA65                       143     (A)
 DXPOA66                       144     (A)
 DXPOA67                       145     (A)
 DXPOA68                       146     (A)
 DXPOA69                       147     (A)
 DXPOA70                       148     (A)
 DXPOA71                       149     (A)
 DXPOA72                       150     (A)
 DXPOA73                       151     (A)
 DXPOA74                       152     (A)
 DXPOA75                       153     (A)
 DXPOA76                       154     (A)
 DXPOA77                       155     (A)
 DXPOA78                       156     (A)
 DXPOA79                       157     (A)
 DXPOA80                       158     (A)
 DXPOA81                       159     (A)
 DXPOA82                       160     (A)
 DXPOA83                       161     (A)
 DXPOA84                       162     (A)
 DXPOA85                       163     (A)
 DXPOA86                       164     (A)
 DXPOA87                       165     (A)
 DXPOA88                       166     (A)
 DXPOA89                       167     (A)
 DXPOA90                       168     (A)
 DXPOA91                       169     (A)
 DXPOA92                       170     (A)
 DXPOA93                       171     (A)
 DXPOA94                       172     (A)
 DXPOA95                       173     (A)
 DXPOA96                       174     (A)
 FEMALE                        175- 176
 HCUP_ED                       177- 178
 HCUP_OS                       179- 180
 HISPANIC                      181- 182
 HISPANIC_X                    183- 197 (A)
 Homeless                      198- 199
 HOSPST                        200- 201 (A)
 I10_BIRTH                     202- 204
 I10_DELIVERY                  205- 207
 I10_DX_Admitting              208- 214 (A)
 I10_DX1                       215- 221 (A)
 I10_DX2                       222- 228 (A)
 I10_DX3                       229- 235 (A)
 I10_DX4                       236- 242 (A)
 I10_DX5                       243- 249 (A)
 I10_DX6                       250- 256 (A)
 I10_DX7                       257- 263 (A)
 I10_DX8                       264- 270 (A)
 I10_DX9                       271- 277 (A)
 I10_DX10                      278- 284 (A)
 I10_DX11                      285- 291 (A)
 I10_DX12                      292- 298 (A)
 I10_DX13                      299- 305 (A)
 I10_DX14                      306- 312 (A)
 I10_DX15                      313- 319 (A)
 I10_DX16                      320- 326 (A)
 I10_DX17                      327- 333 (A)
 I10_DX18                      334- 340 (A)
 I10_DX19                      341- 347 (A)
 I10_DX20                      348- 354 (A)
 I10_DX21                      355- 361 (A)
 I10_DX22                      362- 368 (A)
 I10_DX23                      369- 375 (A)
 I10_DX24                      376- 382 (A)
 I10_DX25                      383- 389 (A)
 I10_DX26                      390- 396 (A)
 I10_DX27                      397- 403 (A)
 I10_DX28                      404- 410 (A)
 I10_DX29                      411- 417 (A)
 I10_DX30                      418- 424 (A)
 I10_DX31                      425- 431 (A)
 I10_DX32                      432- 438 (A)
 I10_DX33                      439- 445 (A)
 I10_DX34                      446- 452 (A)
 I10_DX35                      453- 459 (A)
 I10_DX36                      460- 466 (A)
 I10_DX37                      467- 473 (A)
 I10_DX38                      474- 480 (A)
 I10_DX39                      481- 487 (A)
 I10_DX40                      488- 494 (A)
 I10_DX41                      495- 501 (A)
 I10_DX42                      502- 508 (A)
 I10_DX43                      509- 515 (A)
 I10_DX44                      516- 522 (A)
 I10_DX45                      523- 529 (A)
 I10_DX46                      530- 536 (A)
 I10_DX47                      537- 543 (A)
 I10_DX48                      544- 550 (A)
 I10_DX49                      551- 557 (A)
 I10_DX50                      558- 564 (A)
 I10_DX51                      565- 571 (A)
 I10_DX52                      572- 578 (A)
 I10_DX53                      579- 585 (A)
 I10_DX54                      586- 592 (A)
 I10_DX55                      593- 599 (A)
 I10_DX56                      600- 606 (A)
 I10_DX57                      607- 613 (A)
 I10_DX58                      614- 620 (A)
 I10_DX59                      621- 627 (A)
 I10_DX60                      628- 634 (A)
 I10_DX61                      635- 641 (A)
 I10_DX62                      642- 648 (A)
 I10_DX63                      649- 655 (A)
 I10_DX64                      656- 662 (A)
 I10_DX65                      663- 669 (A)
 I10_DX66                      670- 676 (A)
 I10_DX67                      677- 683 (A)
 I10_DX68                      684- 690 (A)
 I10_DX69                      691- 697 (A)
 I10_DX70                      698- 704 (A)
 I10_DX71                      705- 711 (A)
 I10_DX72                      712- 718 (A)
 I10_DX73                      719- 725 (A)
 I10_DX74                      726- 732 (A)
 I10_DX75                      733- 739 (A)
 I10_DX76                      740- 746 (A)
 I10_DX77                      747- 753 (A)
 I10_DX78                      754- 760 (A)
 I10_DX79                      761- 767 (A)
 I10_DX80                      768- 774 (A)
 I10_DX81                      775- 781 (A)
 I10_DX82                      782- 788 (A)
 I10_DX83                      789- 795 (A)
 I10_DX84                      796- 802 (A)
 I10_DX85                      803- 809 (A)
 I10_DX86                      810- 816 (A)
 I10_DX87                      817- 823 (A)
 I10_DX88                      824- 830 (A)
 I10_DX89                      831- 837 (A)
 I10_DX90                      838- 844 (A)
 I10_DX91                      845- 851 (A)
 I10_DX92                      852- 858 (A)
 I10_DX93                      859- 865 (A)
 I10_DX94                      866- 872 (A)
 I10_DX95                      873- 879 (A)
 I10_DX96                      880- 886 (A)
 I10_NDX                       887- 889
 I10_NPR                       890- 892
 I10_PR1                       893- 899 (A)
 I10_PR2                       900- 906 (A)
 I10_PR3                       907- 913 (A)
 I10_PR4                       914- 920 (A)
 I10_PR5                       921- 927 (A)
 I10_PR6                       928- 934 (A)
 I10_PR7                       935- 941 (A)
 I10_PR8                       942- 948 (A)
 I10_PR9                       949- 955 (A)
 I10_PR10                      956- 962 (A)
 I10_PR11                      963- 969 (A)
 I10_PR12                      970- 976 (A)
 I10_PR13                      977- 983 (A)
 I10_PR14                      984- 990 (A)
 I10_PR15                      991- 997 (A)
 I10_PR16                      998-1004 (A)
 I10_PR17                     1005-1011 (A)
 I10_PR18                     1012-1018 (A)
 I10_PR19                     1019-1025 (A)
 I10_PR20                     1026-1032 (A)
 I10_PR21                     1033-1039 (A)
 I10_PR22                     1040-1046 (A)
 I10_PR23                     1047-1053 (A)
 I10_PR24                     1054-1060 (A)
 I10_PR25                     1061-1067 (A)
 I10_PR26                     1068-1074 (A)
 I10_PR27                     1075-1081 (A)
 I10_PR28                     1082-1088 (A)
 I10_PR29                     1089-1095 (A)
 I10_PR30                     1096-1102 (A)
 I10_PR31                     1103-1109 (A)
 I10_PR32                     1110-1116 (A)
 I10_PR33                     1117-1123 (A)
 I10_PR34                     1124-1130 (A)
 I10_PR35                     1131-1137 (A)
 I10_PR36                     1138-1144 (A)
 I10_PR37                     1145-1151 (A)
 I10_PR38                     1152-1158 (A)
 I10_PR39                     1159-1165 (A)
 I10_PR40                     1166-1172 (A)
 I10_PR41                     1173-1179 (A)
 I10_PR42                     1180-1186 (A)
 I10_PR43                     1187-1193 (A)
 I10_PR44                     1194-1200 (A)
 I10_PR45                     1201-1207 (A)
 I10_PR46                     1208-1214 (A)
 I10_PR47                     1215-1221 (A)
 I10_PR48                     1222-1228 (A)
 I10_PR49                     1229-1235 (A)
 I10_PR50                     1236-1242 (A)
 I10_PR51                     1243-1249 (A)
 I10_PR52                     1250-1256 (A)
 I10_PR53                     1257-1263 (A)
 I10_PR54                     1264-1270 (A)
 I10_PR55                     1271-1277 (A)
 I10_PR56                     1278-1284 (A)
 I10_PR57                     1285-1291 (A)
 I10_PR58                     1292-1298 (A)
 I10_PR59                     1299-1305 (A)
 I10_PR60                     1306-1312 (A)
 I10_PR61                     1313-1319 (A)
 I10_PR62                     1320-1326 (A)
 I10_PR63                     1327-1333 (A)
 I10_PR64                     1334-1340 (A)
 I10_PR65                     1341-1347 (A)
 I10_PR66                     1348-1354 (A)
 I10_PR67                     1355-1361 (A)
 I10_PR68                     1362-1368 (A)
 I10_PR69                     1369-1375 (A)
 I10_PR70                     1376-1382 (A)
 I10_PR71                     1383-1389 (A)
 I10_PR72                     1390-1396 (A)
 I10_PR73                     1397-1403 (A)
 I10_PR74                     1404-1410 (A)
 I10_PR75                     1411-1417 (A)
 I10_PR76                     1418-1424 (A)
 I10_PR77                     1425-1431 (A)
 I10_PR78                     1432-1438 (A)
 I10_PR79                     1439-1445 (A)
 I10_PR80                     1446-1452 (A)
 I10_PR81                     1453-1459 (A)
 I10_PR82                     1460-1466 (A)
 I10_PR83                     1467-1473 (A)
 I10_PR84                     1474-1480 (A)
 I10_PR85                     1481-1487 (A)
 I10_PR86                     1488-1494 (A)
 I10_PR87                     1495-1501 (A)
 I10_PR88                     1502-1508 (A)
 I10_PR89                     1509-1515 (A)
 I10_PR90                     1516-1522 (A)
 I10_PR91                     1523-1529 (A)
 I10_PR92                     1530-1536 (A)
 I10_PR93                     1537-1543 (A)
 I10_PR94                     1544-1550 (A)
 I10_PR95                     1551-1557 (A)
 I10_PR96                     1558-1564 (A)
 I10_PR97                     1565-1571 (A)
 I10_PR98                     1572-1578 (A)
 I10_PR99                     1579-1585 (A)
 I10_PR100                    1586-1592 (A)
 I10_PR101                    1593-1599 (A)
 I10_PR102                    1600-1606 (A)
 I10_PR103                    1607-1613 (A)
 I10_PR104                    1614-1620 (A)
 I10_PR105                    1621-1627 (A)
 I10_PR106                    1628-1634 (A)
 I10_PR107                    1635-1641 (A)
 I10_PR108                    1642-1648 (A)
 I10_PR109                    1649-1655 (A)
 I10_PR110                    1656-1662 (A)
 I10_PR111                    1663-1669 (A)
 I10_PR112                    1670-1676 (A)
 I10_PR113                    1677-1683 (A)
 I10_PR114                    1684-1690 (A)
 I10_PR115                    1691-1697 (A)
 I10_PR116                    1698-1704 (A)
 I10_PR117                    1705-1711 (A)
 I10_PR118                    1712-1718 (A)
 I10_PR119                    1719-1725 (A)
 I10_PR120                    1726-1732 (A)
 I10_PR121                    1733-1739 (A)
 I10_PR122                    1740-1746 (A)
 I10_PR123                    1747-1753 (A)
 I10_PR124                    1754-1760 (A)
 I10_PR125                    1761-1767 (A)
 I10_PR126                    1768-1774 (A)
 I10_PR127                    1775-1781 (A)
 I10_PR128                    1782-1788 (A)
 I10_PR129                    1789-1795 (A)
 I10_PR130                    1796-1802 (A)
 I10_PR131                    1803-1809 (A)
 I10_PR132                    1810-1816 (A)
 I10_PR133                    1817-1823 (A)
 I10_PR134                    1824-1830 (A)
 I10_PR135                    1831-1837 (A)
 I10_PR136                    1838-1844 (A)
 I10_PR137                    1845-1851 (A)
 I10_PR138                    1852-1858 (A)
 I10_PR139                    1859-1865 (A)
 I10_PR140                    1866-1872 (A)
 I10_PR141                    1873-1879 (A)
 I10_PR142                    1880-1886 (A)
 I10_PR143                    1887-1893 (A)
 I10_PR144                    1894-1900 (A)
 I10_PR145                    1901-1907 (A)
 I10_PR146                    1908-1914 (A)
 I10_PR147                    1915-1921 (A)
 I10_PR148                    1922-1928 (A)
 I10_PR149                    1929-1935 (A)
 I10_PR150                    1936-1942 (A)
 I10_PR151                    1943-1949 (A)
 I10_PR152                    1950-1956 (A)
 I10_PR153                    1957-1963 (A)
 I10_PR154                    1964-1970 (A)
 I10_PR155                    1971-1977 (A)
 I10_PR156                    1978-1984 (A)
 I10_PR157                    1985-1991 (A)
 I10_PR158                    1992-1998 (A)
 I10_PR159                    1999-2005 (A)
 I10_PR160                    2006-2012 (A)
 I10_PR161                    2013-2019 (A)
 I10_PR162                    2020-2026 (A)
 I10_PR163                    2027-2033 (A)
 I10_PR164                    2034-2040 (A)
 I10_PR165                    2041-2047 (A)
 I10_PR166                    2048-2054 (A)
 I10_PR167                    2055-2061 (A)
 I10_PR168                    2062-2068 (A)
 I10_PR169                    2069-2075 (A)
 I10_PR170                    2076-2082 (A)
 I10_PR171                    2083-2089 (A)
 I10_PR172                    2090-2096 (A)
 I10_PR173                    2097-2103 (A)
 I10_PR174                    2104-2110 (A)
 I10_PR175                    2111-2117 (A)
 I10_PR176                    2118-2124 (A)
 I10_PR177                    2125-2131 (A)
 I10_PR178                    2132-2138 (A)
 I10_PR179                    2139-2145 (A)
 I10_PR180                    2146-2152 (A)
 I10_PR181                    2153-2159 (A)
 I10_PR182                    2160-2166 (A)
 I10_PR183                    2167-2173 (A)
 I10_PR184                    2174-2180 (A)
 I10_PR185                    2181-2187 (A)
 I10_PR186                    2188-2194 (A)
 I10_PR187                    2195-2201 (A)
 I10_PR188                    2202-2208 (A)
 I10_PR189                    2209-2215 (A)
 I10_PR190                    2216-2222 (A)
 I10_PR191                    2223-2229 (A)
 I10_PR192                    2230-2236 (A)
 I10_PR193                    2237-2243 (A)
 I10_PR194                    2244-2250 (A)
 I10_PR195                    2251-2257 (A)
 I10_PR196                    2258-2264 (A)
 I10_PR197                    2265-2271 (A)
 I10_PR198                    2272-2278 (A)
 I10_PR199                    2279-2285 (A)
 I10_PR200                    2286-2292 (A)
 I10_PROCTYPE                 2293-2295
 I10_SERVICELINE              2296-2297
 KEY                          2298-2312
 LOS                          2313-2317
 LOS_X                        2318-2323
 MDC                          2324-2325
 MDC_NoPOA                    2326-2327
 MEDINCSTQ                    2328-2329
 OS_TIME                      2330-2340
 PAY1                         2341-2342
 PAY1_X                       2343     (A)
 PAY2                         2344-2345
 PAY2_X                       2346     (A)
 PAYER1_X                     2347-2349 (A)
 PAYER2_X                     2350-2352 (A)
 PCLASS_ORPROC                2353-2354
 PL_CBSA                      2355-2357
 PL_UR_CAT4                   2358-2359
 POA_Disch_Edit1              2360-2361
 POA_Disch_Edit2              2362-2363
 POA_Hosp_Edit1               2364-2365
 POA_Hosp_Edit2               2366-2367
 POA_Hosp_Edit3               2368-2369
 POA_Hosp_Edit3_Value         2370-2377
 PRDAY1                       2378-2382
 PRDAY2                       2383-2387
 PRDAY3                       2388-2392
 PRDAY4                       2393-2397
 PRDAY5                       2398-2402
 PRDAY6                       2403-2407
 PRDAY7                       2408-2412
 PRDAY8                       2413-2417
 PRDAY9                       2418-2422
 PRDAY10                      2423-2427
 PRDAY11                      2428-2432
 PRDAY12                      2433-2437
 PRDAY13                      2438-2442
 PRDAY14                      2443-2447
 PRDAY15                      2448-2452
 PRDAY16                      2453-2457
 PRDAY17                      2458-2462
 PRDAY18                      2463-2467
 PRDAY19                      2468-2472
 PRDAY20                      2473-2477
 PRDAY21                      2478-2482
 PRDAY22                      2483-2487
 PRDAY23                      2488-2492
 PRDAY24                      2493-2497
 PRDAY25                      2498-2502
 PRDAY26                      2503-2507
 PRDAY27                      2508-2512
 PRDAY28                      2513-2517
 PRDAY29                      2518-2522
 PRDAY30                      2523-2527
 PRDAY31                      2528-2532
 PRDAY32                      2533-2537
 PRDAY33                      2538-2542
 PRDAY34                      2543-2547
 PRDAY35                      2548-2552
 PRDAY36                      2553-2557
 PRDAY37                      2558-2562
 PRDAY38                      2563-2567
 PRDAY39                      2568-2572
 PRDAY40                      2573-2577
 PRDAY41                      2578-2582
 PRDAY42                      2583-2587
 PRDAY43                      2588-2592
 PRDAY44                      2593-2597
 PRDAY45                      2598-2602
 PRDAY46                      2603-2607
 PRDAY47                      2608-2612
 PRDAY48                      2613-2617
 PRDAY49                      2618-2622
 PRDAY50                      2623-2627
 PRDAY51                      2628-2632
 PRDAY52                      2633-2637
 PRDAY53                      2638-2642
 PRDAY54                      2643-2647
 PRDAY55                      2648-2652
 PRDAY56                      2653-2657
 PRDAY57                      2658-2662
 PRDAY58                      2663-2667
 PRDAY59                      2668-2672
 PRDAY60                      2673-2677
 PRDAY61                      2678-2682
 PRDAY62                      2683-2687
 PRDAY63                      2688-2692
 PRDAY64                      2693-2697
 PRDAY65                      2698-2702
 PRDAY66                      2703-2707
 PRDAY67                      2708-2712
 PRDAY68                      2713-2717
 PRDAY69                      2718-2722
 PRDAY70                      2723-2727
 PRDAY71                      2728-2732
 PRDAY72                      2733-2737
 PRDAY73                      2738-2742
 PRDAY74                      2743-2747
 PRDAY75                      2748-2752
 PRDAY76                      2753-2757
 PRDAY77                      2758-2762
 PRDAY78                      2763-2767
 PRDAY79                      2768-2772
 PRDAY80                      2773-2777
 PRDAY81                      2778-2782
 PRDAY82                      2783-2787
 PRDAY83                      2788-2792
 PRDAY84                      2793-2797
 PRDAY85                      2798-2802
 PRDAY86                      2803-2807
 PRDAY87                      2808-2812
 PRDAY88                      2813-2817
 PRDAY89                      2818-2822
 PRDAY90                      2823-2827
 PRDAY91                      2828-2832
 PRDAY92                      2833-2837
 PRDAY93                      2838-2842
 PRDAY94                      2843-2847
 PRDAY95                      2848-2852
 PRDAY96                      2853-2857
 PRDAY97                      2858-2862
 PRDAY98                      2863-2867
 PRDAY99                      2868-2872
 PRDAY100                     2873-2877
 PRDAY101                     2878-2882
 PRDAY102                     2883-2887
 PRDAY103                     2888-2892
 PRDAY104                     2893-2897
 PRDAY105                     2898-2902
 PRDAY106                     2903-2907
 PRDAY107                     2908-2912
 PRDAY108                     2913-2917
 PRDAY109                     2918-2922
 PRDAY110                     2923-2927
 PRDAY111                     2928-2932
 PRDAY112                     2933-2937
 PRDAY113                     2938-2942
 PRDAY114                     2943-2947
 PRDAY115                     2948-2952
 PRDAY116                     2953-2957
 PRDAY117                     2958-2962
 PRDAY118                     2963-2967
 PRDAY119                     2968-2972
 PRDAY120                     2973-2977
 PRDAY121                     2978-2982
 PRDAY122                     2983-2987
 PRDAY123                     2988-2992
 PRDAY124                     2993-2997
 PRDAY125                     2998-3002
 PRDAY126                     3003-3007
 PRDAY127                     3008-3012
 PRDAY128                     3013-3017
 PRDAY129                     3018-3022
 PRDAY130                     3023-3027
 PRDAY131                     3028-3032
 PRDAY132                     3033-3037
 PRDAY133                     3038-3042
 PRDAY134                     3043-3047
 PRDAY135                     3048-3052
 PRDAY136                     3053-3057
 PRDAY137                     3058-3062
 PRDAY138                     3063-3067
 PRDAY139                     3068-3072
 PRDAY140                     3073-3077
 PRDAY141                     3078-3082
 PRDAY142                     3083-3087
 PRDAY143                     3088-3092
 PRDAY144                     3093-3097
 PRDAY145                     3098-3102
 PRDAY146                     3103-3107
 PRDAY147                     3108-3112
 PRDAY148                     3113-3117
 PRDAY149                     3118-3122
 PRDAY150                     3123-3127
 PRDAY151                     3128-3132
 PRDAY152                     3133-3137
 PRDAY153                     3138-3142
 PRDAY154                     3143-3147
 PRDAY155                     3148-3152
 PRDAY156                     3153-3157
 PRDAY157                     3158-3162
 PRDAY158                     3163-3167
 PRDAY159                     3168-3172
 PRDAY160                     3173-3177
 PRDAY161                     3178-3182
 PRDAY162                     3183-3187
 PRDAY163                     3188-3192
 PRDAY164                     3193-3197
 PRDAY165                     3198-3202
 PRDAY166                     3203-3207
 PRDAY167                     3208-3212
 PRDAY168                     3213-3217
 PRDAY169                     3218-3222
 PRDAY170                     3223-3227
 PRDAY171                     3228-3232
 PRDAY172                     3233-3237
 PRDAY173                     3238-3242
 PRDAY174                     3243-3247
 PRDAY175                     3248-3252
 PRDAY176                     3253-3257
 PRDAY177                     3258-3262
 PRDAY178                     3263-3267
 PRDAY179                     3268-3272
 PRDAY180                     3273-3277
 PRDAY181                     3278-3282
 PRDAY182                     3283-3287
 PRDAY183                     3288-3292
 PRDAY184                     3293-3297
 PRDAY185                     3298-3302
 PRDAY186                     3303-3307
 PRDAY187                     3308-3312
 PRDAY188                     3313-3317
 PRDAY189                     3318-3322
 PRDAY190                     3323-3327
 PRDAY191                     3328-3332
 PRDAY192                     3333-3337
 PRDAY193                     3338-3342
 PRDAY194                     3343-3347
 PRDAY195                     3348-3352
 PRDAY196                     3353-3357
 PRDAY197                     3358-3362
 PRDAY198                     3363-3367
 PRDAY199                     3368-3372
 PRDAY200                     3373-3377
 PSTATE                       3378-3379 (A)
 PSTATE_GEO                   3380-3381 (A)
 PSTCO_GEO                    3382-3386
 RACE                         3387-3388
 RACE_PCT_MISS_HOSP           3389-3395
 RACE_X                       3396-3408 (A)
 TOTCHG                       3409-3418
 TOTCHG_X                     3419-3433
 TRAN_IN                      3434-3435
 TRAN_OUT                     3436-3437
 VisitLink                    3438-3446
 YEAR                         3447-3450
 ZIP3                         3451-3453 (A)
 ZIPINC_QRTL                  3454-3456
 AYEAR                        3457-3460
 PRMONTH1                     3461-3462
 PRMONTH2                     3463-3464
 PRMONTH3                     3465-3466
 PRMONTH4                     3467-3468
 PRMONTH5                     3469-3470
 PRMONTH6                     3471-3472
 PRMONTH7                     3473-3474
 PRMONTH8                     3475-3476
 PRMONTH9                     3477-3478
 PRMONTH10                    3479-3480
 PRMONTH11                    3481-3482
 PRMONTH12                    3483-3484
 PRMONTH13                    3485-3486
 PRMONTH14                    3487-3488
 PRMONTH15                    3489-3490
 PRMONTH16                    3491-3492
 PRMONTH17                    3493-3494
 PRMONTH18                    3495-3496
 PRMONTH19                    3497-3498
 PRMONTH20                    3499-3500
 PRMONTH21                    3501-3502
 PRMONTH22                    3503-3504
 PRMONTH23                    3505-3506
 PRMONTH24                    3507-3508
 PRMONTH25                    3509-3510
 PRMONTH26                    3511-3512
 PRMONTH27                    3513-3514
 PRMONTH28                    3515-3516
 PRMONTH29                    3517-3518
 PRMONTH30                    3519-3520
 PRMONTH31                    3521-3522
 PRMONTH32                    3523-3524
 PRMONTH33                    3525-3526
 PRMONTH34                    3527-3528
 PRMONTH35                    3529-3530
 PRMONTH36                    3531-3532
 PRMONTH37                    3533-3534
 PRMONTH38                    3535-3536
 PRMONTH39                    3537-3538
 PRMONTH40                    3539-3540
 PRMONTH41                    3541-3542
 PRMONTH42                    3543-3544
 PRMONTH43                    3545-3546
 PRMONTH44                    3547-3548
 PRMONTH45                    3549-3550
 PRMONTH46                    3551-3552
 PRMONTH47                    3553-3554
 PRMONTH48                    3555-3556
 PRMONTH49                    3557-3558
 PRMONTH50                    3559-3560
 PRMONTH51                    3561-3562
 PRMONTH52                    3563-3564
 PRMONTH53                    3565-3566
 PRMONTH54                    3567-3568
 PRMONTH55                    3569-3570
 PRMONTH56                    3571-3572
 PRMONTH57                    3573-3574
 PRMONTH58                    3575-3576
 PRMONTH59                    3577-3578
 PRMONTH60                    3579-3580
 PRMONTH61                    3581-3582
 PRMONTH62                    3583-3584
 PRMONTH63                    3585-3586
 PRMONTH64                    3587-3588
 PRMONTH65                    3589-3590
 PRMONTH66                    3591-3592
 PRMONTH67                    3593-3594
 PRMONTH68                    3595-3596
 PRMONTH69                    3597-3598
 PRMONTH70                    3599-3600
 PRMONTH71                    3601-3602
 PRMONTH72                    3603-3604
 PRMONTH73                    3605-3606
 PRMONTH74                    3607-3608
 PRMONTH75                    3609-3610
 PRMONTH76                    3611-3612
 PRMONTH77                    3613-3614
 PRMONTH78                    3615-3616
 PRMONTH79                    3617-3618
 PRMONTH80                    3619-3620
 PRMONTH81                    3621-3622
 PRMONTH82                    3623-3624
 PRMONTH83                    3625-3626
 PRMONTH84                    3627-3628
 PRMONTH85                    3629-3630
 PRMONTH86                    3631-3632
 PRMONTH87                    3633-3634
 PRMONTH88                    3635-3636
 PRMONTH89                    3637-3638
 PRMONTH90                    3639-3640
 PRMONTH91                    3641-3642
 PRMONTH92                    3643-3644
 PRMONTH93                    3645-3646
 PRMONTH94                    3647-3648
 PRMONTH95                    3649-3650
 PRMONTH96                    3651-3652
 PRMONTH97                    3653-3654
 PRMONTH98                    3655-3656
 PRMONTH99                    3657-3658
 PRMONTH100                   3659-3660
 PRMONTH101                   3661-3662
 PRMONTH102                   3663-3664
 PRMONTH103                   3665-3666
 PRMONTH104                   3667-3668
 PRMONTH105                   3669-3670
 PRMONTH106                   3671-3672
 PRMONTH107                   3673-3674
 PRMONTH108                   3675-3676
 PRMONTH109                   3677-3678
 PRMONTH110                   3679-3680
 PRMONTH111                   3681-3682
 PRMONTH112                   3683-3684
 PRMONTH113                   3685-3686
 PRMONTH114                   3687-3688
 PRMONTH115                   3689-3690
 PRMONTH116                   3691-3692
 PRMONTH117                   3693-3694
 PRMONTH118                   3695-3696
 PRMONTH119                   3697-3698
 PRMONTH120                   3699-3700
 PRMONTH121                   3701-3702
 PRMONTH122                   3703-3704
 PRMONTH123                   3705-3706
 PRMONTH124                   3707-3708
 PRMONTH125                   3709-3710
 PRMONTH126                   3711-3712
 PRMONTH127                   3713-3714
 PRMONTH128                   3715-3716
 PRMONTH129                   3717-3718
 PRMONTH130                   3719-3720
 PRMONTH131                   3721-3722
 PRMONTH132                   3723-3724
 PRMONTH133                   3725-3726
 PRMONTH134                   3727-3728
 PRMONTH135                   3729-3730
 PRMONTH136                   3731-3732
 PRMONTH137                   3733-3734
 PRMONTH138                   3735-3736
 PRMONTH139                   3737-3738
 PRMONTH140                   3739-3740
 PRMONTH141                   3741-3742
 PRMONTH142                   3743-3744
 PRMONTH143                   3745-3746
 PRMONTH144                   3747-3748
 PRMONTH145                   3749-3750
 PRMONTH146                   3751-3752
 PRMONTH147                   3753-3754
 PRMONTH148                   3755-3756
 PRMONTH149                   3757-3758
 PRMONTH150                   3759-3760
 PRMONTH151                   3761-3762
 PRMONTH152                   3763-3764
 PRMONTH153                   3765-3766
 PRMONTH154                   3767-3768
 PRMONTH155                   3769-3770
 PRMONTH156                   3771-3772
 PRMONTH157                   3773-3774
 PRMONTH158                   3775-3776
 PRMONTH159                   3777-3778
 PRMONTH160                   3779-3780
 PRMONTH161                   3781-3782
 PRMONTH162                   3783-3784
 PRMONTH163                   3785-3786
 PRMONTH164                   3787-3788
 PRMONTH165                   3789-3790
 PRMONTH166                   3791-3792
 PRMONTH167                   3793-3794
 PRMONTH168                   3795-3796
 PRMONTH169                   3797-3798
 PRMONTH170                   3799-3800
 PRMONTH171                   3801-3802
 PRMONTH172                   3803-3804
 PRMONTH173                   3805-3806
 PRMONTH174                   3807-3808
 PRMONTH175                   3809-3810
 PRMONTH176                   3811-3812
 PRMONTH177                   3813-3814
 PRMONTH178                   3815-3816
 PRMONTH179                   3817-3818
 PRMONTH180                   3819-3820
 PRMONTH181                   3821-3822
 PRMONTH182                   3823-3824
 PRMONTH183                   3825-3826
 PRMONTH184                   3827-3828
 PRMONTH185                   3829-3830
 PRMONTH186                   3831-3832
 PRMONTH187                   3833-3834
 PRMONTH188                   3835-3836
 PRMONTH189                   3837-3838
 PRMONTH190                   3839-3840
 PRMONTH191                   3841-3842
 PRMONTH192                   3843-3844
 PRMONTH193                   3845-3846
 PRMONTH194                   3847-3848
 PRMONTH195                   3849-3850
 PRMONTH196                   3851-3852
 PRMONTH197                   3853-3854
 PRMONTH198                   3855-3856
 PRMONTH199                   3857-3858
 PRMONTH200                   3859-3860
 PRYEAR1                      3861-3864
 PRYEAR2                      3865-3868
 PRYEAR3                      3869-3872
 PRYEAR4                      3873-3876
 PRYEAR5                      3877-3880
 PRYEAR6                      3881-3884
 PRYEAR7                      3885-3888
 PRYEAR8                      3889-3892
 PRYEAR9                      3893-3896
 PRYEAR10                     3897-3900
 PRYEAR11                     3901-3904
 PRYEAR12                     3905-3908
 PRYEAR13                     3909-3912
 PRYEAR14                     3913-3916
 PRYEAR15                     3917-3920
 PRYEAR16                     3921-3924
 PRYEAR17                     3925-3928
 PRYEAR18                     3929-3932
 PRYEAR19                     3933-3936
 PRYEAR20                     3937-3940
 PRYEAR21                     3941-3944
 PRYEAR22                     3945-3948
 PRYEAR23                     3949-3952
 PRYEAR24                     3953-3956
 PRYEAR25                     3957-3960
 PRYEAR26                     3961-3964
 PRYEAR27                     3965-3968
 PRYEAR28                     3969-3972
 PRYEAR29                     3973-3976
 PRYEAR30                     3977-3980
 PRYEAR31                     3981-3984
 PRYEAR32                     3985-3988
 PRYEAR33                     3989-3992
 PRYEAR34                     3993-3996
 PRYEAR35                     3997-4000
 PRYEAR36                     4001-4004
 PRYEAR37                     4005-4008
 PRYEAR38                     4009-4012
 PRYEAR39                     4013-4016
 PRYEAR40                     4017-4020
 PRYEAR41                     4021-4024
 PRYEAR42                     4025-4028
 PRYEAR43                     4029-4032
 PRYEAR44                     4033-4036
 PRYEAR45                     4037-4040
 PRYEAR46                     4041-4044
 PRYEAR47                     4045-4048
 PRYEAR48                     4049-4052
 PRYEAR49                     4053-4056
 PRYEAR50                     4057-4060
 PRYEAR51                     4061-4064
 PRYEAR52                     4065-4068
 PRYEAR53                     4069-4072
 PRYEAR54                     4073-4076
 PRYEAR55                     4077-4080
 PRYEAR56                     4081-4084
 PRYEAR57                     4085-4088
 PRYEAR58                     4089-4092
 PRYEAR59                     4093-4096
 PRYEAR60                     4097-4100
 PRYEAR61                     4101-4104
 PRYEAR62                     4105-4108
 PRYEAR63                     4109-4112
 PRYEAR64                     4113-4116
 PRYEAR65                     4117-4120
 PRYEAR66                     4121-4124
 PRYEAR67                     4125-4128
 PRYEAR68                     4129-4132
 PRYEAR69                     4133-4136
 PRYEAR70                     4137-4140
 PRYEAR71                     4141-4144
 PRYEAR72                     4145-4148
 PRYEAR73                     4149-4152
 PRYEAR74                     4153-4156
 PRYEAR75                     4157-4160
 PRYEAR76                     4161-4164
 PRYEAR77                     4165-4168
 PRYEAR78                     4169-4172
 PRYEAR79                     4173-4176
 PRYEAR80                     4177-4180
 PRYEAR81                     4181-4184
 PRYEAR82                     4185-4188
 PRYEAR83                     4189-4192
 PRYEAR84                     4193-4196
 PRYEAR85                     4197-4200
 PRYEAR86                     4201-4204
 PRYEAR87                     4205-4208
 PRYEAR88                     4209-4212
 PRYEAR89                     4213-4216
 PRYEAR90                     4217-4220
 PRYEAR91                     4221-4224
 PRYEAR92                     4225-4228
 PRYEAR93                     4229-4232
 PRYEAR94                     4233-4236
 PRYEAR95                     4237-4240
 PRYEAR96                     4241-4244
 PRYEAR97                     4245-4248
 PRYEAR98                     4249-4252
 PRYEAR99                     4253-4256
 PRYEAR100                    4257-4260
 PRYEAR101                    4261-4264
 PRYEAR102                    4265-4268
 PRYEAR103                    4269-4272
 PRYEAR104                    4273-4276
 PRYEAR105                    4277-4280
 PRYEAR106                    4281-4284
 PRYEAR107                    4285-4288
 PRYEAR108                    4289-4292
 PRYEAR109                    4293-4296
 PRYEAR110                    4297-4300
 PRYEAR111                    4301-4304
 PRYEAR112                    4305-4308
 PRYEAR113                    4309-4312
 PRYEAR114                    4313-4316
 PRYEAR115                    4317-4320
 PRYEAR116                    4321-4324
 PRYEAR117                    4325-4328
 PRYEAR118                    4329-4332
 PRYEAR119                    4333-4336
 PRYEAR120                    4337-4340
 PRYEAR121                    4341-4344
 PRYEAR122                    4345-4348
 PRYEAR123                    4349-4352
 PRYEAR124                    4353-4356
 PRYEAR125                    4357-4360
 PRYEAR126                    4361-4364
 PRYEAR127                    4365-4368
 PRYEAR128                    4369-4372
 PRYEAR129                    4373-4376
 PRYEAR130                    4377-4380
 PRYEAR131                    4381-4384
 PRYEAR132                    4385-4388
 PRYEAR133                    4389-4392
 PRYEAR134                    4393-4396
 PRYEAR135                    4397-4400
 PRYEAR136                    4401-4404
 PRYEAR137                    4405-4408
 PRYEAR138                    4409-4412
 PRYEAR139                    4413-4416
 PRYEAR140                    4417-4420
 PRYEAR141                    4421-4424
 PRYEAR142                    4425-4428
 PRYEAR143                    4429-4432
 PRYEAR144                    4433-4436
 PRYEAR145                    4437-4440
 PRYEAR146                    4441-4444
 PRYEAR147                    4445-4448
 PRYEAR148                    4449-4452
 PRYEAR149                    4453-4456
 PRYEAR150                    4457-4460
 PRYEAR151                    4461-4464
 PRYEAR152                    4465-4468
 PRYEAR153                    4469-4472
 PRYEAR154                    4473-4476
 PRYEAR155                    4477-4480
 PRYEAR156                    4481-4484
 PRYEAR157                    4485-4488
 PRYEAR158                    4489-4492
 PRYEAR159                    4493-4496
 PRYEAR160                    4497-4500
 PRYEAR161                    4501-4504
 PRYEAR162                    4505-4508
 PRYEAR163                    4509-4512
 PRYEAR164                    4513-4516
 PRYEAR165                    4517-4520
 PRYEAR166                    4521-4524
 PRYEAR167                    4525-4528
 PRYEAR168                    4529-4532
 PRYEAR169                    4533-4536
 PRYEAR170                    4537-4540
 PRYEAR171                    4541-4544
 PRYEAR172                    4545-4548
 PRYEAR173                    4549-4552
 PRYEAR174                    4553-4556
 PRYEAR175                    4557-4560
 PRYEAR176                    4561-4564
 PRYEAR177                    4565-4568
 PRYEAR178                    4569-4572
 PRYEAR179                    4573-4576
 PRYEAR180                    4577-4580
 PRYEAR181                    4581-4584
 PRYEAR182                    4585-4588
 PRYEAR183                    4589-4592
 PRYEAR184                    4593-4596
 PRYEAR185                    4597-4600
 PRYEAR186                    4601-4604
 PRYEAR187                    4605-4608
 PRYEAR188                    4609-4612
 PRYEAR189                    4613-4616
 PRYEAR190                    4617-4620
 PRYEAR191                    4621-4624
 PRYEAR192                    4625-4628
 PRYEAR193                    4629-4632
 PRYEAR194                    4633-4636
 PRYEAR195                    4637-4640
 PRYEAR196                    4641-4644
 PRYEAR197                    4645-4648
 PRYEAR198                    4649-4652
 PRYEAR199                    4653-4656
 PRYEAR200                    4657-4660.


/***  Specify write formats  ***/
FORMATS
 ADRG                         (F3.0) /
 ADRGRISKMORTALITY            (F3.0) /
 ADRGSEV                      (F3.0) /
 AGE                          (F3.0) /
 AGEMONTH                     (F3.0) /
 AMDC                         (F3.0) /
 AMONTH                       (F3.0) /
 ASOURCE                      (F3.0) /
 ATYPE                        (F3.0) /
 AWEEKEND                     (F3.0) /
 BWT                          (F4.0) /
 DaysBetweenVisits            (F3.0) /
 DaysToEvent                  (F8.0) /
 DIED                         (F3.0) /
 DISPUB04                     (F3.0) /
 DISPUNIFORM                  (F3.0) /
 DMONTH                       (F3.0) /
 DNR                          (F3.0) /
 DQTR                         (F3.0) /
 DRG                          (F3.0) /
 DRG_NoPOA                    (F3.0) /
 DRGVER                       (F3.0) /
 FEMALE                       (F3.0) /
 HCUP_ED                      (F3.0) /
 HCUP_OS                      (F3.0) /
 HISPANIC                     (F3.0) /
 Homeless                     (F3.0) /
 I10_BIRTH                    (F3.0) /
 I10_DELIVERY                 (F3.0) /
 I10_NDX                      (F3.0) /
 I10_NPR                      (F3.0) /
 I10_PROCTYPE                 (F3.0) /
 I10_SERVICELINE              (F3.0) /
 KEY                          (F8.0) /
 LOS                          (F4.0) /
 LOS_X                        (F4.0) /
 MDC                          (F3.0) /
 MDC_NoPOA                    (F3.0) /
 MEDINCSTQ                    (F3.0) /
 OS_TIME                      (F4.2) /
 PAY1                         (F3.0) /
 PAY2                         (F3.0) /
 PCLASS_ORPROC                (F3.0) /
 PL_CBSA                      (F3.0) /
 PL_UR_CAT4                   (F3.0) /
 POA_Disch_Edit1              (F3.0) /
 POA_Disch_Edit2              (F3.0) /
 POA_Hosp_Edit1               (F3.0) /
 POA_Hosp_Edit2               (F3.0) /
 POA_Hosp_Edit3               (F3.0) /
 POA_Hosp_Edit3_Value         (F8.2) /
 PRDAY1                       (F4.0) /
 PRDAY2                       (F4.0) /
 PRDAY3                       (F4.0) /
 PRDAY4                       (F4.0) /
 PRDAY5                       (F4.0) /
 PRDAY6                       (F4.0) /
 PRDAY7                       (F4.0) /
 PRDAY8                       (F4.0) /
 PRDAY9                       (F4.0) /
 PRDAY10                      (F4.0) /
 PRDAY11                      (F4.0) /
 PRDAY12                      (F4.0) /
 PRDAY13                      (F4.0) /
 PRDAY14                      (F4.0) /
 PRDAY15                      (F4.0) /
 PRDAY16                      (F4.0) /
 PRDAY17                      (F4.0) /
 PRDAY18                      (F4.0) /
 PRDAY19                      (F4.0) /
 PRDAY20                      (F4.0) /
 PRDAY21                      (F4.0) /
 PRDAY22                      (F4.0) /
 PRDAY23                      (F4.0) /
 PRDAY24                      (F4.0) /
 PRDAY25                      (F4.0) /
 PRDAY26                      (F4.0) /
 PRDAY27                      (F4.0) /
 PRDAY28                      (F4.0) /
 PRDAY29                      (F4.0) /
 PRDAY30                      (F4.0) /
 PRDAY31                      (F4.0) /
 PRDAY32                      (F4.0) /
 PRDAY33                      (F4.0) /
 PRDAY34                      (F4.0) /
 PRDAY35                      (F4.0) /
 PRDAY36                      (F4.0) /
 PRDAY37                      (F4.0) /
 PRDAY38                      (F4.0) /
 PRDAY39                      (F4.0) /
 PRDAY40                      (F4.0) /
 PRDAY41                      (F4.0) /
 PRDAY42                      (F4.0) /
 PRDAY43                      (F4.0) /
 PRDAY44                      (F4.0) /
 PRDAY45                      (F4.0) /
 PRDAY46                      (F4.0) /
 PRDAY47                      (F4.0) /
 PRDAY48                      (F4.0) /
 PRDAY49                      (F4.0) /
 PRDAY50                      (F4.0) /
 PRDAY51                      (F4.0) /
 PRDAY52                      (F4.0) /
 PRDAY53                      (F4.0) /
 PRDAY54                      (F4.0) /
 PRDAY55                      (F4.0) /
 PRDAY56                      (F4.0) /
 PRDAY57                      (F4.0) /
 PRDAY58                      (F4.0) /
 PRDAY59                      (F4.0) /
 PRDAY60                      (F4.0) /
 PRDAY61                      (F4.0) /
 PRDAY62                      (F4.0) /
 PRDAY63                      (F4.0) /
 PRDAY64                      (F4.0) /
 PRDAY65                      (F4.0) /
 PRDAY66                      (F4.0) /
 PRDAY67                      (F4.0) /
 PRDAY68                      (F4.0) /
 PRDAY69                      (F4.0) /
 PRDAY70                      (F4.0) /
 PRDAY71                      (F4.0) /
 PRDAY72                      (F4.0) /
 PRDAY73                      (F4.0) /
 PRDAY74                      (F4.0) /
 PRDAY75                      (F4.0) /
 PRDAY76                      (F4.0) /
 PRDAY77                      (F4.0) /
 PRDAY78                      (F4.0) /
 PRDAY79                      (F4.0) /
 PRDAY80                      (F4.0) /
 PRDAY81                      (F4.0) /
 PRDAY82                      (F4.0) /
 PRDAY83                      (F4.0) /
 PRDAY84                      (F4.0) /
 PRDAY85                      (F4.0) /
 PRDAY86                      (F4.0) /
 PRDAY87                      (F4.0) /
 PRDAY88                      (F4.0) /
 PRDAY89                      (F4.0) /
 PRDAY90                      (F4.0) /
 PRDAY91                      (F4.0) /
 PRDAY92                      (F4.0) /
 PRDAY93                      (F4.0) /
 PRDAY94                      (F4.0) /
 PRDAY95                      (F4.0) /
 PRDAY96                      (F4.0) /
 PRDAY97                      (F4.0) /
 PRDAY98                      (F4.0) /
 PRDAY99                      (F4.0) /
 PRDAY100                     (F4.0) /
 PRDAY101                     (F4.0) /
 PRDAY102                     (F4.0) /
 PRDAY103                     (F4.0) /
 PRDAY104                     (F4.0) /
 PRDAY105                     (F4.0) /
 PRDAY106                     (F4.0) /
 PRDAY107                     (F4.0) /
 PRDAY108                     (F4.0) /
 PRDAY109                     (F4.0) /
 PRDAY110                     (F4.0) /
 PRDAY111                     (F4.0) /
 PRDAY112                     (F4.0) /
 PRDAY113                     (F4.0) /
 PRDAY114                     (F4.0) /
 PRDAY115                     (F4.0) /
 PRDAY116                     (F4.0) /
 PRDAY117                     (F4.0) /
 PRDAY118                     (F4.0) /
 PRDAY119                     (F4.0) /
 PRDAY120                     (F4.0) /
 PRDAY121                     (F4.0) /
 PRDAY122                     (F4.0) /
 PRDAY123                     (F4.0) /
 PRDAY124                     (F4.0) /
 PRDAY125                     (F4.0) /
 PRDAY126                     (F4.0) /
 PRDAY127                     (F4.0) /
 PRDAY128                     (F4.0) /
 PRDAY129                     (F4.0) /
 PRDAY130                     (F4.0) /
 PRDAY131                     (F4.0) /
 PRDAY132                     (F4.0) /
 PRDAY133                     (F4.0) /
 PRDAY134                     (F4.0) /
 PRDAY135                     (F4.0) /
 PRDAY136                     (F4.0) /
 PRDAY137                     (F4.0) /
 PRDAY138                     (F4.0) /
 PRDAY139                     (F4.0) /
 PRDAY140                     (F4.0) /
 PRDAY141                     (F4.0) /
 PRDAY142                     (F4.0) /
 PRDAY143                     (F4.0) /
 PRDAY144                     (F4.0) /
 PRDAY145                     (F4.0) /
 PRDAY146                     (F4.0) /
 PRDAY147                     (F4.0) /
 PRDAY148                     (F4.0) /
 PRDAY149                     (F4.0) /
 PRDAY150                     (F4.0) /
 PRDAY151                     (F4.0) /
 PRDAY152                     (F4.0) /
 PRDAY153                     (F4.0) /
 PRDAY154                     (F4.0) /
 PRDAY155                     (F4.0) /
 PRDAY156                     (F4.0) /
 PRDAY157                     (F4.0) /
 PRDAY158                     (F4.0) /
 PRDAY159                     (F4.0) /
 PRDAY160                     (F4.0) /
 PRDAY161                     (F4.0) /
 PRDAY162                     (F4.0) /
 PRDAY163                     (F4.0) /
 PRDAY164                     (F4.0) /
 PRDAY165                     (F4.0) /
 PRDAY166                     (F4.0) /
 PRDAY167                     (F4.0) /
 PRDAY168                     (F4.0) /
 PRDAY169                     (F4.0) /
 PRDAY170                     (F4.0) /
 PRDAY171                     (F4.0) /
 PRDAY172                     (F4.0) /
 PRDAY173                     (F4.0) /
 PRDAY174                     (F4.0) /
 PRDAY175                     (F4.0) /
 PRDAY176                     (F4.0) /
 PRDAY177                     (F4.0) /
 PRDAY178                     (F4.0) /
 PRDAY179                     (F4.0) /
 PRDAY180                     (F4.0) /
 PRDAY181                     (F4.0) /
 PRDAY182                     (F4.0) /
 PRDAY183                     (F4.0) /
 PRDAY184                     (F4.0) /
 PRDAY185                     (F4.0) /
 PRDAY186                     (F4.0) /
 PRDAY187                     (F4.0) /
 PRDAY188                     (F4.0) /
 PRDAY189                     (F4.0) /
 PRDAY190                     (F4.0) /
 PRDAY191                     (F4.0) /
 PRDAY192                     (F4.0) /
 PRDAY193                     (F4.0) /
 PRDAY194                     (F4.0) /
 PRDAY195                     (F4.0) /
 PRDAY196                     (F4.0) /
 PRDAY197                     (F4.0) /
 PRDAY198                     (F4.0) /
 PRDAY199                     (F4.0) /
 PRDAY200                     (F4.0) /
 PSTCO_GEO                    (F4.0) /
 RACE                         (F3.0) /
 RACE_PCT_MISS_HOSP           (F4.2) /
 TOTCHG                       (F6.0) /
 TOTCHG_X                     (F7.2) /
 TRAN_IN                      (F3.0) /
 TRAN_OUT                     (F3.0) /
 VisitLink                    (F8.0) /
 YEAR                         (F3.0) /
 ZIPINC_QRTL                  (F3.0) /
 AYEAR                        (F3.0) /
 PRMONTH1                     (F3.0) /
 PRMONTH2                     (F3.0) /
 PRMONTH3                     (F3.0) /
 PRMONTH4                     (F3.0) /
 PRMONTH5                     (F3.0) /
 PRMONTH6                     (F3.0) /
 PRMONTH7                     (F3.0) /
 PRMONTH8                     (F3.0) /
 PRMONTH9                     (F3.0) /
 PRMONTH10                    (F3.0) /
 PRMONTH11                    (F3.0) /
 PRMONTH12                    (F3.0) /
 PRMONTH13                    (F3.0) /
 PRMONTH14                    (F3.0) /
 PRMONTH15                    (F3.0) /
 PRMONTH16                    (F3.0) /
 PRMONTH17                    (F3.0) /
 PRMONTH18                    (F3.0) /
 PRMONTH19                    (F3.0) /
 PRMONTH20                    (F3.0) /
 PRMONTH21                    (F3.0) /
 PRMONTH22                    (F3.0) /
 PRMONTH23                    (F3.0) /
 PRMONTH24                    (F3.0) /
 PRMONTH25                    (F3.0) /
 PRMONTH26                    (F3.0) /
 PRMONTH27                    (F3.0) /
 PRMONTH28                    (F3.0) /
 PRMONTH29                    (F3.0) /
 PRMONTH30                    (F3.0) /
 PRMONTH31                    (F3.0) /
 PRMONTH32                    (F3.0) /
 PRMONTH33                    (F3.0) /
 PRMONTH34                    (F3.0) /
 PRMONTH35                    (F3.0) /
 PRMONTH36                    (F3.0) /
 PRMONTH37                    (F3.0) /
 PRMONTH38                    (F3.0) /
 PRMONTH39                    (F3.0) /
 PRMONTH40                    (F3.0) /
 PRMONTH41                    (F3.0) /
 PRMONTH42                    (F3.0) /
 PRMONTH43                    (F3.0) /
 PRMONTH44                    (F3.0) /
 PRMONTH45                    (F3.0) /
 PRMONTH46                    (F3.0) /
 PRMONTH47                    (F3.0) /
 PRMONTH48                    (F3.0) /
 PRMONTH49                    (F3.0) /
 PRMONTH50                    (F3.0) /
 PRMONTH51                    (F3.0) /
 PRMONTH52                    (F3.0) /
 PRMONTH53                    (F3.0) /
 PRMONTH54                    (F3.0) /
 PRMONTH55                    (F3.0) /
 PRMONTH56                    (F3.0) /
 PRMONTH57                    (F3.0) /
 PRMONTH58                    (F3.0) /
 PRMONTH59                    (F3.0) /
 PRMONTH60                    (F3.0) /
 PRMONTH61                    (F3.0) /
 PRMONTH62                    (F3.0) /
 PRMONTH63                    (F3.0) /
 PRMONTH64                    (F3.0) /
 PRMONTH65                    (F3.0) /
 PRMONTH66                    (F3.0) /
 PRMONTH67                    (F3.0) /
 PRMONTH68                    (F3.0) /
 PRMONTH69                    (F3.0) /
 PRMONTH70                    (F3.0) /
 PRMONTH71                    (F3.0) /
 PRMONTH72                    (F3.0) /
 PRMONTH73                    (F3.0) /
 PRMONTH74                    (F3.0) /
 PRMONTH75                    (F3.0) /
 PRMONTH76                    (F3.0) /
 PRMONTH77                    (F3.0) /
 PRMONTH78                    (F3.0) /
 PRMONTH79                    (F3.0) /
 PRMONTH80                    (F3.0) /
 PRMONTH81                    (F3.0) /
 PRMONTH82                    (F3.0) /
 PRMONTH83                    (F3.0) /
 PRMONTH84                    (F3.0) /
 PRMONTH85                    (F3.0) /
 PRMONTH86                    (F3.0) /
 PRMONTH87                    (F3.0) /
 PRMONTH88                    (F3.0) /
 PRMONTH89                    (F3.0) /
 PRMONTH90                    (F3.0) /
 PRMONTH91                    (F3.0) /
 PRMONTH92                    (F3.0) /
 PRMONTH93                    (F3.0) /
 PRMONTH94                    (F3.0) /
 PRMONTH95                    (F3.0) /
 PRMONTH96                    (F3.0) /
 PRMONTH97                    (F3.0) /
 PRMONTH98                    (F3.0) /
 PRMONTH99                    (F3.0) /
 PRMONTH100                   (F3.0) /
 PRMONTH101                   (F3.0) /
 PRMONTH102                   (F3.0) /
 PRMONTH103                   (F3.0) /
 PRMONTH104                   (F3.0) /
 PRMONTH105                   (F3.0) /
 PRMONTH106                   (F3.0) /
 PRMONTH107                   (F3.0) /
 PRMONTH108                   (F3.0) /
 PRMONTH109                   (F3.0) /
 PRMONTH110                   (F3.0) /
 PRMONTH111                   (F3.0) /
 PRMONTH112                   (F3.0) /
 PRMONTH113                   (F3.0) /
 PRMONTH114                   (F3.0) /
 PRMONTH115                   (F3.0) /
 PRMONTH116                   (F3.0) /
 PRMONTH117                   (F3.0) /
 PRMONTH118                   (F3.0) /
 PRMONTH119                   (F3.0) /
 PRMONTH120                   (F3.0) /
 PRMONTH121                   (F3.0) /
 PRMONTH122                   (F3.0) /
 PRMONTH123                   (F3.0) /
 PRMONTH124                   (F3.0) /
 PRMONTH125                   (F3.0) /
 PRMONTH126                   (F3.0) /
 PRMONTH127                   (F3.0) /
 PRMONTH128                   (F3.0) /
 PRMONTH129                   (F3.0) /
 PRMONTH130                   (F3.0) /
 PRMONTH131                   (F3.0) /
 PRMONTH132                   (F3.0) /
 PRMONTH133                   (F3.0) /
 PRMONTH134                   (F3.0) /
 PRMONTH135                   (F3.0) /
 PRMONTH136                   (F3.0) /
 PRMONTH137                   (F3.0) /
 PRMONTH138                   (F3.0) /
 PRMONTH139                   (F3.0) /
 PRMONTH140                   (F3.0) /
 PRMONTH141                   (F3.0) /
 PRMONTH142                   (F3.0) /
 PRMONTH143                   (F3.0) /
 PRMONTH144                   (F3.0) /
 PRMONTH145                   (F3.0) /
 PRMONTH146                   (F3.0) /
 PRMONTH147                   (F3.0) /
 PRMONTH148                   (F3.0) /
 PRMONTH149                   (F3.0) /
 PRMONTH150                   (F3.0) /
 PRMONTH151                   (F3.0) /
 PRMONTH152                   (F3.0) /
 PRMONTH153                   (F3.0) /
 PRMONTH154                   (F3.0) /
 PRMONTH155                   (F3.0) /
 PRMONTH156                   (F3.0) /
 PRMONTH157                   (F3.0) /
 PRMONTH158                   (F3.0) /
 PRMONTH159                   (F3.0) /
 PRMONTH160                   (F3.0) /
 PRMONTH161                   (F3.0) /
 PRMONTH162                   (F3.0) /
 PRMONTH163                   (F3.0) /
 PRMONTH164                   (F3.0) /
 PRMONTH165                   (F3.0) /
 PRMONTH166                   (F3.0) /
 PRMONTH167                   (F3.0) /
 PRMONTH168                   (F3.0) /
 PRMONTH169                   (F3.0) /
 PRMONTH170                   (F3.0) /
 PRMONTH171                   (F3.0) /
 PRMONTH172                   (F3.0) /
 PRMONTH173                   (F3.0) /
 PRMONTH174                   (F3.0) /
 PRMONTH175                   (F3.0) /
 PRMONTH176                   (F3.0) /
 PRMONTH177                   (F3.0) /
 PRMONTH178                   (F3.0) /
 PRMONTH179                   (F3.0) /
 PRMONTH180                   (F3.0) /
 PRMONTH181                   (F3.0) /
 PRMONTH182                   (F3.0) /
 PRMONTH183                   (F3.0) /
 PRMONTH184                   (F3.0) /
 PRMONTH185                   (F3.0) /
 PRMONTH186                   (F3.0) /
 PRMONTH187                   (F3.0) /
 PRMONTH188                   (F3.0) /
 PRMONTH189                   (F3.0) /
 PRMONTH190                   (F3.0) /
 PRMONTH191                   (F3.0) /
 PRMONTH192                   (F3.0) /
 PRMONTH193                   (F3.0) /
 PRMONTH194                   (F3.0) /
 PRMONTH195                   (F3.0) /
 PRMONTH196                   (F3.0) /
 PRMONTH197                   (F3.0) /
 PRMONTH198                   (F3.0) /
 PRMONTH199                   (F3.0) /
 PRMONTH200                   (F3.0) /
 PRYEAR1                      (F3.0) /
 PRYEAR2                      (F3.0) /
 PRYEAR3                      (F3.0) /
 PRYEAR4                      (F3.0) /
 PRYEAR5                      (F3.0) /
 PRYEAR6                      (F3.0) /
 PRYEAR7                      (F3.0) /
 PRYEAR8                      (F3.0) /
 PRYEAR9                      (F3.0) /
 PRYEAR10                     (F3.0) /
 PRYEAR11                     (F3.0) /
 PRYEAR12                     (F3.0) /
 PRYEAR13                     (F3.0) /
 PRYEAR14                     (F3.0) /
 PRYEAR15                     (F3.0) /
 PRYEAR16                     (F3.0) /
 PRYEAR17                     (F3.0) /
 PRYEAR18                     (F3.0) /
 PRYEAR19                     (F3.0) /
 PRYEAR20                     (F3.0) /
 PRYEAR21                     (F3.0) /
 PRYEAR22                     (F3.0) /
 PRYEAR23                     (F3.0) /
 PRYEAR24                     (F3.0) /
 PRYEAR25                     (F3.0) /
 PRYEAR26                     (F3.0) /
 PRYEAR27                     (F3.0) /
 PRYEAR28                     (F3.0) /
 PRYEAR29                     (F3.0) /
 PRYEAR30                     (F3.0) /
 PRYEAR31                     (F3.0) /
 PRYEAR32                     (F3.0) /
 PRYEAR33                     (F3.0) /
 PRYEAR34                     (F3.0) /
 PRYEAR35                     (F3.0) /
 PRYEAR36                     (F3.0) /
 PRYEAR37                     (F3.0) /
 PRYEAR38                     (F3.0) /
 PRYEAR39                     (F3.0) /
 PRYEAR40                     (F3.0) /
 PRYEAR41                     (F3.0) /
 PRYEAR42                     (F3.0) /
 PRYEAR43                     (F3.0) /
 PRYEAR44                     (F3.0) /
 PRYEAR45                     (F3.0) /
 PRYEAR46                     (F3.0) /
 PRYEAR47                     (F3.0) /
 PRYEAR48                     (F3.0) /
 PRYEAR49                     (F3.0) /
 PRYEAR50                     (F3.0) /
 PRYEAR51                     (F3.0) /
 PRYEAR52                     (F3.0) /
 PRYEAR53                     (F3.0) /
 PRYEAR54                     (F3.0) /
 PRYEAR55                     (F3.0) /
 PRYEAR56                     (F3.0) /
 PRYEAR57                     (F3.0) /
 PRYEAR58                     (F3.0) /
 PRYEAR59                     (F3.0) /
 PRYEAR60                     (F3.0) /
 PRYEAR61                     (F3.0) /
 PRYEAR62                     (F3.0) /
 PRYEAR63                     (F3.0) /
 PRYEAR64                     (F3.0) /
 PRYEAR65                     (F3.0) /
 PRYEAR66                     (F3.0) /
 PRYEAR67                     (F3.0) /
 PRYEAR68                     (F3.0) /
 PRYEAR69                     (F3.0) /
 PRYEAR70                     (F3.0) /
 PRYEAR71                     (F3.0) /
 PRYEAR72                     (F3.0) /
 PRYEAR73                     (F3.0) /
 PRYEAR74                     (F3.0) /
 PRYEAR75                     (F3.0) /
 PRYEAR76                     (F3.0) /
 PRYEAR77                     (F3.0) /
 PRYEAR78                     (F3.0) /
 PRYEAR79                     (F3.0) /
 PRYEAR80                     (F3.0) /
 PRYEAR81                     (F3.0) /
 PRYEAR82                     (F3.0) /
 PRYEAR83                     (F3.0) /
 PRYEAR84                     (F3.0) /
 PRYEAR85                     (F3.0) /
 PRYEAR86                     (F3.0) /
 PRYEAR87                     (F3.0) /
 PRYEAR88                     (F3.0) /
 PRYEAR89                     (F3.0) /
 PRYEAR90                     (F3.0) /
 PRYEAR91                     (F3.0) /
 PRYEAR92                     (F3.0) /
 PRYEAR93                     (F3.0) /
 PRYEAR94                     (F3.0) /
 PRYEAR95                     (F3.0) /
 PRYEAR96                     (F3.0) /
 PRYEAR97                     (F3.0) /
 PRYEAR98                     (F3.0) /
 PRYEAR99                     (F3.0) /
 PRYEAR100                    (F3.0) /
 PRYEAR101                    (F3.0) /
 PRYEAR102                    (F3.0) /
 PRYEAR103                    (F3.0) /
 PRYEAR104                    (F3.0) /
 PRYEAR105                    (F3.0) /
 PRYEAR106                    (F3.0) /
 PRYEAR107                    (F3.0) /
 PRYEAR108                    (F3.0) /
 PRYEAR109                    (F3.0) /
 PRYEAR110                    (F3.0) /
 PRYEAR111                    (F3.0) /
 PRYEAR112                    (F3.0) /
 PRYEAR113                    (F3.0) /
 PRYEAR114                    (F3.0) /
 PRYEAR115                    (F3.0) /
 PRYEAR116                    (F3.0) /
 PRYEAR117                    (F3.0) /
 PRYEAR118                    (F3.0) /
 PRYEAR119                    (F3.0) /
 PRYEAR120                    (F3.0) /
 PRYEAR121                    (F3.0) /
 PRYEAR122                    (F3.0) /
 PRYEAR123                    (F3.0) /
 PRYEAR124                    (F3.0) /
 PRYEAR125                    (F3.0) /
 PRYEAR126                    (F3.0) /
 PRYEAR127                    (F3.0) /
 PRYEAR128                    (F3.0) /
 PRYEAR129                    (F3.0) /
 PRYEAR130                    (F3.0) /
 PRYEAR131                    (F3.0) /
 PRYEAR132                    (F3.0) /
 PRYEAR133                    (F3.0) /
 PRYEAR134                    (F3.0) /
 PRYEAR135                    (F3.0) /
 PRYEAR136                    (F3.0) /
 PRYEAR137                    (F3.0) /
 PRYEAR138                    (F3.0) /
 PRYEAR139                    (F3.0) /
 PRYEAR140                    (F3.0) /
 PRYEAR141                    (F3.0) /
 PRYEAR142                    (F3.0) /
 PRYEAR143                    (F3.0) /
 PRYEAR144                    (F3.0) /
 PRYEAR145                    (F3.0) /
 PRYEAR146                    (F3.0) /
 PRYEAR147                    (F3.0) /
 PRYEAR148                    (F3.0) /
 PRYEAR149                    (F3.0) /
 PRYEAR150                    (F3.0) /
 PRYEAR151                    (F3.0) /
 PRYEAR152                    (F3.0) /
 PRYEAR153                    (F3.0) /
 PRYEAR154                    (F3.0) /
 PRYEAR155                    (F3.0) /
 PRYEAR156                    (F3.0) /
 PRYEAR157                    (F3.0) /
 PRYEAR158                    (F3.0) /
 PRYEAR159                    (F3.0) /
 PRYEAR160                    (F3.0) /
 PRYEAR161                    (F3.0) /
 PRYEAR162                    (F3.0) /
 PRYEAR163                    (F3.0) /
 PRYEAR164                    (F3.0) /
 PRYEAR165                    (F3.0) /
 PRYEAR166                    (F3.0) /
 PRYEAR167                    (F3.0) /
 PRYEAR168                    (F3.0) /
 PRYEAR169                    (F3.0) /
 PRYEAR170                    (F3.0) /
 PRYEAR171                    (F3.0) /
 PRYEAR172                    (F3.0) /
 PRYEAR173                    (F3.0) /
 PRYEAR174                    (F3.0) /
 PRYEAR175                    (F3.0) /
 PRYEAR176                    (F3.0) /
 PRYEAR177                    (F3.0) /
 PRYEAR178                    (F3.0) /
 PRYEAR179                    (F3.0) /
 PRYEAR180                    (F3.0) /
 PRYEAR181                    (F3.0) /
 PRYEAR182                    (F3.0) /
 PRYEAR183                    (F3.0) /
 PRYEAR184                    (F3.0) /
 PRYEAR185                    (F3.0) /
 PRYEAR186                    (F3.0) /
 PRYEAR187                    (F3.0) /
 PRYEAR188                    (F3.0) /
 PRYEAR189                    (F3.0) /
 PRYEAR190                    (F3.0) /
 PRYEAR191                    (F3.0) /
 PRYEAR192                    (F3.0) /
 PRYEAR193                    (F3.0) /
 PRYEAR194                    (F3.0) /
 PRYEAR195                    (F3.0) /
 PRYEAR196                    (F3.0) /
 PRYEAR197                    (F3.0) /
 PRYEAR198                    (F3.0) /
 PRYEAR199                    (F3.0) /
 PRYEAR200                    (F3.0) .


/***  Assign labels to the variables ***/
VARIABLE LABELS 
 ADRG                         "All Patient Refined DRG"
 ADRGRISKMORTALITY            "All Patient Refined DRG mortality risk"
 ADRGSEV                      "All Patient Refined DRG severity level"
 AGE                          "Age in years at admission"
 AGEMONTH                     "Age in months (when age < 11 years)"
 AMDC                         "All Patient Refined MDC"
 AMONTH                       "Admission month"
 ASOURCE                      "Admission source (uniform)"
 ASOURCE_X                    "Admission source (as received from source)"
 ASOURCEUB92                  "Admission source (UB-92 standard coding)"
 ATYPE                        "Admission type"
 AWEEKEND                     "Admission day is a weekend"
 BWT                          "Birth weight in grams"
 DaysBetweenVisits            "Number of days between visits"
 DaysToEvent                  "Days from 'start date' to admission"
 DIED                         "Died during hospitalization"
 DISP_X                       "Disposition of patient (as received from source)"
 DISPUB04                     "Disposition of patient (UB-04 standard coding)"
 DISPUNIFORM                  "Disposition of patient (uniform)"
 DMONTH                       "Discharge month"
 DNR                          "Do not resuscitate indicator"
 DQTR                         "Discharge quarter"
 DRG                          "DRG in effect on discharge date"
 DRG_NoPOA                    "DRG in use on discharge date, calculated without POA"
 DRGVER                       "DRG grouper version used on discharge date"
 DSHOSPID                     "Data source hospital identifier"
 DXPOA1                       "Diagnosis 1, present on admission indicator"
 DXPOA2                       "Diagnosis 2, present on admission indicator"
 DXPOA3                       "Diagnosis 3, present on admission indicator"
 DXPOA4                       "Diagnosis 4, present on admission indicator"
 DXPOA5                       "Diagnosis 5, present on admission indicator"
 DXPOA6                       "Diagnosis 6, present on admission indicator"
 DXPOA7                       "Diagnosis 7, present on admission indicator"
 DXPOA8                       "Diagnosis 8, present on admission indicator"
 DXPOA9                       "Diagnosis 9, present on admission indicator"
 DXPOA10                      "Diagnosis 10, present on admission indicator"
 DXPOA11                      "Diagnosis 11, present on admission indicator"
 DXPOA12                      "Diagnosis 12, present on admission indicator"
 DXPOA13                      "Diagnosis 13, present on admission indicator"
 DXPOA14                      "Diagnosis 14, present on admission indicator"
 DXPOA15                      "Diagnosis 15, present on admission indicator"
 DXPOA16                      "Diagnosis 16, present on admission indicator"
 DXPOA17                      "Diagnosis 17, present on admission indicator"
 DXPOA18                      "Diagnosis 18, present on admission indicator"
 DXPOA19                      "Diagnosis 19, present on admission indicator"
 DXPOA20                      "Diagnosis 20, present on admission indicator"
 DXPOA21                      "Diagnosis 21, present on admission indicator"
 DXPOA22                      "Diagnosis 22, present on admission indicator"
 DXPOA23                      "Diagnosis 23, present on admission indicator"
 DXPOA24                      "Diagnosis 24, present on admission indicator"
 DXPOA25                      "Diagnosis 25, present on admission indicator"
 DXPOA26                      "Diagnosis 26, present on admission indicator"
 DXPOA27                      "Diagnosis 27, present on admission indicator"
 DXPOA28                      "Diagnosis 28, present on admission indicator"
 DXPOA29                      "Diagnosis 29, present on admission indicator"
 DXPOA30                      "Diagnosis 30, present on admission indicator"
 DXPOA31                      "Diagnosis 31, present on admission indicator"
 DXPOA32                      "Diagnosis 32, present on admission indicator"
 DXPOA33                      "Diagnosis 33, present on admission indicator"
 DXPOA34                      "Diagnosis 34, present on admission indicator"
 DXPOA35                      "Diagnosis 35, present on admission indicator"
 DXPOA36                      "Diagnosis 36, present on admission indicator"
 DXPOA37                      "Diagnosis 37, present on admission indicator"
 DXPOA38                      "Diagnosis 38, present on admission indicator"
 DXPOA39                      "Diagnosis 39, present on admission indicator"
 DXPOA40                      "Diagnosis 40, present on admission indicator"
 DXPOA41                      "Diagnosis 41, present on admission indicator"
 DXPOA42                      "Diagnosis 42, present on admission indicator"
 DXPOA43                      "Diagnosis 43, present on admission indicator"
 DXPOA44                      "Diagnosis 44, present on admission indicator"
 DXPOA45                      "Diagnosis 45, present on admission indicator"
 DXPOA46                      "Diagnosis 46, present on admission indicator"
 DXPOA47                      "Diagnosis 47, present on admission indicator"
 DXPOA48                      "Diagnosis 48, present on admission indicator"
 DXPOA49                      "Diagnosis 49, present on admission indicator"
 DXPOA50                      "Diagnosis 50, present on admission indicator"
 DXPOA51                      "Diagnosis 51, present on admission indicator"
 DXPOA52                      "Diagnosis 52, present on admission indicator"
 DXPOA53                      "Diagnosis 53, present on admission indicator"
 DXPOA54                      "Diagnosis 54, present on admission indicator"
 DXPOA55                      "Diagnosis 55, present on admission indicator"
 DXPOA56                      "Diagnosis 56, present on admission indicator"
 DXPOA57                      "Diagnosis 57, present on admission indicator"
 DXPOA58                      "Diagnosis 58, present on admission indicator"
 DXPOA59                      "Diagnosis 59, present on admission indicator"
 DXPOA60                      "Diagnosis 60, present on admission indicator"
 DXPOA61                      "Diagnosis 61, present on admission indicator"
 DXPOA62                      "Diagnosis 62, present on admission indicator"
 DXPOA63                      "Diagnosis 63, present on admission indicator"
 DXPOA64                      "Diagnosis 64, present on admission indicator"
 DXPOA65                      "Diagnosis 65, present on admission indicator"
 DXPOA66                      "Diagnosis 66, present on admission indicator"
 DXPOA67                      "Diagnosis 67, present on admission indicator"
 DXPOA68                      "Diagnosis 68, present on admission indicator"
 DXPOA69                      "Diagnosis 69, present on admission indicator"
 DXPOA70                      "Diagnosis 70, present on admission indicator"
 DXPOA71                      "Diagnosis 71, present on admission indicator"
 DXPOA72                      "Diagnosis 72, present on admission indicator"
 DXPOA73                      "Diagnosis 73, present on admission indicator"
 DXPOA74                      "Diagnosis 74, present on admission indicator"
 DXPOA75                      "Diagnosis 75, present on admission indicator"
 DXPOA76                      "Diagnosis 76, present on admission indicator"
 DXPOA77                      "Diagnosis 77, present on admission indicator"
 DXPOA78                      "Diagnosis 78, present on admission indicator"
 DXPOA79                      "Diagnosis 79, present on admission indicator"
 DXPOA80                      "Diagnosis 80, present on admission indicator"
 DXPOA81                      "Diagnosis 81, present on admission indicator"
 DXPOA82                      "Diagnosis 82, present on admission indicator"
 DXPOA83                      "Diagnosis 83, present on admission indicator"
 DXPOA84                      "Diagnosis 84, present on admission indicator"
 DXPOA85                      "Diagnosis 85, present on admission indicator"
 DXPOA86                      "Diagnosis 86, present on admission indicator"
 DXPOA87                      "Diagnosis 87, present on admission indicator"
 DXPOA88                      "Diagnosis 88, present on admission indicator"
 DXPOA89                      "Diagnosis 89, present on admission indicator"
 DXPOA90                      "Diagnosis 90, present on admission indicator"
 DXPOA91                      "Diagnosis 91, present on admission indicator"
 DXPOA92                      "Diagnosis 92, present on admission indicator"
 DXPOA93                      "Diagnosis 93, present on admission indicator"
 DXPOA94                      "Diagnosis 94, present on admission indicator"
 DXPOA95                      "Diagnosis 95, present on admission indicator"
 DXPOA96                      "Diagnosis 96, present on admission indicator"
 FEMALE                       "Indicator of sex"
 HCUP_ED                      "HCUP Emergency Department service indicator"
 HCUP_OS                      "HCUP Observation Stay service indicator"
 HISPANIC                     "Hispanic ethnicity (uniform)"
 HISPANIC_X                   "Hispanic ethnicity (as received from source)"
 Homeless                     "Indicator that patient is homeless"
 HOSPST                       "Hospital state postal code"
 I10_BIRTH                    "ICD-10-CM Birth Indicator"
 I10_DELIVERY                 "ICD-10-CM Delivery Indicator"
 I10_DX_Admitting             "ICD-10-CM Admitting Diagnosis Code"
 I10_DX1                      "ICD-10-CM Diagnosis 1"
 I10_DX2                      "ICD-10-CM Diagnosis 2"
 I10_DX3                      "ICD-10-CM Diagnosis 3"
 I10_DX4                      "ICD-10-CM Diagnosis 4"
 I10_DX5                      "ICD-10-CM Diagnosis 5"
 I10_DX6                      "ICD-10-CM Diagnosis 6"
 I10_DX7                      "ICD-10-CM Diagnosis 7"
 I10_DX8                      "ICD-10-CM Diagnosis 8"
 I10_DX9                      "ICD-10-CM Diagnosis 9"
 I10_DX10                     "ICD-10-CM Diagnosis 10"
 I10_DX11                     "ICD-10-CM Diagnosis 11"
 I10_DX12                     "ICD-10-CM Diagnosis 12"
 I10_DX13                     "ICD-10-CM Diagnosis 13"
 I10_DX14                     "ICD-10-CM Diagnosis 14"
 I10_DX15                     "ICD-10-CM Diagnosis 15"
 I10_DX16                     "ICD-10-CM Diagnosis 16"
 I10_DX17                     "ICD-10-CM Diagnosis 17"
 I10_DX18                     "ICD-10-CM Diagnosis 18"
 I10_DX19                     "ICD-10-CM Diagnosis 19"
 I10_DX20                     "ICD-10-CM Diagnosis 20"
 I10_DX21                     "ICD-10-CM Diagnosis 21"
 I10_DX22                     "ICD-10-CM Diagnosis 22"
 I10_DX23                     "ICD-10-CM Diagnosis 23"
 I10_DX24                     "ICD-10-CM Diagnosis 24"
 I10_DX25                     "ICD-10-CM Diagnosis 25"
 I10_DX26                     "ICD-10-CM Diagnosis 26"
 I10_DX27                     "ICD-10-CM Diagnosis 27"
 I10_DX28                     "ICD-10-CM Diagnosis 28"
 I10_DX29                     "ICD-10-CM Diagnosis 29"
 I10_DX30                     "ICD-10-CM Diagnosis 30"
 I10_DX31                     "ICD-10-CM Diagnosis 31"
 I10_DX32                     "ICD-10-CM Diagnosis 32"
 I10_DX33                     "ICD-10-CM Diagnosis 33"
 I10_DX34                     "ICD-10-CM Diagnosis 34"
 I10_DX35                     "ICD-10-CM Diagnosis 35"
 I10_DX36                     "ICD-10-CM Diagnosis 36"
 I10_DX37                     "ICD-10-CM Diagnosis 37"
 I10_DX38                     "ICD-10-CM Diagnosis 38"
 I10_DX39                     "ICD-10-CM Diagnosis 39"
 I10_DX40                     "ICD-10-CM Diagnosis 40"
 I10_DX41                     "ICD-10-CM Diagnosis 41"
 I10_DX42                     "ICD-10-CM Diagnosis 42"
 I10_DX43                     "ICD-10-CM Diagnosis 43"
 I10_DX44                     "ICD-10-CM Diagnosis 44"
 I10_DX45                     "ICD-10-CM Diagnosis 45"
 I10_DX46                     "ICD-10-CM Diagnosis 46"
 I10_DX47                     "ICD-10-CM Diagnosis 47"
 I10_DX48                     "ICD-10-CM Diagnosis 48"
 I10_DX49                     "ICD-10-CM Diagnosis 49"
 I10_DX50                     "ICD-10-CM Diagnosis 50"
 I10_DX51                     "ICD-10-CM Diagnosis 51"
 I10_DX52                     "ICD-10-CM Diagnosis 52"
 I10_DX53                     "ICD-10-CM Diagnosis 53"
 I10_DX54                     "ICD-10-CM Diagnosis 54"
 I10_DX55                     "ICD-10-CM Diagnosis 55"
 I10_DX56                     "ICD-10-CM Diagnosis 56"
 I10_DX57                     "ICD-10-CM Diagnosis 57"
 I10_DX58                     "ICD-10-CM Diagnosis 58"
 I10_DX59                     "ICD-10-CM Diagnosis 59"
 I10_DX60                     "ICD-10-CM Diagnosis 60"
 I10_DX61                     "ICD-10-CM Diagnosis 61"
 I10_DX62                     "ICD-10-CM Diagnosis 62"
 I10_DX63                     "ICD-10-CM Diagnosis 63"
 I10_DX64                     "ICD-10-CM Diagnosis 64"
 I10_DX65                     "ICD-10-CM Diagnosis 65"
 I10_DX66                     "ICD-10-CM Diagnosis 66"
 I10_DX67                     "ICD-10-CM Diagnosis 67"
 I10_DX68                     "ICD-10-CM Diagnosis 68"
 I10_DX69                     "ICD-10-CM Diagnosis 69"
 I10_DX70                     "ICD-10-CM Diagnosis 70"
 I10_DX71                     "ICD-10-CM Diagnosis 71"
 I10_DX72                     "ICD-10-CM Diagnosis 72"
 I10_DX73                     "ICD-10-CM Diagnosis 73"
 I10_DX74                     "ICD-10-CM Diagnosis 74"
 I10_DX75                     "ICD-10-CM Diagnosis 75"
 I10_DX76                     "ICD-10-CM Diagnosis 76"
 I10_DX77                     "ICD-10-CM Diagnosis 77"
 I10_DX78                     "ICD-10-CM Diagnosis 78"
 I10_DX79                     "ICD-10-CM Diagnosis 79"
 I10_DX80                     "ICD-10-CM Diagnosis 80"
 I10_DX81                     "ICD-10-CM Diagnosis 81"
 I10_DX82                     "ICD-10-CM Diagnosis 82"
 I10_DX83                     "ICD-10-CM Diagnosis 83"
 I10_DX84                     "ICD-10-CM Diagnosis 84"
 I10_DX85                     "ICD-10-CM Diagnosis 85"
 I10_DX86                     "ICD-10-CM Diagnosis 86"
 I10_DX87                     "ICD-10-CM Diagnosis 87"
 I10_DX88                     "ICD-10-CM Diagnosis 88"
 I10_DX89                     "ICD-10-CM Diagnosis 89"
 I10_DX90                     "ICD-10-CM Diagnosis 90"
 I10_DX91                     "ICD-10-CM Diagnosis 91"
 I10_DX92                     "ICD-10-CM Diagnosis 92"
 I10_DX93                     "ICD-10-CM Diagnosis 93"
 I10_DX94                     "ICD-10-CM Diagnosis 94"
 I10_DX95                     "ICD-10-CM Diagnosis 95"
 I10_DX96                     "ICD-10-CM Diagnosis 96"
 I10_NDX                      "ICD-10-CM Number of diagnoses on this record"
 I10_NPR                      "ICD-10-PCS Number of procedures on this record"
 I10_PR1                      "ICD-10-PCS Procedure 1"
 I10_PR2                      "ICD-10-PCS Procedure 2"
 I10_PR3                      "ICD-10-PCS Procedure 3"
 I10_PR4                      "ICD-10-PCS Procedure 4"
 I10_PR5                      "ICD-10-PCS Procedure 5"
 I10_PR6                      "ICD-10-PCS Procedure 6"
 I10_PR7                      "ICD-10-PCS Procedure 7"
 I10_PR8                      "ICD-10-PCS Procedure 8"
 I10_PR9                      "ICD-10-PCS Procedure 9"
 I10_PR10                     "ICD-10-PCS Procedure 10"
 I10_PR11                     "ICD-10-PCS Procedure 11"
 I10_PR12                     "ICD-10-PCS Procedure 12"
 I10_PR13                     "ICD-10-PCS Procedure 13"
 I10_PR14                     "ICD-10-PCS Procedure 14"
 I10_PR15                     "ICD-10-PCS Procedure 15"
 I10_PR16                     "ICD-10-PCS Procedure 16"
 I10_PR17                     "ICD-10-PCS Procedure 17"
 I10_PR18                     "ICD-10-PCS Procedure 18"
 I10_PR19                     "ICD-10-PCS Procedure 19"
 I10_PR20                     "ICD-10-PCS Procedure 20"
 I10_PR21                     "ICD-10-PCS Procedure 21"
 I10_PR22                     "ICD-10-PCS Procedure 22"
 I10_PR23                     "ICD-10-PCS Procedure 23"
 I10_PR24                     "ICD-10-PCS Procedure 24"
 I10_PR25                     "ICD-10-PCS Procedure 25"
 I10_PR26                     "ICD-10-PCS Procedure 26"
 I10_PR27                     "ICD-10-PCS Procedure 27"
 I10_PR28                     "ICD-10-PCS Procedure 28"
 I10_PR29                     "ICD-10-PCS Procedure 29"
 I10_PR30                     "ICD-10-PCS Procedure 30"
 I10_PR31                     "ICD-10-PCS Procedure 31"
 I10_PR32                     "ICD-10-PCS Procedure 32"
 I10_PR33                     "ICD-10-PCS Procedure 33"
 I10_PR34                     "ICD-10-PCS Procedure 34"
 I10_PR35                     "ICD-10-PCS Procedure 35"
 I10_PR36                     "ICD-10-PCS Procedure 36"
 I10_PR37                     "ICD-10-PCS Procedure 37"
 I10_PR38                     "ICD-10-PCS Procedure 38"
 I10_PR39                     "ICD-10-PCS Procedure 39"
 I10_PR40                     "ICD-10-PCS Procedure 40"
 I10_PR41                     "ICD-10-PCS Procedure 41"
 I10_PR42                     "ICD-10-PCS Procedure 42"
 I10_PR43                     "ICD-10-PCS Procedure 43"
 I10_PR44                     "ICD-10-PCS Procedure 44"
 I10_PR45                     "ICD-10-PCS Procedure 45"
 I10_PR46                     "ICD-10-PCS Procedure 46"
 I10_PR47                     "ICD-10-PCS Procedure 47"
 I10_PR48                     "ICD-10-PCS Procedure 48"
 I10_PR49                     "ICD-10-PCS Procedure 49"
 I10_PR50                     "ICD-10-PCS Procedure 50"
 I10_PR51                     "ICD-10-PCS Procedure 51"
 I10_PR52                     "ICD-10-PCS Procedure 52"
 I10_PR53                     "ICD-10-PCS Procedure 53"
 I10_PR54                     "ICD-10-PCS Procedure 54"
 I10_PR55                     "ICD-10-PCS Procedure 55"
 I10_PR56                     "ICD-10-PCS Procedure 56"
 I10_PR57                     "ICD-10-PCS Procedure 57"
 I10_PR58                     "ICD-10-PCS Procedure 58"
 I10_PR59                     "ICD-10-PCS Procedure 59"
 I10_PR60                     "ICD-10-PCS Procedure 60"
 I10_PR61                     "ICD-10-PCS Procedure 61"
 I10_PR62                     "ICD-10-PCS Procedure 62"
 I10_PR63                     "ICD-10-PCS Procedure 63"
 I10_PR64                     "ICD-10-PCS Procedure 64"
 I10_PR65                     "ICD-10-PCS Procedure 65"
 I10_PR66                     "ICD-10-PCS Procedure 66"
 I10_PR67                     "ICD-10-PCS Procedure 67"
 I10_PR68                     "ICD-10-PCS Procedure 68"
 I10_PR69                     "ICD-10-PCS Procedure 69"
 I10_PR70                     "ICD-10-PCS Procedure 70"
 I10_PR71                     "ICD-10-PCS Procedure 71"
 I10_PR72                     "ICD-10-PCS Procedure 72"
 I10_PR73                     "ICD-10-PCS Procedure 73"
 I10_PR74                     "ICD-10-PCS Procedure 74"
 I10_PR75                     "ICD-10-PCS Procedure 75"
 I10_PR76                     "ICD-10-PCS Procedure 76"
 I10_PR77                     "ICD-10-PCS Procedure 77"
 I10_PR78                     "ICD-10-PCS Procedure 78"
 I10_PR79                     "ICD-10-PCS Procedure 79"
 I10_PR80                     "ICD-10-PCS Procedure 80"
 I10_PR81                     "ICD-10-PCS Procedure 81"
 I10_PR82                     "ICD-10-PCS Procedure 82"
 I10_PR83                     "ICD-10-PCS Procedure 83"
 I10_PR84                     "ICD-10-PCS Procedure 84"
 I10_PR85                     "ICD-10-PCS Procedure 85"
 I10_PR86                     "ICD-10-PCS Procedure 86"
 I10_PR87                     "ICD-10-PCS Procedure 87"
 I10_PR88                     "ICD-10-PCS Procedure 88"
 I10_PR89                     "ICD-10-PCS Procedure 89"
 I10_PR90                     "ICD-10-PCS Procedure 90"
 I10_PR91                     "ICD-10-PCS Procedure 91"
 I10_PR92                     "ICD-10-PCS Procedure 92"
 I10_PR93                     "ICD-10-PCS Procedure 93"
 I10_PR94                     "ICD-10-PCS Procedure 94"
 I10_PR95                     "ICD-10-PCS Procedure 95"
 I10_PR96                     "ICD-10-PCS Procedure 96"
 I10_PR97                     "ICD-10-PCS Procedure 97"
 I10_PR98                     "ICD-10-PCS Procedure 98"
 I10_PR99                     "ICD-10-PCS Procedure 99"
 I10_PR100                    "ICD-10-PCS Procedure 100"
 I10_PR101                    "ICD-10-PCS Procedure 101"
 I10_PR102                    "ICD-10-PCS Procedure 102"
 I10_PR103                    "ICD-10-PCS Procedure 103"
 I10_PR104                    "ICD-10-PCS Procedure 104"
 I10_PR105                    "ICD-10-PCS Procedure 105"
 I10_PR106                    "ICD-10-PCS Procedure 106"
 I10_PR107                    "ICD-10-PCS Procedure 107"
 I10_PR108                    "ICD-10-PCS Procedure 108"
 I10_PR109                    "ICD-10-PCS Procedure 109"
 I10_PR110                    "ICD-10-PCS Procedure 110"
 I10_PR111                    "ICD-10-PCS Procedure 111"
 I10_PR112                    "ICD-10-PCS Procedure 112"
 I10_PR113                    "ICD-10-PCS Procedure 113"
 I10_PR114                    "ICD-10-PCS Procedure 114"
 I10_PR115                    "ICD-10-PCS Procedure 115"
 I10_PR116                    "ICD-10-PCS Procedure 116"
 I10_PR117                    "ICD-10-PCS Procedure 117"
 I10_PR118                    "ICD-10-PCS Procedure 118"
 I10_PR119                    "ICD-10-PCS Procedure 119"
 I10_PR120                    "ICD-10-PCS Procedure 120"
 I10_PR121                    "ICD-10-PCS Procedure 121"
 I10_PR122                    "ICD-10-PCS Procedure 122"
 I10_PR123                    "ICD-10-PCS Procedure 123"
 I10_PR124                    "ICD-10-PCS Procedure 124"
 I10_PR125                    "ICD-10-PCS Procedure 125"
 I10_PR126                    "ICD-10-PCS Procedure 126"
 I10_PR127                    "ICD-10-PCS Procedure 127"
 I10_PR128                    "ICD-10-PCS Procedure 128"
 I10_PR129                    "ICD-10-PCS Procedure 129"
 I10_PR130                    "ICD-10-PCS Procedure 130"
 I10_PR131                    "ICD-10-PCS Procedure 131"
 I10_PR132                    "ICD-10-PCS Procedure 132"
 I10_PR133                    "ICD-10-PCS Procedure 133"
 I10_PR134                    "ICD-10-PCS Procedure 134"
 I10_PR135                    "ICD-10-PCS Procedure 135"
 I10_PR136                    "ICD-10-PCS Procedure 136"
 I10_PR137                    "ICD-10-PCS Procedure 137"
 I10_PR138                    "ICD-10-PCS Procedure 138"
 I10_PR139                    "ICD-10-PCS Procedure 139"
 I10_PR140                    "ICD-10-PCS Procedure 140"
 I10_PR141                    "ICD-10-PCS Procedure 141"
 I10_PR142                    "ICD-10-PCS Procedure 142"
 I10_PR143                    "ICD-10-PCS Procedure 143"
 I10_PR144                    "ICD-10-PCS Procedure 144"
 I10_PR145                    "ICD-10-PCS Procedure 145"
 I10_PR146                    "ICD-10-PCS Procedure 146"
 I10_PR147                    "ICD-10-PCS Procedure 147"
 I10_PR148                    "ICD-10-PCS Procedure 148"
 I10_PR149                    "ICD-10-PCS Procedure 149"
 I10_PR150                    "ICD-10-PCS Procedure 150"
 I10_PR151                    "ICD-10-PCS Procedure 151"
 I10_PR152                    "ICD-10-PCS Procedure 152"
 I10_PR153                    "ICD-10-PCS Procedure 153"
 I10_PR154                    "ICD-10-PCS Procedure 154"
 I10_PR155                    "ICD-10-PCS Procedure 155"
 I10_PR156                    "ICD-10-PCS Procedure 156"
 I10_PR157                    "ICD-10-PCS Procedure 157"
 I10_PR158                    "ICD-10-PCS Procedure 158"
 I10_PR159                    "ICD-10-PCS Procedure 159"
 I10_PR160                    "ICD-10-PCS Procedure 160"
 I10_PR161                    "ICD-10-PCS Procedure 161"
 I10_PR162                    "ICD-10-PCS Procedure 162"
 I10_PR163                    "ICD-10-PCS Procedure 163"
 I10_PR164                    "ICD-10-PCS Procedure 164"
 I10_PR165                    "ICD-10-PCS Procedure 165"
 I10_PR166                    "ICD-10-PCS Procedure 166"
 I10_PR167                    "ICD-10-PCS Procedure 167"
 I10_PR168                    "ICD-10-PCS Procedure 168"
 I10_PR169                    "ICD-10-PCS Procedure 169"
 I10_PR170                    "ICD-10-PCS Procedure 170"
 I10_PR171                    "ICD-10-PCS Procedure 171"
 I10_PR172                    "ICD-10-PCS Procedure 172"
 I10_PR173                    "ICD-10-PCS Procedure 173"
 I10_PR174                    "ICD-10-PCS Procedure 174"
 I10_PR175                    "ICD-10-PCS Procedure 175"
 I10_PR176                    "ICD-10-PCS Procedure 176"
 I10_PR177                    "ICD-10-PCS Procedure 177"
 I10_PR178                    "ICD-10-PCS Procedure 178"
 I10_PR179                    "ICD-10-PCS Procedure 179"
 I10_PR180                    "ICD-10-PCS Procedure 180"
 I10_PR181                    "ICD-10-PCS Procedure 181"
 I10_PR182                    "ICD-10-PCS Procedure 182"
 I10_PR183                    "ICD-10-PCS Procedure 183"
 I10_PR184                    "ICD-10-PCS Procedure 184"
 I10_PR185                    "ICD-10-PCS Procedure 185"
 I10_PR186                    "ICD-10-PCS Procedure 186"
 I10_PR187                    "ICD-10-PCS Procedure 187"
 I10_PR188                    "ICD-10-PCS Procedure 188"
 I10_PR189                    "ICD-10-PCS Procedure 189"
 I10_PR190                    "ICD-10-PCS Procedure 190"
 I10_PR191                    "ICD-10-PCS Procedure 191"
 I10_PR192                    "ICD-10-PCS Procedure 192"
 I10_PR193                    "ICD-10-PCS Procedure 193"
 I10_PR194                    "ICD-10-PCS Procedure 194"
 I10_PR195                    "ICD-10-PCS Procedure 195"
 I10_PR196                    "ICD-10-PCS Procedure 196"
 I10_PR197                    "ICD-10-PCS Procedure 197"
 I10_PR198                    "ICD-10-PCS Procedure 198"
 I10_PR199                    "ICD-10-PCS Procedure 199"
 I10_PR200                    "ICD-10-PCS Procedure 200"
 I10_PROCTYPE                 "ICD-10-PCS Procedure type indicator"
 I10_SERVICELINE              "ICD-10-CM/PCS Hospital Service Line"
 KEY                          "HCUP record identifier"
 LOS                          "Length of stay (cleaned)"
 LOS_X                        "Length of stay (as received from source)"
 MDC                          "MDC in effect on discharge date"
 MDC_NoPOA                    "MDC in use on discharge date, calculated without POA"
 MEDINCSTQ                    "Median household income state quartile for patient ZIP Code"
 OS_TIME                      "Observation stay time summed from UNITS"
 PAY1                         "Primary expected payer (uniform)"
 PAY1_X                       "Primary expected payer (as received from source)"
 PAY2                         "Secondary expected payer (uniform)"
 PAY2_X                       "Secondary expected payer (as received from source)"
 PAYER1_X                     "Primary expected payer plan identifier (as received from source)"
 PAYER2_X                     "Secondary expected payer plan identifier (as received from source)"
 PCLASS_ORPROC                "Indicates operating room (major diagnostic or therapeutic) procedure on the record"
 PL_CBSA                      "Patient location: Core Based Statistical Area (CBSA)"
 PL_UR_CAT4                   "Patient Location: Urban-Rural 4 Categories"
 POA_Disch_Edit1              "Discharge has POA missing on all nonexempt diagnoses"
 POA_Disch_Edit2              "Discharge has POA missing on all nonexempt secondary diagnoses"
 POA_Hosp_Edit1               "Hospital reported POA as Y on all diagnoses on all discharges"
 POA_Hosp_Edit2               "Hospital reported POA as missing on all non-Medicare discharges"
 POA_Hosp_Edit3
"Hospital reported POA as missing on all nonexempt diagnoses for 15% or more of discharges"
 POA_Hosp_Edit3_Value         "Percentage of discharges with all nonexempt diagnoses missing POA indicators"
 PRDAY1                       "Number of days from admission to I10_PR1"
 PRDAY2                       "Number of days from admission to I10_PR2"
 PRDAY3                       "Number of days from admission to I10_PR3"
 PRDAY4                       "Number of days from admission to I10_PR4"
 PRDAY5                       "Number of days from admission to I10_PR5"
 PRDAY6                       "Number of days from admission to I10_PR6"
 PRDAY7                       "Number of days from admission to I10_PR7"
 PRDAY8                       "Number of days from admission to I10_PR8"
 PRDAY9                       "Number of days from admission to I10_PR9"
 PRDAY10                      "Number of days from admission to I10_PR10"
 PRDAY11                      "Number of days from admission to I10_PR11"
 PRDAY12                      "Number of days from admission to I10_PR12"
 PRDAY13                      "Number of days from admission to I10_PR13"
 PRDAY14                      "Number of days from admission to I10_PR14"
 PRDAY15                      "Number of days from admission to I10_PR15"
 PRDAY16                      "Number of days from admission to I10_PR16"
 PRDAY17                      "Number of days from admission to I10_PR17"
 PRDAY18                      "Number of days from admission to I10_PR18"
 PRDAY19                      "Number of days from admission to I10_PR19"
 PRDAY20                      "Number of days from admission to I10_PR20"
 PRDAY21                      "Number of days from admission to I10_PR21"
 PRDAY22                      "Number of days from admission to I10_PR22"
 PRDAY23                      "Number of days from admission to I10_PR23"
 PRDAY24                      "Number of days from admission to I10_PR24"
 PRDAY25                      "Number of days from admission to I10_PR25"
 PRDAY26                      "Number of days from admission to I10_PR26"
 PRDAY27                      "Number of days from admission to I10_PR27"
 PRDAY28                      "Number of days from admission to I10_PR28"
 PRDAY29                      "Number of days from admission to I10_PR29"
 PRDAY30                      "Number of days from admission to I10_PR30"
 PRDAY31                      "Number of days from admission to I10_PR31"
 PRDAY32                      "Number of days from admission to I10_PR32"
 PRDAY33                      "Number of days from admission to I10_PR33"
 PRDAY34                      "Number of days from admission to I10_PR34"
 PRDAY35                      "Number of days from admission to I10_PR35"
 PRDAY36                      "Number of days from admission to I10_PR36"
 PRDAY37                      "Number of days from admission to I10_PR37"
 PRDAY38                      "Number of days from admission to I10_PR38"
 PRDAY39                      "Number of days from admission to I10_PR39"
 PRDAY40                      "Number of days from admission to I10_PR40"
 PRDAY41                      "Number of days from admission to I10_PR41"
 PRDAY42                      "Number of days from admission to I10_PR42"
 PRDAY43                      "Number of days from admission to I10_PR43"
 PRDAY44                      "Number of days from admission to I10_PR44"
 PRDAY45                      "Number of days from admission to I10_PR45"
 PRDAY46                      "Number of days from admission to I10_PR46"
 PRDAY47                      "Number of days from admission to I10_PR47"
 PRDAY48                      "Number of days from admission to I10_PR48"
 PRDAY49                      "Number of days from admission to I10_PR49"
 PRDAY50                      "Number of days from admission to I10_PR50"
 PRDAY51                      "Number of days from admission to I10_PR51"
 PRDAY52                      "Number of days from admission to I10_PR52"
 PRDAY53                      "Number of days from admission to I10_PR53"
 PRDAY54                      "Number of days from admission to I10_PR54"
 PRDAY55                      "Number of days from admission to I10_PR55"
 PRDAY56                      "Number of days from admission to I10_PR56"
 PRDAY57                      "Number of days from admission to I10_PR57"
 PRDAY58                      "Number of days from admission to I10_PR58"
 PRDAY59                      "Number of days from admission to I10_PR59"
 PRDAY60                      "Number of days from admission to I10_PR60"
 PRDAY61                      "Number of days from admission to I10_PR61"
 PRDAY62                      "Number of days from admission to I10_PR62"
 PRDAY63                      "Number of days from admission to I10_PR63"
 PRDAY64                      "Number of days from admission to I10_PR64"
 PRDAY65                      "Number of days from admission to I10_PR65"
 PRDAY66                      "Number of days from admission to I10_PR66"
 PRDAY67                      "Number of days from admission to I10_PR67"
 PRDAY68                      "Number of days from admission to I10_PR68"
 PRDAY69                      "Number of days from admission to I10_PR69"
 PRDAY70                      "Number of days from admission to I10_PR70"
 PRDAY71                      "Number of days from admission to I10_PR71"
 PRDAY72                      "Number of days from admission to I10_PR72"
 PRDAY73                      "Number of days from admission to I10_PR73"
 PRDAY74                      "Number of days from admission to I10_PR74"
 PRDAY75                      "Number of days from admission to I10_PR75"
 PRDAY76                      "Number of days from admission to I10_PR76"
 PRDAY77                      "Number of days from admission to I10_PR77"
 PRDAY78                      "Number of days from admission to I10_PR78"
 PRDAY79                      "Number of days from admission to I10_PR79"
 PRDAY80                      "Number of days from admission to I10_PR80"
 PRDAY81                      "Number of days from admission to I10_PR81"
 PRDAY82                      "Number of days from admission to I10_PR82"
 PRDAY83                      "Number of days from admission to I10_PR83"
 PRDAY84                      "Number of days from admission to I10_PR84"
 PRDAY85                      "Number of days from admission to I10_PR85"
 PRDAY86                      "Number of days from admission to I10_PR86"
 PRDAY87                      "Number of days from admission to I10_PR87"
 PRDAY88                      "Number of days from admission to I10_PR88"
 PRDAY89                      "Number of days from admission to I10_PR89"
 PRDAY90                      "Number of days from admission to I10_PR90"
 PRDAY91                      "Number of days from admission to I10_PR91"
 PRDAY92                      "Number of days from admission to I10_PR92"
 PRDAY93                      "Number of days from admission to I10_PR93"
 PRDAY94                      "Number of days from admission to I10_PR94"
 PRDAY95                      "Number of days from admission to I10_PR95"
 PRDAY96                      "Number of days from admission to I10_PR96"
 PRDAY97                      "Number of days from admission to I10_PR97"
 PRDAY98                      "Number of days from admission to I10_PR98"
 PRDAY99                      "Number of days from admission to I10_PR99"
 PRDAY100                     "Number of days from admission to I10_PR100"
 PRDAY101                     "Number of days from admission to I10_PR101"
 PRDAY102                     "Number of days from admission to I10_PR102"
 PRDAY103                     "Number of days from admission to I10_PR103"
 PRDAY104                     "Number of days from admission to I10_PR104"
 PRDAY105                     "Number of days from admission to I10_PR105"
 PRDAY106                     "Number of days from admission to I10_PR106"
 PRDAY107                     "Number of days from admission to I10_PR107"
 PRDAY108                     "Number of days from admission to I10_PR108"
 PRDAY109                     "Number of days from admission to I10_PR109"
 PRDAY110                     "Number of days from admission to I10_PR110"
 PRDAY111                     "Number of days from admission to I10_PR111"
 PRDAY112                     "Number of days from admission to I10_PR112"
 PRDAY113                     "Number of days from admission to I10_PR113"
 PRDAY114                     "Number of days from admission to I10_PR114"
 PRDAY115                     "Number of days from admission to I10_PR115"
 PRDAY116                     "Number of days from admission to I10_PR116"
 PRDAY117                     "Number of days from admission to I10_PR117"
 PRDAY118                     "Number of days from admission to I10_PR118"
 PRDAY119                     "Number of days from admission to I10_PR119"
 PRDAY120                     "Number of days from admission to I10_PR120"
 PRDAY121                     "Number of days from admission to I10_PR121"
 PRDAY122                     "Number of days from admission to I10_PR122"
 PRDAY123                     "Number of days from admission to I10_PR123"
 PRDAY124                     "Number of days from admission to I10_PR124"
 PRDAY125                     "Number of days from admission to I10_PR125"
 PRDAY126                     "Number of days from admission to I10_PR126"
 PRDAY127                     "Number of days from admission to I10_PR127"
 PRDAY128                     "Number of days from admission to I10_PR128"
 PRDAY129                     "Number of days from admission to I10_PR129"
 PRDAY130                     "Number of days from admission to I10_PR130"
 PRDAY131                     "Number of days from admission to I10_PR131"
 PRDAY132                     "Number of days from admission to I10_PR132"
 PRDAY133                     "Number of days from admission to I10_PR133"
 PRDAY134                     "Number of days from admission to I10_PR134"
 PRDAY135                     "Number of days from admission to I10_PR135"
 PRDAY136                     "Number of days from admission to I10_PR136"
 PRDAY137                     "Number of days from admission to I10_PR137"
 PRDAY138                     "Number of days from admission to I10_PR138"
 PRDAY139                     "Number of days from admission to I10_PR139"
 PRDAY140                     "Number of days from admission to I10_PR140"
 PRDAY141                     "Number of days from admission to I10_PR141"
 PRDAY142                     "Number of days from admission to I10_PR142"
 PRDAY143                     "Number of days from admission to I10_PR143"
 PRDAY144                     "Number of days from admission to I10_PR144"
 PRDAY145                     "Number of days from admission to I10_PR145"
 PRDAY146                     "Number of days from admission to I10_PR146"
 PRDAY147                     "Number of days from admission to I10_PR147"
 PRDAY148                     "Number of days from admission to I10_PR148"
 PRDAY149                     "Number of days from admission to I10_PR149"
 PRDAY150                     "Number of days from admission to I10_PR150"
 PRDAY151                     "Number of days from admission to I10_PR151"
 PRDAY152                     "Number of days from admission to I10_PR152"
 PRDAY153                     "Number of days from admission to I10_PR153"
 PRDAY154                     "Number of days from admission to I10_PR154"
 PRDAY155                     "Number of days from admission to I10_PR155"
 PRDAY156                     "Number of days from admission to I10_PR156"
 PRDAY157                     "Number of days from admission to I10_PR157"
 PRDAY158                     "Number of days from admission to I10_PR158"
 PRDAY159                     "Number of days from admission to I10_PR159"
 PRDAY160                     "Number of days from admission to I10_PR160"
 PRDAY161                     "Number of days from admission to I10_PR161"
 PRDAY162                     "Number of days from admission to I10_PR162"
 PRDAY163                     "Number of days from admission to I10_PR163"
 PRDAY164                     "Number of days from admission to I10_PR164"
 PRDAY165                     "Number of days from admission to I10_PR165"
 PRDAY166                     "Number of days from admission to I10_PR166"
 PRDAY167                     "Number of days from admission to I10_PR167"
 PRDAY168                     "Number of days from admission to I10_PR168"
 PRDAY169                     "Number of days from admission to I10_PR169"
 PRDAY170                     "Number of days from admission to I10_PR170"
 PRDAY171                     "Number of days from admission to I10_PR171"
 PRDAY172                     "Number of days from admission to I10_PR172"
 PRDAY173                     "Number of days from admission to I10_PR173"
 PRDAY174                     "Number of days from admission to I10_PR174"
 PRDAY175                     "Number of days from admission to I10_PR175"
 PRDAY176                     "Number of days from admission to I10_PR176"
 PRDAY177                     "Number of days from admission to I10_PR177"
 PRDAY178                     "Number of days from admission to I10_PR178"
 PRDAY179                     "Number of days from admission to I10_PR179"
 PRDAY180                     "Number of days from admission to I10_PR180"
 PRDAY181                     "Number of days from admission to I10_PR181"
 PRDAY182                     "Number of days from admission to I10_PR182"
 PRDAY183                     "Number of days from admission to I10_PR183"
 PRDAY184                     "Number of days from admission to I10_PR184"
 PRDAY185                     "Number of days from admission to I10_PR185"
 PRDAY186                     "Number of days from admission to I10_PR186"
 PRDAY187                     "Number of days from admission to I10_PR187"
 PRDAY188                     "Number of days from admission to I10_PR188"
 PRDAY189                     "Number of days from admission to I10_PR189"
 PRDAY190                     "Number of days from admission to I10_PR190"
 PRDAY191                     "Number of days from admission to I10_PR191"
 PRDAY192                     "Number of days from admission to I10_PR192"
 PRDAY193                     "Number of days from admission to I10_PR193"
 PRDAY194                     "Number of days from admission to I10_PR194"
 PRDAY195                     "Number of days from admission to I10_PR195"
 PRDAY196                     "Number of days from admission to I10_PR196"
 PRDAY197                     "Number of days from admission to I10_PR197"
 PRDAY198                     "Number of days from admission to I10_PR198"
 PRDAY199                     "Number of days from admission to I10_PR199"
 PRDAY200                     "Number of days from admission to I10_PR200"
 PSTATE                       "Patient State postal code"
 PSTATE_GEO                   "Patient State postal code assigned from ZIP Code"
 PSTCO_GEO                    "Counties assigned based on ZIP Code geographic centroids"
 RACE                         "Race (uniform)"
 RACE_PCT_MISS_HOSP           "Hospital percentage of missing or invalid race values"
 RACE_X                       "Race (as received from source)"
 TOTCHG                       "Total charges (cleaned)"
 TOTCHG_X                     "Total charges (as received from source)"
 TRAN_IN                      "Transfer in indicator"
 TRAN_OUT                     "Transfer out indicator"
 VisitLink                    "Visit linkage variable"
 YEAR                         "Calendar year"
 ZIP3                         "Patient ZIP Code, first 3 digits"
 ZIPINC_QRTL                  "Median household income national quartile for patient ZIP Code"
 AYEAR                        "Admission year"
 PRMONTH1                     "Month of procedure 1"
 PRMONTH2                     "Month of procedure 2"
 PRMONTH3                     "Month of procedure 3"
 PRMONTH4                     "Month of procedure 4"
 PRMONTH5                     "Month of procedure 5"
 PRMONTH6                     "Month of procedure 6"
 PRMONTH7                     "Month of procedure 7"
 PRMONTH8                     "Month of procedure 8"
 PRMONTH9                     "Month of procedure 9"
 PRMONTH10                    "Month of procedure 10"
 PRMONTH11                    "Month of procedure 11"
 PRMONTH12                    "Month of procedure 12"
 PRMONTH13                    "Month of procedure 13"
 PRMONTH14                    "Month of procedure 14"
 PRMONTH15                    "Month of procedure 15"
 PRMONTH16                    "Month of procedure 16"
 PRMONTH17                    "Month of procedure 17"
 PRMONTH18                    "Month of procedure 18"
 PRMONTH19                    "Month of procedure 19"
 PRMONTH20                    "Month of procedure 20"
 PRMONTH21                    "Month of procedure 21"
 PRMONTH22                    "Month of procedure 22"
 PRMONTH23                    "Month of procedure 23"
 PRMONTH24                    "Month of procedure 24"
 PRMONTH25                    "Month of procedure 25"
 PRMONTH26                    "Month of procedure 26"
 PRMONTH27                    "Month of procedure 27"
 PRMONTH28                    "Month of procedure 28"
 PRMONTH29                    "Month of procedure 29"
 PRMONTH30                    "Month of procedure 30"
 PRMONTH31                    "Month of procedure 31"
 PRMONTH32                    "Month of procedure 32"
 PRMONTH33                    "Month of procedure 33"
 PRMONTH34                    "Month of procedure 34"
 PRMONTH35                    "Month of procedure 35"
 PRMONTH36                    "Month of procedure 36"
 PRMONTH37                    "Month of procedure 37"
 PRMONTH38                    "Month of procedure 38"
 PRMONTH39                    "Month of procedure 39"
 PRMONTH40                    "Month of procedure 40"
 PRMONTH41                    "Month of procedure 41"
 PRMONTH42                    "Month of procedure 42"
 PRMONTH43                    "Month of procedure 43"
 PRMONTH44                    "Month of procedure 44"
 PRMONTH45                    "Month of procedure 45"
 PRMONTH46                    "Month of procedure 46"
 PRMONTH47                    "Month of procedure 47"
 PRMONTH48                    "Month of procedure 48"
 PRMONTH49                    "Month of procedure 49"
 PRMONTH50                    "Month of procedure 50"
 PRMONTH51                    "Month of procedure 51"
 PRMONTH52                    "Month of procedure 52"
 PRMONTH53                    "Month of procedure 53"
 PRMONTH54                    "Month of procedure 54"
 PRMONTH55                    "Month of procedure 55"
 PRMONTH56                    "Month of procedure 56"
 PRMONTH57                    "Month of procedure 57"
 PRMONTH58                    "Month of procedure 58"
 PRMONTH59                    "Month of procedure 59"
 PRMONTH60                    "Month of procedure 60"
 PRMONTH61                    "Month of procedure 61"
 PRMONTH62                    "Month of procedure 62"
 PRMONTH63                    "Month of procedure 63"
 PRMONTH64                    "Month of procedure 64"
 PRMONTH65                    "Month of procedure 65"
 PRMONTH66                    "Month of procedure 66"
 PRMONTH67                    "Month of procedure 67"
 PRMONTH68                    "Month of procedure 68"
 PRMONTH69                    "Month of procedure 69"
 PRMONTH70                    "Month of procedure 70"
 PRMONTH71                    "Month of procedure 71"
 PRMONTH72                    "Month of procedure 72"
 PRMONTH73                    "Month of procedure 73"
 PRMONTH74                    "Month of procedure 74"
 PRMONTH75                    "Month of procedure 75"
 PRMONTH76                    "Month of procedure 76"
 PRMONTH77                    "Month of procedure 77"
 PRMONTH78                    "Month of procedure 78"
 PRMONTH79                    "Month of procedure 79"
 PRMONTH80                    "Month of procedure 80"
 PRMONTH81                    "Month of procedure 81"
 PRMONTH82                    "Month of procedure 82"
 PRMONTH83                    "Month of procedure 83"
 PRMONTH84                    "Month of procedure 84"
 PRMONTH85                    "Month of procedure 85"
 PRMONTH86                    "Month of procedure 86"
 PRMONTH87                    "Month of procedure 87"
 PRMONTH88                    "Month of procedure 88"
 PRMONTH89                    "Month of procedure 89"
 PRMONTH90                    "Month of procedure 90"
 PRMONTH91                    "Month of procedure 91"
 PRMONTH92                    "Month of procedure 92"
 PRMONTH93                    "Month of procedure 93"
 PRMONTH94                    "Month of procedure 94"
 PRMONTH95                    "Month of procedure 95"
 PRMONTH96                    "Month of procedure 96"
 PRMONTH97                    "Month of procedure 97"
 PRMONTH98                    "Month of procedure 98"
 PRMONTH99                    "Month of procedure 99"
 PRMONTH100                   "Month of procedure 100"
 PRMONTH101                   "Month of procedure 101"
 PRMONTH102                   "Month of procedure 102"
 PRMONTH103                   "Month of procedure 103"
 PRMONTH104                   "Month of procedure 104"
 PRMONTH105                   "Month of procedure 105"
 PRMONTH106                   "Month of procedure 106"
 PRMONTH107                   "Month of procedure 107"
 PRMONTH108                   "Month of procedure 108"
 PRMONTH109                   "Month of procedure 109"
 PRMONTH110                   "Month of procedure 110"
 PRMONTH111                   "Month of procedure 111"
 PRMONTH112                   "Month of procedure 112"
 PRMONTH113                   "Month of procedure 113"
 PRMONTH114                   "Month of procedure 114"
 PRMONTH115                   "Month of procedure 115"
 PRMONTH116                   "Month of procedure 116"
 PRMONTH117                   "Month of procedure 117"
 PRMONTH118                   "Month of procedure 118"
 PRMONTH119                   "Month of procedure 119"
 PRMONTH120                   "Month of procedure 120"
 PRMONTH121                   "Month of procedure 121"
 PRMONTH122                   "Month of procedure 122"
 PRMONTH123                   "Month of procedure 123"
 PRMONTH124                   "Month of procedure 124"
 PRMONTH125                   "Month of procedure 125"
 PRMONTH126                   "Month of procedure 126"
 PRMONTH127                   "Month of procedure 127"
 PRMONTH128                   "Month of procedure 128"
 PRMONTH129                   "Month of procedure 129"
 PRMONTH130                   "Month of procedure 130"
 PRMONTH131                   "Month of procedure 131"
 PRMONTH132                   "Month of procedure 132"
 PRMONTH133                   "Month of procedure 133"
 PRMONTH134                   "Month of procedure 134"
 PRMONTH135                   "Month of procedure 135"
 PRMONTH136                   "Month of procedure 136"
 PRMONTH137                   "Month of procedure 137"
 PRMONTH138                   "Month of procedure 138"
 PRMONTH139                   "Month of procedure 139"
 PRMONTH140                   "Month of procedure 140"
 PRMONTH141                   "Month of procedure 141"
 PRMONTH142                   "Month of procedure 142"
 PRMONTH143                   "Month of procedure 143"
 PRMONTH144                   "Month of procedure 144"
 PRMONTH145                   "Month of procedure 145"
 PRMONTH146                   "Month of procedure 146"
 PRMONTH147                   "Month of procedure 147"
 PRMONTH148                   "Month of procedure 148"
 PRMONTH149                   "Month of procedure 149"
 PRMONTH150                   "Month of procedure 150"
 PRMONTH151                   "Month of procedure 151"
 PRMONTH152                   "Month of procedure 152"
 PRMONTH153                   "Month of procedure 153"
 PRMONTH154                   "Month of procedure 154"
 PRMONTH155                   "Month of procedure 155"
 PRMONTH156                   "Month of procedure 156"
 PRMONTH157                   "Month of procedure 157"
 PRMONTH158                   "Month of procedure 158"
 PRMONTH159                   "Month of procedure 159"
 PRMONTH160                   "Month of procedure 160"
 PRMONTH161                   "Month of procedure 161"
 PRMONTH162                   "Month of procedure 162"
 PRMONTH163                   "Month of procedure 163"
 PRMONTH164                   "Month of procedure 164"
 PRMONTH165                   "Month of procedure 165"
 PRMONTH166                   "Month of procedure 166"
 PRMONTH167                   "Month of procedure 167"
 PRMONTH168                   "Month of procedure 168"
 PRMONTH169                   "Month of procedure 169"
 PRMONTH170                   "Month of procedure 170"
 PRMONTH171                   "Month of procedure 171"
 PRMONTH172                   "Month of procedure 172"
 PRMONTH173                   "Month of procedure 173"
 PRMONTH174                   "Month of procedure 174"
 PRMONTH175                   "Month of procedure 175"
 PRMONTH176                   "Month of procedure 176"
 PRMONTH177                   "Month of procedure 177"
 PRMONTH178                   "Month of procedure 178"
 PRMONTH179                   "Month of procedure 179"
 PRMONTH180                   "Month of procedure 180"
 PRMONTH181                   "Month of procedure 181"
 PRMONTH182                   "Month of procedure 182"
 PRMONTH183                   "Month of procedure 183"
 PRMONTH184                   "Month of procedure 184"
 PRMONTH185                   "Month of procedure 185"
 PRMONTH186                   "Month of procedure 186"
 PRMONTH187                   "Month of procedure 187"
 PRMONTH188                   "Month of procedure 188"
 PRMONTH189                   "Month of procedure 189"
 PRMONTH190                   "Month of procedure 190"
 PRMONTH191                   "Month of procedure 191"
 PRMONTH192                   "Month of procedure 192"
 PRMONTH193                   "Month of procedure 193"
 PRMONTH194                   "Month of procedure 194"
 PRMONTH195                   "Month of procedure 195"
 PRMONTH196                   "Month of procedure 196"
 PRMONTH197                   "Month of procedure 197"
 PRMONTH198                   "Month of procedure 198"
 PRMONTH199                   "Month of procedure 199"
 PRMONTH200                   "Month of procedure 200"
 PRYEAR1                      "Year of procedure 1"
 PRYEAR2                      "Year of procedure 2"
 PRYEAR3                      "Year of procedure 3"
 PRYEAR4                      "Year of procedure 4"
 PRYEAR5                      "Year of procedure 5"
 PRYEAR6                      "Year of procedure 6"
 PRYEAR7                      "Year of procedure 7"
 PRYEAR8                      "Year of procedure 8"
 PRYEAR9                      "Year of procedure 9"
 PRYEAR10                     "Year of procedure 10"
 PRYEAR11                     "Year of procedure 11"
 PRYEAR12                     "Year of procedure 12"
 PRYEAR13                     "Year of procedure 13"
 PRYEAR14                     "Year of procedure 14"
 PRYEAR15                     "Year of procedure 15"
 PRYEAR16                     "Year of procedure 16"
 PRYEAR17                     "Year of procedure 17"
 PRYEAR18                     "Year of procedure 18"
 PRYEAR19                     "Year of procedure 19"
 PRYEAR20                     "Year of procedure 20"
 PRYEAR21                     "Year of procedure 21"
 PRYEAR22                     "Year of procedure 22"
 PRYEAR23                     "Year of procedure 23"
 PRYEAR24                     "Year of procedure 24"
 PRYEAR25                     "Year of procedure 25"
 PRYEAR26                     "Year of procedure 26"
 PRYEAR27                     "Year of procedure 27"
 PRYEAR28                     "Year of procedure 28"
 PRYEAR29                     "Year of procedure 29"
 PRYEAR30                     "Year of procedure 30"
 PRYEAR31                     "Year of procedure 31"
 PRYEAR32                     "Year of procedure 32"
 PRYEAR33                     "Year of procedure 33"
 PRYEAR34                     "Year of procedure 34"
 PRYEAR35                     "Year of procedure 35"
 PRYEAR36                     "Year of procedure 36"
 PRYEAR37                     "Year of procedure 37"
 PRYEAR38                     "Year of procedure 38"
 PRYEAR39                     "Year of procedure 39"
 PRYEAR40                     "Year of procedure 40"
 PRYEAR41                     "Year of procedure 41"
 PRYEAR42                     "Year of procedure 42"
 PRYEAR43                     "Year of procedure 43"
 PRYEAR44                     "Year of procedure 44"
 PRYEAR45                     "Year of procedure 45"
 PRYEAR46                     "Year of procedure 46"
 PRYEAR47                     "Year of procedure 47"
 PRYEAR48                     "Year of procedure 48"
 PRYEAR49                     "Year of procedure 49"
 PRYEAR50                     "Year of procedure 50"
 PRYEAR51                     "Year of procedure 51"
 PRYEAR52                     "Year of procedure 52"
 PRYEAR53                     "Year of procedure 53"
 PRYEAR54                     "Year of procedure 54"
 PRYEAR55                     "Year of procedure 55"
 PRYEAR56                     "Year of procedure 56"
 PRYEAR57                     "Year of procedure 57"
 PRYEAR58                     "Year of procedure 58"
 PRYEAR59                     "Year of procedure 59"
 PRYEAR60                     "Year of procedure 60"
 PRYEAR61                     "Year of procedure 61"
 PRYEAR62                     "Year of procedure 62"
 PRYEAR63                     "Year of procedure 63"
 PRYEAR64                     "Year of procedure 64"
 PRYEAR65                     "Year of procedure 65"
 PRYEAR66                     "Year of procedure 66"
 PRYEAR67                     "Year of procedure 67"
 PRYEAR68                     "Year of procedure 68"
 PRYEAR69                     "Year of procedure 69"
 PRYEAR70                     "Year of procedure 70"
 PRYEAR71                     "Year of procedure 71"
 PRYEAR72                     "Year of procedure 72"
 PRYEAR73                     "Year of procedure 73"
 PRYEAR74                     "Year of procedure 74"
 PRYEAR75                     "Year of procedure 75"
 PRYEAR76                     "Year of procedure 76"
 PRYEAR77                     "Year of procedure 77"
 PRYEAR78                     "Year of procedure 78"
 PRYEAR79                     "Year of procedure 79"
 PRYEAR80                     "Year of procedure 80"
 PRYEAR81                     "Year of procedure 81"
 PRYEAR82                     "Year of procedure 82"
 PRYEAR83                     "Year of procedure 83"
 PRYEAR84                     "Year of procedure 84"
 PRYEAR85                     "Year of procedure 85"
 PRYEAR86                     "Year of procedure 86"
 PRYEAR87                     "Year of procedure 87"
 PRYEAR88                     "Year of procedure 88"
 PRYEAR89                     "Year of procedure 89"
 PRYEAR90                     "Year of procedure 90"
 PRYEAR91                     "Year of procedure 91"
 PRYEAR92                     "Year of procedure 92"
 PRYEAR93                     "Year of procedure 93"
 PRYEAR94                     "Year of procedure 94"
 PRYEAR95                     "Year of procedure 95"
 PRYEAR96                     "Year of procedure 96"
 PRYEAR97                     "Year of procedure 97"
 PRYEAR98                     "Year of procedure 98"
 PRYEAR99                     "Year of procedure 99"
 PRYEAR100                    "Year of procedure 100"
 PRYEAR101                    "Year of procedure 101"
 PRYEAR102                    "Year of procedure 102"
 PRYEAR103                    "Year of procedure 103"
 PRYEAR104                    "Year of procedure 104"
 PRYEAR105                    "Year of procedure 105"
 PRYEAR106                    "Year of procedure 106"
 PRYEAR107                    "Year of procedure 107"
 PRYEAR108                    "Year of procedure 108"
 PRYEAR109                    "Year of procedure 109"
 PRYEAR110                    "Year of procedure 110"
 PRYEAR111                    "Year of procedure 111"
 PRYEAR112                    "Year of procedure 112"
 PRYEAR113                    "Year of procedure 113"
 PRYEAR114                    "Year of procedure 114"
 PRYEAR115                    "Year of procedure 115"
 PRYEAR116                    "Year of procedure 116"
 PRYEAR117                    "Year of procedure 117"
 PRYEAR118                    "Year of procedure 118"
 PRYEAR119                    "Year of procedure 119"
 PRYEAR120                    "Year of procedure 120"
 PRYEAR121                    "Year of procedure 121"
 PRYEAR122                    "Year of procedure 122"
 PRYEAR123                    "Year of procedure 123"
 PRYEAR124                    "Year of procedure 124"
 PRYEAR125                    "Year of procedure 125"
 PRYEAR126                    "Year of procedure 126"
 PRYEAR127                    "Year of procedure 127"
 PRYEAR128                    "Year of procedure 128"
 PRYEAR129                    "Year of procedure 129"
 PRYEAR130                    "Year of procedure 130"
 PRYEAR131                    "Year of procedure 131"
 PRYEAR132                    "Year of procedure 132"
 PRYEAR133                    "Year of procedure 133"
 PRYEAR134                    "Year of procedure 134"
 PRYEAR135                    "Year of procedure 135"
 PRYEAR136                    "Year of procedure 136"
 PRYEAR137                    "Year of procedure 137"
 PRYEAR138                    "Year of procedure 138"
 PRYEAR139                    "Year of procedure 139"
 PRYEAR140                    "Year of procedure 140"
 PRYEAR141                    "Year of procedure 141"
 PRYEAR142                    "Year of procedure 142"
 PRYEAR143                    "Year of procedure 143"
 PRYEAR144                    "Year of procedure 144"
 PRYEAR145                    "Year of procedure 145"
 PRYEAR146                    "Year of procedure 146"
 PRYEAR147                    "Year of procedure 147"
 PRYEAR148                    "Year of procedure 148"
 PRYEAR149                    "Year of procedure 149"
 PRYEAR150                    "Year of procedure 150"
 PRYEAR151                    "Year of procedure 151"
 PRYEAR152                    "Year of procedure 152"
 PRYEAR153                    "Year of procedure 153"
 PRYEAR154                    "Year of procedure 154"
 PRYEAR155                    "Year of procedure 155"
 PRYEAR156                    "Year of procedure 156"
 PRYEAR157                    "Year of procedure 157"
 PRYEAR158                    "Year of procedure 158"
 PRYEAR159                    "Year of procedure 159"
 PRYEAR160                    "Year of procedure 160"
 PRYEAR161                    "Year of procedure 161"
 PRYEAR162                    "Year of procedure 162"
 PRYEAR163                    "Year of procedure 163"
 PRYEAR164                    "Year of procedure 164"
 PRYEAR165                    "Year of procedure 165"
 PRYEAR166                    "Year of procedure 166"
 PRYEAR167                    "Year of procedure 167"
 PRYEAR168                    "Year of procedure 168"
 PRYEAR169                    "Year of procedure 169"
 PRYEAR170                    "Year of procedure 170"
 PRYEAR171                    "Year of procedure 171"
 PRYEAR172                    "Year of procedure 172"
 PRYEAR173                    "Year of procedure 173"
 PRYEAR174                    "Year of procedure 174"
 PRYEAR175                    "Year of procedure 175"
 PRYEAR176                    "Year of procedure 176"
 PRYEAR177                    "Year of procedure 177"
 PRYEAR178                    "Year of procedure 178"
 PRYEAR179                    "Year of procedure 179"
 PRYEAR180                    "Year of procedure 180"
 PRYEAR181                    "Year of procedure 181"
 PRYEAR182                    "Year of procedure 182"
 PRYEAR183                    "Year of procedure 183"
 PRYEAR184                    "Year of procedure 184"
 PRYEAR185                    "Year of procedure 185"
 PRYEAR186                    "Year of procedure 186"
 PRYEAR187                    "Year of procedure 187"
 PRYEAR188                    "Year of procedure 188"
 PRYEAR189                    "Year of procedure 189"
 PRYEAR190                    "Year of procedure 190"
 PRYEAR191                    "Year of procedure 191"
 PRYEAR192                    "Year of procedure 192"
 PRYEAR193                    "Year of procedure 193"
 PRYEAR194                    "Year of procedure 194"
 PRYEAR195                    "Year of procedure 195"
 PRYEAR196                    "Year of procedure 196"
 PRYEAR197                    "Year of procedure 197"
 PRYEAR198                    "Year of procedure 198"
 PRYEAR199                    "Year of procedure 199"
 PRYEAR200                    "Year of procedure 200" .


/**********************************************************.
*    Convert missing data to system missing values       *.
**********************************************************/

RECODE ADRG
 (-99,-88,-66,-55=SYSMIS).
RECODE ADRGRISKMORTALITY
 (-9,-8,-6,-5=SYSMIS).
RECODE ADRGSEV
 (-9,-8,-6,-5=SYSMIS).
RECODE AGE
 (-99,-88,-66,-55=SYSMIS).
RECODE AGEMONTH
 (-99,-88,-66,-55=SYSMIS).
RECODE AMDC
 (-9,-8,-6,-5=SYSMIS).
RECODE AMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE ASOURCE
 (-9,-8,-6,-5=SYSMIS).
RECODE ATYPE
 (-9,-8,-6,-5=SYSMIS).
RECODE AWEEKEND
 (-9,-8,-6,-5=SYSMIS).
RECODE BWT
 (-999,-888,-666,-555=SYSMIS).
RECODE DaysBetweenVisits
 (-999,-888,-666,-555=SYSMIS).
RECODE DaysToEvent
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE DIED
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUB04
 (-9,-8,-6,-5=SYSMIS).
RECODE DISPUNIFORM
 (-9,-8,-6,-5=SYSMIS).
RECODE DMONTH
 (-9,-8,-6,-5=SYSMIS).
RECODE DNR
 (-9,-8,-6,-5=SYSMIS).
RECODE DQTR
 (-9,-8,-6,-5=SYSMIS).
RECODE DRG
 (-99,-88,-66,-55=SYSMIS).
RECODE DRG_NoPOA
 (-99,-88,-66,-55=SYSMIS).
RECODE DRGVER
 (-9,-8,-6,-5=SYSMIS).
RECODE FEMALE
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_ED
 (-9,-8,-6,-5=SYSMIS).
RECODE HCUP_OS
 (-9,-8,-6,-5=SYSMIS).
RECODE HISPANIC
 (-9,-8,-6,-5=SYSMIS).
RECODE Homeless
 (-9,-8,-6,-5=SYSMIS).
RECODE I10_BIRTH
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_DELIVERY
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NDX
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_NPR
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_PROCTYPE
 (-99,-88,-66,-55=SYSMIS).
RECODE I10_SERVICELINE
 (-9,-8,-6,-5=SYSMIS).
RECODE LOS
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE LOS_X
 (-99999,-88888,-66666,-55555=SYSMIS).
RECODE MDC
 (-9,-8,-6,-5=SYSMIS).
RECODE MDC_NoPOA
 (-9,-8,-6,-5=SYSMIS).
RECODE MEDINCSTQ
 (-9,-8,-6,-5=SYSMIS).
RECODE OS_TIME
 (-9999999.99,-8888888.88,-6666666.66,-5555555.55=SYSMIS).
RECODE PAY1
 (-9,-8,-6,-5=SYSMIS).
RECODE PAY2
 (-9,-8,-6,-5=SYSMIS).
RECODE PCLASS_ORPROC
 (-9,-8,-6,-5=SYSMIS).
RECODE PL_CBSA
 (-99,-88,-66,-55=SYSMIS).
RECODE PL_UR_CAT4
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Disch_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit1
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit2
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3
 (-9,-8,-6,-5=SYSMIS).
RECODE POA_Hosp_Edit3_Value
 (-9999.99,-8888.88,-6666.66,-5555.55=SYSMIS).
RECODE PRDAY1
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY2
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY3
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY4
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY5
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY6
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY7
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY8
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY9
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY10
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY11
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY12
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY13
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY14
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY15
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY16
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY17
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY18
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY19
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY20
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY21
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY22
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY23
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY24
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY25
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY26
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY27
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY28
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY29
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY30
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY31
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY32
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY33
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY34
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY35
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY36
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY37
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY38
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY39
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY40
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY41
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY42
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY43
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY44
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY45
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY46
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY47
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY48
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY49
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY50
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY51
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY52
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY53
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY54
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY55
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY56
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY57
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY58
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY59
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY60
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY61
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY62
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY63
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY64
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY65
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY66
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY67
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY68
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY69
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY70
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY71
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY72
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY73
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY74
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY75
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY76
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY77
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY78
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY79
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY80
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY81
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY82
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY83
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY84
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY85
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY86
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY87
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY88
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY89
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY90
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY91
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY92
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY93
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY94
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY95
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY96
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY97
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY98
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY99
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY100
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY101
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY102
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY103
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY104
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY105
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY106
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY107
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY108
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY109
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY110
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY111
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY112
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY113
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY114
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY115
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY116
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY117
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY118
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY119
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY120
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY121
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY122
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY123
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY124
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY125
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY126
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY127
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY128
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY129
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY130
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY131
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY132
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY133
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY134
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY135
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY136
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY137
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY138
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY139
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY140
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY141
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY142
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY143
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY144
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY145
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY146
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY147
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY148
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY149
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY150
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY151
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY152
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY153
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY154
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY155
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY156
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY157
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY158
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY159
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY160
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY161
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY162
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY163
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY164
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY165
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY166
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY167
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY168
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY169
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY170
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY171
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY172
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY173
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY174
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY175
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY176
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY177
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY178
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY179
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY180
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY181
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY182
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY183
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY184
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY185
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY186
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY187
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY188
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY189
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY190
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY191
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY192
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY193
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY194
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY195
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY196
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY197
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY198
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY199
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PRDAY200
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE PSTCO_GEO
 (-9999,-8888,-6666,-5555=SYSMIS).
RECODE RACE
 (-9,-8,-6,-5=SYSMIS).
RECODE RACE_PCT_MISS_HOSP
 (-999.99,-888.88,-666.66,-555.55=SYSMIS).
RECODE TOTCHG
 (-999999999,-888888888,-666666666,-555555555=SYSMIS).
RECODE TOTCHG_X
 (-99999999999.99,-88888888888.88,-66666666666.66,-55555555555.55=SYSMIS).
RECODE TRAN_IN
 (-9,-8,-6,-5=SYSMIS).
RECODE TRAN_OUT
 (-9,-8,-6,-5=SYSMIS).
RECODE VisitLink
 (-99999999,-88888888,-66666666,-55555555=SYSMIS).
RECODE ZIPINC_QRTL
 (-99,-88,-66,-55=SYSMIS).
RECODE AYEAR
 (-999,-888,-666,-555=SYSMIS).
RECODE PRMONTH1
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH2
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH3
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH4
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH5
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH6
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH7
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH8
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH9
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH10
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH11
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH12
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH13
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH14
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH15
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH16
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH17
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH18
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH19
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH20
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH21
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH22
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH23
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH24
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH25
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH26
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH27
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH28
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH29
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH30
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH31
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH32
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH33
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH34
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH35
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH36
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH37
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH38
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH39
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH40
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH41
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH42
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH43
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH44
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH45
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH46
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH47
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH48
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH49
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH50
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH51
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH52
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH53
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH54
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH55
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH56
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH57
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH58
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH59
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH60
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH61
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH62
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH63
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH64
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH65
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH66
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH67
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH68
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH69
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH70
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH71
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH72
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH73
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH74
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH75
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH76
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH77
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH78
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH79
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH80
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH81
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH82
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH83
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH84
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH85
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH86
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH87
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH88
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH89
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH90
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH91
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH92
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH93
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH94
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH95
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH96
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH97
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH98
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH99
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH100
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH101
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH102
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH103
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH104
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH105
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH106
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH107
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH108
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH109
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH110
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH111
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH112
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH113
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH114
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH115
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH116
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH117
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH118
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH119
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH120
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH121
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH122
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH123
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH124
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH125
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH126
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH127
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH128
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH129
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH130
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH131
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH132
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH133
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH134
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH135
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH136
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH137
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH138
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH139
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH140
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH141
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH142
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH143
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH144
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH145
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH146
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH147
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH148
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH149
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH150
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH151
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH152
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH153
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH154
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH155
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH156
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH157
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH158
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH159
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH160
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH161
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH162
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH163
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH164
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH165
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH166
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH167
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH168
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH169
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH170
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH171
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH172
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH173
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH174
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH175
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH176
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH177
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH178
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH179
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH180
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH181
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH182
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH183
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH184
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH185
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH186
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH187
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH188
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH189
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH190
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH191
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH192
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH193
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH194
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH195
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH196
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH197
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH198
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH199
 (-9,-8,-6,-5=SYSMIS).
RECODE PRMONTH200
 (-9,-8,-6,-5=SYSMIS).
RECODE PRYEAR1
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR2
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR3
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR4
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR5
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR6
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR7
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR8
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR9
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR10
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR11
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR12
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR13
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR14
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR15
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR16
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR17
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR18
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR19
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR20
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR21
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR22
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR23
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR24
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR25
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR26
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR27
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR28
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR29
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR30
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR31
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR32
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR33
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR34
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR35
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR36
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR37
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR38
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR39
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR40
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR41
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR42
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR43
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR44
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR45
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR46
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR47
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR48
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR49
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR50
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR51
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR52
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR53
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR54
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR55
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR56
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR57
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR58
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR59
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR60
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR61
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR62
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR63
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR64
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR65
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR66
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR67
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR68
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR69
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR70
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR71
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR72
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR73
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR74
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR75
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR76
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR77
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR78
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR79
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR80
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR81
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR82
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR83
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR84
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR85
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR86
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR87
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR88
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR89
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR90
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR91
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR92
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR93
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR94
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR95
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR96
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR97
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR98
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR99
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR100
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR101
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR102
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR103
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR104
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR105
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR106
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR107
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR108
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR109
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR110
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR111
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR112
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR113
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR114
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR115
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR116
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR117
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR118
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR119
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR120
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR121
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR122
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR123
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR124
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR125
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR126
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR127
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR128
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR129
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR130
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR131
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR132
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR133
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR134
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR135
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR136
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR137
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR138
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR139
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR140
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR141
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR142
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR143
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR144
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR145
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR146
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR147
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR148
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR149
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR150
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR151
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR152
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR153
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR154
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR155
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR156
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR157
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR158
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR159
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR160
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR161
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR162
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR163
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR164
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR165
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR166
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR167
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR168
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR169
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR170
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR171
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR172
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR173
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR174
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR175
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR176
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR177
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR178
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR179
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR180
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR181
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR182
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR183
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR184
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR185
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR186
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR187
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR188
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR189
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR190
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR191
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR192
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR193
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR194
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR195
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR196
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR197
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR198
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR199
 (-999,-888,-666,-555=SYSMIS).
RECODE PRYEAR200
 (-999,-888,-666,-555=SYSMIS).



SAVE OUTFILE = 'MA_SID_2021_CORE.sav' /COMPRESSED.
